/*
 * Copyright (c) 2009-2019 ARM Limited. All rights reserved.
 * 
 * SPDX-License-Identifier: Apache-2.0
 * 
 * Licensed under the Apache License, Version 2.0 (the License); you may
 * not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * @file     PY32F410xx.h
 * @brief    CMSIS HeaderFile
 * @version  1.2
 * @date     Mon Aug 19 15:16:49 2024
 * @note     Generated by SVDConv V3.3.44
 *           from File 'D:/Git/Packs/MDK Pack/MDK Pack F4 Series/03_SVD_File/SVD/PY32F410xx.svd',
 *           last modified on Mon Aug 19 14:14:56 2024
 */


/** @addtogroup PUYA Co.Ltd
  * @{
  */


/** @addtogroup PY32F410xx
  * @{
  */


#ifndef PY32F410XX_H
#define PY32F410XX_H

#ifdef __cplusplus
extern "C" {
#endif


/** @addtogroup Configuration_of_CMSIS
  * @{
  */



/* =========================================================================================================================== */
/* ================                                Interrupt Number Definition                                ================ */
/* =========================================================================================================================== */

typedef enum {
/* =======================================  ARM Cortex-M4 Specific Interrupt Numbers  ======================================== */
  Reset_IRQn                = -15,              /*!< -15  Reset Vector, invoked on Power up and warm reset                     */
  NonMaskableInt_IRQn       = -14,              /*!< -14  Non maskable Interrupt, cannot be stopped or preempted               */
  HardFault_IRQn            = -13,              /*!< -13  Hard Fault, all classes of Fault                                     */
  MemoryManagement_IRQn     = -12,              /*!< -12  Memory Management, MPU mismatch, including Access Violation
                                                     and No Match                                                              */
  BusFault_IRQn             = -11,              /*!< -11  Bus Fault, Pre-Fetch-, Memory Access Fault, other address/memory
                                                     related Fault                                                             */
  UsageFault_IRQn           = -10,              /*!< -10  Usage Fault, i.e. Undef Instruction, Illegal State Transition        */
  SVCall_IRQn               =  -5,              /*!< -5 System Service Call via SVC instruction                                */
  DebugMonitor_IRQn         =  -4,              /*!< -4 Debug Monitor                                                          */
  PendSV_IRQn               =  -2,              /*!< -2 Pendable request for system service                                    */
  SysTick_IRQn              =  -1,              /*!< -1 System Tick Timer                                                      */
/* =========================================  PY32F410xx Specific Interrupt Numbers  ========================================= */
  RCC_CTC_IRQn              =   5               /*!< 5  RCC global Interrupt                                                   */
} IRQn_Type;



/* =========================================================================================================================== */
/* ================                           Processor and Core Peripheral Section                           ================ */
/* =========================================================================================================================== */

/* ===========================  Configuration of the ARM Cortex-M4 Processor and Core Peripherals  =========================== */
#define __CM4_REV                 0x0001U       /*!< CM4 Core Revision                                                         */
#define __NVIC_PRIO_BITS               4        /*!< Number of Bits used for Priority Levels                                   */
#define __Vendor_SysTickConfig         0        /*!< Set to 1 if different SysTick Config is used                              */
#define __MPU_PRESENT                  1        /*!< MPU present                                                               */
#define __FPU_PRESENT                  1        /*!< FPU present                                                               */


/** @} */ /* End of group Configuration_of_CMSIS */

#include "core_cm4.h"                           /*!< ARM Cortex-M4 processor and core peripherals                              */
//#include "system_PY32F410xx.h"                  /*!< PY32F410xx System                                                         */

#ifndef __IM                                    /*!< Fallback for older CMSIS versions                                         */
  #define __IM   __I
#endif
#ifndef __OM                                    /*!< Fallback for older CMSIS versions                                         */
  #define __OM   __O
#endif
#ifndef __IOM                                   /*!< Fallback for older CMSIS versions                                         */
  #define __IOM  __IO
#endif


/* ========================================  Start of section using anonymous unions  ======================================== */
#if defined (__CC_ARM)
  #pragma push
  #pragma anon_unions
#elif defined (__ICCARM__)
  #pragma language=extended
#elif defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 6010050)
  #pragma clang diagnostic push
  #pragma clang diagnostic ignored "-Wc11-extensions"
  #pragma clang diagnostic ignored "-Wreserved-id-macro"
  #pragma clang diagnostic ignored "-Wgnu-anonymous-struct"
  #pragma clang diagnostic ignored "-Wnested-anon-types"
#elif defined (__GNUC__)
  /* anonymous unions are enabled by default */
#elif defined (__TMS470__)
  /* anonymous unions are enabled by default */
#elif defined (__TASKING__)
  #pragma warning 586
#elif defined (__CSMC__)
  /* anonymous unions are enabled by default */
#else
  #warning Not supported compiler type
#endif


/* =========================================================================================================================== */
/* ================                            Device Specific Peripheral Section                             ================ */
/* =========================================================================================================================== */


/** @addtogroup Device_Peripheral_peripherals
  * @{
  */



/* =========================================================================================================================== */
/* ================                                            ADC                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief ADC (ADC)
  */

typedef struct {                                /*!< ADC Structure                                                             */
  __IOM uint32_t  ISR;                          /*!< ISR                                                                       */
  __IOM uint32_t  IER;                          /*!< IER                                                                       */
  __IOM uint32_t  CR;                           /*!< CR                                                                        */
  __IOM uint32_t  CFGR;                         /*!< CFGR                                                                      */
  __IOM uint32_t  CFGR2;                        /*!< CFGR2                                                                     */
  __IOM uint32_t  SMPR1;                        /*!< SMPR1                                                                     */
  __IOM uint32_t  SMPR2;                        /*!< SMPR2                                                                     */
  __IM  uint32_t  RESERVED;
  __IOM uint32_t  SMPR3;                        /*!< SMPR3                                                                     */
  __IOM uint32_t  TR1;                          /*!< TR1                                                                       */
  __IOM uint32_t  TR2;                          /*!< TR2                                                                       */
  __IM  uint32_t  RESERVED1;
  __IOM uint32_t  TR3;                          /*!< TR3                                                                       */
  __IOM uint32_t  SQR1;                         /*!< SQR1                                                                      */
  __IOM uint32_t  SQR2;                         /*!< SQR2                                                                      */
  __IOM uint32_t  SQR3;                         /*!< SQR3                                                                      */
  __IOM uint32_t  SQR4;                         /*!< SQR4                                                                      */
  __IM  uint32_t  RESERVED2[2];
  __IOM uint32_t  DR;                           /*!< DR                                                                        */
  __IOM uint32_t  JSQR;                         /*!< JSQR                                                                      */
  __IM  uint32_t  RESERVED3[3];
  __IOM uint32_t  OFR1;                         /*!< OFR1                                                                      */
  __IOM uint32_t  OFR2;                         /*!< OFR2                                                                      */
  __IOM uint32_t  OFR3;                         /*!< OFR3                                                                      */
  __IOM uint32_t  OFR4;                         /*!< OFR4                                                                      */
  __IM  uint32_t  RESERVED4[4];
  __IOM uint32_t  JDR1;                         /*!< JDR1                                                                      */
  __IOM uint32_t  JDR2;                         /*!< JDR2                                                                      */
  __IOM uint32_t  JDR3;                         /*!< JDR3                                                                      */
  __IOM uint32_t  JDR4;                         /*!< JDR4                                                                      */
  __IM  uint32_t  RESERVED5[4];
  __IOM uint32_t  AWD2CR;                       /*!< AWD2CR                                                                    */
  __IOM uint32_t  AWD3CR;                       /*!< AWD3CR                                                                    */
  __IM  uint32_t  RESERVED6[3];
  __IOM uint32_t  CALFACT;                      /*!< CALFACT                                                                   */
  __IM  uint32_t  RESERVED7[2];
  __IOM uint32_t  GCOMP;                        /*!< GCOMP                                                                     */
  __IM  uint32_t  RESERVED8[145];
  __IOM uint32_t  CCR;                          /*!< CCR                                                                       */
} ADC_Type;                                     /*!< Size = 780 (0x30c)                                                        */



/* =========================================================================================================================== */
/* ================                                           COMP                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief COMP (COMP)
  */

typedef struct {                                /*!< COMP Structure                                                            */
  __IOM uint32_t  COMP1_CSR;                    /*!< COMP1_CSR                                                                 */
  __IOM uint32_t  COMP1_FR;                     /*!< COMP1_FR                                                                  */
  __IM  uint32_t  RESERVED[2];
  __IOM uint32_t  COMP2_CSR;                    /*!< COMP2_CSR                                                                 */
  __IOM uint32_t  COMP2_FR;                     /*!< COMP2_FR                                                                  */
} COMP_Type;                                    /*!< Size = 24 (0x18)                                                          */



/* =========================================================================================================================== */
/* ================                                            CRC                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief CRC (CRC)
  */

typedef struct {                                /*!< CRC Structure                                                             */
  __IOM uint32_t  DR;                           /*!< DR                                                                        */
  __IOM uint32_t  IDR;                          /*!< IDR                                                                       */
  __IOM uint32_t  CR;                           /*!< CR                                                                        */
} CRC_Type;                                     /*!< Size = 12 (0xc)                                                           */



/* =========================================================================================================================== */
/* ================                                            DBG                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief DBG (DBG)
  */

typedef struct {                                /*!< DBG Structure                                                             */
  __IM  uint32_t  RESERVED;
  __IOM uint32_t  CR1;                          /*!< CR1                                                                       */
  __IOM uint32_t  CR2;                          /*!< CR2                                                                       */
} DBG_Type;                                     /*!< Size = 12 (0xc)                                                           */



/* =========================================================================================================================== */
/* ================                                            DMA                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief DMA (DMA)
  */

typedef struct {                                /*!< DMA Structure                                                             */
  __IOM uint32_t  ISR;                          /*!< ISR                                                                       */
  __IOM uint32_t  IFCR;                         /*!< IFCR                                                                      */
  __IOM uint32_t  CCR1;                         /*!< CCR1                                                                      */
  __IOM uint32_t  CNDTR1;                       /*!< CNDTR1                                                                    */
  __IOM uint32_t  CPAR1;                        /*!< CPAR1                                                                     */
  __IOM uint32_t  CMAR1;                        /*!< CMAR1                                                                     */
  __IOM uint32_t  CNBTR1;                       /*!< CNBTR1                                                                    */
  __IOM uint32_t  CCR2;                         /*!< CCR2                                                                      */
  __IOM uint32_t  CNDTR2;                       /*!< CNDTR2                                                                    */
  __IOM uint32_t  CPAR2;                        /*!< CPAR2                                                                     */
  __IOM uint32_t  CMAR2;                        /*!< CMAR2                                                                     */
  __IOM uint32_t  CNBTR2;                       /*!< CNBTR2                                                                    */
  __IOM uint32_t  CCR3;                         /*!< CCR3                                                                      */
  __IOM uint32_t  CNDTR3;                       /*!< CNDTR3                                                                    */
  __IOM uint32_t  CPAR3;                        /*!< CPAR3                                                                     */
  __IOM uint32_t  CMAR3;                        /*!< CMAR3                                                                     */
  __IOM uint32_t  CNBTR3;                       /*!< CNBTR3                                                                    */
  __IOM uint32_t  CCR4;                         /*!< CCR4                                                                      */
  __IOM uint32_t  CNDTR4;                       /*!< CNDTR4                                                                    */
  __IOM uint32_t  CPAR4;                        /*!< CPAR4                                                                     */
  __IOM uint32_t  CMAR4;                        /*!< CMAR4                                                                     */
  __IOM uint32_t  CNBTR4;                       /*!< CNBTR4                                                                    */
  __IOM uint32_t  CCR5;                         /*!< CCR5                                                                      */
  __IOM uint32_t  CNDTR5;                       /*!< CNDTR5                                                                    */
  __IOM uint32_t  CPAR5;                        /*!< CPAR5                                                                     */
  __IOM uint32_t  CMAR5;                        /*!< CMAR5                                                                     */
  __IOM uint32_t  CNBTR5;                       /*!< CNBTR5                                                                    */
  __IOM uint32_t  CCR6;                         /*!< CCR6                                                                      */
  __IOM uint32_t  CNDTR6;                       /*!< CNDTR6                                                                    */
  __IOM uint32_t  CPAR6;                        /*!< CPAR6                                                                     */
  __IOM uint32_t  CMAR6;                        /*!< CMAR6                                                                     */
  __IOM uint32_t  CNBTR6;                       /*!< CNBTR6                                                                    */
  __IOM uint32_t  CCR7;                         /*!< CCR7                                                                      */
  __IOM uint32_t  CNDTR7;                       /*!< CNDTR7                                                                    */
  __IOM uint32_t  CPAR7;                        /*!< CPAR7                                                                     */
  __IOM uint32_t  CMAR7;                        /*!< CMAR7                                                                     */
  __IOM uint32_t  CNBTR7;                       /*!< CNBTR7                                                                    */
  __IOM uint32_t  CCR8;                         /*!< CCR8                                                                      */
  __IOM uint32_t  CNDTR8;                       /*!< CNDTR8                                                                    */
  __IOM uint32_t  CPAR8;                        /*!< CPAR8                                                                     */
  __IOM uint32_t  CMAR8;                        /*!< CMAR8                                                                     */
  __IOM uint32_t  CNBTR8;                       /*!< CNBTR8                                                                    */
} DMA_Type;                                     /*!< Size = 168 (0xa8)                                                         */



/* =========================================================================================================================== */
/* ================                                           EXTI                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief EXTI (EXTI)
  */

typedef struct {                                /*!< EXTI Structure                                                            */
  __IOM uint32_t  IMR;                          /*!< IMR                                                                       */
  __IOM uint32_t  EMR;                          /*!< EMR                                                                       */
  __IOM uint32_t  RTSR;                         /*!< RTSR                                                                      */
  __IOM uint32_t  FTSR;                         /*!< FTSR                                                                      */
  __IOM uint32_t  SWIER;                        /*!< SWIER                                                                     */
  __IOM uint32_t  PR;                           /*!< PR                                                                        */
} EXTI_Type;                                    /*!< Size = 24 (0x18)                                                          */



/* =========================================================================================================================== */
/* ================                                           FLASH                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief FLASH (FLASH)
  */

typedef struct {                                /*!< FLASH Structure                                                           */
  __IOM uint32_t  ACR;                          /*!< ACR                                                                       */
  __IM  uint32_t  RESERVED;
  __IOM uint32_t  KEYR;                         /*!< KEYR                                                                      */
  __IOM uint32_t  OPTKEYR;                      /*!< OPTKEYR                                                                   */
  __IOM uint32_t  SR;                           /*!< SR                                                                        */
  __IOM uint32_t  CR;                           /*!< CR                                                                        */
  __IM  uint32_t  RESERVED1[2];
  __IOM uint32_t  OPTR1;                        /*!< OPTR1                                                                     */
  __IOM uint32_t  OPTR2;                        /*!< OPTR2                                                                     */
  __IM  uint32_t  RESERVED2;
  __IOM uint32_t  BANK0_WRPR;                   /*!< BANK0_WRPR                                                                */
  __IOM uint32_t  BANK1_WRPR;                   /*!< BANK1_WRPR                                                                */
  __IOM uint32_t  PCROP0SR;                     /*!< PCROP0SR                                                                  */
  __IOM uint32_t  PCROP0ER;                     /*!< PCROP0ER                                                                  */
  __IOM uint32_t  PCROP1SR;                     /*!< PCROP1SR                                                                  */
  __IOM uint32_t  PCROP1ER;                     /*!< PCROP1ER                                                                  */
} FLASH_Type;                                   /*!< Size = 68 (0x44)                                                          */



/* =========================================================================================================================== */
/* ================                                           GPIOA                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief GPIOA (GPIOA)
  */

typedef struct {                                /*!< GPIOA Structure                                                           */
  __IOM uint32_t  MODER;                        /*!< MODER                                                                     */
  __IOM uint32_t  OTYPER;                       /*!< OTYPER                                                                    */
  __IOM uint32_t  OSPDDER;                      /*!< OSPDDER                                                                   */
  __IOM uint32_t  PUPDR;                        /*!< PUPDR                                                                     */
  __IOM uint32_t  IDR;                          /*!< IDR                                                                       */
  __IOM uint32_t  ODR;                          /*!< ODR                                                                       */
  __IOM uint32_t  BSRR;                         /*!< BSRR                                                                      */
  __IOM uint32_t  LCKR;                         /*!< LCKR                                                                      */
  __IOM uint32_t  AFRL;                         /*!< AFRL                                                                      */
  __IOM uint32_t  AFRH;                         /*!< AFRH                                                                      */
  __IOM uint32_t  BRR;                          /*!< BRR                                                                       */
} GPIOA_Type;                                   /*!< Size = 44 (0x2c)                                                          */



/* =========================================================================================================================== */
/* ================                                           GPIOB                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief GPIOB (GPIOB)
  */

typedef struct {                                /*!< GPIOB Structure                                                           */
  __IOM uint32_t  MODER;                        /*!< MODER                                                                     */
  __IOM uint32_t  OTYPER;                       /*!< OTYPER                                                                    */
  __IOM uint32_t  OSPDDER;                      /*!< OSPDDER                                                                   */
  __IOM uint32_t  PUPDR;                        /*!< PUPDR                                                                     */
  __IOM uint32_t  IDR;                          /*!< IDR                                                                       */
  __IOM uint32_t  ODR;                          /*!< ODR                                                                       */
  __IOM uint32_t  BSRR;                         /*!< BSRR                                                                      */
  __IOM uint32_t  LCKR;                         /*!< LCKR                                                                      */
  __IOM uint32_t  AFRL;                         /*!< AFRL                                                                      */
  __IOM uint32_t  AFRH;                         /*!< AFRH                                                                      */
  __IOM uint32_t  BRR;                          /*!< BRR                                                                       */
} GPIOB_Type;                                   /*!< Size = 44 (0x2c)                                                          */



/* =========================================================================================================================== */
/* ================                                           GPIOC                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief GPIOC (GPIOC)
  */

typedef struct {                                /*!< GPIOC Structure                                                           */
  __IOM uint32_t  MODER;                        /*!< MODER                                                                     */
  __IOM uint32_t  OTYPER;                       /*!< OTYPER                                                                    */
  __IOM uint32_t  OSPDDER;                      /*!< OSPDDER                                                                   */
  __IOM uint32_t  PUPDR;                        /*!< PUPDR                                                                     */
  __IOM uint32_t  IDR;                          /*!< IDR                                                                       */
  __IOM uint32_t  ODR;                          /*!< ODR                                                                       */
  __IOM uint32_t  BSRR;                         /*!< BSRR                                                                      */
  __IOM uint32_t  LCKR;                         /*!< LCKR                                                                      */
  __IOM uint32_t  AFRL;                         /*!< AFRL                                                                      */
  __IOM uint32_t  AFRH;                         /*!< AFRH                                                                      */
  __IOM uint32_t  BRR;                          /*!< BRR                                                                       */
} GPIOC_Type;                                   /*!< Size = 44 (0x2c)                                                          */



/* =========================================================================================================================== */
/* ================                                           GPIOD                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief GPIOD (GPIOD)
  */

typedef struct {                                /*!< GPIOD Structure                                                           */
  __IOM uint32_t  MODER;                        /*!< MODER                                                                     */
  __IOM uint32_t  OTYPER;                       /*!< OTYPER                                                                    */
  __IOM uint32_t  OSPDDER;                      /*!< OSPDDER                                                                   */
  __IOM uint32_t  PUPDR;                        /*!< PUPDR                                                                     */
  __IOM uint32_t  IDR;                          /*!< IDR                                                                       */
  __IOM uint32_t  ODR;                          /*!< ODR                                                                       */
  __IOM uint32_t  BSRR;                         /*!< BSRR                                                                      */
  __IOM uint32_t  LCKR;                         /*!< LCKR                                                                      */
  __IOM uint32_t  AFRL;                         /*!< AFRL                                                                      */
  __IOM uint32_t  AFRH;                         /*!< AFRH                                                                      */
  __IOM uint32_t  BRR;                          /*!< BRR                                                                       */
} GPIOD_Type;                                   /*!< Size = 44 (0x2c)                                                          */



/* =========================================================================================================================== */
/* ================                                           I2C1                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief I2C1 (I2C1)
  */

typedef struct {                                /*!< I2C1 Structure                                                            */
  __IOM uint32_t  CR1;                          /*!< CR1                                                                       */
  __IOM uint32_t  CR2;                          /*!< CR2                                                                       */
  __IOM uint32_t  OAR1;                         /*!< OAR1                                                                      */
  __IOM uint32_t  OAR2;                         /*!< OAR2                                                                      */
  __IOM uint32_t  DR;                           /*!< DR                                                                        */
  __IOM uint32_t  SR1;                          /*!< SR1                                                                       */
  __IOM uint32_t  SR2;                          /*!< SR2                                                                       */
  __IOM uint32_t  CCR;                          /*!< CCR                                                                       */
  __IOM uint32_t  TRISE;                        /*!< TRISE                                                                     */
  __IOM uint32_t  TIMEOUTR;                     /*!< TIMEOUTR                                                                  */
} I2C1_Type;                                    /*!< Size = 40 (0x28)                                                          */



/* =========================================================================================================================== */
/* ================                                           IWDG                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief IWDG (IWDG)
  */

typedef struct {                                /*!< IWDG Structure                                                            */
  __IOM uint32_t  KR;                           /*!< KR                                                                        */
  __IOM uint32_t  PR;                           /*!< PR                                                                        */
  __IOM uint32_t  RLR;                          /*!< RLR                                                                       */
  __IOM uint32_t  SR;                           /*!< SR                                                                        */
} IWDG_Type;                                    /*!< Size = 16 (0x10)                                                          */



/* =========================================================================================================================== */
/* ================                                           LPTIM                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief LPTIM (LPTIM)
  */

typedef struct {                                /*!< LPTIM Structure                                                           */
  __IOM uint32_t  ISR;                          /*!< ISR                                                                       */
  __IOM uint32_t  ICR;                          /*!< ICR                                                                       */
  __IOM uint32_t  IER;                          /*!< IER                                                                       */
  __IOM uint32_t  CFGR;                         /*!< CFGR                                                                      */
  __IOM uint32_t  CR;                           /*!< CR                                                                        */
  __IOM uint32_t  CMP;                          /*!< CMP                                                                       */
  __IOM uint32_t  ARR;                          /*!< ARR                                                                       */
  __IOM uint32_t  CNT;                          /*!< CNT                                                                       */
  __IOM uint32_t  OR;                           /*!< OR                                                                        */
} LPTIM_Type;                                   /*!< Size = 36 (0x24)                                                          */



/* =========================================================================================================================== */
/* ================                                          LPUART                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief LPUART (LPUART)
  */

typedef struct {                                /*!< LPUART Structure                                                          */
  __IOM uint32_t  CR1;                          /*!< CR1                                                                       */
  __IOM uint32_t  CR2;                          /*!< CR2                                                                       */
  __IOM uint32_t  CR3;                          /*!< CR3                                                                       */
  __IOM uint32_t  BRR;                          /*!< BRR                                                                       */
  __IM  uint32_t  RESERVED[2];
  __IOM uint32_t  RQR;                          /*!< RQR                                                                       */
  __IOM uint32_t  ISR;                          /*!< ISR                                                                       */
  __IOM uint32_t  ICR;                          /*!< ICR                                                                       */
  __IOM uint32_t  RDR;                          /*!< RDR                                                                       */
  __IOM uint32_t  TDR;                          /*!< TDR                                                                       */
  __IOM uint32_t  PRESC;                        /*!< PRESC                                                                     */
} LPUART_Type;                                  /*!< Size = 48 (0x30)                                                          */



/* =========================================================================================================================== */
/* ================                                            OPA                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief OPA (OPA)
  */

typedef struct {                                /*!< OPA Structure                                                             */
  __IOM uint32_t  OPA1_CSR;                     /*!< OPA1_CSR                                                                  */
  __IOM uint32_t  OPA2_CSR;                     /*!< OPA2_CSR                                                                  */
  __IM  uint32_t  RESERVED[6];
  __IOM uint32_t  OPA2_FR;                      /*!< OPA2_FR                                                                   */
} OPA_Type;                                     /*!< Size = 36 (0x24)                                                          */



/* =========================================================================================================================== */
/* ================                                           PWM1                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief PWM1 (PWM1)
  */

typedef struct {                                /*!< PWM1 Structure                                                            */
  __IOM uint32_t  CR1;                          /*!< CR1                                                                       */
  __IOM uint32_t  CR2;                          /*!< CR2                                                                       */
  __IOM uint32_t  SMCR;                         /*!< SMCR                                                                      */
  __IOM uint32_t  DIER;                         /*!< DIER                                                                      */
  __IOM uint32_t  SR;                           /*!< SR                                                                        */
  __IOM uint32_t  EGR;                          /*!< EGR                                                                       */
  __IOM uint32_t  CMR;                          /*!< CMR                                                                       */
  __IM  uint32_t  RESERVED;
  __IOM uint32_t  CER;                          /*!< CER                                                                       */
  __IOM uint32_t  CNT;                          /*!< CNT                                                                       */
  __IOM uint32_t  PSC;                          /*!< PSC                                                                       */
  __IOM uint32_t  ARR;                          /*!< ARR                                                                       */
  __IM  uint32_t  RESERVED1;
  __IOM uint32_t  CCR1;                         /*!< CCR1                                                                      */
  __IOM uint32_t  CCR2;                         /*!< CCR2                                                                      */
  __IOM uint32_t  CCR3;                         /*!< CCR3                                                                      */
  __IOM uint32_t  CCR4;                         /*!< CCR4                                                                      */
  __IOM uint32_t  BDTR;                         /*!< BDTR                                                                      */
  __IOM uint32_t  DCR;                          /*!< DCR                                                                       */
  __IOM uint32_t  DMAR;                         /*!< DMAR                                                                      */
} PWM1_Type;                                    /*!< Size = 80 (0x50)                                                          */



/* =========================================================================================================================== */
/* ================                                           PWM4                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief PWM4 (PWM4)
  */

typedef struct {                                /*!< PWM4 Structure                                                            */
  __IOM uint32_t  CR1;                          /*!< CR1                                                                       */
  __IM  uint32_t  RESERVED[2];
  __IOM uint32_t  DIER;                         /*!< DIER                                                                      */
  __IOM uint32_t  SR;                           /*!< SR                                                                        */
  __IOM uint32_t  EGR;                          /*!< EGR                                                                       */
  __IOM uint32_t  CMR;                          /*!< CMR                                                                       */
  __IM  uint32_t  RESERVED1;
  __IOM uint32_t  CER;                          /*!< CER                                                                       */
  __IOM uint32_t  CNT;                          /*!< CNT                                                                       */
  __IOM uint32_t  PSC;                          /*!< PSC                                                                       */
  __IOM uint32_t  ARR;                          /*!< ARR                                                                       */
  __IM  uint32_t  RESERVED2;
  __IOM uint32_t  CCR1;                         /*!< CCR1                                                                      */
  __IOM uint32_t  CCR2;                         /*!< CCR2                                                                      */
  __IOM uint32_t  CCR3;                         /*!< CCR3                                                                      */
  __IOM uint32_t  CCR4;                         /*!< CCR4                                                                      */
  __IM  uint32_t  RESERVED3;
  __IOM uint32_t  DCR;                          /*!< DCR                                                                       */
  __IOM uint32_t  DMAR;                         /*!< DMAR                                                                      */
} PWM4_Type;                                    /*!< Size = 80 (0x50)                                                          */



/* =========================================================================================================================== */
/* ================                                            PWR                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief PWR (PWR)
  */

typedef struct {                                /*!< PWR Structure                                                             */
  __IOM uint32_t  CR1;                          /*!< CR1                                                                       */
  __IOM uint32_t  CR2;                          /*!< CR2                                                                       */
  __IOM uint32_t  CR3;                          /*!< CR3                                                                       */
  __IOM uint32_t  CR4;                          /*!< CR4                                                                       */
  __IOM uint32_t  SR;                           /*!< SR                                                                        */
  __IOM uint32_t  SCR;                          /*!< SCR                                                                       */
} PWR_Type;                                     /*!< Size = 24 (0x18)                                                          */



/* =========================================================================================================================== */
/* ================                                            RCC                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief desc RCC (RCC)
  */

typedef struct {                                /*!< RCC Structure                                                             */
  __IOM uint32_t  CR;                           /*!< clock control register                                                    */
  __IOM uint32_t  CFGR;                         /*!< clock configuration register                                              */
  __IOM uint32_t  CIR;                          /*!< clock interrupt register                                                  */
  __IM  uint32_t  RESERVED[7];
  __IOM uint32_t  AHBRSTR;                      /*!< AHBRSTR                                                                   */
  __IM  uint32_t  RESERVED1[3];
  __IOM uint32_t  APB1RSTR1;                    /*!< APB1RSTR1                                                                 */
  __IOM uint32_t  APB1RSTR2;                    /*!< APB1RSTR2                                                                 */
  __IOM uint32_t  APB2RSTR;                     /*!< APB2 peripheral reset register                                            */
  __IM  uint32_t  RESERVED2;
  __IOM uint32_t  AHBENR;                       /*!< AHBENR                                                                    */
  __IM  uint32_t  RESERVED3[3];
  __IOM uint32_t  APB1ENR1;                     /*!< APB1ENR1                                                                  */
  __IOM uint32_t  APB1ENR2;                     /*!< APB1ENR2                                                                  */
  __IOM uint32_t  APB2ENR;                      /*!< APB2 peripheral clock enable register                                     */
  __IM  uint32_t  RESERVED4;
  __IOM uint32_t  CCIPR;                        /*!< CCIPR                                                                     */
  __IM  uint32_t  RESERVED5;
  __IOM uint32_t  BDCR;                         /*!< Backup domain control register                                            */
  __IOM uint32_t  CSR;                          /*!< clock control & status register                                           */
  __IOM uint32_t  CFGR1;                        /*!< clock configuration register 1                                            */
  __IOM uint32_t  CFGR2;                        /*!< desc CFGR2                                                                */
  __IOM uint32_t  CFGR3;                        /*!< CFGR3                                                                     */
} RCC_Type;                                     /*!< Size = 132 (0x84)                                                         */



/* =========================================================================================================================== */
/* ================                                            RTC                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief RTC (RTC)
  */

typedef struct {                                /*!< RTC Structure                                                             */
  __IOM uint32_t  CRH;                          /*!< CRH                                                                       */
  __IOM uint32_t  CRL;                          /*!< CRL                                                                       */
  __IOM uint32_t  PRLH;                         /*!< PRLH                                                                      */
  __IOM uint32_t  PRLL;                         /*!< PRLL                                                                      */
  __IOM uint32_t  DIVH;                         /*!< DIVH                                                                      */
  __IOM uint32_t  DIVL;                         /*!< DIVL                                                                      */
  __IOM uint32_t  CNTH;                         /*!< CNTH                                                                      */
  __IOM uint32_t  CNTL;                         /*!< CNTL                                                                      */
  __IOM uint32_t  ALRH;                         /*!< ALRH                                                                      */
  __IOM uint32_t  ALRL;                         /*!< ALRL                                                                      */
  __IM  uint32_t  RESERVED[2];
  __IOM uint32_t  TMPCFGR;                      /*!< TMPCFGR                                                                   */
  __IOM uint32_t  TMPCSR;                       /*!< TMPCSR                                                                    */
  __IOM uint32_t  CALIBR;                       /*!< CALIBR                                                                    */
  __IM  uint32_t  RESERVED1;
  __IOM uint32_t  BKP_DR0;                      /*!< BKP_DR0                                                                   */
  __IOM uint32_t  BKP_DR1;                      /*!< BKP_DR1                                                                   */
  __IOM uint32_t  BKP_DR2;                      /*!< BKP_DR2                                                                   */
  __IOM uint32_t  BKP_DR3;                      /*!< BKP_DR3                                                                   */
  __IOM uint32_t  BKP_DR4;                      /*!< BKP_DR4                                                                   */
} RTC_Type;                                     /*!< Size = 84 (0x54)                                                          */



/* =========================================================================================================================== */
/* ================                                           SPI1                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief SPI1 (SPI1)
  */

typedef struct {                                /*!< SPI1 Structure                                                            */
  __IOM uint32_t  CR1;                          /*!< CR1                                                                       */
  __IOM uint32_t  CR2;                          /*!< CR2                                                                       */
  __IOM uint32_t  SR;                           /*!< SR                                                                        */
  __IOM uint32_t  DR;                           /*!< DR                                                                        */
  __IOM uint32_t  CRCPR;                        /*!< CRCPR                                                                     */
  __IOM uint32_t  RXCRCR;                       /*!< RXCRCR                                                                    */
  __IOM uint32_t  TXCRCR;                       /*!< TXCRCR                                                                    */
  __IOM uint32_t  I2S_CFGR;                     /*!< I2S_CFGR                                                                  */
  __IOM uint32_t  I2SPR;                        /*!< I2SPR                                                                     */
} SPI1_Type;                                    /*!< Size = 36 (0x24)                                                          */



/* =========================================================================================================================== */
/* ================                                          SYSCFG                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief SYSCFG (SYSCFG)
  */

typedef struct {                                /*!< SYSCFG Structure                                                          */
  __IOM uint32_t  CFGR1;                        /*!< CFGR1                                                                     */
  __IOM uint32_t  CFGR2;                        /*!< CFGR2                                                                     */
  __IOM uint32_t  CFGR3;                        /*!< CFGR3                                                                     */
  __IOM uint32_t  CFGR4;                        /*!< CFGR4                                                                     */
  __IM  uint32_t  RESERVED;
  __IOM uint32_t  EXTICR1;                      /*!< EXTICR1                                                                   */
  __IOM uint32_t  EXTICR2;                      /*!< EXTICR2                                                                   */
  __IOM uint32_t  EXTICR3;                      /*!< EXTICR3                                                                   */
  __IOM uint32_t  EXTICR4;                      /*!< EXTICR4                                                                   */
  __IOM uint32_t  PA_ENS;                       /*!< PA_ENS                                                                    */
  __IOM uint32_t  PB_ENS;                       /*!< PB_ENS                                                                    */
  __IOM uint32_t  PC_ENS;                       /*!< PC_ENS                                                                    */
  __IOM uint32_t  PD_ENS;                       /*!< PD_ENS                                                                    */
  __IM  uint32_t  RESERVED1[3];
  __IOM uint32_t  COMP_ANA2ENR;                 /*!< COMP_ANA2ENR                                                              */
} SYSCFG_Type;                                  /*!< Size = 68 (0x44)                                                          */



/* =========================================================================================================================== */
/* ================                                           TIM1                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief TIM1 (TIM1)
  */

typedef struct {                                /*!< TIM1 Structure                                                            */
  __IOM uint32_t  CR1;                          /*!< CR1                                                                       */
  __IOM uint32_t  CR2;                          /*!< CR2                                                                       */
  __IOM uint32_t  SMCR;                         /*!< SMCR                                                                      */
  __IOM uint32_t  DIER;                         /*!< DIER                                                                      */
  __IOM uint32_t  SR;                           /*!< SR                                                                        */
  __IOM uint32_t  EGR;                          /*!< EGR                                                                       */
  
  union {
    __IOM uint32_t CCMR1_OUTPUT;                /*!< CCMR1_OUTPUT                                                              */
    __IOM uint32_t CCMR1_INPUT;                 /*!< CCMR1_INPUT                                                               */
  };
  
  union {
    __IOM uint32_t CCMR2_OUTPUT;                /*!< CCMR2_OUTPUT                                                              */
    __IOM uint32_t CCMR2_INPUT;                 /*!< CCMR2_INPUT                                                               */
  };
  __IOM uint32_t  CCER;                         /*!< CCER                                                                      */
  __IOM uint32_t  CNT;                          /*!< CNT                                                                       */
  __IOM uint32_t  PSC;                          /*!< PSC                                                                       */
  __IOM uint32_t  ARR;                          /*!< ARR                                                                       */
  __IOM uint32_t  RCR;                          /*!< RCR                                                                       */
  __IOM uint32_t  CCR1;                         /*!< CCR1                                                                      */
  __IOM uint32_t  CCR2;                         /*!< CCR2                                                                      */
  __IOM uint32_t  CCR3;                         /*!< CCR3                                                                      */
  __IOM uint32_t  CCR4;                         /*!< CCR4                                                                      */
  __IOM uint32_t  BDTR;                         /*!< BDTR                                                                      */
  __IOM uint32_t  CCR5;                         /*!< CCR5                                                                      */
  __IOM uint32_t  CCR6;                         /*!< CCR6                                                                      */
  __IOM uint32_t  CCMR3_OUTPUT;                 /*!< CCMR3_OUTPUT                                                              */
  __IM  uint32_t  RESERVED[2];
  __IOM uint32_t  TISEL;                        /*!< TISEL                                                                     */
  __IOM uint32_t  AF1;                          /*!< AF1                                                                       */
  __IOM uint32_t  AF2;                          /*!< AF2                                                                       */
  __IM  uint32_t  RESERVED1[221];
  __IOM uint32_t  DCR;                          /*!< DCR                                                                       */
  __IOM uint32_t  DMAR;                         /*!< DMAR                                                                      */
} TIM1_Type;                                    /*!< Size = 996 (0x3e4)                                                        */



/* =========================================================================================================================== */
/* ================                                           TIM2                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief TIM2 (TIM2)
  */

typedef struct {                                /*!< TIM2 Structure                                                            */
  __IOM uint32_t  CR1;                          /*!< CR1                                                                       */
  __IOM uint32_t  CR2;                          /*!< CR2                                                                       */
  __IOM uint32_t  SMCR;                         /*!< SMCR                                                                      */
  __IOM uint32_t  DIER;                         /*!< DIER                                                                      */
  __IOM uint32_t  SR;                           /*!< SR                                                                        */
  __IOM uint32_t  EGR;                          /*!< EGR                                                                       */
  
  union {
    __IOM uint32_t CCMR1_OUTPUT;                /*!< CCMR1_OUTPUT                                                              */
    __IOM uint32_t CCMR1_INPUT;                 /*!< CCMR1_INPUT                                                               */
  };
  
  union {
    __IOM uint32_t CCMR2_OUTPUT;                /*!< CCMR2_OUTPUT                                                              */
    __IOM uint32_t CCMR2_INPUT;                 /*!< CCMR2_INPUT                                                               */
  };
  __IOM uint32_t  CCER;                         /*!< CCER                                                                      */
  __IOM uint32_t  CNT;                          /*!< CNT                                                                       */
  __IOM uint32_t  PSC;                          /*!< PSC                                                                       */
  __IOM uint32_t  ARR;                          /*!< ARR                                                                       */
  __IM  uint32_t  RESERVED;
  __IOM uint32_t  CCR1;                         /*!< CCR1                                                                      */
  __IOM uint32_t  CCR2;                         /*!< CCR2                                                                      */
  __IOM uint32_t  CCR3;                         /*!< CCR3                                                                      */
  __IOM uint32_t  CCR4;                         /*!< CCR4                                                                      */
  __IM  uint32_t  RESERVED1[6];
  __IOM uint32_t  TISEL;                        /*!< TISEL                                                                     */
  __IOM uint32_t  AF1;                          /*!< AF1                                                                       */
  __IOM uint32_t  AF2;                          /*!< AF2                                                                       */
  __IM  uint32_t  RESERVED2[221];
  __IOM uint32_t  DCR;                          /*!< DCR                                                                       */
  __IOM uint32_t  DMAR;                         /*!< DMAR                                                                      */
} TIM2_Type;                                    /*!< Size = 996 (0x3e4)                                                        */



/* =========================================================================================================================== */
/* ================                                           TIM3                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief TIM3 (TIM3)
  */

typedef struct {                                /*!< TIM3 Structure                                                            */
  __IOM uint32_t  CR1;                          /*!< CR1                                                                       */
  __IOM uint32_t  CR2;                          /*!< CR2                                                                       */
  __IOM uint32_t  SMCR;                         /*!< SMCR                                                                      */
  __IOM uint32_t  DIER;                         /*!< DIER                                                                      */
  __IOM uint32_t  SR;                           /*!< SR                                                                        */
  __IOM uint32_t  EGR;                          /*!< EGR                                                                       */
  
  union {
    __IOM uint32_t CCMR1_OUTPUT;                /*!< CCMR1_OUTPUT                                                              */
    __IOM uint32_t CCMR1_INPUT;                 /*!< CCMR1_INPUT                                                               */
  };
  
  union {
    __IOM uint32_t CCMR2_OUTPUT;                /*!< CCMR2_OUTPUT                                                              */
    __IOM uint32_t CCMR2_INPUT;                 /*!< CCMR2_INPUT                                                               */
  };
  __IOM uint32_t  CCER;                         /*!< CCER                                                                      */
  __IOM uint32_t  CNT;                          /*!< CNT                                                                       */
  __IOM uint32_t  PSC;                          /*!< PSC                                                                       */
  __IOM uint32_t  ARR;                          /*!< ARR                                                                       */
  __IM  uint32_t  RESERVED;
  __IOM uint32_t  CCR1;                         /*!< CCR1                                                                      */
  __IOM uint32_t  CCR2;                         /*!< CCR2                                                                      */
  __IOM uint32_t  CCR3;                         /*!< CCR3                                                                      */
  __IOM uint32_t  CCR4;                         /*!< CCR4                                                                      */
  __IM  uint32_t  RESERVED1[6];
  __IOM uint32_t  TISEL;                        /*!< TISEL                                                                     */
  __IOM uint32_t  AF1;                          /*!< AF1                                                                       */
  __IOM uint32_t  AF2;                          /*!< AF2                                                                       */
  __IM  uint32_t  RESERVED2[221];
  __IOM uint32_t  TIMXDCR;                      /*!< TIMXDCR                                                                   */
  __IOM uint32_t  DMAR;                         /*!< DMAR                                                                      */
} TIM3_Type;                                    /*!< Size = 996 (0x3e4)                                                        */



/* =========================================================================================================================== */
/* ================                                           TIM6                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief TIM6 (TIM6)
  */

typedef struct {                                /*!< TIM6 Structure                                                            */
  __IOM uint32_t  CR1;                          /*!< CR1                                                                       */
  __IM  uint32_t  RESERVED[2];
  __IOM uint32_t  DIER;                         /*!< DIER                                                                      */
  __IOM uint32_t  SR;                           /*!< SR                                                                        */
  __IOM uint32_t  EGR;                          /*!< EGR                                                                       */
  __IM  uint32_t  RESERVED1[3];
  __IOM uint32_t  CNT;                          /*!< CNT                                                                       */
  __IOM uint32_t  PSC;                          /*!< PSC                                                                       */
  __IOM uint32_t  ARR;                          /*!< ARR                                                                       */
} TIM6_Type;                                    /*!< Size = 48 (0x30)                                                          */



/* =========================================================================================================================== */
/* ================                                           TIM15                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief TIM15 (TIM15)
  */

typedef struct {                                /*!< TIM15 Structure                                                           */
  __IOM uint32_t  CR1;                          /*!< CR1                                                                       */
  __IOM uint32_t  CR2;                          /*!< CR2                                                                       */
  __IOM uint32_t  SMCR;                         /*!< SMCR                                                                      */
  __IOM uint32_t  DIER;                         /*!< DIER                                                                      */
  __IOM uint32_t  SR;                           /*!< SR                                                                        */
  __IOM uint32_t  EGR;                          /*!< EGR                                                                       */
  
  union {
    __IOM uint32_t CCMR1_OUTPUT;                /*!< CCMR1_OUTPUT                                                              */
    __IOM uint32_t CCMR1_INPUT;                 /*!< CCMR1_INPUT                                                               */
  };
  __IM  uint32_t  RESERVED;
  __IOM uint32_t  CCER;                         /*!< CCER                                                                      */
  __IOM uint32_t  CNT;                          /*!< CNT                                                                       */
  __IOM uint32_t  PSC;                          /*!< PSC                                                                       */
  __IOM uint32_t  ARR;                          /*!< ARR                                                                       */
  __IOM uint32_t  RCR;                          /*!< RCR                                                                       */
  __IOM uint32_t  CCR1;                         /*!< CCR1                                                                      */
  __IOM uint32_t  CCR2;                         /*!< CCR2                                                                      */
  __IM  uint32_t  RESERVED1[2];
  __IOM uint32_t  BDTR;                         /*!< BDTR                                                                      */
  __IM  uint32_t  RESERVED2[5];
  __IOM uint32_t  TISEL;                        /*!< TISEL                                                                     */
  __IOM uint32_t  AF1;                          /*!< AF1                                                                       */
  __IM  uint32_t  RESERVED3[222];
  __IOM uint32_t  TIMXDCR;                      /*!< TIMXDCR                                                                   */
  __IOM uint32_t  DMAR;                         /*!< DMAR                                                                      */
} TIM15_Type;                                   /*!< Size = 996 (0x3e4)                                                        */



/* =========================================================================================================================== */
/* ================                                           TIM16                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief TIM16 (TIM16)
  */

typedef struct {                                /*!< TIM16 Structure                                                           */
  __IOM uint32_t  CR1;                          /*!< CR1                                                                       */
  __IOM uint32_t  CR2;                          /*!< CR2                                                                       */
  __IM  uint32_t  RESERVED;
  __IOM uint32_t  DIER;                         /*!< DIER                                                                      */
  __IOM uint32_t  SR;                           /*!< SR                                                                        */
  __IOM uint32_t  EGR;                          /*!< EGR                                                                       */
  
  union {
    __IOM uint32_t CCMR1_OUTPUT;                /*!< CCMR1_OUTPUT                                                              */
    __IOM uint32_t CCMR1_INPUT;                 /*!< CCMR1_INPUT                                                               */
  };
  __IM  uint32_t  RESERVED1;
  __IOM uint32_t  CCER;                         /*!< CCER                                                                      */
  __IOM uint32_t  CNT;                          /*!< CNT                                                                       */
  __IOM uint32_t  PSC;                          /*!< PSC                                                                       */
  __IOM uint32_t  ARR;                          /*!< ARR                                                                       */
  __IOM uint32_t  RCR;                          /*!< RCR                                                                       */
  __IOM uint32_t  CCR1;                         /*!< CCR1                                                                      */
  __IM  uint32_t  RESERVED2[3];
  __IOM uint32_t  BDTR;                         /*!< BDTR                                                                      */
  __IM  uint32_t  RESERVED3[5];
  __IOM uint32_t  TISEL;                        /*!< TISEL                                                                     */
  __IOM uint32_t  AF1;                          /*!< AF1                                                                       */
  __IM  uint32_t  RESERVED4[222];
  __IOM uint32_t  DCR;                          /*!< DCR                                                                       */
  __IOM uint32_t  DMAR;                         /*!< DMAR                                                                      */
} TIM16_Type;                                   /*!< Size = 996 (0x3e4)                                                        */



/* =========================================================================================================================== */
/* ================                                           UART1                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief UART1 (UART1)
  */

typedef struct {                                /*!< UART1 Structure                                                           */
  __IOM uint32_t  DR;                           /*!< DR                                                                        */
  __IOM uint32_t  BRR;                          /*!< BRR                                                                       */
  __IM  uint32_t  RESERVED[2];
  __IOM uint32_t  SR;                           /*!< SR                                                                        */
  __IOM uint32_t  CR1;                          /*!< CR1                                                                       */
  __IOM uint32_t  CR2;                          /*!< CR2                                                                       */
  __IOM uint32_t  CR3;                          /*!< CR3                                                                       */
  __IOM uint32_t  RAR;                          /*!< RAR                                                                       */
  __IOM uint32_t  TAR;                          /*!< TAR                                                                       */
  __IOM uint32_t  BRRF;                         /*!< BRRF                                                                      */
} UART1_Type;                                   /*!< Size = 44 (0x2c)                                                          */



/* =========================================================================================================================== */
/* ================                                           USART                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief USART (USART)
  */

typedef struct {                                /*!< USART Structure                                                           */
  __IOM uint32_t  SR;                           /*!< SR                                                                        */
  __IOM uint32_t  DR;                           /*!< DR                                                                        */
  __IOM uint32_t  BRR;                          /*!< BRR                                                                       */
  __IOM uint32_t  CR1;                          /*!< CR1                                                                       */
  __IOM uint32_t  CR2;                          /*!< CR2                                                                       */
  __IOM uint32_t  CR3;                          /*!< CR3                                                                       */
  __IOM uint32_t  GTPR;                         /*!< GTPR                                                                      */
  __IOM uint32_t  RTOR;                         /*!< RTOR                                                                      */
} USART_Type;                                   /*!< Size = 32 (0x20)                                                          */



/* =========================================================================================================================== */
/* ================                                           WWDG                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief WWDG (WWDG)
  */

typedef struct {                                /*!< WWDG Structure                                                            */
  __IOM uint32_t  WWDR_CR;                      /*!< WWDR_CR                                                                   */
  __IOM uint32_t  CFR;                          /*!< CFR                                                                       */
  __IOM uint16_t  SR;                           /*!< SR                                                                        */
  __IM  uint16_t  RESERVED;
} WWDG_Type;                                    /*!< Size = 12 (0xc)                                                           */


/** @} */ /* End of group Device_Peripheral_peripherals */


/* =========================================================================================================================== */
/* ================                          Device Specific Peripheral Address Map                           ================ */
/* =========================================================================================================================== */


/** @addtogroup Device_Peripheral_peripheralAddr
  * @{
  */

#define ADC_BASE                    0x40012400UL
#define COMP_BASE                   0x40016C00UL
#define CRC_BASE                    0x40023000UL
#define DBG_BASE                    0xE0042000UL
#define DMA_BASE                    0x40020000UL
#define EXTI_BASE                   0x40010400UL
#define FLASH_BASE                  0x40022000UL
#define GPIOA_BASE                  0x40024000UL
#define GPIOB_BASE                  0x40024400UL
#define GPIOC_BASE                  0x40024800UL
#define GPIOD_BASE                  0x40024C00UL
#define I2C1_BASE                   0x40005400UL
#define I2C2_BASE                   0x40005800UL
#define IWDG_BASE                   0x40003000UL
#define LPTIM_BASE                  0x40007C00UL
#define LPUART_BASE                 0x40008000UL
#define OPA_BASE                    0x40017000UL
#define PWM1_BASE                   0x40003400UL
#define PWM2_BASE                   0x40004000UL
#define PWM3_BASE                   0x40014000UL
#define PWM4_BASE                   0x40017800UL
#define PWR_BASE                    0x40007000UL
#define RCC_BASE                    0x40021000UL
#define RTC_BASE                    0x40002800UL
#define SPI1_BASE                   0x40013000UL
#define SPI2_BASE                   0x40003800UL
#define SYSCFG_BASE                 0x40010000UL
#define TIM1_BASE                   0x40012C00UL
#define TIM2_BASE                   0x40000000UL
#define TIM3_BASE                   0x40000400UL
#define TIM4_BASE                   0x40000800UL
#define TIM6_BASE                   0x40001000UL
#define TIM7_BASE                   0x40001400UL
#define TIM15_BASE                  0x40015800UL
#define TIM16_BASE                  0x40015C00UL
#define TIM17_BASE                  0x40016000UL
#define UART1_BASE                  0x40004C00UL
#define UART2_BASE                  0x40005000UL
#define USART_BASE                  0x40013800UL
#define WWDG_BASE                   0x40002C00UL

/** @} */ /* End of group Device_Peripheral_peripheralAddr */


/* =========================================================================================================================== */
/* ================                                  Peripheral declaration                                   ================ */
/* =========================================================================================================================== */


/** @addtogroup Device_Peripheral_declaration
  * @{
  */

#define ADC                         ((ADC_Type*)               ADC_BASE)
#define COMP                        ((COMP_Type*)              COMP_BASE)
#define CRC                         ((CRC_Type*)               CRC_BASE)
#define DBG                         ((DBG_Type*)               DBG_BASE)
#define DMA                         ((DMA_Type*)               DMA_BASE)
#define EXTI                        ((EXTI_Type*)              EXTI_BASE)
#define FLASH                       ((FLASH_Type*)             FLASH_BASE)
#define GPIOA                       ((GPIOA_Type*)             GPIOA_BASE)
#define GPIOB                       ((GPIOB_Type*)             GPIOB_BASE)
#define GPIOC                       ((GPIOC_Type*)             GPIOC_BASE)
#define GPIOD                       ((GPIOD_Type*)             GPIOD_BASE)
#define I2C1                        ((I2C1_Type*)              I2C1_BASE)
#define I2C2                        ((I2C1_Type*)              I2C2_BASE)
#define IWDG                        ((IWDG_Type*)              IWDG_BASE)
#define LPTIM                       ((LPTIM_Type*)             LPTIM_BASE)
#define LPUART                      ((LPUART_Type*)            LPUART_BASE)
#define OPA                         ((OPA_Type*)               OPA_BASE)
#define PWM1                        ((PWM1_Type*)              PWM1_BASE)
#define PWM2                        ((PWM1_Type*)              PWM2_BASE)
#define PWM3                        ((PWM1_Type*)              PWM3_BASE)
#define PWM4                        ((PWM4_Type*)              PWM4_BASE)
#define PWR                         ((PWR_Type*)               PWR_BASE)
#define RCC                         ((RCC_Type*)               RCC_BASE)
#define RTC                         ((RTC_Type*)               RTC_BASE)
#define SPI1                        ((SPI1_Type*)              SPI1_BASE)
#define SPI2                        ((SPI1_Type*)              SPI2_BASE)
#define SYSCFG                      ((SYSCFG_Type*)            SYSCFG_BASE)
#define TIM1                        ((TIM1_Type*)              TIM1_BASE)
#define TIM2                        ((TIM2_Type*)              TIM2_BASE)
#define TIM3                        ((TIM3_Type*)              TIM3_BASE)
#define TIM4                        ((TIM3_Type*)              TIM4_BASE)
#define TIM6                        ((TIM6_Type*)              TIM6_BASE)
#define TIM7                        ((TIM6_Type*)              TIM7_BASE)
#define TIM15                       ((TIM15_Type*)             TIM15_BASE)
#define TIM16                       ((TIM16_Type*)             TIM16_BASE)
#define TIM17                       ((TIM16_Type*)             TIM17_BASE)
#define UART1                       ((UART1_Type*)             UART1_BASE)
#define UART2                       ((UART1_Type*)             UART2_BASE)
#define USART                       ((USART_Type*)             USART_BASE)
#define WWDG                        ((WWDG_Type*)              WWDG_BASE)

/** @} */ /* End of group Device_Peripheral_declaration */


/* =========================================  End of section using anonymous unions  ========================================= */
#if defined (__CC_ARM)
  #pragma pop
#elif defined (__ICCARM__)
  /* leave anonymous unions enabled */
#elif defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 6010050)
  #pragma clang diagnostic pop
#elif defined (__GNUC__)
  /* anonymous unions are enabled by default */
#elif defined (__TMS470__)
  /* anonymous unions are enabled by default */
#elif defined (__TASKING__)
  #pragma warning restore
#elif defined (__CSMC__)
  /* anonymous unions are enabled by default */
#endif


/* =========================================================================================================================== */
/* ================                                Pos/Mask Peripheral Section                                ================ */
/* =========================================================================================================================== */


/** @addtogroup PosMask_peripherals
  * @{
  */



/* =========================================================================================================================== */
/* ================                                            ADC                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  ISR  ========================================================== */
#define ADC_ISR_EOSMP_Pos                 (1UL)                     /*!< EOSMP (Bit 1)                                         */
#define ADC_ISR_EOSMP_Msk                 (0x2UL)                   /*!< EOSMP (Bitfield-Mask: 0x01)                           */
#define ADC_ISR_EOC_Pos                   (2UL)                     /*!< EOC (Bit 2)                                           */
#define ADC_ISR_EOC_Msk                   (0x4UL)                   /*!< EOC (Bitfield-Mask: 0x01)                             */
#define ADC_ISR_EOS_Pos                   (3UL)                     /*!< EOS (Bit 3)                                           */
#define ADC_ISR_EOS_Msk                   (0x8UL)                   /*!< EOS (Bitfield-Mask: 0x01)                             */
#define ADC_ISR_OVR_Pos                   (4UL)                     /*!< OVR (Bit 4)                                           */
#define ADC_ISR_OVR_Msk                   (0x10UL)                  /*!< OVR (Bitfield-Mask: 0x01)                             */
#define ADC_ISR_JEOC_Pos                  (5UL)                     /*!< JEOC (Bit 5)                                          */
#define ADC_ISR_JEOC_Msk                  (0x20UL)                  /*!< JEOC (Bitfield-Mask: 0x01)                            */
#define ADC_ISR_JEOS_Pos                  (6UL)                     /*!< JEOS (Bit 6)                                          */
#define ADC_ISR_JEOS_Msk                  (0x40UL)                  /*!< JEOS (Bitfield-Mask: 0x01)                            */
#define ADC_ISR_AWD1_Pos                  (7UL)                     /*!< AWD1 (Bit 7)                                          */
#define ADC_ISR_AWD1_Msk                  (0x80UL)                  /*!< AWD1 (Bitfield-Mask: 0x01)                            */
#define ADC_ISR_AWD2_Pos                  (8UL)                     /*!< AWD2 (Bit 8)                                          */
#define ADC_ISR_AWD2_Msk                  (0x100UL)                 /*!< AWD2 (Bitfield-Mask: 0x01)                            */
#define ADC_ISR_AWD3_Pos                  (9UL)                     /*!< AWD3 (Bit 9)                                          */
#define ADC_ISR_AWD3_Msk                  (0x200UL)                 /*!< AWD3 (Bitfield-Mask: 0x01)                            */
#define ADC_ISR_EOCAL_Pos                 (11UL)                    /*!< EOCAL (Bit 11)                                        */
#define ADC_ISR_EOCAL_Msk                 (0x800UL)                 /*!< EOCAL (Bitfield-Mask: 0x01)                           */
/* ==========================================================  IER  ========================================================== */
#define ADC_IER_ADRDYIE_Pos               (0UL)                     /*!< ADRDYIE (Bit 0)                                       */
#define ADC_IER_ADRDYIE_Msk               (0x1UL)                   /*!< ADRDYIE (Bitfield-Mask: 0x01)                         */
#define ADC_IER_EOSMPIE_Pos               (1UL)                     /*!< EOSMPIE (Bit 1)                                       */
#define ADC_IER_EOSMPIE_Msk               (0x2UL)                   /*!< EOSMPIE (Bitfield-Mask: 0x01)                         */
#define ADC_IER_EOCIE_Pos                 (2UL)                     /*!< EOCIE (Bit 2)                                         */
#define ADC_IER_EOCIE_Msk                 (0x4UL)                   /*!< EOCIE (Bitfield-Mask: 0x01)                           */
#define ADC_IER_EOSIE_Pos                 (3UL)                     /*!< EOSIE (Bit 3)                                         */
#define ADC_IER_EOSIE_Msk                 (0x8UL)                   /*!< EOSIE (Bitfield-Mask: 0x01)                           */
#define ADC_IER_OVRIE_Pos                 (4UL)                     /*!< OVRIE (Bit 4)                                         */
#define ADC_IER_OVRIE_Msk                 (0x10UL)                  /*!< OVRIE (Bitfield-Mask: 0x01)                           */
#define ADC_IER_JEOCIE_Pos                (5UL)                     /*!< JEOCIE (Bit 5)                                        */
#define ADC_IER_JEOCIE_Msk                (0x20UL)                  /*!< JEOCIE (Bitfield-Mask: 0x01)                          */
#define ADC_IER_JEOSIE_Pos                (6UL)                     /*!< JEOSIE (Bit 6)                                        */
#define ADC_IER_JEOSIE_Msk                (0x40UL)                  /*!< JEOSIE (Bitfield-Mask: 0x01)                          */
#define ADC_IER_AWD1IE_Pos                (7UL)                     /*!< AWD1IE (Bit 7)                                        */
#define ADC_IER_AWD1IE_Msk                (0x80UL)                  /*!< AWD1IE (Bitfield-Mask: 0x01)                          */
#define ADC_IER_AWD2IE_Pos                (8UL)                     /*!< AWD2IE (Bit 8)                                        */
#define ADC_IER_AWD2IE_Msk                (0x100UL)                 /*!< AWD2IE (Bitfield-Mask: 0x01)                          */
#define ADC_IER_AWD3IE_Pos                (9UL)                     /*!< AWD3IE (Bit 9)                                        */
#define ADC_IER_AWD3IE_Msk                (0x200UL)                 /*!< AWD3IE (Bitfield-Mask: 0x01)                          */
#define ADC_IER_EOCALIE_Pos               (11UL)                    /*!< EOCALIE (Bit 11)                                      */
#define ADC_IER_EOCALIE_Msk               (0x800UL)                 /*!< EOCALIE (Bitfield-Mask: 0x01)                         */
/* ==========================================================  CR  =========================================================== */
#define ADC_CR_ADEN_Pos                   (0UL)                     /*!< ADEN (Bit 0)                                          */
#define ADC_CR_ADEN_Msk                   (0x1UL)                   /*!< ADEN (Bitfield-Mask: 0x01)                            */
#define ADC_CR_ADDIS_Pos                  (1UL)                     /*!< ADDIS (Bit 1)                                         */
#define ADC_CR_ADDIS_Msk                  (0x2UL)                   /*!< ADDIS (Bitfield-Mask: 0x01)                           */
#define ADC_CR_ADSTART_Pos                (2UL)                     /*!< ADSTART (Bit 2)                                       */
#define ADC_CR_ADSTART_Msk                (0x4UL)                   /*!< ADSTART (Bitfield-Mask: 0x01)                         */
#define ADC_CR_JADSTART_Pos               (3UL)                     /*!< JADSTART (Bit 3)                                      */
#define ADC_CR_JADSTART_Msk               (0x8UL)                   /*!< JADSTART (Bitfield-Mask: 0x01)                        */
#define ADC_CR_ADSTP_Pos                  (4UL)                     /*!< ADSTP (Bit 4)                                         */
#define ADC_CR_ADSTP_Msk                  (0x10UL)                  /*!< ADSTP (Bitfield-Mask: 0x01)                           */
#define ADC_CR_JADSTP_Pos                 (5UL)                     /*!< JADSTP (Bit 5)                                        */
#define ADC_CR_JADSTP_Msk                 (0x20UL)                  /*!< JADSTP (Bitfield-Mask: 0x01)                          */
#define ADC_CR_RSTCAL_Pos                 (27UL)                    /*!< RSTCAL (Bit 27)                                       */
#define ADC_CR_RSTCAL_Msk                 (0x8000000UL)             /*!< RSTCAL (Bitfield-Mask: 0x01)                          */
#define ADC_CR_ADCAL_Pos                  (31UL)                    /*!< ADCAL (Bit 31)                                        */
#define ADC_CR_ADCAL_Msk                  (0x80000000UL)            /*!< ADCAL (Bitfield-Mask: 0x01)                           */
/* =========================================================  CFGR  ========================================================== */
#define ADC_CFGR_DMAEN_Pos                (0UL)                     /*!< DMAEN (Bit 0)                                         */
#define ADC_CFGR_DMAEN_Msk                (0x1UL)                   /*!< DMAEN (Bitfield-Mask: 0x01)                           */
#define ADC_CFGR_DMACFG_Pos               (1UL)                     /*!< DMACFG (Bit 1)                                        */
#define ADC_CFGR_DMACFG_Msk               (0x2UL)                   /*!< DMACFG (Bitfield-Mask: 0x01)                          */
#define ADC_CFGR_RES_Pos                  (3UL)                     /*!< RES (Bit 3)                                           */
#define ADC_CFGR_RES_Msk                  (0x18UL)                  /*!< RES (Bitfield-Mask: 0x03)                             */
#define ADC_CFGR_EXTSEL_Pos               (5UL)                     /*!< EXTSEL (Bit 5)                                        */
#define ADC_CFGR_EXTSEL_Msk               (0x3e0UL)                 /*!< EXTSEL (Bitfield-Mask: 0x1f)                          */
#define ADC_CFGR_EXTEN_Pos                (10UL)                    /*!< EXTEN (Bit 10)                                        */
#define ADC_CFGR_EXTEN_Msk                (0xc00UL)                 /*!< EXTEN (Bitfield-Mask: 0x03)                           */
#define ADC_CFGR_OVRMOD_Pos               (12UL)                    /*!< OVRMOD (Bit 12)                                       */
#define ADC_CFGR_OVRMOD_Msk               (0x1000UL)                /*!< OVRMOD (Bitfield-Mask: 0x01)                          */
#define ADC_CFGR_CONT_Pos                 (13UL)                    /*!< CONT (Bit 13)                                         */
#define ADC_CFGR_CONT_Msk                 (0x2000UL)                /*!< CONT (Bitfield-Mask: 0x01)                            */
#define ADC_CFGR_AUTDLY_Pos               (14UL)                    /*!< AUTDLY (Bit 14)                                       */
#define ADC_CFGR_AUTDLY_Msk               (0x4000UL)                /*!< AUTDLY (Bitfield-Mask: 0x01)                          */
#define ADC_CFGR_ALIGN_Pos                (15UL)                    /*!< ALIGN (Bit 15)                                        */
#define ADC_CFGR_ALIGN_Msk                (0x8000UL)                /*!< ALIGN (Bitfield-Mask: 0x01)                           */
#define ADC_CFGR_DISCEN_Pos               (16UL)                    /*!< DISCEN (Bit 16)                                       */
#define ADC_CFGR_DISCEN_Msk               (0x10000UL)               /*!< DISCEN (Bitfield-Mask: 0x01)                          */
#define ADC_CFGR_DISCNUM_Pos              (17UL)                    /*!< DISCNUM (Bit 17)                                      */
#define ADC_CFGR_DISCNUM_Msk              (0xe0000UL)               /*!< DISCNUM (Bitfield-Mask: 0x07)                         */
#define ADC_CFGR_JDISCEN_Pos              (20UL)                    /*!< JDISCEN (Bit 20)                                      */
#define ADC_CFGR_JDISCEN_Msk              (0x100000UL)              /*!< JDISCEN (Bitfield-Mask: 0x01)                         */
#define ADC_CFGR_AWD1SGL_Pos              (22UL)                    /*!< AWD1SGL (Bit 22)                                      */
#define ADC_CFGR_AWD1SGL_Msk              (0x400000UL)              /*!< AWD1SGL (Bitfield-Mask: 0x01)                         */
#define ADC_CFGR_AWD1EN_Pos               (23UL)                    /*!< AWD1EN (Bit 23)                                       */
#define ADC_CFGR_AWD1EN_Msk               (0x800000UL)              /*!< AWD1EN (Bitfield-Mask: 0x01)                          */
#define ADC_CFGR_JAWD1EN_Pos              (24UL)                    /*!< JAWD1EN (Bit 24)                                      */
#define ADC_CFGR_JAWD1EN_Msk              (0x1000000UL)             /*!< JAWD1EN (Bitfield-Mask: 0x01)                         */
#define ADC_CFGR_JAUTO_Pos                (25UL)                    /*!< JAUTO (Bit 25)                                        */
#define ADC_CFGR_JAUTO_Msk                (0x2000000UL)             /*!< JAUTO (Bitfield-Mask: 0x01)                           */
#define ADC_CFGR_AWD1CH_Pos               (26UL)                    /*!< AWD1CH (Bit 26)                                       */
#define ADC_CFGR_AWD1CH_Msk               (0x7c000000UL)            /*!< AWD1CH (Bitfield-Mask: 0x1f)                          */
/* =========================================================  CFGR2  ========================================================= */
#define ADC_CFGR2_ROVSE_Pos               (0UL)                     /*!< ROVSE (Bit 0)                                         */
#define ADC_CFGR2_ROVSE_Msk               (0x1UL)                   /*!< ROVSE (Bitfield-Mask: 0x01)                           */
#define ADC_CFGR2_JOVSE_Pos               (1UL)                     /*!< JOVSE (Bit 1)                                         */
#define ADC_CFGR2_JOVSE_Msk               (0x2UL)                   /*!< JOVSE (Bitfield-Mask: 0x01)                           */
#define ADC_CFGR2_OVSR_Pos                (2UL)                     /*!< OVSR (Bit 2)                                          */
#define ADC_CFGR2_OVSR_Msk                (0x1cUL)                  /*!< OVSR (Bitfield-Mask: 0x07)                            */
#define ADC_CFGR2_OVSS_Pos                (5UL)                     /*!< OVSS (Bit 5)                                          */
#define ADC_CFGR2_OVSS_Msk                (0x1e0UL)                 /*!< OVSS (Bitfield-Mask: 0x0f)                            */
#define ADC_CFGR2_TROVS_Pos               (9UL)                     /*!< TROVS (Bit 9)                                         */
#define ADC_CFGR2_TROVS_Msk               (0x200UL)                 /*!< TROVS (Bitfield-Mask: 0x01)                           */
#define ADC_CFGR2_ROVSM_Pos               (10UL)                    /*!< ROVSM (Bit 10)                                        */
#define ADC_CFGR2_ROVSM_Msk               (0x400UL)                 /*!< ROVSM (Bitfield-Mask: 0x01)                           */
#define ADC_CFGR2_GCOMP_Pos               (16UL)                    /*!< GCOMP (Bit 16)                                        */
#define ADC_CFGR2_GCOMP_Msk               (0x10000UL)               /*!< GCOMP (Bitfield-Mask: 0x01)                           */
#define ADC_CFGR2_CALNUM_Pos              (28UL)                    /*!< CALNUM (Bit 28)                                       */
#define ADC_CFGR2_CALNUM_Msk              (0x70000000UL)            /*!< CALNUM (Bitfield-Mask: 0x07)                          */
/* =========================================================  SMPR1  ========================================================= */
#define ADC_SMPR1_SMP0_Pos                (0UL)                     /*!< SMP0 (Bit 0)                                          */
#define ADC_SMPR1_SMP0_Msk                (0x7UL)                   /*!< SMP0 (Bitfield-Mask: 0x07)                            */
#define ADC_SMPR1_SMP1_Pos                (3UL)                     /*!< SMP1 (Bit 3)                                          */
#define ADC_SMPR1_SMP1_Msk                (0x38UL)                  /*!< SMP1 (Bitfield-Mask: 0x07)                            */
#define ADC_SMPR1_SMP2_Pos                (6UL)                     /*!< SMP2 (Bit 6)                                          */
#define ADC_SMPR1_SMP2_Msk                (0x1c0UL)                 /*!< SMP2 (Bitfield-Mask: 0x07)                            */
#define ADC_SMPR1_SMP3_Pos                (9UL)                     /*!< SMP3 (Bit 9)                                          */
#define ADC_SMPR1_SMP3_Msk                (0xe00UL)                 /*!< SMP3 (Bitfield-Mask: 0x07)                            */
#define ADC_SMPR1_SMP4_Pos                (12UL)                    /*!< SMP4 (Bit 12)                                         */
#define ADC_SMPR1_SMP4_Msk                (0x7000UL)                /*!< SMP4 (Bitfield-Mask: 0x07)                            */
#define ADC_SMPR1_SMP5_Pos                (15UL)                    /*!< SMP5 (Bit 15)                                         */
#define ADC_SMPR1_SMP5_Msk                (0x38000UL)               /*!< SMP5 (Bitfield-Mask: 0x07)                            */
#define ADC_SMPR1_SMP6_Pos                (18UL)                    /*!< SMP6 (Bit 18)                                         */
#define ADC_SMPR1_SMP6_Msk                (0x1c0000UL)              /*!< SMP6 (Bitfield-Mask: 0x07)                            */
#define ADC_SMPR1_SMP7_Pos                (21UL)                    /*!< SMP7 (Bit 21)                                         */
#define ADC_SMPR1_SMP7_Msk                (0xe00000UL)              /*!< SMP7 (Bitfield-Mask: 0x07)                            */
#define ADC_SMPR1_SMP8_Pos                (24UL)                    /*!< SMP8 (Bit 24)                                         */
#define ADC_SMPR1_SMP8_Msk                (0x7000000UL)             /*!< SMP8 (Bitfield-Mask: 0x07)                            */
#define ADC_SMPR1_SMP9_Pos                (27UL)                    /*!< SMP9 (Bit 27)                                         */
#define ADC_SMPR1_SMP9_Msk                (0x38000000UL)            /*!< SMP9 (Bitfield-Mask: 0x07)                            */
/* =========================================================  SMPR2  ========================================================= */
#define ADC_SMPR2_SMP10_Pos               (0UL)                     /*!< SMP10 (Bit 0)                                         */
#define ADC_SMPR2_SMP10_Msk               (0x7UL)                   /*!< SMP10 (Bitfield-Mask: 0x07)                           */
#define ADC_SMPR2_SMP11_Pos               (3UL)                     /*!< SMP11 (Bit 3)                                         */
#define ADC_SMPR2_SMP11_Msk               (0x38UL)                  /*!< SMP11 (Bitfield-Mask: 0x07)                           */
#define ADC_SMPR2_SMP12_Pos               (6UL)                     /*!< SMP12 (Bit 6)                                         */
#define ADC_SMPR2_SMP12_Msk               (0x1c0UL)                 /*!< SMP12 (Bitfield-Mask: 0x07)                           */
#define ADC_SMPR2_SMP13_Pos               (9UL)                     /*!< SMP13 (Bit 9)                                         */
#define ADC_SMPR2_SMP13_Msk               (0xe00UL)                 /*!< SMP13 (Bitfield-Mask: 0x07)                           */
#define ADC_SMPR2_SMP14_Pos               (12UL)                    /*!< SMP14 (Bit 12)                                        */
#define ADC_SMPR2_SMP14_Msk               (0x7000UL)                /*!< SMP14 (Bitfield-Mask: 0x07)                           */
#define ADC_SMPR2_SMP15_Pos               (15UL)                    /*!< SMP15 (Bit 15)                                        */
#define ADC_SMPR2_SMP15_Msk               (0x38000UL)               /*!< SMP15 (Bitfield-Mask: 0x07)                           */
#define ADC_SMPR2_SMP16_Pos               (18UL)                    /*!< SMP16 (Bit 18)                                        */
#define ADC_SMPR2_SMP16_Msk               (0x1c0000UL)              /*!< SMP16 (Bitfield-Mask: 0x07)                           */
#define ADC_SMPR2_SMP17_Pos               (21UL)                    /*!< SMP17 (Bit 21)                                        */
#define ADC_SMPR2_SMP17_Msk               (0xe00000UL)              /*!< SMP17 (Bitfield-Mask: 0x07)                           */
#define ADC_SMPR2_SMP18_Pos               (24UL)                    /*!< SMP18 (Bit 24)                                        */
#define ADC_SMPR2_SMP18_Msk               (0x7000000UL)             /*!< SMP18 (Bitfield-Mask: 0x07)                           */
#define ADC_SMPR2_SMP19_Pos               (27UL)                    /*!< SMP19 (Bit 27)                                        */
#define ADC_SMPR2_SMP19_Msk               (0x38000000UL)            /*!< SMP19 (Bitfield-Mask: 0x07)                           */
/* =========================================================  SMPR3  ========================================================= */
#define ADC_SMPR3_SMP20_Pos               (0UL)                     /*!< SMP20 (Bit 0)                                         */
#define ADC_SMPR3_SMP20_Msk               (0x7UL)                   /*!< SMP20 (Bitfield-Mask: 0x07)                           */
/* ==========================================================  TR1  ========================================================== */
#define ADC_TR1_LT1_Pos                   (0UL)                     /*!< LT1 (Bit 0)                                           */
#define ADC_TR1_LT1_Msk                   (0xfffUL)                 /*!< LT1 (Bitfield-Mask: 0xfff)                            */
#define ADC_TR1_AWDFILT_Pos               (12UL)                    /*!< AWDFILT (Bit 12)                                      */
#define ADC_TR1_AWDFILT_Msk               (0x7000UL)                /*!< AWDFILT (Bitfield-Mask: 0x07)                         */
#define ADC_TR1_HT1_Pos                   (16UL)                    /*!< HT1 (Bit 16)                                          */
#define ADC_TR1_HT1_Msk                   (0xfff0000UL)             /*!< HT1 (Bitfield-Mask: 0xfff)                            */
/* ==========================================================  TR2  ========================================================== */
#define ADC_TR2_LT2_Pos                   (0UL)                     /*!< LT2 (Bit 0)                                           */
#define ADC_TR2_LT2_Msk                   (0xffUL)                  /*!< LT2 (Bitfield-Mask: 0xff)                             */
#define ADC_TR2_HT2_Pos                   (16UL)                    /*!< HT2 (Bit 16)                                          */
#define ADC_TR2_HT2_Msk                   (0xff0000UL)              /*!< HT2 (Bitfield-Mask: 0xff)                             */
/* ==========================================================  TR3  ========================================================== */
#define ADC_TR3_LT3_Pos                   (0UL)                     /*!< LT3 (Bit 0)                                           */
#define ADC_TR3_LT3_Msk                   (0xffUL)                  /*!< LT3 (Bitfield-Mask: 0xff)                             */
#define ADC_TR3_HT3_Pos                   (16UL)                    /*!< HT3 (Bit 16)                                          */
#define ADC_TR3_HT3_Msk                   (0xff0000UL)              /*!< HT3 (Bitfield-Mask: 0xff)                             */
/* =========================================================  SQR1  ========================================================== */
#define ADC_SQR1_L_Pos                    (0UL)                     /*!< L (Bit 0)                                             */
#define ADC_SQR1_L_Msk                    (0xfUL)                   /*!< L (Bitfield-Mask: 0x0f)                               */
#define ADC_SQR1_SQ1_Pos                  (6UL)                     /*!< SQ1 (Bit 6)                                           */
#define ADC_SQR1_SQ1_Msk                  (0x7c0UL)                 /*!< SQ1 (Bitfield-Mask: 0x1f)                             */
#define ADC_SQR1_SQ2_Pos                  (12UL)                    /*!< SQ2 (Bit 12)                                          */
#define ADC_SQR1_SQ2_Msk                  (0x1f000UL)               /*!< SQ2 (Bitfield-Mask: 0x1f)                             */
#define ADC_SQR1_SQ3_Pos                  (18UL)                    /*!< SQ3 (Bit 18)                                          */
#define ADC_SQR1_SQ3_Msk                  (0x7c0000UL)              /*!< SQ3 (Bitfield-Mask: 0x1f)                             */
#define ADC_SQR1_SQ4_Pos                  (24UL)                    /*!< SQ4 (Bit 24)                                          */
#define ADC_SQR1_SQ4_Msk                  (0x1f000000UL)            /*!< SQ4 (Bitfield-Mask: 0x1f)                             */
/* =========================================================  SQR2  ========================================================== */
#define ADC_SQR2_SQ5_Pos                  (0UL)                     /*!< SQ5 (Bit 0)                                           */
#define ADC_SQR2_SQ5_Msk                  (0x1fUL)                  /*!< SQ5 (Bitfield-Mask: 0x1f)                             */
#define ADC_SQR2_SQ6_Pos                  (6UL)                     /*!< SQ6 (Bit 6)                                           */
#define ADC_SQR2_SQ6_Msk                  (0x7c0UL)                 /*!< SQ6 (Bitfield-Mask: 0x1f)                             */
#define ADC_SQR2_SQ7_Pos                  (12UL)                    /*!< SQ7 (Bit 12)                                          */
#define ADC_SQR2_SQ7_Msk                  (0x1f000UL)               /*!< SQ7 (Bitfield-Mask: 0x1f)                             */
#define ADC_SQR2_SQ8_Pos                  (18UL)                    /*!< SQ8 (Bit 18)                                          */
#define ADC_SQR2_SQ8_Msk                  (0x7c0000UL)              /*!< SQ8 (Bitfield-Mask: 0x1f)                             */
#define ADC_SQR2_SQ9_Pos                  (24UL)                    /*!< SQ9 (Bit 24)                                          */
#define ADC_SQR2_SQ9_Msk                  (0x1f000000UL)            /*!< SQ9 (Bitfield-Mask: 0x1f)                             */
/* =========================================================  SQR3  ========================================================== */
#define ADC_SQR3_SQ10_Pos                 (0UL)                     /*!< SQ10 (Bit 0)                                          */
#define ADC_SQR3_SQ10_Msk                 (0x1fUL)                  /*!< SQ10 (Bitfield-Mask: 0x1f)                            */
#define ADC_SQR3_SQ11_Pos                 (6UL)                     /*!< SQ11 (Bit 6)                                          */
#define ADC_SQR3_SQ11_Msk                 (0x7c0UL)                 /*!< SQ11 (Bitfield-Mask: 0x1f)                            */
#define ADC_SQR3_SQ12_Pos                 (12UL)                    /*!< SQ12 (Bit 12)                                         */
#define ADC_SQR3_SQ12_Msk                 (0x1f000UL)               /*!< SQ12 (Bitfield-Mask: 0x1f)                            */
#define ADC_SQR3_SQ13_Pos                 (18UL)                    /*!< SQ13 (Bit 18)                                         */
#define ADC_SQR3_SQ13_Msk                 (0x7c0000UL)              /*!< SQ13 (Bitfield-Mask: 0x1f)                            */
#define ADC_SQR3_SQ14_Pos                 (24UL)                    /*!< SQ14 (Bit 24)                                         */
#define ADC_SQR3_SQ14_Msk                 (0x1f000000UL)            /*!< SQ14 (Bitfield-Mask: 0x1f)                            */
/* =========================================================  SQR4  ========================================================== */
#define ADC_SQR4_SQ15_Pos                 (0UL)                     /*!< SQ15 (Bit 0)                                          */
#define ADC_SQR4_SQ15_Msk                 (0x1fUL)                  /*!< SQ15 (Bitfield-Mask: 0x1f)                            */
#define ADC_SQR4_SQ16_Pos                 (6UL)                     /*!< SQ16 (Bit 6)                                          */
#define ADC_SQR4_SQ16_Msk                 (0x7c0UL)                 /*!< SQ16 (Bitfield-Mask: 0x1f)                            */
/* ==========================================================  DR  =========================================================== */
#define ADC_DR_RDATA_Pos                  (0UL)                     /*!< RDATA (Bit 0)                                         */
#define ADC_DR_RDATA_Msk                  (0xffffUL)                /*!< RDATA (Bitfield-Mask: 0xffff)                         */
/* =========================================================  JSQR  ========================================================== */
#define ADC_JSQR_JL_Pos                   (0UL)                     /*!< JL (Bit 0)                                            */
#define ADC_JSQR_JL_Msk                   (0x3UL)                   /*!< JL (Bitfield-Mask: 0x03)                              */
#define ADC_JSQR_JEXTSEL_Pos              (2UL)                     /*!< JEXTSEL (Bit 2)                                       */
#define ADC_JSQR_JEXTSEL_Msk              (0x7cUL)                  /*!< JEXTSEL (Bitfield-Mask: 0x1f)                         */
#define ADC_JSQR_JEXTEN_Pos               (7UL)                     /*!< JEXTEN (Bit 7)                                        */
#define ADC_JSQR_JEXTEN_Msk               (0x180UL)                 /*!< JEXTEN (Bitfield-Mask: 0x03)                          */
#define ADC_JSQR_JSQ1_Pos                 (9UL)                     /*!< JSQ1 (Bit 9)                                          */
#define ADC_JSQR_JSQ1_Msk                 (0x3e00UL)                /*!< JSQ1 (Bitfield-Mask: 0x1f)                            */
#define ADC_JSQR_JSQ2_Pos                 (15UL)                    /*!< JSQ2 (Bit 15)                                         */
#define ADC_JSQR_JSQ2_Msk                 (0xf8000UL)               /*!< JSQ2 (Bitfield-Mask: 0x1f)                            */
#define ADC_JSQR_JSQ3_Pos                 (21UL)                    /*!< JSQ3 (Bit 21)                                         */
#define ADC_JSQR_JSQ3_Msk                 (0x3e00000UL)             /*!< JSQ3 (Bitfield-Mask: 0x1f)                            */
#define ADC_JSQR_JSQ4_Pos                 (27UL)                    /*!< JSQ4 (Bit 27)                                         */
#define ADC_JSQR_JSQ4_Msk                 (0xf8000000UL)            /*!< JSQ4 (Bitfield-Mask: 0x1f)                            */
/* =========================================================  OFR1  ========================================================== */
#define ADC_OFR1_OFFSET1_Pos              (0UL)                     /*!< OFFSET1 (Bit 0)                                       */
#define ADC_OFR1_OFFSET1_Msk              (0xfffUL)                 /*!< OFFSET1 (Bitfield-Mask: 0xfff)                        */
#define ADC_OFR1_OFFSETPOS_Pos            (24UL)                    /*!< OFFSETPOS (Bit 24)                                    */
#define ADC_OFR1_OFFSETPOS_Msk            (0x1000000UL)             /*!< OFFSETPOS (Bitfield-Mask: 0x01)                       */
#define ADC_OFR1_SATEN_Pos                (25UL)                    /*!< SATEN (Bit 25)                                        */
#define ADC_OFR1_SATEN_Msk                (0x2000000UL)             /*!< SATEN (Bitfield-Mask: 0x01)                           */
#define ADC_OFR1_OFFSET1_CH_Pos           (26UL)                    /*!< OFFSET1_CH (Bit 26)                                   */
#define ADC_OFR1_OFFSET1_CH_Msk           (0x7c000000UL)            /*!< OFFSET1_CH (Bitfield-Mask: 0x1f)                      */
#define ADC_OFR1_OFFSET1_EN_Pos           (31UL)                    /*!< OFFSET1_EN (Bit 31)                                   */
#define ADC_OFR1_OFFSET1_EN_Msk           (0x80000000UL)            /*!< OFFSET1_EN (Bitfield-Mask: 0x01)                      */
/* =========================================================  OFR2  ========================================================== */
#define ADC_OFR2_OFFSET2_Pos              (0UL)                     /*!< OFFSET2 (Bit 0)                                       */
#define ADC_OFR2_OFFSET2_Msk              (0xfffUL)                 /*!< OFFSET2 (Bitfield-Mask: 0xfff)                        */
#define ADC_OFR2_OFFSET2_CH_Pos           (26UL)                    /*!< OFFSET2_CH (Bit 26)                                   */
#define ADC_OFR2_OFFSET2_CH_Msk           (0x7c000000UL)            /*!< OFFSET2_CH (Bitfield-Mask: 0x1f)                      */
#define ADC_OFR2_OFFSET2_EN_Pos           (31UL)                    /*!< OFFSET2_EN (Bit 31)                                   */
#define ADC_OFR2_OFFSET2_EN_Msk           (0x80000000UL)            /*!< OFFSET2_EN (Bitfield-Mask: 0x01)                      */
/* =========================================================  OFR3  ========================================================== */
#define ADC_OFR3_OFFSET3_Pos              (0UL)                     /*!< OFFSET3 (Bit 0)                                       */
#define ADC_OFR3_OFFSET3_Msk              (0xfffUL)                 /*!< OFFSET3 (Bitfield-Mask: 0xfff)                        */
#define ADC_OFR3_OFFSET3_CH_Pos           (26UL)                    /*!< OFFSET3_CH (Bit 26)                                   */
#define ADC_OFR3_OFFSET3_CH_Msk           (0x7c000000UL)            /*!< OFFSET3_CH (Bitfield-Mask: 0x1f)                      */
#define ADC_OFR3_OFFSET3_EN_Pos           (31UL)                    /*!< OFFSET3_EN (Bit 31)                                   */
#define ADC_OFR3_OFFSET3_EN_Msk           (0x80000000UL)            /*!< OFFSET3_EN (Bitfield-Mask: 0x01)                      */
/* =========================================================  OFR4  ========================================================== */
#define ADC_OFR4_OFFSET4_Pos              (0UL)                     /*!< OFFSET4 (Bit 0)                                       */
#define ADC_OFR4_OFFSET4_Msk              (0xfffUL)                 /*!< OFFSET4 (Bitfield-Mask: 0xfff)                        */
#define ADC_OFR4_OFFSET4_CH_Pos           (26UL)                    /*!< OFFSET4_CH (Bit 26)                                   */
#define ADC_OFR4_OFFSET4_CH_Msk           (0x7c000000UL)            /*!< OFFSET4_CH (Bitfield-Mask: 0x1f)                      */
#define ADC_OFR4_OFFSET4_EN_Pos           (31UL)                    /*!< OFFSET4_EN (Bit 31)                                   */
#define ADC_OFR4_OFFSET4_EN_Msk           (0x80000000UL)            /*!< OFFSET4_EN (Bitfield-Mask: 0x01)                      */
/* =========================================================  JDR1  ========================================================== */
#define ADC_JDR1_JDATA_Pos                (0UL)                     /*!< JDATA (Bit 0)                                         */
#define ADC_JDR1_JDATA_Msk                (0xffffUL)                /*!< JDATA (Bitfield-Mask: 0xffff)                         */
/* =========================================================  JDR2  ========================================================== */
#define ADC_JDR2_JDATA_Pos                (0UL)                     /*!< JDATA (Bit 0)                                         */
#define ADC_JDR2_JDATA_Msk                (0xffffUL)                /*!< JDATA (Bitfield-Mask: 0xffff)                         */
/* =========================================================  JDR3  ========================================================== */
#define ADC_JDR3_JDATA_Pos                (0UL)                     /*!< JDATA (Bit 0)                                         */
#define ADC_JDR3_JDATA_Msk                (0xffffUL)                /*!< JDATA (Bitfield-Mask: 0xffff)                         */
/* =========================================================  JDR4  ========================================================== */
#define ADC_JDR4_JDATA_Pos                (0UL)                     /*!< JDATA (Bit 0)                                         */
#define ADC_JDR4_JDATA_Msk                (0xffffUL)                /*!< JDATA (Bitfield-Mask: 0xffff)                         */
/* ========================================================  AWD2CR  ========================================================= */
#define ADC_AWD2CR_AWD2CH_Pos             (0UL)                     /*!< AWD2CH (Bit 0)                                        */
#define ADC_AWD2CR_AWD2CH_Msk             (0x1fffffUL)              /*!< AWD2CH (Bitfield-Mask: 0x1fffff)                      */
/* ========================================================  AWD3CR  ========================================================= */
#define ADC_AWD3CR_AWD3CH_Pos             (0UL)                     /*!< AWD3CH (Bit 0)                                        */
#define ADC_AWD3CR_AWD3CH_Msk             (0x1fffffUL)              /*!< AWD3CH (Bitfield-Mask: 0x1fffff)                      */
/* ========================================================  CALFACT  ======================================================== */
#define ADC_CALFACT_OFFSUC_Pos            (20UL)                    /*!< OFFSUC (Bit 20)                                       */
#define ADC_CALFACT_OFFSUC_Msk            (0x100000UL)              /*!< OFFSUC (Bitfield-Mask: 0x01)                          */
#define ADC_CALFACT_CAPSUC_Pos            (21UL)                    /*!< CAPSUC (Bit 21)                                       */
#define ADC_CALFACT_CAPSUC_Msk            (0x200000UL)              /*!< CAPSUC (Bitfield-Mask: 0x01)                          */
#define ADC_CALFACT_CALON_Pos             (22UL)                    /*!< CALON (Bit 22)                                        */
#define ADC_CALFACT_CALON_Msk             (0x400000UL)              /*!< CALON (Bitfield-Mask: 0x01)                           */
/* =========================================================  GCOMP  ========================================================= */
#define ADC_GCOMP_GCOMPCOEFF_Pos          (0UL)                     /*!< GCOMPCOEFF (Bit 0)                                    */
#define ADC_GCOMP_GCOMPCOEFF_Msk          (0x3fffUL)                /*!< GCOMPCOEFF (Bitfield-Mask: 0x3fff)                    */
/* ==========================================================  CCR  ========================================================== */
#define ADC_CCR_VREFBUFEN_Pos             (5UL)                     /*!< VREFBUFEN (Bit 5)                                     */
#define ADC_CCR_VREFBUFEN_Msk             (0x20UL)                  /*!< VREFBUFEN (Bitfield-Mask: 0x01)                       */
#define ADC_CCR_VREFBUFSEL_Pos            (6UL)                     /*!< VREFBUFSEL (Bit 6)                                    */
#define ADC_CCR_VREFBUFSEL_Msk            (0xc0UL)                  /*!< VREFBUFSEL (Bitfield-Mask: 0x03)                      */
#define ADC_CCR_CKMODE_Pos                (16UL)                    /*!< CKMODE (Bit 16)                                       */
#define ADC_CCR_CKMODE_Msk                (0x30000UL)               /*!< CKMODE (Bitfield-Mask: 0x03)                          */
#define ADC_CCR_PRESC_Pos                 (18UL)                    /*!< PRESC (Bit 18)                                        */
#define ADC_CCR_PRESC_Msk                 (0x3c0000UL)              /*!< PRESC (Bitfield-Mask: 0x0f)                           */
#define ADC_CCR_VREFEN_Pos                (22UL)                    /*!< VREFEN (Bit 22)                                       */
#define ADC_CCR_VREFEN_Msk                (0x400000UL)              /*!< VREFEN (Bitfield-Mask: 0x01)                          */
#define ADC_CCR_VSENSESEL_Pos             (23UL)                    /*!< VSENSESEL (Bit 23)                                    */
#define ADC_CCR_VSENSESEL_Msk             (0x800000UL)              /*!< VSENSESEL (Bitfield-Mask: 0x01)                       */
#define ADC_CCR_VCCSEL_Pos                (24UL)                    /*!< VCCSEL (Bit 24)                                       */
#define ADC_CCR_VCCSEL_Msk                (0x1000000UL)             /*!< VCCSEL (Bitfield-Mask: 0x01)                          */
#define ADC_CCR_PWRMODE_Pos               (25UL)                    /*!< PWRMODE (Bit 25)                                      */
#define ADC_CCR_PWRMODE_Msk               (0xe000000UL)             /*!< PWRMODE (Bitfield-Mask: 0x07)                         */
#define ADC_CCR_VREFSEL_Pos               (28UL)                    /*!< VREFSEL (Bit 28)                                      */
#define ADC_CCR_VREFSEL_Msk               (0x10000000UL)            /*!< VREFSEL (Bitfield-Mask: 0x01)                         */
#define ADC_CCR_DIFF_EN_Pos               (29UL)                    /*!< DIFF_EN (Bit 29)                                      */
#define ADC_CCR_DIFF_EN_Msk               (0x20000000UL)            /*!< DIFF_EN (Bitfield-Mask: 0x01)                         */


/* =========================================================================================================================== */
/* ================                                           COMP                                            ================ */
/* =========================================================================================================================== */

/* =======================================================  COMP1_CSR  ======================================================= */
#define COMP_COMP1_CSR_EN_Pos             (0UL)                     /*!< EN (Bit 0)                                            */
#define COMP_COMP1_CSR_EN_Msk             (0x1UL)                   /*!< EN (Bitfield-Mask: 0x01)                              */
#define COMP_COMP1_CSR_COMP_VSEL_Pos      (1UL)                     /*!< COMP_VSEL (Bit 1)                                     */
#define COMP_COMP1_CSR_COMP_VSEL_Msk      (0x6UL)                   /*!< COMP_VSEL (Bitfield-Mask: 0x03)                       */
#define COMP_COMP1_CSR_INNSEL_Pos         (3UL)                     /*!< INNSEL (Bit 3)                                        */
#define COMP_COMP1_CSR_INNSEL_Msk         (0x18UL)                  /*!< INNSEL (Bitfield-Mask: 0x03)                          */
#define COMP_COMP1_CSR_INPSEL_Pos         (9UL)                     /*!< INPSEL (Bit 9)                                        */
#define COMP_COMP1_CSR_INPSEL_Msk         (0x200UL)                 /*!< INPSEL (Bitfield-Mask: 0x01)                          */
#define COMP_COMP1_CSR_WINMODE_Pos        (11UL)                    /*!< WINMODE (Bit 11)                                      */
#define COMP_COMP1_CSR_WINMODE_Msk        (0x800UL)                 /*!< WINMODE (Bitfield-Mask: 0x01)                         */
#define COMP_COMP1_CSR_BLANKSEL_Pos       (12UL)                    /*!< BLANKSEL (Bit 12)                                     */
#define COMP_COMP1_CSR_BLANKSEL_Msk       (0x7000UL)                /*!< BLANKSEL (Bitfield-Mask: 0x07)                        */
#define COMP_COMP1_CSR_POLARITY_Pos       (15UL)                    /*!< POLARITY (Bit 15)                                     */
#define COMP_COMP1_CSR_POLARITY_Msk       (0x8000UL)                /*!< POLARITY (Bitfield-Mask: 0x01)                        */
#define COMP_COMP1_CSR_HYST_Pos           (16UL)                    /*!< HYST (Bit 16)                                         */
#define COMP_COMP1_CSR_HYST_Msk           (0x10000UL)               /*!< HYST (Bitfield-Mask: 0x01)                            */
#define COMP_COMP1_CSR_COMP_VCDIV_EN_Pos  (17UL)                    /*!< COMP_VCDIV_EN (Bit 17)                                */
#define COMP_COMP1_CSR_COMP_VCDIV_EN_Msk  (0x20000UL)               /*!< COMP_VCDIV_EN (Bitfield-Mask: 0x01)                   */
#define COMP_COMP1_CSR_PWRMODE_Pos        (18UL)                    /*!< PWRMODE (Bit 18)                                      */
#define COMP_COMP1_CSR_PWRMODE_Msk        (0xc0000UL)               /*!< PWRMODE (Bitfield-Mask: 0x03)                         */
#define COMP_COMP1_CSR_COMP_VCDIV_Pos     (20UL)                    /*!< COMP_VCDIV (Bit 20)                                   */
#define COMP_COMP1_CSR_COMP_VCDIV_Msk     (0xff00000UL)             /*!< COMP_VCDIV (Bitfield-Mask: 0xff)                      */
#define COMP_COMP1_CSR_COMP_VCSEL_Pos     (28UL)                    /*!< COMP_VCSEL (Bit 28)                                   */
#define COMP_COMP1_CSR_COMP_VCSEL_Msk     (0x10000000UL)            /*!< COMP_VCSEL (Bitfield-Mask: 0x01)                      */
#define COMP_COMP1_CSR_TIM_EXTI_OUT_SEL_Pos (29UL)                  /*!< TIM_EXTI_OUT_SEL (Bit 29)                             */
#define COMP_COMP1_CSR_TIM_EXTI_OUT_SEL_Msk (0x20000000UL)          /*!< TIM_EXTI_OUT_SEL (Bitfield-Mask: 0x01)                */
#define COMP_COMP1_CSR_COMP1_OUT_Pos      (30UL)                    /*!< COMP1_OUT (Bit 30)                                    */
#define COMP_COMP1_CSR_COMP1_OUT_Msk      (0x40000000UL)            /*!< COMP1_OUT (Bitfield-Mask: 0x01)                       */
#define COMP_COMP1_CSR_LOCK_Pos           (31UL)                    /*!< LOCK (Bit 31)                                         */
#define COMP_COMP1_CSR_LOCK_Msk           (0x80000000UL)            /*!< LOCK (Bitfield-Mask: 0x01)                            */
/* =======================================================  COMP1_FR  ======================================================== */
#define COMP_COMP1_FR_FLTEN1_Pos          (0UL)                     /*!< FLTEN1 (Bit 0)                                        */
#define COMP_COMP1_FR_FLTEN1_Msk          (0x1UL)                   /*!< FLTEN1 (Bitfield-Mask: 0x01)                          */
#define COMP_COMP1_FR_FLTCNT1_Pos         (16UL)                    /*!< FLTCNT1 (Bit 16)                                      */
#define COMP_COMP1_FR_FLTCNT1_Msk         (0xffff0000UL)            /*!< FLTCNT1 (Bitfield-Mask: 0xffff)                       */
/* =======================================================  COMP2_CSR  ======================================================= */
#define COMP_COMP2_CSR_EN_Pos             (0UL)                     /*!< EN (Bit 0)                                            */
#define COMP_COMP2_CSR_EN_Msk             (0x1UL)                   /*!< EN (Bitfield-Mask: 0x01)                              */
#define COMP_COMP2_CSR_HYST_Pos           (1UL)                     /*!< HYST (Bit 1)                                          */
#define COMP_COMP2_CSR_HYST_Msk           (0x2UL)                   /*!< HYST (Bitfield-Mask: 0x01)                            */
#define COMP_COMP2_CSR_INMSEL_Pos         (3UL)                     /*!< INMSEL (Bit 3)                                        */
#define COMP_COMP2_CSR_INMSEL_Msk         (0x18UL)                  /*!< INMSEL (Bitfield-Mask: 0x03)                          */
#define COMP_COMP2_CSR_INPSEL_Pos         (9UL)                     /*!< INPSEL (Bit 9)                                        */
#define COMP_COMP2_CSR_INPSEL_Msk         (0x200UL)                 /*!< INPSEL (Bitfield-Mask: 0x01)                          */
#define COMP_COMP2_CSR_BLANKSEL_Pos       (12UL)                    /*!< BLANKSEL (Bit 12)                                     */
#define COMP_COMP2_CSR_BLANKSEL_Msk       (0x7000UL)                /*!< BLANKSEL (Bitfield-Mask: 0x07)                        */
#define COMP_COMP2_CSR_POLARITY_Pos       (15UL)                    /*!< POLARITY (Bit 15)                                     */
#define COMP_COMP2_CSR_POLARITY_Msk       (0x8000UL)                /*!< POLARITY (Bitfield-Mask: 0x01)                        */
#define COMP_COMP2_CSR_PWRMODE_Pos        (18UL)                    /*!< PWRMODE (Bit 18)                                      */
#define COMP_COMP2_CSR_PWRMODE_Msk        (0xc0000UL)               /*!< PWRMODE (Bitfield-Mask: 0x03)                         */
#define COMP_COMP2_CSR_TIM_EXTI_OUT_SEL_Pos (29UL)                  /*!< TIM_EXTI_OUT_SEL (Bit 29)                             */
#define COMP_COMP2_CSR_TIM_EXTI_OUT_SEL_Msk (0x20000000UL)          /*!< TIM_EXTI_OUT_SEL (Bitfield-Mask: 0x01)                */
#define COMP_COMP2_CSR_COMP2_OUT_Pos      (30UL)                    /*!< COMP2_OUT (Bit 30)                                    */
#define COMP_COMP2_CSR_COMP2_OUT_Msk      (0x40000000UL)            /*!< COMP2_OUT (Bitfield-Mask: 0x01)                       */
#define COMP_COMP2_CSR_LOCK_Pos           (31UL)                    /*!< LOCK (Bit 31)                                         */
#define COMP_COMP2_CSR_LOCK_Msk           (0x80000000UL)            /*!< LOCK (Bitfield-Mask: 0x01)                            */
/* =======================================================  COMP2_FR  ======================================================== */
#define COMP_COMP2_FR_FLTEN2_Pos          (0UL)                     /*!< FLTEN2 (Bit 0)                                        */
#define COMP_COMP2_FR_FLTEN2_Msk          (0x1UL)                   /*!< FLTEN2 (Bitfield-Mask: 0x01)                          */
#define COMP_COMP2_FR_FLTCNT2_Pos         (16UL)                    /*!< FLTCNT2 (Bit 16)                                      */
#define COMP_COMP2_FR_FLTCNT2_Msk         (0xffff0000UL)            /*!< FLTCNT2 (Bitfield-Mask: 0xffff)                       */


/* =========================================================================================================================== */
/* ================                                            CRC                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  DR  =========================================================== */
#define CRC_DR_DR_Pos                     (0UL)                     /*!< DR (Bit 0)                                            */
#define CRC_DR_DR_Msk                     (0xffffffffUL)            /*!< DR (Bitfield-Mask: 0xffffffff)                        */
/* ==========================================================  IDR  ========================================================== */
#define CRC_IDR_IDR_Pos                   (0UL)                     /*!< IDR (Bit 0)                                           */
#define CRC_IDR_IDR_Msk                   (0xffUL)                  /*!< IDR (Bitfield-Mask: 0xff)                             */
/* ==========================================================  CR  =========================================================== */
#define CRC_CR_RESET_Pos                  (0UL)                     /*!< RESET (Bit 0)                                         */
#define CRC_CR_RESET_Msk                  (0x1UL)                   /*!< RESET (Bitfield-Mask: 0x01)                           */


/* =========================================================================================================================== */
/* ================                                            DBG                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  CR1  ========================================================== */
#define DBG_CR1_DBG_SLEEP_Pos             (0UL)                     /*!< DBG_SLEEP (Bit 0)                                     */
#define DBG_CR1_DBG_SLEEP_Msk             (0x1UL)                   /*!< DBG_SLEEP (Bitfield-Mask: 0x01)                       */
#define DBG_CR1_DBG_STOP_Pos              (1UL)                     /*!< DBG_STOP (Bit 1)                                      */
#define DBG_CR1_DBG_STOP_Msk              (0x2UL)                   /*!< DBG_STOP (Bitfield-Mask: 0x01)                        */
#define DBG_CR1_DBG_STDBY_Pos             (2UL)                     /*!< DBG_STDBY (Bit 2)                                     */
#define DBG_CR1_DBG_STDBY_Msk             (0x4UL)                   /*!< DBG_STDBY (Bitfield-Mask: 0x01)                       */
#define DBG_CR1_DBG_IWDG_STOP_Pos         (8UL)                     /*!< DBG_IWDG_STOP (Bit 8)                                 */
#define DBG_CR1_DBG_IWDG_STOP_Msk         (0x100UL)                 /*!< DBG_IWDG_STOP (Bitfield-Mask: 0x01)                   */
#define DBG_CR1_DBG_WWDG_STOP_Pos         (9UL)                     /*!< DBG_WWDG_STOP (Bit 9)                                 */
#define DBG_CR1_DBG_WWDG_STOP_Msk         (0x200UL)                 /*!< DBG_WWDG_STOP (Bitfield-Mask: 0x01)                   */
#define DBG_CR1_DBG_TIM1_STOP_Pos         (10UL)                    /*!< DBG_TIM1_STOP (Bit 10)                                */
#define DBG_CR1_DBG_TIM1_STOP_Msk         (0x400UL)                 /*!< DBG_TIM1_STOP (Bitfield-Mask: 0x01)                   */
#define DBG_CR1_DBG_TIM2_STOP_Pos         (11UL)                    /*!< DBG_TIM2_STOP (Bit 11)                                */
#define DBG_CR1_DBG_TIM2_STOP_Msk         (0x800UL)                 /*!< DBG_TIM2_STOP (Bitfield-Mask: 0x01)                   */
#define DBG_CR1_DBG_TIM3_STOP_Pos         (12UL)                    /*!< DBG_TIM3_STOP (Bit 12)                                */
#define DBG_CR1_DBG_TIM3_STOP_Msk         (0x1000UL)                /*!< DBG_TIM3_STOP (Bitfield-Mask: 0x01)                   */
#define DBG_CR1_DBG_TIM4_STOP_Pos         (13UL)                    /*!< DBG_TIM4_STOP (Bit 13)                                */
#define DBG_CR1_DBG_TIM4_STOP_Msk         (0x2000UL)                /*!< DBG_TIM4_STOP (Bitfield-Mask: 0x01)                   */
#define DBG_CR1_DBG_I2C1_SMBUS_TIMEOUT_Pos (15UL)                   /*!< DBG_I2C1_SMBUS_TIMEOUT (Bit 15)                       */
#define DBG_CR1_DBG_I2C1_SMBUS_TIMEOUT_Msk (0x8000UL)               /*!< DBG_I2C1_SMBUS_TIMEOUT (Bitfield-Mask: 0x01)          */
#define DBG_CR1_DBG_I2C2_SMBUS_TIMEOUT_Pos (16UL)                   /*!< DBG_I2C2_SMBUS_TIMEOUT (Bit 16)                       */
#define DBG_CR1_DBG_I2C2_SMBUS_TIMEOUT_Msk (0x10000UL)              /*!< DBG_I2C2_SMBUS_TIMEOUT (Bitfield-Mask: 0x01)          */
#define DBG_CR1_DBG_TIM6_STOP_Pos         (19UL)                    /*!< DBG_TIM6_STOP (Bit 19)                                */
#define DBG_CR1_DBG_TIM6_STOP_Msk         (0x80000UL)               /*!< DBG_TIM6_STOP (Bitfield-Mask: 0x01)                   */
#define DBG_CR1_DBG_TIM7_STOP_Pos         (20UL)                    /*!< DBG_TIM7_STOP (Bit 20)                                */
#define DBG_CR1_DBG_TIM7_STOP_Msk         (0x100000UL)              /*!< DBG_TIM7_STOP (Bitfield-Mask: 0x01)                   */
/* ==========================================================  CR2  ========================================================== */
#define DBG_CR2_DBG_TIM15_STOP_Pos        (3UL)                     /*!< DBG_TIM15_STOP (Bit 3)                                */
#define DBG_CR2_DBG_TIM15_STOP_Msk        (0x8UL)                   /*!< DBG_TIM15_STOP (Bitfield-Mask: 0x01)                  */
#define DBG_CR2_DBG_TIM16_STOP_Pos        (4UL)                     /*!< DBG_TIM16_STOP (Bit 4)                                */
#define DBG_CR2_DBG_TIM16_STOP_Msk        (0x10UL)                  /*!< DBG_TIM16_STOP (Bitfield-Mask: 0x01)                  */
#define DBG_CR2_DBG_TIM17_STOP_Pos        (5UL)                     /*!< DBG_TIM17_STOP (Bit 5)                                */
#define DBG_CR2_DBG_TIM17_STOP_Msk        (0x20UL)                  /*!< DBG_TIM17_STOP (Bitfield-Mask: 0x01)                  */
#define DBG_CR2_DBG_LPTIM_STOP_Pos        (8UL)                     /*!< DBG_LPTIM_STOP (Bit 8)                                */
#define DBG_CR2_DBG_LPTIM_STOP_Msk        (0x100UL)                 /*!< DBG_LPTIM_STOP (Bitfield-Mask: 0x01)                  */
#define DBG_CR2_DBG_PWM1_STOP_Pos         (9UL)                     /*!< DBG_PWM1_STOP (Bit 9)                                 */
#define DBG_CR2_DBG_PWM1_STOP_Msk         (0x200UL)                 /*!< DBG_PWM1_STOP (Bitfield-Mask: 0x01)                   */
#define DBG_CR2_DBG_PWM2_STOP_Pos         (10UL)                    /*!< DBG_PWM2_STOP (Bit 10)                                */
#define DBG_CR2_DBG_PWM2_STOP_Msk         (0x400UL)                 /*!< DBG_PWM2_STOP (Bitfield-Mask: 0x01)                   */
#define DBG_CR2_DBG_PWM3_STOP_Pos         (11UL)                    /*!< DBG_PWM3_STOP (Bit 11)                                */
#define DBG_CR2_DBG_PWM3_STOP_Msk         (0x800UL)                 /*!< DBG_PWM3_STOP (Bitfield-Mask: 0x01)                   */
#define DBG_CR2_DBG_PWM4_STOP_Pos         (12UL)                    /*!< DBG_PWM4_STOP (Bit 12)                                */
#define DBG_CR2_DBG_PWM4_STOP_Msk         (0x1000UL)                /*!< DBG_PWM4_STOP (Bitfield-Mask: 0x01)                   */


/* =========================================================================================================================== */
/* ================                                            DMA                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  ISR  ========================================================== */
#define DMA_ISR_TCIF1_Pos                 (0UL)                     /*!< TCIF1 (Bit 0)                                         */
#define DMA_ISR_TCIF1_Msk                 (0x1UL)                   /*!< TCIF1 (Bitfield-Mask: 0x01)                           */
#define DMA_ISR_BTCIF1_Pos                (1UL)                     /*!< BTCIF1 (Bit 1)                                        */
#define DMA_ISR_BTCIF1_Msk                (0x2UL)                   /*!< BTCIF1 (Bitfield-Mask: 0x01)                          */
#define DMA_ISR_HBIF1_Pos                 (2UL)                     /*!< HBIF1 (Bit 2)                                         */
#define DMA_ISR_HBIF1_Msk                 (0x4UL)                   /*!< HBIF1 (Bitfield-Mask: 0x01)                           */
#define DMA_ISR_TEIF1_Pos                 (3UL)                     /*!< TEIF1 (Bit 3)                                         */
#define DMA_ISR_TEIF1_Msk                 (0x8UL)                   /*!< TEIF1 (Bitfield-Mask: 0x01)                           */
#define DMA_ISR_TCIF2_Pos                 (4UL)                     /*!< TCIF2 (Bit 4)                                         */
#define DMA_ISR_TCIF2_Msk                 (0x10UL)                  /*!< TCIF2 (Bitfield-Mask: 0x01)                           */
#define DMA_ISR_BTCIF2_Pos                (5UL)                     /*!< BTCIF2 (Bit 5)                                        */
#define DMA_ISR_BTCIF2_Msk                (0x20UL)                  /*!< BTCIF2 (Bitfield-Mask: 0x01)                          */
#define DMA_ISR_HBIF2_Pos                 (6UL)                     /*!< HBIF2 (Bit 6)                                         */
#define DMA_ISR_HBIF2_Msk                 (0x40UL)                  /*!< HBIF2 (Bitfield-Mask: 0x01)                           */
#define DMA_ISR_TEIF2_Pos                 (7UL)                     /*!< TEIF2 (Bit 7)                                         */
#define DMA_ISR_TEIF2_Msk                 (0x80UL)                  /*!< TEIF2 (Bitfield-Mask: 0x01)                           */
#define DMA_ISR_TCIF3_Pos                 (8UL)                     /*!< TCIF3 (Bit 8)                                         */
#define DMA_ISR_TCIF3_Msk                 (0x100UL)                 /*!< TCIF3 (Bitfield-Mask: 0x01)                           */
#define DMA_ISR_BTCIF3_Pos                (9UL)                     /*!< BTCIF3 (Bit 9)                                        */
#define DMA_ISR_BTCIF3_Msk                (0x200UL)                 /*!< BTCIF3 (Bitfield-Mask: 0x01)                          */
#define DMA_ISR_HBIF3_Pos                 (10UL)                    /*!< HBIF3 (Bit 10)                                        */
#define DMA_ISR_HBIF3_Msk                 (0x400UL)                 /*!< HBIF3 (Bitfield-Mask: 0x01)                           */
#define DMA_ISR_TEIF3_Pos                 (11UL)                    /*!< TEIF3 (Bit 11)                                        */
#define DMA_ISR_TEIF3_Msk                 (0x800UL)                 /*!< TEIF3 (Bitfield-Mask: 0x01)                           */
#define DMA_ISR_TCIF4_Pos                 (12UL)                    /*!< TCIF4 (Bit 12)                                        */
#define DMA_ISR_TCIF4_Msk                 (0x1000UL)                /*!< TCIF4 (Bitfield-Mask: 0x01)                           */
#define DMA_ISR_BTCIF4_Pos                (13UL)                    /*!< BTCIF4 (Bit 13)                                       */
#define DMA_ISR_BTCIF4_Msk                (0x2000UL)                /*!< BTCIF4 (Bitfield-Mask: 0x01)                          */
#define DMA_ISR_HBIF4_Pos                 (14UL)                    /*!< HBIF4 (Bit 14)                                        */
#define DMA_ISR_HBIF4_Msk                 (0x4000UL)                /*!< HBIF4 (Bitfield-Mask: 0x01)                           */
#define DMA_ISR_TEIF4_Pos                 (15UL)                    /*!< TEIF4 (Bit 15)                                        */
#define DMA_ISR_TEIF4_Msk                 (0x8000UL)                /*!< TEIF4 (Bitfield-Mask: 0x01)                           */
#define DMA_ISR_TCIF5_Pos                 (16UL)                    /*!< TCIF5 (Bit 16)                                        */
#define DMA_ISR_TCIF5_Msk                 (0x10000UL)               /*!< TCIF5 (Bitfield-Mask: 0x01)                           */
#define DMA_ISR_BTCIF5_Pos                (17UL)                    /*!< BTCIF5 (Bit 17)                                       */
#define DMA_ISR_BTCIF5_Msk                (0x20000UL)               /*!< BTCIF5 (Bitfield-Mask: 0x01)                          */
#define DMA_ISR_HBIF5_Pos                 (18UL)                    /*!< HBIF5 (Bit 18)                                        */
#define DMA_ISR_HBIF5_Msk                 (0x40000UL)               /*!< HBIF5 (Bitfield-Mask: 0x01)                           */
#define DMA_ISR_TEIF5_Pos                 (19UL)                    /*!< TEIF5 (Bit 19)                                        */
#define DMA_ISR_TEIF5_Msk                 (0x80000UL)               /*!< TEIF5 (Bitfield-Mask: 0x01)                           */
#define DMA_ISR_TCIF6_Pos                 (20UL)                    /*!< TCIF6 (Bit 20)                                        */
#define DMA_ISR_TCIF6_Msk                 (0x100000UL)              /*!< TCIF6 (Bitfield-Mask: 0x01)                           */
#define DMA_ISR_BTCIF6_Pos                (21UL)                    /*!< BTCIF6 (Bit 21)                                       */
#define DMA_ISR_BTCIF6_Msk                (0x200000UL)              /*!< BTCIF6 (Bitfield-Mask: 0x01)                          */
#define DMA_ISR_HBIF6_Pos                 (22UL)                    /*!< HBIF6 (Bit 22)                                        */
#define DMA_ISR_HBIF6_Msk                 (0x400000UL)              /*!< HBIF6 (Bitfield-Mask: 0x01)                           */
#define DMA_ISR_TEIF6_Pos                 (23UL)                    /*!< TEIF6 (Bit 23)                                        */
#define DMA_ISR_TEIF6_Msk                 (0x800000UL)              /*!< TEIF6 (Bitfield-Mask: 0x01)                           */
#define DMA_ISR_TCIF7_Pos                 (24UL)                    /*!< TCIF7 (Bit 24)                                        */
#define DMA_ISR_TCIF7_Msk                 (0x1000000UL)             /*!< TCIF7 (Bitfield-Mask: 0x01)                           */
#define DMA_ISR_BTCIF7_Pos                (25UL)                    /*!< BTCIF7 (Bit 25)                                       */
#define DMA_ISR_BTCIF7_Msk                (0x2000000UL)             /*!< BTCIF7 (Bitfield-Mask: 0x01)                          */
#define DMA_ISR_HBIF7_Pos                 (26UL)                    /*!< HBIF7 (Bit 26)                                        */
#define DMA_ISR_HBIF7_Msk                 (0x4000000UL)             /*!< HBIF7 (Bitfield-Mask: 0x01)                           */
#define DMA_ISR_TEIF7_Pos                 (27UL)                    /*!< TEIF7 (Bit 27)                                        */
#define DMA_ISR_TEIF7_Msk                 (0x8000000UL)             /*!< TEIF7 (Bitfield-Mask: 0x01)                           */
#define DMA_ISR_TCIF8_Pos                 (28UL)                    /*!< TCIF8 (Bit 28)                                        */
#define DMA_ISR_TCIF8_Msk                 (0x10000000UL)            /*!< TCIF8 (Bitfield-Mask: 0x01)                           */
#define DMA_ISR_BTCIF8_Pos                (29UL)                    /*!< BTCIF8 (Bit 29)                                       */
#define DMA_ISR_BTCIF8_Msk                (0x20000000UL)            /*!< BTCIF8 (Bitfield-Mask: 0x01)                          */
#define DMA_ISR_HBIF8_Pos                 (30UL)                    /*!< HBIF8 (Bit 30)                                        */
#define DMA_ISR_HBIF8_Msk                 (0x40000000UL)            /*!< HBIF8 (Bitfield-Mask: 0x01)                           */
#define DMA_ISR_TEIF8_Pos                 (31UL)                    /*!< TEIF8 (Bit 31)                                        */
#define DMA_ISR_TEIF8_Msk                 (0x80000000UL)            /*!< TEIF8 (Bitfield-Mask: 0x01)                           */
/* =========================================================  IFCR  ========================================================== */
#define DMA_IFCR_CTCIF1_Pos               (0UL)                     /*!< CTCIF1 (Bit 0)                                        */
#define DMA_IFCR_CTCIF1_Msk               (0x1UL)                   /*!< CTCIF1 (Bitfield-Mask: 0x01)                          */
#define DMA_IFCR_CBTCIF1_Pos              (1UL)                     /*!< CBTCIF1 (Bit 1)                                       */
#define DMA_IFCR_CBTCIF1_Msk              (0x2UL)                   /*!< CBTCIF1 (Bitfield-Mask: 0x01)                         */
#define DMA_IFCR_CHBTIF1_Pos              (2UL)                     /*!< CHBTIF1 (Bit 2)                                       */
#define DMA_IFCR_CHBTIF1_Msk              (0x4UL)                   /*!< CHBTIF1 (Bitfield-Mask: 0x01)                         */
#define DMA_IFCR_CTEIF1_Pos               (3UL)                     /*!< CTEIF1 (Bit 3)                                        */
#define DMA_IFCR_CTEIF1_Msk               (0x8UL)                   /*!< CTEIF1 (Bitfield-Mask: 0x01)                          */
#define DMA_IFCR_CTCIF2_Pos               (4UL)                     /*!< CTCIF2 (Bit 4)                                        */
#define DMA_IFCR_CTCIF2_Msk               (0x10UL)                  /*!< CTCIF2 (Bitfield-Mask: 0x01)                          */
#define DMA_IFCR_CBTCIF2_Pos              (5UL)                     /*!< CBTCIF2 (Bit 5)                                       */
#define DMA_IFCR_CBTCIF2_Msk              (0x20UL)                  /*!< CBTCIF2 (Bitfield-Mask: 0x01)                         */
#define DMA_IFCR_CHBTIF2_Pos              (6UL)                     /*!< CHBTIF2 (Bit 6)                                       */
#define DMA_IFCR_CHBTIF2_Msk              (0x40UL)                  /*!< CHBTIF2 (Bitfield-Mask: 0x01)                         */
#define DMA_IFCR_CTEIF2_Pos               (7UL)                     /*!< CTEIF2 (Bit 7)                                        */
#define DMA_IFCR_CTEIF2_Msk               (0x80UL)                  /*!< CTEIF2 (Bitfield-Mask: 0x01)                          */
#define DMA_IFCR_CTCIF3_Pos               (8UL)                     /*!< CTCIF3 (Bit 8)                                        */
#define DMA_IFCR_CTCIF3_Msk               (0x100UL)                 /*!< CTCIF3 (Bitfield-Mask: 0x01)                          */
#define DMA_IFCR_CBTCIF3_Pos              (9UL)                     /*!< CBTCIF3 (Bit 9)                                       */
#define DMA_IFCR_CBTCIF3_Msk              (0x200UL)                 /*!< CBTCIF3 (Bitfield-Mask: 0x01)                         */
#define DMA_IFCR_CHBTIF3_Pos              (10UL)                    /*!< CHBTIF3 (Bit 10)                                      */
#define DMA_IFCR_CHBTIF3_Msk              (0x400UL)                 /*!< CHBTIF3 (Bitfield-Mask: 0x01)                         */
#define DMA_IFCR_CTEIF3_Pos               (11UL)                    /*!< CTEIF3 (Bit 11)                                       */
#define DMA_IFCR_CTEIF3_Msk               (0x800UL)                 /*!< CTEIF3 (Bitfield-Mask: 0x01)                          */
#define DMA_IFCR_CTCIF4_Pos               (12UL)                    /*!< CTCIF4 (Bit 12)                                       */
#define DMA_IFCR_CTCIF4_Msk               (0x1000UL)                /*!< CTCIF4 (Bitfield-Mask: 0x01)                          */
#define DMA_IFCR_CBTCIF4_Pos              (13UL)                    /*!< CBTCIF4 (Bit 13)                                      */
#define DMA_IFCR_CBTCIF4_Msk              (0x2000UL)                /*!< CBTCIF4 (Bitfield-Mask: 0x01)                         */
#define DMA_IFCR_CHBTIF4_Pos              (14UL)                    /*!< CHBTIF4 (Bit 14)                                      */
#define DMA_IFCR_CHBTIF4_Msk              (0x4000UL)                /*!< CHBTIF4 (Bitfield-Mask: 0x01)                         */
#define DMA_IFCR_CTEIF4_Pos               (15UL)                    /*!< CTEIF4 (Bit 15)                                       */
#define DMA_IFCR_CTEIF4_Msk               (0x8000UL)                /*!< CTEIF4 (Bitfield-Mask: 0x01)                          */
#define DMA_IFCR_CTCIF5_Pos               (16UL)                    /*!< CTCIF5 (Bit 16)                                       */
#define DMA_IFCR_CTCIF5_Msk               (0x10000UL)               /*!< CTCIF5 (Bitfield-Mask: 0x01)                          */
#define DMA_IFCR_CBTCIF5_Pos              (17UL)                    /*!< CBTCIF5 (Bit 17)                                      */
#define DMA_IFCR_CBTCIF5_Msk              (0x20000UL)               /*!< CBTCIF5 (Bitfield-Mask: 0x01)                         */
#define DMA_IFCR_CHBTIF5_Pos              (18UL)                    /*!< CHBTIF5 (Bit 18)                                      */
#define DMA_IFCR_CHBTIF5_Msk              (0x40000UL)               /*!< CHBTIF5 (Bitfield-Mask: 0x01)                         */
#define DMA_IFCR_CTEIF5_Pos               (19UL)                    /*!< CTEIF5 (Bit 19)                                       */
#define DMA_IFCR_CTEIF5_Msk               (0x80000UL)               /*!< CTEIF5 (Bitfield-Mask: 0x01)                          */
#define DMA_IFCR_CTCIF6_Pos               (20UL)                    /*!< CTCIF6 (Bit 20)                                       */
#define DMA_IFCR_CTCIF6_Msk               (0x100000UL)              /*!< CTCIF6 (Bitfield-Mask: 0x01)                          */
#define DMA_IFCR_CBTCIF6_Pos              (21UL)                    /*!< CBTCIF6 (Bit 21)                                      */
#define DMA_IFCR_CBTCIF6_Msk              (0x200000UL)              /*!< CBTCIF6 (Bitfield-Mask: 0x01)                         */
#define DMA_IFCR_CHBTIF6_Pos              (22UL)                    /*!< CHBTIF6 (Bit 22)                                      */
#define DMA_IFCR_CHBTIF6_Msk              (0x400000UL)              /*!< CHBTIF6 (Bitfield-Mask: 0x01)                         */
#define DMA_IFCR_CTEIF6_Pos               (23UL)                    /*!< CTEIF6 (Bit 23)                                       */
#define DMA_IFCR_CTEIF6_Msk               (0x800000UL)              /*!< CTEIF6 (Bitfield-Mask: 0x01)                          */
#define DMA_IFCR_CTCIF7_Pos               (24UL)                    /*!< CTCIF7 (Bit 24)                                       */
#define DMA_IFCR_CTCIF7_Msk               (0x1000000UL)             /*!< CTCIF7 (Bitfield-Mask: 0x01)                          */
#define DMA_IFCR_CBTCIF7_Pos              (25UL)                    /*!< CBTCIF7 (Bit 25)                                      */
#define DMA_IFCR_CBTCIF7_Msk              (0x2000000UL)             /*!< CBTCIF7 (Bitfield-Mask: 0x01)                         */
#define DMA_IFCR_CHBTIF7_Pos              (26UL)                    /*!< CHBTIF7 (Bit 26)                                      */
#define DMA_IFCR_CHBTIF7_Msk              (0x4000000UL)             /*!< CHBTIF7 (Bitfield-Mask: 0x01)                         */
#define DMA_IFCR_CTEIF7_Pos               (27UL)                    /*!< CTEIF7 (Bit 27)                                       */
#define DMA_IFCR_CTEIF7_Msk               (0x8000000UL)             /*!< CTEIF7 (Bitfield-Mask: 0x01)                          */
#define DMA_IFCR_CTCIF8_Pos               (28UL)                    /*!< CTCIF8 (Bit 28)                                       */
#define DMA_IFCR_CTCIF8_Msk               (0x10000000UL)            /*!< CTCIF8 (Bitfield-Mask: 0x01)                          */
#define DMA_IFCR_CBTCIF8_Pos              (29UL)                    /*!< CBTCIF8 (Bit 29)                                      */
#define DMA_IFCR_CBTCIF8_Msk              (0x20000000UL)            /*!< CBTCIF8 (Bitfield-Mask: 0x01)                         */
#define DMA_IFCR_CHBTIF8_Pos              (30UL)                    /*!< CHBTIF8 (Bit 30)                                      */
#define DMA_IFCR_CHBTIF8_Msk              (0x40000000UL)            /*!< CHBTIF8 (Bitfield-Mask: 0x01)                         */
#define DMA_IFCR_CTEIF8_Pos               (31UL)                    /*!< CTEIF8 (Bit 31)                                       */
#define DMA_IFCR_CTEIF8_Msk               (0x80000000UL)            /*!< CTEIF8 (Bitfield-Mask: 0x01)                          */
/* =========================================================  CCR1  ========================================================== */
#define DMA_CCR1_EN_Pos                   (0UL)                     /*!< EN (Bit 0)                                            */
#define DMA_CCR1_EN_Msk                   (0x1UL)                   /*!< EN (Bitfield-Mask: 0x01)                              */
#define DMA_CCR1_TCIE_Pos                 (1UL)                     /*!< TCIE (Bit 1)                                          */
#define DMA_CCR1_TCIE_Msk                 (0x2UL)                   /*!< TCIE (Bitfield-Mask: 0x01)                            */
#define DMA_CCR1_BTCIE_Pos                (2UL)                     /*!< BTCIE (Bit 2)                                         */
#define DMA_CCR1_BTCIE_Msk                (0x4UL)                   /*!< BTCIE (Bitfield-Mask: 0x01)                           */
#define DMA_CCR1_HBTIE_Pos                (3UL)                     /*!< HBTIE (Bit 3)                                         */
#define DMA_CCR1_HBTIE_Msk                (0x8UL)                   /*!< HBTIE (Bitfield-Mask: 0x01)                           */
#define DMA_CCR1_TEIE_Pos                 (4UL)                     /*!< TEIE (Bit 4)                                          */
#define DMA_CCR1_TEIE_Msk                 (0x10UL)                  /*!< TEIE (Bitfield-Mask: 0x01)                            */
#define DMA_CCR1_DIR_Pos                  (5UL)                     /*!< DIR (Bit 5)                                           */
#define DMA_CCR1_DIR_Msk                  (0x20UL)                  /*!< DIR (Bitfield-Mask: 0x01)                             */
#define DMA_CCR1_CIRC_Pos                 (6UL)                     /*!< CIRC (Bit 6)                                          */
#define DMA_CCR1_CIRC_Msk                 (0x40UL)                  /*!< CIRC (Bitfield-Mask: 0x01)                            */
#define DMA_CCR1_TRANST_Pos               (7UL)                     /*!< TRANST (Bit 7)                                        */
#define DMA_CCR1_TRANST_Msk               (0x80UL)                  /*!< TRANST (Bitfield-Mask: 0x01)                          */
#define DMA_CCR1_PINC_Pos                 (8UL)                     /*!< PINC (Bit 8)                                          */
#define DMA_CCR1_PINC_Msk                 (0x300UL)                 /*!< PINC (Bitfield-Mask: 0x03)                            */
#define DMA_CCR1_MINC_Pos                 (10UL)                    /*!< MINC (Bit 10)                                         */
#define DMA_CCR1_MINC_Msk                 (0xc00UL)                 /*!< MINC (Bitfield-Mask: 0x03)                            */
#define DMA_CCR1_PSIZE_Pos                (12UL)                    /*!< PSIZE (Bit 12)                                        */
#define DMA_CCR1_PSIZE_Msk                (0x3000UL)                /*!< PSIZE (Bitfield-Mask: 0x03)                           */
#define DMA_CCR1_MSIZE_Pos                (14UL)                    /*!< MSIZE (Bit 14)                                        */
#define DMA_CCR1_MSIZE_Msk                (0xc000UL)                /*!< MSIZE (Bitfield-Mask: 0x03)                           */
#define DMA_CCR1_PL_Pos                   (16UL)                    /*!< PL (Bit 16)                                           */
#define DMA_CCR1_PL_Msk                   (0x70000UL)               /*!< PL (Bitfield-Mask: 0x07)                              */
#define DMA_CCR1_PRELOAD_Pos              (20UL)                    /*!< PRELOAD (Bit 20)                                      */
#define DMA_CCR1_PRELOAD_Msk              (0x100000UL)              /*!< PRELOAD (Bitfield-Mask: 0x01)                         */
#define DMA_CCR1_MRELOAD_Pos              (21UL)                    /*!< MRELOAD (Bit 21)                                      */
#define DMA_CCR1_MRELOAD_Msk              (0x200000UL)              /*!< MRELOAD (Bitfield-Mask: 0x01)                         */
#define DMA_CCR1_BTCSUSP_Pos              (22UL)                    /*!< BTCSUSP (Bit 22)                                      */
#define DMA_CCR1_BTCSUSP_Msk              (0x400000UL)              /*!< BTCSUSP (Bitfield-Mask: 0x01)                         */
#define DMA_CCR1_M2MARB_Pos               (23UL)                    /*!< M2MARB (Bit 23)                                       */
#define DMA_CCR1_M2MARB_Msk               (0x800000UL)              /*!< M2MARB (Bitfield-Mask: 0x01)                          */
/* ========================================================  CNDTR1  ========================================================= */
#define DMA_CNDTR1_NDT_Pos                (0UL)                     /*!< NDT (Bit 0)                                           */
#define DMA_CNDTR1_NDT_Msk                (0xffffUL)                /*!< NDT (Bitfield-Mask: 0xffff)                           */
/* =========================================================  CPAR1  ========================================================= */
#define DMA_CPAR1_PA_Pos                  (0UL)                     /*!< PA (Bit 0)                                            */
#define DMA_CPAR1_PA_Msk                  (0xffffffffUL)            /*!< PA (Bitfield-Mask: 0xffffffff)                        */
/* =========================================================  CMAR1  ========================================================= */
#define DMA_CMAR1_MA_Pos                  (0UL)                     /*!< MA (Bit 0)                                            */
#define DMA_CMAR1_MA_Msk                  (0xffffffffUL)            /*!< MA (Bitfield-Mask: 0xffffffff)                        */
/* ========================================================  CNBTR1  ========================================================= */
#define DMA_CNBTR1_NBT_Pos                (0UL)                     /*!< NBT (Bit 0)                                           */
#define DMA_CNBTR1_NBT_Msk                (0xffUL)                  /*!< NBT (Bitfield-Mask: 0xff)                             */
#define DMA_CNBTR1_NDTL_Pos               (16UL)                    /*!< NDTL (Bit 16)                                         */
#define DMA_CNBTR1_NDTL_Msk               (0xffff0000UL)            /*!< NDTL (Bitfield-Mask: 0xffff)                          */
/* =========================================================  CCR2  ========================================================== */
#define DMA_CCR2_EN_Pos                   (0UL)                     /*!< EN (Bit 0)                                            */
#define DMA_CCR2_EN_Msk                   (0x1UL)                   /*!< EN (Bitfield-Mask: 0x01)                              */
#define DMA_CCR2_TCIE_Pos                 (1UL)                     /*!< TCIE (Bit 1)                                          */
#define DMA_CCR2_TCIE_Msk                 (0x2UL)                   /*!< TCIE (Bitfield-Mask: 0x01)                            */
#define DMA_CCR2_BTCIE_Pos                (2UL)                     /*!< BTCIE (Bit 2)                                         */
#define DMA_CCR2_BTCIE_Msk                (0x4UL)                   /*!< BTCIE (Bitfield-Mask: 0x01)                           */
#define DMA_CCR2_HBTIE_Pos                (3UL)                     /*!< HBTIE (Bit 3)                                         */
#define DMA_CCR2_HBTIE_Msk                (0x8UL)                   /*!< HBTIE (Bitfield-Mask: 0x01)                           */
#define DMA_CCR2_TEIE_Pos                 (4UL)                     /*!< TEIE (Bit 4)                                          */
#define DMA_CCR2_TEIE_Msk                 (0x10UL)                  /*!< TEIE (Bitfield-Mask: 0x01)                            */
#define DMA_CCR2_DIR_Pos                  (5UL)                     /*!< DIR (Bit 5)                                           */
#define DMA_CCR2_DIR_Msk                  (0x20UL)                  /*!< DIR (Bitfield-Mask: 0x01)                             */
#define DMA_CCR2_CIRC_Pos                 (6UL)                     /*!< CIRC (Bit 6)                                          */
#define DMA_CCR2_CIRC_Msk                 (0x40UL)                  /*!< CIRC (Bitfield-Mask: 0x01)                            */
#define DMA_CCR2_TRANST_Pos               (7UL)                     /*!< TRANST (Bit 7)                                        */
#define DMA_CCR2_TRANST_Msk               (0x80UL)                  /*!< TRANST (Bitfield-Mask: 0x01)                          */
#define DMA_CCR2_PINC_Pos                 (8UL)                     /*!< PINC (Bit 8)                                          */
#define DMA_CCR2_PINC_Msk                 (0x300UL)                 /*!< PINC (Bitfield-Mask: 0x03)                            */
#define DMA_CCR2_MINC_Pos                 (10UL)                    /*!< MINC (Bit 10)                                         */
#define DMA_CCR2_MINC_Msk                 (0xc00UL)                 /*!< MINC (Bitfield-Mask: 0x03)                            */
#define DMA_CCR2_PSIZE_Pos                (12UL)                    /*!< PSIZE (Bit 12)                                        */
#define DMA_CCR2_PSIZE_Msk                (0x3000UL)                /*!< PSIZE (Bitfield-Mask: 0x03)                           */
#define DMA_CCR2_MSIZE_Pos                (14UL)                    /*!< MSIZE (Bit 14)                                        */
#define DMA_CCR2_MSIZE_Msk                (0xc000UL)                /*!< MSIZE (Bitfield-Mask: 0x03)                           */
#define DMA_CCR2_PL_Pos                   (16UL)                    /*!< PL (Bit 16)                                           */
#define DMA_CCR2_PL_Msk                   (0x70000UL)               /*!< PL (Bitfield-Mask: 0x07)                              */
#define DMA_CCR2_PRELOAD_Pos              (20UL)                    /*!< PRELOAD (Bit 20)                                      */
#define DMA_CCR2_PRELOAD_Msk              (0x100000UL)              /*!< PRELOAD (Bitfield-Mask: 0x01)                         */
#define DMA_CCR2_MRELOAD_Pos              (21UL)                    /*!< MRELOAD (Bit 21)                                      */
#define DMA_CCR2_MRELOAD_Msk              (0x200000UL)              /*!< MRELOAD (Bitfield-Mask: 0x01)                         */
#define DMA_CCR2_BTCSUSP_Pos              (22UL)                    /*!< BTCSUSP (Bit 22)                                      */
#define DMA_CCR2_BTCSUSP_Msk              (0x400000UL)              /*!< BTCSUSP (Bitfield-Mask: 0x01)                         */
#define DMA_CCR2_M2MARB_Pos               (23UL)                    /*!< M2MARB (Bit 23)                                       */
#define DMA_CCR2_M2MARB_Msk               (0x800000UL)              /*!< M2MARB (Bitfield-Mask: 0x01)                          */
/* ========================================================  CNDTR2  ========================================================= */
#define DMA_CNDTR2_NDT_Pos                (0UL)                     /*!< NDT (Bit 0)                                           */
#define DMA_CNDTR2_NDT_Msk                (0xffffUL)                /*!< NDT (Bitfield-Mask: 0xffff)                           */
/* =========================================================  CPAR2  ========================================================= */
#define DMA_CPAR2_PA_Pos                  (0UL)                     /*!< PA (Bit 0)                                            */
#define DMA_CPAR2_PA_Msk                  (0xffffffffUL)            /*!< PA (Bitfield-Mask: 0xffffffff)                        */
/* =========================================================  CMAR2  ========================================================= */
#define DMA_CMAR2_MA_Pos                  (0UL)                     /*!< MA (Bit 0)                                            */
#define DMA_CMAR2_MA_Msk                  (0xffffffffUL)            /*!< MA (Bitfield-Mask: 0xffffffff)                        */
/* ========================================================  CNBTR2  ========================================================= */
#define DMA_CNBTR2_NBT_Pos                (0UL)                     /*!< NBT (Bit 0)                                           */
#define DMA_CNBTR2_NBT_Msk                (0xffUL)                  /*!< NBT (Bitfield-Mask: 0xff)                             */
#define DMA_CNBTR2_NDTL_Pos               (16UL)                    /*!< NDTL (Bit 16)                                         */
#define DMA_CNBTR2_NDTL_Msk               (0xffff0000UL)            /*!< NDTL (Bitfield-Mask: 0xffff)                          */
/* =========================================================  CCR3  ========================================================== */
#define DMA_CCR3_EN_Pos                   (0UL)                     /*!< EN (Bit 0)                                            */
#define DMA_CCR3_EN_Msk                   (0x1UL)                   /*!< EN (Bitfield-Mask: 0x01)                              */
#define DMA_CCR3_TCIE_Pos                 (1UL)                     /*!< TCIE (Bit 1)                                          */
#define DMA_CCR3_TCIE_Msk                 (0x2UL)                   /*!< TCIE (Bitfield-Mask: 0x01)                            */
#define DMA_CCR3_BTCIE_Pos                (2UL)                     /*!< BTCIE (Bit 2)                                         */
#define DMA_CCR3_BTCIE_Msk                (0x4UL)                   /*!< BTCIE (Bitfield-Mask: 0x01)                           */
#define DMA_CCR3_HBTIE_Pos                (3UL)                     /*!< HBTIE (Bit 3)                                         */
#define DMA_CCR3_HBTIE_Msk                (0x8UL)                   /*!< HBTIE (Bitfield-Mask: 0x01)                           */
#define DMA_CCR3_TEIE_Pos                 (4UL)                     /*!< TEIE (Bit 4)                                          */
#define DMA_CCR3_TEIE_Msk                 (0x10UL)                  /*!< TEIE (Bitfield-Mask: 0x01)                            */
#define DMA_CCR3_DIR_Pos                  (5UL)                     /*!< DIR (Bit 5)                                           */
#define DMA_CCR3_DIR_Msk                  (0x20UL)                  /*!< DIR (Bitfield-Mask: 0x01)                             */
#define DMA_CCR3_CIRC_Pos                 (6UL)                     /*!< CIRC (Bit 6)                                          */
#define DMA_CCR3_CIRC_Msk                 (0x40UL)                  /*!< CIRC (Bitfield-Mask: 0x01)                            */
#define DMA_CCR3_TRANST_Pos               (7UL)                     /*!< TRANST (Bit 7)                                        */
#define DMA_CCR3_TRANST_Msk               (0x80UL)                  /*!< TRANST (Bitfield-Mask: 0x01)                          */
#define DMA_CCR3_PINC_Pos                 (8UL)                     /*!< PINC (Bit 8)                                          */
#define DMA_CCR3_PINC_Msk                 (0x300UL)                 /*!< PINC (Bitfield-Mask: 0x03)                            */
#define DMA_CCR3_MINC_Pos                 (10UL)                    /*!< MINC (Bit 10)                                         */
#define DMA_CCR3_MINC_Msk                 (0xc00UL)                 /*!< MINC (Bitfield-Mask: 0x03)                            */
#define DMA_CCR3_PSIZE_Pos                (12UL)                    /*!< PSIZE (Bit 12)                                        */
#define DMA_CCR3_PSIZE_Msk                (0x3000UL)                /*!< PSIZE (Bitfield-Mask: 0x03)                           */
#define DMA_CCR3_MSIZE_Pos                (14UL)                    /*!< MSIZE (Bit 14)                                        */
#define DMA_CCR3_MSIZE_Msk                (0xc000UL)                /*!< MSIZE (Bitfield-Mask: 0x03)                           */
#define DMA_CCR3_PL_Pos                   (16UL)                    /*!< PL (Bit 16)                                           */
#define DMA_CCR3_PL_Msk                   (0x70000UL)               /*!< PL (Bitfield-Mask: 0x07)                              */
#define DMA_CCR3_PRELOAD_Pos              (20UL)                    /*!< PRELOAD (Bit 20)                                      */
#define DMA_CCR3_PRELOAD_Msk              (0x100000UL)              /*!< PRELOAD (Bitfield-Mask: 0x01)                         */
#define DMA_CCR3_MRELOAD_Pos              (21UL)                    /*!< MRELOAD (Bit 21)                                      */
#define DMA_CCR3_MRELOAD_Msk              (0x200000UL)              /*!< MRELOAD (Bitfield-Mask: 0x01)                         */
#define DMA_CCR3_BTCSUSP_Pos              (22UL)                    /*!< BTCSUSP (Bit 22)                                      */
#define DMA_CCR3_BTCSUSP_Msk              (0x400000UL)              /*!< BTCSUSP (Bitfield-Mask: 0x01)                         */
#define DMA_CCR3_M2MARB_Pos               (23UL)                    /*!< M2MARB (Bit 23)                                       */
#define DMA_CCR3_M2MARB_Msk               (0x800000UL)              /*!< M2MARB (Bitfield-Mask: 0x01)                          */
/* ========================================================  CNDTR3  ========================================================= */
#define DMA_CNDTR3_NDT_Pos                (0UL)                     /*!< NDT (Bit 0)                                           */
#define DMA_CNDTR3_NDT_Msk                (0xffffUL)                /*!< NDT (Bitfield-Mask: 0xffff)                           */
/* =========================================================  CPAR3  ========================================================= */
#define DMA_CPAR3_PA_Pos                  (0UL)                     /*!< PA (Bit 0)                                            */
#define DMA_CPAR3_PA_Msk                  (0xffffffffUL)            /*!< PA (Bitfield-Mask: 0xffffffff)                        */
/* =========================================================  CMAR3  ========================================================= */
#define DMA_CMAR3_MA_Pos                  (0UL)                     /*!< MA (Bit 0)                                            */
#define DMA_CMAR3_MA_Msk                  (0xffffffffUL)            /*!< MA (Bitfield-Mask: 0xffffffff)                        */
/* ========================================================  CNBTR3  ========================================================= */
#define DMA_CNBTR3_NBT_Pos                (0UL)                     /*!< NBT (Bit 0)                                           */
#define DMA_CNBTR3_NBT_Msk                (0xffUL)                  /*!< NBT (Bitfield-Mask: 0xff)                             */
#define DMA_CNBTR3_NDTL_Pos               (16UL)                    /*!< NDTL (Bit 16)                                         */
#define DMA_CNBTR3_NDTL_Msk               (0xffff0000UL)            /*!< NDTL (Bitfield-Mask: 0xffff)                          */
/* =========================================================  CCR4  ========================================================== */
#define DMA_CCR4_EN_Pos                   (0UL)                     /*!< EN (Bit 0)                                            */
#define DMA_CCR4_EN_Msk                   (0x1UL)                   /*!< EN (Bitfield-Mask: 0x01)                              */
#define DMA_CCR4_TCIE_Pos                 (1UL)                     /*!< TCIE (Bit 1)                                          */
#define DMA_CCR4_TCIE_Msk                 (0x2UL)                   /*!< TCIE (Bitfield-Mask: 0x01)                            */
#define DMA_CCR4_BTCIE_Pos                (2UL)                     /*!< BTCIE (Bit 2)                                         */
#define DMA_CCR4_BTCIE_Msk                (0x4UL)                   /*!< BTCIE (Bitfield-Mask: 0x01)                           */
#define DMA_CCR4_HBTIE_Pos                (3UL)                     /*!< HBTIE (Bit 3)                                         */
#define DMA_CCR4_HBTIE_Msk                (0x8UL)                   /*!< HBTIE (Bitfield-Mask: 0x01)                           */
#define DMA_CCR4_TEIE_Pos                 (4UL)                     /*!< TEIE (Bit 4)                                          */
#define DMA_CCR4_TEIE_Msk                 (0x10UL)                  /*!< TEIE (Bitfield-Mask: 0x01)                            */
#define DMA_CCR4_DIR_Pos                  (5UL)                     /*!< DIR (Bit 5)                                           */
#define DMA_CCR4_DIR_Msk                  (0x20UL)                  /*!< DIR (Bitfield-Mask: 0x01)                             */
#define DMA_CCR4_CIRC_Pos                 (6UL)                     /*!< CIRC (Bit 6)                                          */
#define DMA_CCR4_CIRC_Msk                 (0x40UL)                  /*!< CIRC (Bitfield-Mask: 0x01)                            */
#define DMA_CCR4_TRANST_Pos               (7UL)                     /*!< TRANST (Bit 7)                                        */
#define DMA_CCR4_TRANST_Msk               (0x80UL)                  /*!< TRANST (Bitfield-Mask: 0x01)                          */
#define DMA_CCR4_PINC_Pos                 (8UL)                     /*!< PINC (Bit 8)                                          */
#define DMA_CCR4_PINC_Msk                 (0x300UL)                 /*!< PINC (Bitfield-Mask: 0x03)                            */
#define DMA_CCR4_MINC_Pos                 (10UL)                    /*!< MINC (Bit 10)                                         */
#define DMA_CCR4_MINC_Msk                 (0xc00UL)                 /*!< MINC (Bitfield-Mask: 0x03)                            */
#define DMA_CCR4_PSIZE_Pos                (12UL)                    /*!< PSIZE (Bit 12)                                        */
#define DMA_CCR4_PSIZE_Msk                (0x3000UL)                /*!< PSIZE (Bitfield-Mask: 0x03)                           */
#define DMA_CCR4_MSIZE_Pos                (14UL)                    /*!< MSIZE (Bit 14)                                        */
#define DMA_CCR4_MSIZE_Msk                (0xc000UL)                /*!< MSIZE (Bitfield-Mask: 0x03)                           */
#define DMA_CCR4_PL_Pos                   (16UL)                    /*!< PL (Bit 16)                                           */
#define DMA_CCR4_PL_Msk                   (0x70000UL)               /*!< PL (Bitfield-Mask: 0x07)                              */
#define DMA_CCR4_PRELOAD_Pos              (20UL)                    /*!< PRELOAD (Bit 20)                                      */
#define DMA_CCR4_PRELOAD_Msk              (0x100000UL)              /*!< PRELOAD (Bitfield-Mask: 0x01)                         */
#define DMA_CCR4_MRELOAD_Pos              (21UL)                    /*!< MRELOAD (Bit 21)                                      */
#define DMA_CCR4_MRELOAD_Msk              (0x200000UL)              /*!< MRELOAD (Bitfield-Mask: 0x01)                         */
#define DMA_CCR4_BTCSUSP_Pos              (22UL)                    /*!< BTCSUSP (Bit 22)                                      */
#define DMA_CCR4_BTCSUSP_Msk              (0x400000UL)              /*!< BTCSUSP (Bitfield-Mask: 0x01)                         */
#define DMA_CCR4_M2MARB_Pos               (23UL)                    /*!< M2MARB (Bit 23)                                       */
#define DMA_CCR4_M2MARB_Msk               (0x800000UL)              /*!< M2MARB (Bitfield-Mask: 0x01)                          */
/* ========================================================  CNDTR4  ========================================================= */
#define DMA_CNDTR4_NDT_Pos                (0UL)                     /*!< NDT (Bit 0)                                           */
#define DMA_CNDTR4_NDT_Msk                (0xffffUL)                /*!< NDT (Bitfield-Mask: 0xffff)                           */
/* =========================================================  CPAR4  ========================================================= */
#define DMA_CPAR4_PA_Pos                  (0UL)                     /*!< PA (Bit 0)                                            */
#define DMA_CPAR4_PA_Msk                  (0xffffffffUL)            /*!< PA (Bitfield-Mask: 0xffffffff)                        */
/* =========================================================  CMAR4  ========================================================= */
#define DMA_CMAR4_MA_Pos                  (0UL)                     /*!< MA (Bit 0)                                            */
#define DMA_CMAR4_MA_Msk                  (0xffffffffUL)            /*!< MA (Bitfield-Mask: 0xffffffff)                        */
/* ========================================================  CNBTR4  ========================================================= */
#define DMA_CNBTR4_NBT_Pos                (0UL)                     /*!< NBT (Bit 0)                                           */
#define DMA_CNBTR4_NBT_Msk                (0xffUL)                  /*!< NBT (Bitfield-Mask: 0xff)                             */
#define DMA_CNBTR4_NDTL_Pos               (16UL)                    /*!< NDTL (Bit 16)                                         */
#define DMA_CNBTR4_NDTL_Msk               (0xffff0000UL)            /*!< NDTL (Bitfield-Mask: 0xffff)                          */
/* =========================================================  CCR5  ========================================================== */
#define DMA_CCR5_EN_Pos                   (0UL)                     /*!< EN (Bit 0)                                            */
#define DMA_CCR5_EN_Msk                   (0x1UL)                   /*!< EN (Bitfield-Mask: 0x01)                              */
#define DMA_CCR5_TCIE_Pos                 (1UL)                     /*!< TCIE (Bit 1)                                          */
#define DMA_CCR5_TCIE_Msk                 (0x2UL)                   /*!< TCIE (Bitfield-Mask: 0x01)                            */
#define DMA_CCR5_BTCIE_Pos                (2UL)                     /*!< BTCIE (Bit 2)                                         */
#define DMA_CCR5_BTCIE_Msk                (0x4UL)                   /*!< BTCIE (Bitfield-Mask: 0x01)                           */
#define DMA_CCR5_HBTIE_Pos                (3UL)                     /*!< HBTIE (Bit 3)                                         */
#define DMA_CCR5_HBTIE_Msk                (0x8UL)                   /*!< HBTIE (Bitfield-Mask: 0x01)                           */
#define DMA_CCR5_TEIE_Pos                 (4UL)                     /*!< TEIE (Bit 4)                                          */
#define DMA_CCR5_TEIE_Msk                 (0x10UL)                  /*!< TEIE (Bitfield-Mask: 0x01)                            */
#define DMA_CCR5_DIR_Pos                  (5UL)                     /*!< DIR (Bit 5)                                           */
#define DMA_CCR5_DIR_Msk                  (0x20UL)                  /*!< DIR (Bitfield-Mask: 0x01)                             */
#define DMA_CCR5_CIRC_Pos                 (6UL)                     /*!< CIRC (Bit 6)                                          */
#define DMA_CCR5_CIRC_Msk                 (0x40UL)                  /*!< CIRC (Bitfield-Mask: 0x01)                            */
#define DMA_CCR5_TRANST_Pos               (7UL)                     /*!< TRANST (Bit 7)                                        */
#define DMA_CCR5_TRANST_Msk               (0x80UL)                  /*!< TRANST (Bitfield-Mask: 0x01)                          */
#define DMA_CCR5_PINC_Pos                 (8UL)                     /*!< PINC (Bit 8)                                          */
#define DMA_CCR5_PINC_Msk                 (0x300UL)                 /*!< PINC (Bitfield-Mask: 0x03)                            */
#define DMA_CCR5_MINC_Pos                 (10UL)                    /*!< MINC (Bit 10)                                         */
#define DMA_CCR5_MINC_Msk                 (0xc00UL)                 /*!< MINC (Bitfield-Mask: 0x03)                            */
#define DMA_CCR5_PSIZE_Pos                (12UL)                    /*!< PSIZE (Bit 12)                                        */
#define DMA_CCR5_PSIZE_Msk                (0x3000UL)                /*!< PSIZE (Bitfield-Mask: 0x03)                           */
#define DMA_CCR5_MSIZE_Pos                (14UL)                    /*!< MSIZE (Bit 14)                                        */
#define DMA_CCR5_MSIZE_Msk                (0xc000UL)                /*!< MSIZE (Bitfield-Mask: 0x03)                           */
#define DMA_CCR5_PL_Pos                   (16UL)                    /*!< PL (Bit 16)                                           */
#define DMA_CCR5_PL_Msk                   (0x70000UL)               /*!< PL (Bitfield-Mask: 0x07)                              */
#define DMA_CCR5_PRELOAD_Pos              (20UL)                    /*!< PRELOAD (Bit 20)                                      */
#define DMA_CCR5_PRELOAD_Msk              (0x100000UL)              /*!< PRELOAD (Bitfield-Mask: 0x01)                         */
#define DMA_CCR5_MRELOAD_Pos              (21UL)                    /*!< MRELOAD (Bit 21)                                      */
#define DMA_CCR5_MRELOAD_Msk              (0x200000UL)              /*!< MRELOAD (Bitfield-Mask: 0x01)                         */
#define DMA_CCR5_BTCSUSP_Pos              (22UL)                    /*!< BTCSUSP (Bit 22)                                      */
#define DMA_CCR5_BTCSUSP_Msk              (0x400000UL)              /*!< BTCSUSP (Bitfield-Mask: 0x01)                         */
#define DMA_CCR5_M2MARB_Pos               (23UL)                    /*!< M2MARB (Bit 23)                                       */
#define DMA_CCR5_M2MARB_Msk               (0x800000UL)              /*!< M2MARB (Bitfield-Mask: 0x01)                          */
/* ========================================================  CNDTR5  ========================================================= */
#define DMA_CNDTR5_NDT_Pos                (0UL)                     /*!< NDT (Bit 0)                                           */
#define DMA_CNDTR5_NDT_Msk                (0xffffUL)                /*!< NDT (Bitfield-Mask: 0xffff)                           */
/* =========================================================  CPAR5  ========================================================= */
#define DMA_CPAR5_PA_Pos                  (0UL)                     /*!< PA (Bit 0)                                            */
#define DMA_CPAR5_PA_Msk                  (0xffffffffUL)            /*!< PA (Bitfield-Mask: 0xffffffff)                        */
/* =========================================================  CMAR5  ========================================================= */
#define DMA_CMAR5_MA_Pos                  (0UL)                     /*!< MA (Bit 0)                                            */
#define DMA_CMAR5_MA_Msk                  (0xffffffffUL)            /*!< MA (Bitfield-Mask: 0xffffffff)                        */
/* ========================================================  CNBTR5  ========================================================= */
#define DMA_CNBTR5_NBT_Pos                (0UL)                     /*!< NBT (Bit 0)                                           */
#define DMA_CNBTR5_NBT_Msk                (0xffUL)                  /*!< NBT (Bitfield-Mask: 0xff)                             */
#define DMA_CNBTR5_NDTL_Pos               (16UL)                    /*!< NDTL (Bit 16)                                         */
#define DMA_CNBTR5_NDTL_Msk               (0xffff0000UL)            /*!< NDTL (Bitfield-Mask: 0xffff)                          */
/* =========================================================  CCR6  ========================================================== */
#define DMA_CCR6_EN_Pos                   (0UL)                     /*!< EN (Bit 0)                                            */
#define DMA_CCR6_EN_Msk                   (0x1UL)                   /*!< EN (Bitfield-Mask: 0x01)                              */
#define DMA_CCR6_TCIE_Pos                 (1UL)                     /*!< TCIE (Bit 1)                                          */
#define DMA_CCR6_TCIE_Msk                 (0x2UL)                   /*!< TCIE (Bitfield-Mask: 0x01)                            */
#define DMA_CCR6_BTCIE_Pos                (2UL)                     /*!< BTCIE (Bit 2)                                         */
#define DMA_CCR6_BTCIE_Msk                (0x4UL)                   /*!< BTCIE (Bitfield-Mask: 0x01)                           */
#define DMA_CCR6_HBTIE_Pos                (3UL)                     /*!< HBTIE (Bit 3)                                         */
#define DMA_CCR6_HBTIE_Msk                (0x8UL)                   /*!< HBTIE (Bitfield-Mask: 0x01)                           */
#define DMA_CCR6_TEIE_Pos                 (4UL)                     /*!< TEIE (Bit 4)                                          */
#define DMA_CCR6_TEIE_Msk                 (0x10UL)                  /*!< TEIE (Bitfield-Mask: 0x01)                            */
#define DMA_CCR6_DIR_Pos                  (5UL)                     /*!< DIR (Bit 5)                                           */
#define DMA_CCR6_DIR_Msk                  (0x20UL)                  /*!< DIR (Bitfield-Mask: 0x01)                             */
#define DMA_CCR6_CIRC_Pos                 (6UL)                     /*!< CIRC (Bit 6)                                          */
#define DMA_CCR6_CIRC_Msk                 (0x40UL)                  /*!< CIRC (Bitfield-Mask: 0x01)                            */
#define DMA_CCR6_TRANST_Pos               (7UL)                     /*!< TRANST (Bit 7)                                        */
#define DMA_CCR6_TRANST_Msk               (0x80UL)                  /*!< TRANST (Bitfield-Mask: 0x01)                          */
#define DMA_CCR6_PINC_Pos                 (8UL)                     /*!< PINC (Bit 8)                                          */
#define DMA_CCR6_PINC_Msk                 (0x300UL)                 /*!< PINC (Bitfield-Mask: 0x03)                            */
#define DMA_CCR6_MINC_Pos                 (10UL)                    /*!< MINC (Bit 10)                                         */
#define DMA_CCR6_MINC_Msk                 (0xc00UL)                 /*!< MINC (Bitfield-Mask: 0x03)                            */
#define DMA_CCR6_PSIZE_Pos                (12UL)                    /*!< PSIZE (Bit 12)                                        */
#define DMA_CCR6_PSIZE_Msk                (0x3000UL)                /*!< PSIZE (Bitfield-Mask: 0x03)                           */
#define DMA_CCR6_MSIZE_Pos                (14UL)                    /*!< MSIZE (Bit 14)                                        */
#define DMA_CCR6_MSIZE_Msk                (0xc000UL)                /*!< MSIZE (Bitfield-Mask: 0x03)                           */
#define DMA_CCR6_PL_Pos                   (16UL)                    /*!< PL (Bit 16)                                           */
#define DMA_CCR6_PL_Msk                   (0x70000UL)               /*!< PL (Bitfield-Mask: 0x07)                              */
#define DMA_CCR6_PRELOAD_Pos              (20UL)                    /*!< PRELOAD (Bit 20)                                      */
#define DMA_CCR6_PRELOAD_Msk              (0x100000UL)              /*!< PRELOAD (Bitfield-Mask: 0x01)                         */
#define DMA_CCR6_MRELOAD_Pos              (21UL)                    /*!< MRELOAD (Bit 21)                                      */
#define DMA_CCR6_MRELOAD_Msk              (0x200000UL)              /*!< MRELOAD (Bitfield-Mask: 0x01)                         */
#define DMA_CCR6_BTCSUSP_Pos              (22UL)                    /*!< BTCSUSP (Bit 22)                                      */
#define DMA_CCR6_BTCSUSP_Msk              (0x400000UL)              /*!< BTCSUSP (Bitfield-Mask: 0x01)                         */
#define DMA_CCR6_M2MARB_Pos               (23UL)                    /*!< M2MARB (Bit 23)                                       */
#define DMA_CCR6_M2MARB_Msk               (0x800000UL)              /*!< M2MARB (Bitfield-Mask: 0x01)                          */
/* ========================================================  CNDTR6  ========================================================= */
#define DMA_CNDTR6_NDT_Pos                (0UL)                     /*!< NDT (Bit 0)                                           */
#define DMA_CNDTR6_NDT_Msk                (0xffffUL)                /*!< NDT (Bitfield-Mask: 0xffff)                           */
/* =========================================================  CPAR6  ========================================================= */
#define DMA_CPAR6_PA_Pos                  (0UL)                     /*!< PA (Bit 0)                                            */
#define DMA_CPAR6_PA_Msk                  (0xffffffffUL)            /*!< PA (Bitfield-Mask: 0xffffffff)                        */
/* =========================================================  CMAR6  ========================================================= */
#define DMA_CMAR6_MA_Pos                  (0UL)                     /*!< MA (Bit 0)                                            */
#define DMA_CMAR6_MA_Msk                  (0xffffffffUL)            /*!< MA (Bitfield-Mask: 0xffffffff)                        */
/* ========================================================  CNBTR6  ========================================================= */
#define DMA_CNBTR6_NBT_Pos                (0UL)                     /*!< NBT (Bit 0)                                           */
#define DMA_CNBTR6_NBT_Msk                (0xffUL)                  /*!< NBT (Bitfield-Mask: 0xff)                             */
#define DMA_CNBTR6_NDTL_Pos               (16UL)                    /*!< NDTL (Bit 16)                                         */
#define DMA_CNBTR6_NDTL_Msk               (0xffff0000UL)            /*!< NDTL (Bitfield-Mask: 0xffff)                          */
/* =========================================================  CCR7  ========================================================== */
#define DMA_CCR7_EN_Pos                   (0UL)                     /*!< EN (Bit 0)                                            */
#define DMA_CCR7_EN_Msk                   (0x1UL)                   /*!< EN (Bitfield-Mask: 0x01)                              */
#define DMA_CCR7_TCIE_Pos                 (1UL)                     /*!< TCIE (Bit 1)                                          */
#define DMA_CCR7_TCIE_Msk                 (0x2UL)                   /*!< TCIE (Bitfield-Mask: 0x01)                            */
#define DMA_CCR7_BTCIE_Pos                (2UL)                     /*!< BTCIE (Bit 2)                                         */
#define DMA_CCR7_BTCIE_Msk                (0x4UL)                   /*!< BTCIE (Bitfield-Mask: 0x01)                           */
#define DMA_CCR7_HBTIE_Pos                (3UL)                     /*!< HBTIE (Bit 3)                                         */
#define DMA_CCR7_HBTIE_Msk                (0x8UL)                   /*!< HBTIE (Bitfield-Mask: 0x01)                           */
#define DMA_CCR7_TEIE_Pos                 (4UL)                     /*!< TEIE (Bit 4)                                          */
#define DMA_CCR7_TEIE_Msk                 (0x10UL)                  /*!< TEIE (Bitfield-Mask: 0x01)                            */
#define DMA_CCR7_DIR_Pos                  (5UL)                     /*!< DIR (Bit 5)                                           */
#define DMA_CCR7_DIR_Msk                  (0x20UL)                  /*!< DIR (Bitfield-Mask: 0x01)                             */
#define DMA_CCR7_CIRC_Pos                 (6UL)                     /*!< CIRC (Bit 6)                                          */
#define DMA_CCR7_CIRC_Msk                 (0x40UL)                  /*!< CIRC (Bitfield-Mask: 0x01)                            */
#define DMA_CCR7_TRANST_Pos               (7UL)                     /*!< TRANST (Bit 7)                                        */
#define DMA_CCR7_TRANST_Msk               (0x80UL)                  /*!< TRANST (Bitfield-Mask: 0x01)                          */
#define DMA_CCR7_PINC_Pos                 (8UL)                     /*!< PINC (Bit 8)                                          */
#define DMA_CCR7_PINC_Msk                 (0x300UL)                 /*!< PINC (Bitfield-Mask: 0x03)                            */
#define DMA_CCR7_MINC_Pos                 (10UL)                    /*!< MINC (Bit 10)                                         */
#define DMA_CCR7_MINC_Msk                 (0xc00UL)                 /*!< MINC (Bitfield-Mask: 0x03)                            */
#define DMA_CCR7_PSIZE_Pos                (12UL)                    /*!< PSIZE (Bit 12)                                        */
#define DMA_CCR7_PSIZE_Msk                (0x3000UL)                /*!< PSIZE (Bitfield-Mask: 0x03)                           */
#define DMA_CCR7_MSIZE_Pos                (14UL)                    /*!< MSIZE (Bit 14)                                        */
#define DMA_CCR7_MSIZE_Msk                (0xc000UL)                /*!< MSIZE (Bitfield-Mask: 0x03)                           */
#define DMA_CCR7_PL_Pos                   (16UL)                    /*!< PL (Bit 16)                                           */
#define DMA_CCR7_PL_Msk                   (0x70000UL)               /*!< PL (Bitfield-Mask: 0x07)                              */
#define DMA_CCR7_PRELOAD_Pos              (20UL)                    /*!< PRELOAD (Bit 20)                                      */
#define DMA_CCR7_PRELOAD_Msk              (0x100000UL)              /*!< PRELOAD (Bitfield-Mask: 0x01)                         */
#define DMA_CCR7_MRELOAD_Pos              (21UL)                    /*!< MRELOAD (Bit 21)                                      */
#define DMA_CCR7_MRELOAD_Msk              (0x200000UL)              /*!< MRELOAD (Bitfield-Mask: 0x01)                         */
#define DMA_CCR7_BTCSUSP_Pos              (22UL)                    /*!< BTCSUSP (Bit 22)                                      */
#define DMA_CCR7_BTCSUSP_Msk              (0x400000UL)              /*!< BTCSUSP (Bitfield-Mask: 0x01)                         */
#define DMA_CCR7_M2MARB_Pos               (23UL)                    /*!< M2MARB (Bit 23)                                       */
#define DMA_CCR7_M2MARB_Msk               (0x800000UL)              /*!< M2MARB (Bitfield-Mask: 0x01)                          */
/* ========================================================  CNDTR7  ========================================================= */
#define DMA_CNDTR7_NDT_Pos                (0UL)                     /*!< NDT (Bit 0)                                           */
#define DMA_CNDTR7_NDT_Msk                (0xffffUL)                /*!< NDT (Bitfield-Mask: 0xffff)                           */
/* =========================================================  CPAR7  ========================================================= */
#define DMA_CPAR7_PA_Pos                  (0UL)                     /*!< PA (Bit 0)                                            */
#define DMA_CPAR7_PA_Msk                  (0xffffffffUL)            /*!< PA (Bitfield-Mask: 0xffffffff)                        */
/* =========================================================  CMAR7  ========================================================= */
#define DMA_CMAR7_MA_Pos                  (0UL)                     /*!< MA (Bit 0)                                            */
#define DMA_CMAR7_MA_Msk                  (0xffffffffUL)            /*!< MA (Bitfield-Mask: 0xffffffff)                        */
/* ========================================================  CNBTR7  ========================================================= */
#define DMA_CNBTR7_NBT_Pos                (0UL)                     /*!< NBT (Bit 0)                                           */
#define DMA_CNBTR7_NBT_Msk                (0xffUL)                  /*!< NBT (Bitfield-Mask: 0xff)                             */
#define DMA_CNBTR7_NDTL_Pos               (16UL)                    /*!< NDTL (Bit 16)                                         */
#define DMA_CNBTR7_NDTL_Msk               (0xffff0000UL)            /*!< NDTL (Bitfield-Mask: 0xffff)                          */
/* =========================================================  CCR8  ========================================================== */
#define DMA_CCR8_EN_Pos                   (0UL)                     /*!< EN (Bit 0)                                            */
#define DMA_CCR8_EN_Msk                   (0x1UL)                   /*!< EN (Bitfield-Mask: 0x01)                              */
#define DMA_CCR8_TCIE_Pos                 (1UL)                     /*!< TCIE (Bit 1)                                          */
#define DMA_CCR8_TCIE_Msk                 (0x2UL)                   /*!< TCIE (Bitfield-Mask: 0x01)                            */
#define DMA_CCR8_BTCIE_Pos                (2UL)                     /*!< BTCIE (Bit 2)                                         */
#define DMA_CCR8_BTCIE_Msk                (0x4UL)                   /*!< BTCIE (Bitfield-Mask: 0x01)                           */
#define DMA_CCR8_HBTIE_Pos                (3UL)                     /*!< HBTIE (Bit 3)                                         */
#define DMA_CCR8_HBTIE_Msk                (0x8UL)                   /*!< HBTIE (Bitfield-Mask: 0x01)                           */
#define DMA_CCR8_TEIE_Pos                 (4UL)                     /*!< TEIE (Bit 4)                                          */
#define DMA_CCR8_TEIE_Msk                 (0x10UL)                  /*!< TEIE (Bitfield-Mask: 0x01)                            */
#define DMA_CCR8_DIR_Pos                  (5UL)                     /*!< DIR (Bit 5)                                           */
#define DMA_CCR8_DIR_Msk                  (0x20UL)                  /*!< DIR (Bitfield-Mask: 0x01)                             */
#define DMA_CCR8_CIRC_Pos                 (6UL)                     /*!< CIRC (Bit 6)                                          */
#define DMA_CCR8_CIRC_Msk                 (0x40UL)                  /*!< CIRC (Bitfield-Mask: 0x01)                            */
#define DMA_CCR8_TRANST_Pos               (7UL)                     /*!< TRANST (Bit 7)                                        */
#define DMA_CCR8_TRANST_Msk               (0x80UL)                  /*!< TRANST (Bitfield-Mask: 0x01)                          */
#define DMA_CCR8_PINC_Pos                 (8UL)                     /*!< PINC (Bit 8)                                          */
#define DMA_CCR8_PINC_Msk                 (0x300UL)                 /*!< PINC (Bitfield-Mask: 0x03)                            */
#define DMA_CCR8_MINC_Pos                 (10UL)                    /*!< MINC (Bit 10)                                         */
#define DMA_CCR8_MINC_Msk                 (0xc00UL)                 /*!< MINC (Bitfield-Mask: 0x03)                            */
#define DMA_CCR8_PSIZE_Pos                (12UL)                    /*!< PSIZE (Bit 12)                                        */
#define DMA_CCR8_PSIZE_Msk                (0x3000UL)                /*!< PSIZE (Bitfield-Mask: 0x03)                           */
#define DMA_CCR8_MSIZE_Pos                (14UL)                    /*!< MSIZE (Bit 14)                                        */
#define DMA_CCR8_MSIZE_Msk                (0xc000UL)                /*!< MSIZE (Bitfield-Mask: 0x03)                           */
#define DMA_CCR8_PL_Pos                   (16UL)                    /*!< PL (Bit 16)                                           */
#define DMA_CCR8_PL_Msk                   (0x70000UL)               /*!< PL (Bitfield-Mask: 0x07)                              */
#define DMA_CCR8_PRELOAD_Pos              (20UL)                    /*!< PRELOAD (Bit 20)                                      */
#define DMA_CCR8_PRELOAD_Msk              (0x100000UL)              /*!< PRELOAD (Bitfield-Mask: 0x01)                         */
#define DMA_CCR8_MRELOAD_Pos              (21UL)                    /*!< MRELOAD (Bit 21)                                      */
#define DMA_CCR8_MRELOAD_Msk              (0x200000UL)              /*!< MRELOAD (Bitfield-Mask: 0x01)                         */
#define DMA_CCR8_BTCSUSP_Pos              (22UL)                    /*!< BTCSUSP (Bit 22)                                      */
#define DMA_CCR8_BTCSUSP_Msk              (0x400000UL)              /*!< BTCSUSP (Bitfield-Mask: 0x01)                         */
#define DMA_CCR8_M2MARB_Pos               (23UL)                    /*!< M2MARB (Bit 23)                                       */
#define DMA_CCR8_M2MARB_Msk               (0x800000UL)              /*!< M2MARB (Bitfield-Mask: 0x01)                          */
/* ========================================================  CNDTR8  ========================================================= */
#define DMA_CNDTR8_NDT_Pos                (0UL)                     /*!< NDT (Bit 0)                                           */
#define DMA_CNDTR8_NDT_Msk                (0xffffUL)                /*!< NDT (Bitfield-Mask: 0xffff)                           */
/* =========================================================  CPAR8  ========================================================= */
#define DMA_CPAR8_PA_Pos                  (0UL)                     /*!< PA (Bit 0)                                            */
#define DMA_CPAR8_PA_Msk                  (0xffffffffUL)            /*!< PA (Bitfield-Mask: 0xffffffff)                        */
/* =========================================================  CMAR8  ========================================================= */
#define DMA_CMAR8_MA_Pos                  (0UL)                     /*!< MA (Bit 0)                                            */
#define DMA_CMAR8_MA_Msk                  (0xffffffffUL)            /*!< MA (Bitfield-Mask: 0xffffffff)                        */
/* ========================================================  CNBTR8  ========================================================= */
#define DMA_CNBTR8_NBT_Pos                (0UL)                     /*!< NBT (Bit 0)                                           */
#define DMA_CNBTR8_NBT_Msk                (0xffUL)                  /*!< NBT (Bitfield-Mask: 0xff)                             */
#define DMA_CNBTR8_NDTL_Pos               (16UL)                    /*!< NDTL (Bit 16)                                         */
#define DMA_CNBTR8_NDTL_Msk               (0xffff0000UL)            /*!< NDTL (Bitfield-Mask: 0xffff)                          */


/* =========================================================================================================================== */
/* ================                                           EXTI                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  IMR  ========================================================== */
#define EXTI_IMR_IMR0_Pos                 (0UL)                     /*!< IMR0 (Bit 0)                                          */
#define EXTI_IMR_IMR0_Msk                 (0x1UL)                   /*!< IMR0 (Bitfield-Mask: 0x01)                            */
#define EXTI_IMR_IMR1_Pos                 (1UL)                     /*!< IMR1 (Bit 1)                                          */
#define EXTI_IMR_IMR1_Msk                 (0x2UL)                   /*!< IMR1 (Bitfield-Mask: 0x01)                            */
#define EXTI_IMR_IMR2_Pos                 (2UL)                     /*!< IMR2 (Bit 2)                                          */
#define EXTI_IMR_IMR2_Msk                 (0x4UL)                   /*!< IMR2 (Bitfield-Mask: 0x01)                            */
#define EXTI_IMR_IMR3_Pos                 (3UL)                     /*!< IMR3 (Bit 3)                                          */
#define EXTI_IMR_IMR3_Msk                 (0x8UL)                   /*!< IMR3 (Bitfield-Mask: 0x01)                            */
#define EXTI_IMR_IMR4_Pos                 (4UL)                     /*!< IMR4 (Bit 4)                                          */
#define EXTI_IMR_IMR4_Msk                 (0x10UL)                  /*!< IMR4 (Bitfield-Mask: 0x01)                            */
#define EXTI_IMR_IMR5_Pos                 (5UL)                     /*!< IMR5 (Bit 5)                                          */
#define EXTI_IMR_IMR5_Msk                 (0x20UL)                  /*!< IMR5 (Bitfield-Mask: 0x01)                            */
#define EXTI_IMR_IMR6_Pos                 (6UL)                     /*!< IMR6 (Bit 6)                                          */
#define EXTI_IMR_IMR6_Msk                 (0x40UL)                  /*!< IMR6 (Bitfield-Mask: 0x01)                            */
#define EXTI_IMR_IMR7_Pos                 (7UL)                     /*!< IMR7 (Bit 7)                                          */
#define EXTI_IMR_IMR7_Msk                 (0x80UL)                  /*!< IMR7 (Bitfield-Mask: 0x01)                            */
#define EXTI_IMR_IMR8_Pos                 (8UL)                     /*!< IMR8 (Bit 8)                                          */
#define EXTI_IMR_IMR8_Msk                 (0x100UL)                 /*!< IMR8 (Bitfield-Mask: 0x01)                            */
#define EXTI_IMR_IMR9_Pos                 (9UL)                     /*!< IMR9 (Bit 9)                                          */
#define EXTI_IMR_IMR9_Msk                 (0x200UL)                 /*!< IMR9 (Bitfield-Mask: 0x01)                            */
#define EXTI_IMR_IMR10_Pos                (10UL)                    /*!< IMR10 (Bit 10)                                        */
#define EXTI_IMR_IMR10_Msk                (0x400UL)                 /*!< IMR10 (Bitfield-Mask: 0x01)                           */
#define EXTI_IMR_IMR11_Pos                (11UL)                    /*!< IMR11 (Bit 11)                                        */
#define EXTI_IMR_IMR11_Msk                (0x800UL)                 /*!< IMR11 (Bitfield-Mask: 0x01)                           */
#define EXTI_IMR_IMR12_Pos                (12UL)                    /*!< IMR12 (Bit 12)                                        */
#define EXTI_IMR_IMR12_Msk                (0x1000UL)                /*!< IMR12 (Bitfield-Mask: 0x01)                           */
#define EXTI_IMR_IMR13_Pos                (13UL)                    /*!< IMR13 (Bit 13)                                        */
#define EXTI_IMR_IMR13_Msk                (0x2000UL)                /*!< IMR13 (Bitfield-Mask: 0x01)                           */
#define EXTI_IMR_IMR14_Pos                (14UL)                    /*!< IMR14 (Bit 14)                                        */
#define EXTI_IMR_IMR14_Msk                (0x4000UL)                /*!< IMR14 (Bitfield-Mask: 0x01)                           */
#define EXTI_IMR_IMR15_Pos                (15UL)                    /*!< IMR15 (Bit 15)                                        */
#define EXTI_IMR_IMR15_Msk                (0x8000UL)                /*!< IMR15 (Bitfield-Mask: 0x01)                           */
#define EXTI_IMR_IMR16_Pos                (16UL)                    /*!< IMR16 (Bit 16)                                        */
#define EXTI_IMR_IMR16_Msk                (0x10000UL)               /*!< IMR16 (Bitfield-Mask: 0x01)                           */
#define EXTI_IMR_IMR17_Pos                (17UL)                    /*!< IMR17 (Bit 17)                                        */
#define EXTI_IMR_IMR17_Msk                (0x20000UL)               /*!< IMR17 (Bitfield-Mask: 0x01)                           */
#define EXTI_IMR_IMR18_Pos                (18UL)                    /*!< IMR18 (Bit 18)                                        */
#define EXTI_IMR_IMR18_Msk                (0x40000UL)               /*!< IMR18 (Bitfield-Mask: 0x01)                           */
#define EXTI_IMR_IMR19_Pos                (19UL)                    /*!< IMR19 (Bit 19)                                        */
#define EXTI_IMR_IMR19_Msk                (0x80000UL)               /*!< IMR19 (Bitfield-Mask: 0x01)                           */
#define EXTI_IMR_IMR20_Pos                (20UL)                    /*!< IMR20 (Bit 20)                                        */
#define EXTI_IMR_IMR20_Msk                (0x100000UL)              /*!< IMR20 (Bitfield-Mask: 0x01)                           */
#define EXTI_IMR_IMR21_Pos                (21UL)                    /*!< IMR21 (Bit 21)                                        */
#define EXTI_IMR_IMR21_Msk                (0x200000UL)              /*!< IMR21 (Bitfield-Mask: 0x01)                           */
#define EXTI_IMR_IMR22_Pos                (22UL)                    /*!< IMR22 (Bit 22)                                        */
#define EXTI_IMR_IMR22_Msk                (0x400000UL)              /*!< IMR22 (Bitfield-Mask: 0x01)                           */
#define EXTI_IMR_IMR23_Pos                (23UL)                    /*!< IMR23 (Bit 23)                                        */
#define EXTI_IMR_IMR23_Msk                (0x800000UL)              /*!< IMR23 (Bitfield-Mask: 0x01)                           */
#define EXTI_IMR_IMR24_Pos                (24UL)                    /*!< IMR24 (Bit 24)                                        */
#define EXTI_IMR_IMR24_Msk                (0x1000000UL)             /*!< IMR24 (Bitfield-Mask: 0x01)                           */
/* ==========================================================  EMR  ========================================================== */
#define EXTI_EMR_EMR0_Pos                 (0UL)                     /*!< EMR0 (Bit 0)                                          */
#define EXTI_EMR_EMR0_Msk                 (0x1UL)                   /*!< EMR0 (Bitfield-Mask: 0x01)                            */
#define EXTI_EMR_EMR1_Pos                 (1UL)                     /*!< EMR1 (Bit 1)                                          */
#define EXTI_EMR_EMR1_Msk                 (0x2UL)                   /*!< EMR1 (Bitfield-Mask: 0x01)                            */
#define EXTI_EMR_EMR2_Pos                 (2UL)                     /*!< EMR2 (Bit 2)                                          */
#define EXTI_EMR_EMR2_Msk                 (0x4UL)                   /*!< EMR2 (Bitfield-Mask: 0x01)                            */
#define EXTI_EMR_EMR3_Pos                 (3UL)                     /*!< EMR3 (Bit 3)                                          */
#define EXTI_EMR_EMR3_Msk                 (0x8UL)                   /*!< EMR3 (Bitfield-Mask: 0x01)                            */
#define EXTI_EMR_EMR4_Pos                 (4UL)                     /*!< EMR4 (Bit 4)                                          */
#define EXTI_EMR_EMR4_Msk                 (0x10UL)                  /*!< EMR4 (Bitfield-Mask: 0x01)                            */
#define EXTI_EMR_EMR5_Pos                 (5UL)                     /*!< EMR5 (Bit 5)                                          */
#define EXTI_EMR_EMR5_Msk                 (0x20UL)                  /*!< EMR5 (Bitfield-Mask: 0x01)                            */
#define EXTI_EMR_EMR6_Pos                 (6UL)                     /*!< EMR6 (Bit 6)                                          */
#define EXTI_EMR_EMR6_Msk                 (0x40UL)                  /*!< EMR6 (Bitfield-Mask: 0x01)                            */
#define EXTI_EMR_EMR7_Pos                 (7UL)                     /*!< EMR7 (Bit 7)                                          */
#define EXTI_EMR_EMR7_Msk                 (0x80UL)                  /*!< EMR7 (Bitfield-Mask: 0x01)                            */
#define EXTI_EMR_EMR8_Pos                 (8UL)                     /*!< EMR8 (Bit 8)                                          */
#define EXTI_EMR_EMR8_Msk                 (0x100UL)                 /*!< EMR8 (Bitfield-Mask: 0x01)                            */
#define EXTI_EMR_EMR9_Pos                 (9UL)                     /*!< EMR9 (Bit 9)                                          */
#define EXTI_EMR_EMR9_Msk                 (0x200UL)                 /*!< EMR9 (Bitfield-Mask: 0x01)                            */
#define EXTI_EMR_EMR10_Pos                (10UL)                    /*!< EMR10 (Bit 10)                                        */
#define EXTI_EMR_EMR10_Msk                (0x400UL)                 /*!< EMR10 (Bitfield-Mask: 0x01)                           */
#define EXTI_EMR_EMR11_Pos                (11UL)                    /*!< EMR11 (Bit 11)                                        */
#define EXTI_EMR_EMR11_Msk                (0x800UL)                 /*!< EMR11 (Bitfield-Mask: 0x01)                           */
#define EXTI_EMR_EMR12_Pos                (12UL)                    /*!< EMR12 (Bit 12)                                        */
#define EXTI_EMR_EMR12_Msk                (0x1000UL)                /*!< EMR12 (Bitfield-Mask: 0x01)                           */
#define EXTI_EMR_EMR13_Pos                (13UL)                    /*!< EMR13 (Bit 13)                                        */
#define EXTI_EMR_EMR13_Msk                (0x2000UL)                /*!< EMR13 (Bitfield-Mask: 0x01)                           */
#define EXTI_EMR_EMR14_Pos                (14UL)                    /*!< EMR14 (Bit 14)                                        */
#define EXTI_EMR_EMR14_Msk                (0x4000UL)                /*!< EMR14 (Bitfield-Mask: 0x01)                           */
#define EXTI_EMR_EMR15_Pos                (15UL)                    /*!< EMR15 (Bit 15)                                        */
#define EXTI_EMR_EMR15_Msk                (0x8000UL)                /*!< EMR15 (Bitfield-Mask: 0x01)                           */
#define EXTI_EMR_EMR16_Pos                (16UL)                    /*!< EMR16 (Bit 16)                                        */
#define EXTI_EMR_EMR16_Msk                (0x10000UL)               /*!< EMR16 (Bitfield-Mask: 0x01)                           */
#define EXTI_EMR_EMR17_Pos                (17UL)                    /*!< EMR17 (Bit 17)                                        */
#define EXTI_EMR_EMR17_Msk                (0x20000UL)               /*!< EMR17 (Bitfield-Mask: 0x01)                           */
#define EXTI_EMR_EMR18_Pos                (18UL)                    /*!< EMR18 (Bit 18)                                        */
#define EXTI_EMR_EMR18_Msk                (0x40000UL)               /*!< EMR18 (Bitfield-Mask: 0x01)                           */
#define EXTI_EMR_EMR19_Pos                (19UL)                    /*!< EMR19 (Bit 19)                                        */
#define EXTI_EMR_EMR19_Msk                (0x80000UL)               /*!< EMR19 (Bitfield-Mask: 0x01)                           */
#define EXTI_EMR_EMR20_Pos                (20UL)                    /*!< EMR20 (Bit 20)                                        */
#define EXTI_EMR_EMR20_Msk                (0x100000UL)              /*!< EMR20 (Bitfield-Mask: 0x01)                           */
#define EXTI_EMR_EMR21_Pos                (21UL)                    /*!< EMR21 (Bit 21)                                        */
#define EXTI_EMR_EMR21_Msk                (0x200000UL)              /*!< EMR21 (Bitfield-Mask: 0x01)                           */
#define EXTI_EMR_EMR22_Pos                (22UL)                    /*!< EMR22 (Bit 22)                                        */
#define EXTI_EMR_EMR22_Msk                (0x400000UL)              /*!< EMR22 (Bitfield-Mask: 0x01)                           */
#define EXTI_EMR_EMR23_Pos                (23UL)                    /*!< EMR23 (Bit 23)                                        */
#define EXTI_EMR_EMR23_Msk                (0x800000UL)              /*!< EMR23 (Bitfield-Mask: 0x01)                           */
#define EXTI_EMR_EMR24_Pos                (24UL)                    /*!< EMR24 (Bit 24)                                        */
#define EXTI_EMR_EMR24_Msk                (0x1000000UL)             /*!< EMR24 (Bitfield-Mask: 0x01)                           */
/* =========================================================  RTSR  ========================================================== */
#define EXTI_RTSR_RTSR0_Pos               (0UL)                     /*!< RTSR0 (Bit 0)                                         */
#define EXTI_RTSR_RTSR0_Msk               (0x1UL)                   /*!< RTSR0 (Bitfield-Mask: 0x01)                           */
#define EXTI_RTSR_RTSR1_Pos               (1UL)                     /*!< RTSR1 (Bit 1)                                         */
#define EXTI_RTSR_RTSR1_Msk               (0x2UL)                   /*!< RTSR1 (Bitfield-Mask: 0x01)                           */
#define EXTI_RTSR_RTSR2_Pos               (2UL)                     /*!< RTSR2 (Bit 2)                                         */
#define EXTI_RTSR_RTSR2_Msk               (0x4UL)                   /*!< RTSR2 (Bitfield-Mask: 0x01)                           */
#define EXTI_RTSR_RTSR3_Pos               (3UL)                     /*!< RTSR3 (Bit 3)                                         */
#define EXTI_RTSR_RTSR3_Msk               (0x8UL)                   /*!< RTSR3 (Bitfield-Mask: 0x01)                           */
#define EXTI_RTSR_RTSR4_Pos               (4UL)                     /*!< RTSR4 (Bit 4)                                         */
#define EXTI_RTSR_RTSR4_Msk               (0x10UL)                  /*!< RTSR4 (Bitfield-Mask: 0x01)                           */
#define EXTI_RTSR_RTSR5_Pos               (5UL)                     /*!< RTSR5 (Bit 5)                                         */
#define EXTI_RTSR_RTSR5_Msk               (0x20UL)                  /*!< RTSR5 (Bitfield-Mask: 0x01)                           */
#define EXTI_RTSR_RTSR6_Pos               (6UL)                     /*!< RTSR6 (Bit 6)                                         */
#define EXTI_RTSR_RTSR6_Msk               (0x40UL)                  /*!< RTSR6 (Bitfield-Mask: 0x01)                           */
#define EXTI_RTSR_RTSR7_Pos               (7UL)                     /*!< RTSR7 (Bit 7)                                         */
#define EXTI_RTSR_RTSR7_Msk               (0x80UL)                  /*!< RTSR7 (Bitfield-Mask: 0x01)                           */
#define EXTI_RTSR_RTSR8_Pos               (8UL)                     /*!< RTSR8 (Bit 8)                                         */
#define EXTI_RTSR_RTSR8_Msk               (0x100UL)                 /*!< RTSR8 (Bitfield-Mask: 0x01)                           */
#define EXTI_RTSR_RTSR9_Pos               (9UL)                     /*!< RTSR9 (Bit 9)                                         */
#define EXTI_RTSR_RTSR9_Msk               (0x200UL)                 /*!< RTSR9 (Bitfield-Mask: 0x01)                           */
#define EXTI_RTSR_RTSR10_Pos              (10UL)                    /*!< RTSR10 (Bit 10)                                       */
#define EXTI_RTSR_RTSR10_Msk              (0x400UL)                 /*!< RTSR10 (Bitfield-Mask: 0x01)                          */
#define EXTI_RTSR_RTSR11_Pos              (11UL)                    /*!< RTSR11 (Bit 11)                                       */
#define EXTI_RTSR_RTSR11_Msk              (0x800UL)                 /*!< RTSR11 (Bitfield-Mask: 0x01)                          */
#define EXTI_RTSR_RTSR12_Pos              (12UL)                    /*!< RTSR12 (Bit 12)                                       */
#define EXTI_RTSR_RTSR12_Msk              (0x1000UL)                /*!< RTSR12 (Bitfield-Mask: 0x01)                          */
#define EXTI_RTSR_RTSR13_Pos              (13UL)                    /*!< RTSR13 (Bit 13)                                       */
#define EXTI_RTSR_RTSR13_Msk              (0x2000UL)                /*!< RTSR13 (Bitfield-Mask: 0x01)                          */
#define EXTI_RTSR_RTSR14_Pos              (14UL)                    /*!< RTSR14 (Bit 14)                                       */
#define EXTI_RTSR_RTSR14_Msk              (0x4000UL)                /*!< RTSR14 (Bitfield-Mask: 0x01)                          */
#define EXTI_RTSR_RTSR15_Pos              (15UL)                    /*!< RTSR15 (Bit 15)                                       */
#define EXTI_RTSR_RTSR15_Msk              (0x8000UL)                /*!< RTSR15 (Bitfield-Mask: 0x01)                          */
#define EXTI_RTSR_RTSR16_Pos              (16UL)                    /*!< RTSR16 (Bit 16)                                       */
#define EXTI_RTSR_RTSR16_Msk              (0x10000UL)               /*!< RTSR16 (Bitfield-Mask: 0x01)                          */
#define EXTI_RTSR_RTSR17_Pos              (17UL)                    /*!< RTSR17 (Bit 17)                                       */
#define EXTI_RTSR_RTSR17_Msk              (0x20000UL)               /*!< RTSR17 (Bitfield-Mask: 0x01)                          */
#define EXTI_RTSR_RTSR18_Pos              (18UL)                    /*!< RTSR18 (Bit 18)                                       */
#define EXTI_RTSR_RTSR18_Msk              (0x40000UL)               /*!< RTSR18 (Bitfield-Mask: 0x01)                          */
#define EXTI_RTSR_RTSR19_Pos              (19UL)                    /*!< RTSR19 (Bit 19)                                       */
#define EXTI_RTSR_RTSR19_Msk              (0x80000UL)               /*!< RTSR19 (Bitfield-Mask: 0x01)                          */
#define EXTI_RTSR_RTSR20_Pos              (20UL)                    /*!< RTSR20 (Bit 20)                                       */
#define EXTI_RTSR_RTSR20_Msk              (0x100000UL)              /*!< RTSR20 (Bitfield-Mask: 0x01)                          */
/* =========================================================  FTSR  ========================================================== */
#define EXTI_FTSR_FTSR0_Pos               (0UL)                     /*!< FTSR0 (Bit 0)                                         */
#define EXTI_FTSR_FTSR0_Msk               (0x1UL)                   /*!< FTSR0 (Bitfield-Mask: 0x01)                           */
#define EXTI_FTSR_FTSR1_Pos               (1UL)                     /*!< FTSR1 (Bit 1)                                         */
#define EXTI_FTSR_FTSR1_Msk               (0x2UL)                   /*!< FTSR1 (Bitfield-Mask: 0x01)                           */
#define EXTI_FTSR_FTSR2_Pos               (2UL)                     /*!< FTSR2 (Bit 2)                                         */
#define EXTI_FTSR_FTSR2_Msk               (0x4UL)                   /*!< FTSR2 (Bitfield-Mask: 0x01)                           */
#define EXTI_FTSR_FTSR3_Pos               (3UL)                     /*!< FTSR3 (Bit 3)                                         */
#define EXTI_FTSR_FTSR3_Msk               (0x8UL)                   /*!< FTSR3 (Bitfield-Mask: 0x01)                           */
#define EXTI_FTSR_FTSR4_Pos               (4UL)                     /*!< FTSR4 (Bit 4)                                         */
#define EXTI_FTSR_FTSR4_Msk               (0x10UL)                  /*!< FTSR4 (Bitfield-Mask: 0x01)                           */
#define EXTI_FTSR_FTSR5_Pos               (5UL)                     /*!< FTSR5 (Bit 5)                                         */
#define EXTI_FTSR_FTSR5_Msk               (0x20UL)                  /*!< FTSR5 (Bitfield-Mask: 0x01)                           */
#define EXTI_FTSR_FTSR6_Pos               (6UL)                     /*!< FTSR6 (Bit 6)                                         */
#define EXTI_FTSR_FTSR6_Msk               (0x40UL)                  /*!< FTSR6 (Bitfield-Mask: 0x01)                           */
#define EXTI_FTSR_FTSR7_Pos               (7UL)                     /*!< FTSR7 (Bit 7)                                         */
#define EXTI_FTSR_FTSR7_Msk               (0x80UL)                  /*!< FTSR7 (Bitfield-Mask: 0x01)                           */
#define EXTI_FTSR_FTSR8_Pos               (8UL)                     /*!< FTSR8 (Bit 8)                                         */
#define EXTI_FTSR_FTSR8_Msk               (0x100UL)                 /*!< FTSR8 (Bitfield-Mask: 0x01)                           */
#define EXTI_FTSR_FTSR9_Pos               (9UL)                     /*!< FTSR9 (Bit 9)                                         */
#define EXTI_FTSR_FTSR9_Msk               (0x200UL)                 /*!< FTSR9 (Bitfield-Mask: 0x01)                           */
#define EXTI_FTSR_FTSR10_Pos              (10UL)                    /*!< FTSR10 (Bit 10)                                       */
#define EXTI_FTSR_FTSR10_Msk              (0x400UL)                 /*!< FTSR10 (Bitfield-Mask: 0x01)                          */
#define EXTI_FTSR_FTSR11_Pos              (11UL)                    /*!< FTSR11 (Bit 11)                                       */
#define EXTI_FTSR_FTSR11_Msk              (0x800UL)                 /*!< FTSR11 (Bitfield-Mask: 0x01)                          */
#define EXTI_FTSR_FTSR12_Pos              (12UL)                    /*!< FTSR12 (Bit 12)                                       */
#define EXTI_FTSR_FTSR12_Msk              (0x1000UL)                /*!< FTSR12 (Bitfield-Mask: 0x01)                          */
#define EXTI_FTSR_FTSR13_Pos              (13UL)                    /*!< FTSR13 (Bit 13)                                       */
#define EXTI_FTSR_FTSR13_Msk              (0x2000UL)                /*!< FTSR13 (Bitfield-Mask: 0x01)                          */
#define EXTI_FTSR_FTSR14_Pos              (14UL)                    /*!< FTSR14 (Bit 14)                                       */
#define EXTI_FTSR_FTSR14_Msk              (0x4000UL)                /*!< FTSR14 (Bitfield-Mask: 0x01)                          */
#define EXTI_FTSR_FTSR15_Pos              (15UL)                    /*!< FTSR15 (Bit 15)                                       */
#define EXTI_FTSR_FTSR15_Msk              (0x8000UL)                /*!< FTSR15 (Bitfield-Mask: 0x01)                          */
#define EXTI_FTSR_FTSR16_Pos              (16UL)                    /*!< FTSR16 (Bit 16)                                       */
#define EXTI_FTSR_FTSR16_Msk              (0x10000UL)               /*!< FTSR16 (Bitfield-Mask: 0x01)                          */
#define EXTI_FTSR_FTSR17_Pos              (17UL)                    /*!< FTSR17 (Bit 17)                                       */
#define EXTI_FTSR_FTSR17_Msk              (0x20000UL)               /*!< FTSR17 (Bitfield-Mask: 0x01)                          */
#define EXTI_FTSR_FTSR18_Pos              (18UL)                    /*!< FTSR18 (Bit 18)                                       */
#define EXTI_FTSR_FTSR18_Msk              (0x40000UL)               /*!< FTSR18 (Bitfield-Mask: 0x01)                          */
#define EXTI_FTSR_FTSR19_Pos              (19UL)                    /*!< FTSR19 (Bit 19)                                       */
#define EXTI_FTSR_FTSR19_Msk              (0x80000UL)               /*!< FTSR19 (Bitfield-Mask: 0x01)                          */
#define EXTI_FTSR_FTSR20_Pos              (20UL)                    /*!< FTSR20 (Bit 20)                                       */
#define EXTI_FTSR_FTSR20_Msk              (0x100000UL)              /*!< FTSR20 (Bitfield-Mask: 0x01)                          */
/* =========================================================  SWIER  ========================================================= */
#define EXTI_SWIER_SWIER0_Pos             (0UL)                     /*!< SWIER0 (Bit 0)                                        */
#define EXTI_SWIER_SWIER0_Msk             (0x1UL)                   /*!< SWIER0 (Bitfield-Mask: 0x01)                          */
#define EXTI_SWIER_SWIER1_Pos             (1UL)                     /*!< SWIER1 (Bit 1)                                        */
#define EXTI_SWIER_SWIER1_Msk             (0x2UL)                   /*!< SWIER1 (Bitfield-Mask: 0x01)                          */
#define EXTI_SWIER_SWIER2_Pos             (2UL)                     /*!< SWIER2 (Bit 2)                                        */
#define EXTI_SWIER_SWIER2_Msk             (0x4UL)                   /*!< SWIER2 (Bitfield-Mask: 0x01)                          */
#define EXTI_SWIER_SWIER3_Pos             (3UL)                     /*!< SWIER3 (Bit 3)                                        */
#define EXTI_SWIER_SWIER3_Msk             (0x8UL)                   /*!< SWIER3 (Bitfield-Mask: 0x01)                          */
#define EXTI_SWIER_SWIER4_Pos             (4UL)                     /*!< SWIER4 (Bit 4)                                        */
#define EXTI_SWIER_SWIER4_Msk             (0x10UL)                  /*!< SWIER4 (Bitfield-Mask: 0x01)                          */
#define EXTI_SWIER_SWIER5_Pos             (5UL)                     /*!< SWIER5 (Bit 5)                                        */
#define EXTI_SWIER_SWIER5_Msk             (0x20UL)                  /*!< SWIER5 (Bitfield-Mask: 0x01)                          */
#define EXTI_SWIER_SWIER6_Pos             (6UL)                     /*!< SWIER6 (Bit 6)                                        */
#define EXTI_SWIER_SWIER6_Msk             (0x40UL)                  /*!< SWIER6 (Bitfield-Mask: 0x01)                          */
#define EXTI_SWIER_SWIER7_Pos             (7UL)                     /*!< SWIER7 (Bit 7)                                        */
#define EXTI_SWIER_SWIER7_Msk             (0x80UL)                  /*!< SWIER7 (Bitfield-Mask: 0x01)                          */
#define EXTI_SWIER_SWIER8_Pos             (8UL)                     /*!< SWIER8 (Bit 8)                                        */
#define EXTI_SWIER_SWIER8_Msk             (0x100UL)                 /*!< SWIER8 (Bitfield-Mask: 0x01)                          */
#define EXTI_SWIER_SWIER9_Pos             (9UL)                     /*!< SWIER9 (Bit 9)                                        */
#define EXTI_SWIER_SWIER9_Msk             (0x200UL)                 /*!< SWIER9 (Bitfield-Mask: 0x01)                          */
#define EXTI_SWIER_SWIER10_Pos            (10UL)                    /*!< SWIER10 (Bit 10)                                      */
#define EXTI_SWIER_SWIER10_Msk            (0x400UL)                 /*!< SWIER10 (Bitfield-Mask: 0x01)                         */
#define EXTI_SWIER_SWIER11_Pos            (11UL)                    /*!< SWIER11 (Bit 11)                                      */
#define EXTI_SWIER_SWIER11_Msk            (0x800UL)                 /*!< SWIER11 (Bitfield-Mask: 0x01)                         */
#define EXTI_SWIER_SWIER12_Pos            (12UL)                    /*!< SWIER12 (Bit 12)                                      */
#define EXTI_SWIER_SWIER12_Msk            (0x1000UL)                /*!< SWIER12 (Bitfield-Mask: 0x01)                         */
#define EXTI_SWIER_SWIER13_Pos            (13UL)                    /*!< SWIER13 (Bit 13)                                      */
#define EXTI_SWIER_SWIER13_Msk            (0x2000UL)                /*!< SWIER13 (Bitfield-Mask: 0x01)                         */
#define EXTI_SWIER_SWIER14_Pos            (14UL)                    /*!< SWIER14 (Bit 14)                                      */
#define EXTI_SWIER_SWIER14_Msk            (0x4000UL)                /*!< SWIER14 (Bitfield-Mask: 0x01)                         */
#define EXTI_SWIER_SWIER15_Pos            (15UL)                    /*!< SWIER15 (Bit 15)                                      */
#define EXTI_SWIER_SWIER15_Msk            (0x8000UL)                /*!< SWIER15 (Bitfield-Mask: 0x01)                         */
#define EXTI_SWIER_SWIER16_Pos            (16UL)                    /*!< SWIER16 (Bit 16)                                      */
#define EXTI_SWIER_SWIER16_Msk            (0x10000UL)               /*!< SWIER16 (Bitfield-Mask: 0x01)                         */
#define EXTI_SWIER_SWIER17_Pos            (17UL)                    /*!< SWIER17 (Bit 17)                                      */
#define EXTI_SWIER_SWIER17_Msk            (0x20000UL)               /*!< SWIER17 (Bitfield-Mask: 0x01)                         */
#define EXTI_SWIER_SWIER18_Pos            (18UL)                    /*!< SWIER18 (Bit 18)                                      */
#define EXTI_SWIER_SWIER18_Msk            (0x40000UL)               /*!< SWIER18 (Bitfield-Mask: 0x01)                         */
#define EXTI_SWIER_SWIER19_Pos            (19UL)                    /*!< SWIER19 (Bit 19)                                      */
#define EXTI_SWIER_SWIER19_Msk            (0x80000UL)               /*!< SWIER19 (Bitfield-Mask: 0x01)                         */
#define EXTI_SWIER_SWIER20_Pos            (20UL)                    /*!< SWIER20 (Bit 20)                                      */
#define EXTI_SWIER_SWIER20_Msk            (0x100000UL)              /*!< SWIER20 (Bitfield-Mask: 0x01)                         */
/* ==========================================================  PR  =========================================================== */
#define EXTI_PR_PR0_Pos                   (0UL)                     /*!< PR0 (Bit 0)                                           */
#define EXTI_PR_PR0_Msk                   (0x1UL)                   /*!< PR0 (Bitfield-Mask: 0x01)                             */
#define EXTI_PR_PR1_Pos                   (1UL)                     /*!< PR1 (Bit 1)                                           */
#define EXTI_PR_PR1_Msk                   (0x2UL)                   /*!< PR1 (Bitfield-Mask: 0x01)                             */
#define EXTI_PR_PR2_Pos                   (2UL)                     /*!< PR2 (Bit 2)                                           */
#define EXTI_PR_PR2_Msk                   (0x4UL)                   /*!< PR2 (Bitfield-Mask: 0x01)                             */
#define EXTI_PR_PR3_Pos                   (3UL)                     /*!< PR3 (Bit 3)                                           */
#define EXTI_PR_PR3_Msk                   (0x8UL)                   /*!< PR3 (Bitfield-Mask: 0x01)                             */
#define EXTI_PR_PR4_Pos                   (4UL)                     /*!< PR4 (Bit 4)                                           */
#define EXTI_PR_PR4_Msk                   (0x10UL)                  /*!< PR4 (Bitfield-Mask: 0x01)                             */
#define EXTI_PR_PR5_Pos                   (5UL)                     /*!< PR5 (Bit 5)                                           */
#define EXTI_PR_PR5_Msk                   (0x20UL)                  /*!< PR5 (Bitfield-Mask: 0x01)                             */
#define EXTI_PR_PR6_Pos                   (6UL)                     /*!< PR6 (Bit 6)                                           */
#define EXTI_PR_PR6_Msk                   (0x40UL)                  /*!< PR6 (Bitfield-Mask: 0x01)                             */
#define EXTI_PR_PR7_Pos                   (7UL)                     /*!< PR7 (Bit 7)                                           */
#define EXTI_PR_PR7_Msk                   (0x80UL)                  /*!< PR7 (Bitfield-Mask: 0x01)                             */
#define EXTI_PR_PR8_Pos                   (8UL)                     /*!< PR8 (Bit 8)                                           */
#define EXTI_PR_PR8_Msk                   (0x100UL)                 /*!< PR8 (Bitfield-Mask: 0x01)                             */
#define EXTI_PR_PR9_Pos                   (9UL)                     /*!< PR9 (Bit 9)                                           */
#define EXTI_PR_PR9_Msk                   (0x200UL)                 /*!< PR9 (Bitfield-Mask: 0x01)                             */
#define EXTI_PR_PR10_Pos                  (10UL)                    /*!< PR10 (Bit 10)                                         */
#define EXTI_PR_PR10_Msk                  (0x400UL)                 /*!< PR10 (Bitfield-Mask: 0x01)                            */
#define EXTI_PR_PR11_Pos                  (11UL)                    /*!< PR11 (Bit 11)                                         */
#define EXTI_PR_PR11_Msk                  (0x800UL)                 /*!< PR11 (Bitfield-Mask: 0x01)                            */
#define EXTI_PR_PR12_Pos                  (12UL)                    /*!< PR12 (Bit 12)                                         */
#define EXTI_PR_PR12_Msk                  (0x1000UL)                /*!< PR12 (Bitfield-Mask: 0x01)                            */
#define EXTI_PR_PR13_Pos                  (13UL)                    /*!< PR13 (Bit 13)                                         */
#define EXTI_PR_PR13_Msk                  (0x2000UL)                /*!< PR13 (Bitfield-Mask: 0x01)                            */
#define EXTI_PR_PR14_Pos                  (14UL)                    /*!< PR14 (Bit 14)                                         */
#define EXTI_PR_PR14_Msk                  (0x4000UL)                /*!< PR14 (Bitfield-Mask: 0x01)                            */
#define EXTI_PR_PR15_Pos                  (15UL)                    /*!< PR15 (Bit 15)                                         */
#define EXTI_PR_PR15_Msk                  (0x8000UL)                /*!< PR15 (Bitfield-Mask: 0x01)                            */
#define EXTI_PR_PR16_Pos                  (16UL)                    /*!< PR16 (Bit 16)                                         */
#define EXTI_PR_PR16_Msk                  (0x10000UL)               /*!< PR16 (Bitfield-Mask: 0x01)                            */
#define EXTI_PR_PR17_Pos                  (17UL)                    /*!< PR17 (Bit 17)                                         */
#define EXTI_PR_PR17_Msk                  (0x20000UL)               /*!< PR17 (Bitfield-Mask: 0x01)                            */
#define EXTI_PR_PR18_Pos                  (18UL)                    /*!< PR18 (Bit 18)                                         */
#define EXTI_PR_PR18_Msk                  (0x40000UL)               /*!< PR18 (Bitfield-Mask: 0x01)                            */
#define EXTI_PR_PR19_Pos                  (19UL)                    /*!< PR19 (Bit 19)                                         */
#define EXTI_PR_PR19_Msk                  (0x80000UL)               /*!< PR19 (Bitfield-Mask: 0x01)                            */
#define EXTI_PR_PR20_Pos                  (20UL)                    /*!< PR20 (Bit 20)                                         */
#define EXTI_PR_PR20_Msk                  (0x100000UL)              /*!< PR20 (Bitfield-Mask: 0x01)                            */


/* =========================================================================================================================== */
/* ================                                           FLASH                                           ================ */
/* =========================================================================================================================== */

/* ==========================================================  ACR  ========================================================== */
#define FLASH_ACR_LATENCY_Pos             (0UL)                     /*!< LATENCY (Bit 0)                                       */
#define FLASH_ACR_LATENCY_Msk             (0x7UL)                   /*!< LATENCY (Bitfield-Mask: 0x07)                         */
#define FLASH_ACR_PRFTEN_Pos              (8UL)                     /*!< PRFTEN (Bit 8)                                        */
#define FLASH_ACR_PRFTEN_Msk              (0x100UL)                 /*!< PRFTEN (Bitfield-Mask: 0x01)                          */
#define FLASH_ACR_ICEN_Pos                (9UL)                     /*!< ICEN (Bit 9)                                          */
#define FLASH_ACR_ICEN_Msk                (0x200UL)                 /*!< ICEN (Bitfield-Mask: 0x01)                            */
#define FLASH_ACR_DCEN_Pos                (10UL)                    /*!< DCEN (Bit 10)                                         */
#define FLASH_ACR_DCEN_Msk                (0x400UL)                 /*!< DCEN (Bitfield-Mask: 0x01)                            */
/* =========================================================  KEYR  ========================================================== */
#define FLASH_KEYR_KEY_Pos                (0UL)                     /*!< KEY (Bit 0)                                           */
#define FLASH_KEYR_KEY_Msk                (0xffffffffUL)            /*!< KEY (Bitfield-Mask: 0xffffffff)                       */
/* ========================================================  OPTKEYR  ======================================================== */
#define FLASH_OPTKEYR_OPTKEY_Pos          (0UL)                     /*!< OPTKEY (Bit 0)                                        */
#define FLASH_OPTKEYR_OPTKEY_Msk          (0xffffffffUL)            /*!< OPTKEY (Bitfield-Mask: 0xffffffff)                    */
/* ==========================================================  SR  =========================================================== */
#define FLASH_SR_EOP_Pos                  (0UL)                     /*!< EOP (Bit 0)                                           */
#define FLASH_SR_EOP_Msk                  (0x1UL)                   /*!< EOP (Bitfield-Mask: 0x01)                             */
#define FLASH_SR_WRPERR_Pos               (4UL)                     /*!< WRPERR (Bit 4)                                        */
#define FLASH_SR_WRPERR_Msk               (0x10UL)                  /*!< WRPERR (Bitfield-Mask: 0x01)                          */
#define FLASH_SR_USRLOCK_Pos              (13UL)                    /*!< USRLOCK (Bit 13)                                      */
#define FLASH_SR_USRLOCK_Msk              (0x2000UL)                /*!< USRLOCK (Bitfield-Mask: 0x01)                         */
#define FLASH_SR_RDERR_Pos                (14UL)                    /*!< RDERR (Bit 14)                                        */
#define FLASH_SR_RDERR_Msk                (0x4000UL)                /*!< RDERR (Bitfield-Mask: 0x01)                           */
#define FLASH_SR_OPTVERR_Pos              (15UL)                    /*!< OPTVERR (Bit 15)                                      */
#define FLASH_SR_OPTVERR_Msk              (0x8000UL)                /*!< OPTVERR (Bitfield-Mask: 0x01)                         */
#define FLASH_SR_BSY0_Pos                 (16UL)                    /*!< BSY0 (Bit 16)                                         */
#define FLASH_SR_BSY0_Msk                 (0x10000UL)               /*!< BSY0 (Bitfield-Mask: 0x01)                            */
#define FLASH_SR_BSY1_Pos                 (17UL)                    /*!< BSY1 (Bit 17)                                         */
#define FLASH_SR_BSY1_Msk                 (0x20000UL)               /*!< BSY1 (Bitfield-Mask: 0x01)                            */
/* ==========================================================  CR  =========================================================== */
#define FLASH_CR_PG_Pos                   (0UL)                     /*!< PG (Bit 0)                                            */
#define FLASH_CR_PG_Msk                   (0x1UL)                   /*!< PG (Bitfield-Mask: 0x01)                              */
#define FLASH_CR_PER_Pos                  (1UL)                     /*!< PER (Bit 1)                                           */
#define FLASH_CR_PER_Msk                  (0x2UL)                   /*!< PER (Bitfield-Mask: 0x01)                             */
#define FLASH_CR_MER0_Pos                 (2UL)                     /*!< MER0 (Bit 2)                                          */
#define FLASH_CR_MER0_Msk                 (0x4UL)                   /*!< MER0 (Bitfield-Mask: 0x01)                            */
#define FLASH_CR_MER1_Pos                 (3UL)                     /*!< MER1 (Bit 3)                                          */
#define FLASH_CR_MER1_Msk                 (0x8UL)                   /*!< MER1 (Bitfield-Mask: 0x01)                            */
#define FLASH_CR_SER_Pos                  (11UL)                    /*!< SER (Bit 11)                                          */
#define FLASH_CR_SER_Msk                  (0x800UL)                 /*!< SER (Bitfield-Mask: 0x01)                             */
#define FLASH_CR_OPTSTRT_Pos              (17UL)                    /*!< OPTSTRT (Bit 17)                                      */
#define FLASH_CR_OPTSTRT_Msk              (0x20000UL)               /*!< OPTSTRT (Bitfield-Mask: 0x01)                         */
#define FLASH_CR_PGSTRT_Pos               (19UL)                    /*!< PGSTRT (Bit 19)                                       */
#define FLASH_CR_PGSTRT_Msk               (0x80000UL)               /*!< PGSTRT (Bitfield-Mask: 0x01)                          */
#define FLASH_CR_EOPIE_Pos                (24UL)                    /*!< EOPIE (Bit 24)                                        */
#define FLASH_CR_EOPIE_Msk                (0x1000000UL)             /*!< EOPIE (Bitfield-Mask: 0x01)                           */
#define FLASH_CR_ERRIE_Pos                (25UL)                    /*!< ERRIE (Bit 25)                                        */
#define FLASH_CR_ERRIE_Msk                (0x2000000UL)             /*!< ERRIE (Bitfield-Mask: 0x01)                           */
#define FLASH_CR_RDERRIE_Pos              (26UL)                    /*!< RDERRIE (Bit 26)                                      */
#define FLASH_CR_RDERRIE_Msk              (0x4000000UL)             /*!< RDERRIE (Bitfield-Mask: 0x01)                         */
#define FLASH_CR_OBL_LAUNCH_Pos           (27UL)                    /*!< OBL_LAUNCH (Bit 27)                                   */
#define FLASH_CR_OBL_LAUNCH_Msk           (0x8000000UL)             /*!< OBL_LAUNCH (Bitfield-Mask: 0x01)                      */
#define FLASH_CR_OPTLOCK_Pos              (30UL)                    /*!< OPTLOCK (Bit 30)                                      */
#define FLASH_CR_OPTLOCK_Msk              (0x40000000UL)            /*!< OPTLOCK (Bitfield-Mask: 0x01)                         */
#define FLASH_CR_LOCK_Pos                 (31UL)                    /*!< LOCK (Bit 31)                                         */
#define FLASH_CR_LOCK_Msk                 (0x80000000UL)            /*!< LOCK (Bitfield-Mask: 0x01)                            */
/* =========================================================  OPTR1  ========================================================= */
#define FLASH_OPTR1_RDP_Pos               (0UL)                     /*!< RDP (Bit 0)                                           */
#define FLASH_OPTR1_RDP_Msk               (0xffUL)                  /*!< RDP (Bitfield-Mask: 0xff)                             */
#define FLASH_OPTR1_IWDG_STOP_Pos         (9UL)                     /*!< IWDG_STOP (Bit 9)                                     */
#define FLASH_OPTR1_IWDG_STOP_Msk         (0x200UL)                 /*!< IWDG_STOP (Bitfield-Mask: 0x01)                       */
#define FLASH_OPTR1_IWDG_STDBY_Pos        (10UL)                    /*!< IWDG_STDBY (Bit 10)                                   */
#define FLASH_OPTR1_IWDG_STDBY_Msk        (0x400UL)                 /*!< IWDG_STDBY (Bitfield-Mask: 0x01)                      */
#define FLASH_OPTR1_BFB_Pos               (11UL)                    /*!< BFB (Bit 11)                                          */
#define FLASH_OPTR1_BFB_Msk               (0x800UL)                 /*!< BFB (Bitfield-Mask: 0x01)                             */
#define FLASH_OPTR1_IWDG_SW_Pos           (12UL)                    /*!< IWDG_SW (Bit 12)                                      */
#define FLASH_OPTR1_IWDG_SW_Msk           (0x1000UL)                /*!< IWDG_SW (Bitfield-Mask: 0x01)                         */
#define FLASH_OPTR1_NRST_STOP_Pos         (13UL)                    /*!< NRST_STOP (Bit 13)                                    */
#define FLASH_OPTR1_NRST_STOP_Msk         (0x2000UL)                /*!< NRST_STOP (Bitfield-Mask: 0x01)                       */
#define FLASH_OPTR1_NRST_STDBY_Pos        (14UL)                    /*!< NRST_STDBY (Bit 14)                                   */
#define FLASH_OPTR1_NRST_STDBY_Msk        (0x4000UL)                /*!< NRST_STDBY (Bitfield-Mask: 0x01)                      */
#define FLASH_OPTR1_WWDG_SW_Pos           (15UL)                    /*!< WWDG_SW (Bit 15)                                      */
#define FLASH_OPTR1_WWDG_SW_Msk           (0x8000UL)                /*!< WWDG_SW (Bitfield-Mask: 0x01)                         */
/* =========================================================  OPTR2  ========================================================= */
#define FLASH_OPTR2_NBOOT1_Pos            (8UL)                     /*!< NBOOT1 (Bit 8)                                        */
#define FLASH_OPTR2_NBOOT1_Msk            (0x100UL)                 /*!< NBOOT1 (Bitfield-Mask: 0x01)                          */
#define FLASH_OPTR2_NRST_MODE_Pos         (9UL)                     /*!< NRST_MODE (Bit 9)                                     */
#define FLASH_OPTR2_NRST_MODE_Msk         (0x600UL)                 /*!< NRST_MODE (Bitfield-Mask: 0x03)                       */
#define FLASH_OPTR2_NSWBOOT0_Pos          (13UL)                    /*!< NSWBOOT0 (Bit 13)                                     */
#define FLASH_OPTR2_NSWBOOT0_Msk          (0x2000UL)                /*!< NSWBOOT0 (Bitfield-Mask: 0x01)                        */
#define FLASH_OPTR2_NBOOT0_Pos            (14UL)                    /*!< NBOOT0 (Bit 14)                                       */
#define FLASH_OPTR2_NBOOT0_Msk            (0x4000UL)                /*!< NBOOT0 (Bitfield-Mask: 0x01)                          */
#define FLASH_OPTR2_BOOT_LOCK_Pos         (15UL)                    /*!< BOOT_LOCK (Bit 15)                                    */
#define FLASH_OPTR2_BOOT_LOCK_Msk         (0x8000UL)                /*!< BOOT_LOCK (Bitfield-Mask: 0x01)                       */
/* ======================================================  BANK0_WRPR  ======================================================= */
#define FLASH_BANK0_WRPR_BANK0_WRPR_Pos   (0UL)                     /*!< BANK0_WRPR (Bit 0)                                    */
#define FLASH_BANK0_WRPR_BANK0_WRPR_Msk   (0xffffUL)                /*!< BANK0_WRPR (Bitfield-Mask: 0xffff)                    */
/* ======================================================  BANK1_WRPR  ======================================================= */
#define FLASH_BANK1_WRPR_BANK1_WRPR_Pos   (0UL)                     /*!< BANK1_WRPR (Bit 0)                                    */
#define FLASH_BANK1_WRPR_BANK1_WRPR_Msk   (0xffffUL)                /*!< BANK1_WRPR (Bitfield-Mask: 0xffff)                    */
/* =======================================================  PCROP0SR  ======================================================== */
#define FLASH_PCROP0SR_PCROP0SR_Pos       (0UL)                     /*!< PCROP0SR (Bit 0)                                      */
#define FLASH_PCROP0SR_PCROP0SR_Msk       (0x1ffUL)                 /*!< PCROP0SR (Bitfield-Mask: 0x1ff)                       */
/* =======================================================  PCROP0ER  ======================================================== */
#define FLASH_PCROP0ER_PCROP0ER_Pos       (0UL)                     /*!< PCROP0ER (Bit 0)                                      */
#define FLASH_PCROP0ER_PCROP0ER_Msk       (0x1ffUL)                 /*!< PCROP0ER (Bitfield-Mask: 0x1ff)                       */
/* =======================================================  PCROP1SR  ======================================================== */
#define FLASH_PCROP1SR_PCROP1SR_Pos       (0UL)                     /*!< PCROP1SR (Bit 0)                                      */
#define FLASH_PCROP1SR_PCROP1SR_Msk       (0x1ffUL)                 /*!< PCROP1SR (Bitfield-Mask: 0x1ff)                       */
/* =======================================================  PCROP1ER  ======================================================== */
#define FLASH_PCROP1ER_PCROP1ER_Pos       (0UL)                     /*!< PCROP1ER (Bit 0)                                      */
#define FLASH_PCROP1ER_PCROP1ER_Msk       (0x1ffUL)                 /*!< PCROP1ER (Bitfield-Mask: 0x1ff)                       */


/* =========================================================================================================================== */
/* ================                                           GPIOA                                           ================ */
/* =========================================================================================================================== */

/* =========================================================  MODER  ========================================================= */
#define GPIOA_MODER_MODER0_Pos            (0UL)                     /*!< MODER0 (Bit 0)                                        */
#define GPIOA_MODER_MODER0_Msk            (0x3UL)                   /*!< MODER0 (Bitfield-Mask: 0x03)                          */
#define GPIOA_MODER_MODER1_Pos            (2UL)                     /*!< MODER1 (Bit 2)                                        */
#define GPIOA_MODER_MODER1_Msk            (0xcUL)                   /*!< MODER1 (Bitfield-Mask: 0x03)                          */
#define GPIOA_MODER_MODER2_Pos            (4UL)                     /*!< MODER2 (Bit 4)                                        */
#define GPIOA_MODER_MODER2_Msk            (0x30UL)                  /*!< MODER2 (Bitfield-Mask: 0x03)                          */
#define GPIOA_MODER_MODER3_Pos            (6UL)                     /*!< MODER3 (Bit 6)                                        */
#define GPIOA_MODER_MODER3_Msk            (0xc0UL)                  /*!< MODER3 (Bitfield-Mask: 0x03)                          */
#define GPIOA_MODER_MODER4_Pos            (8UL)                     /*!< MODER4 (Bit 8)                                        */
#define GPIOA_MODER_MODER4_Msk            (0x300UL)                 /*!< MODER4 (Bitfield-Mask: 0x03)                          */
#define GPIOA_MODER_MODER5_Pos            (10UL)                    /*!< MODER5 (Bit 10)                                       */
#define GPIOA_MODER_MODER5_Msk            (0xc00UL)                 /*!< MODER5 (Bitfield-Mask: 0x03)                          */
#define GPIOA_MODER_MODER6_Pos            (12UL)                    /*!< MODER6 (Bit 12)                                       */
#define GPIOA_MODER_MODER6_Msk            (0x3000UL)                /*!< MODER6 (Bitfield-Mask: 0x03)                          */
#define GPIOA_MODER_MODER7_Pos            (14UL)                    /*!< MODER7 (Bit 14)                                       */
#define GPIOA_MODER_MODER7_Msk            (0xc000UL)                /*!< MODER7 (Bitfield-Mask: 0x03)                          */
#define GPIOA_MODER_MODER8_Pos            (16UL)                    /*!< MODER8 (Bit 16)                                       */
#define GPIOA_MODER_MODER8_Msk            (0x30000UL)               /*!< MODER8 (Bitfield-Mask: 0x03)                          */
#define GPIOA_MODER_MODER9_Pos            (18UL)                    /*!< MODER9 (Bit 18)                                       */
#define GPIOA_MODER_MODER9_Msk            (0xc0000UL)               /*!< MODER9 (Bitfield-Mask: 0x03)                          */
#define GPIOA_MODER_MODER10_Pos           (20UL)                    /*!< MODER10 (Bit 20)                                      */
#define GPIOA_MODER_MODER10_Msk           (0x300000UL)              /*!< MODER10 (Bitfield-Mask: 0x03)                         */
#define GPIOA_MODER_MODER11_Pos           (22UL)                    /*!< MODER11 (Bit 22)                                      */
#define GPIOA_MODER_MODER11_Msk           (0xc00000UL)              /*!< MODER11 (Bitfield-Mask: 0x03)                         */
#define GPIOA_MODER_MODER12_Pos           (24UL)                    /*!< MODER12 (Bit 24)                                      */
#define GPIOA_MODER_MODER12_Msk           (0x3000000UL)             /*!< MODER12 (Bitfield-Mask: 0x03)                         */
#define GPIOA_MODER_MODER13_Pos           (26UL)                    /*!< MODER13 (Bit 26)                                      */
#define GPIOA_MODER_MODER13_Msk           (0xc000000UL)             /*!< MODER13 (Bitfield-Mask: 0x03)                         */
#define GPIOA_MODER_MODER14_Pos           (28UL)                    /*!< MODER14 (Bit 28)                                      */
#define GPIOA_MODER_MODER14_Msk           (0x30000000UL)            /*!< MODER14 (Bitfield-Mask: 0x03)                         */
#define GPIOA_MODER_MODER15_Pos           (30UL)                    /*!< MODER15 (Bit 30)                                      */
#define GPIOA_MODER_MODER15_Msk           (0xc0000000UL)            /*!< MODER15 (Bitfield-Mask: 0x03)                         */
/* ========================================================  OTYPER  ========================================================= */
#define GPIOA_OTYPER_OT0_Pos              (0UL)                     /*!< OT0 (Bit 0)                                           */
#define GPIOA_OTYPER_OT0_Msk              (0x1UL)                   /*!< OT0 (Bitfield-Mask: 0x01)                             */
#define GPIOA_OTYPER_OT1_Pos              (1UL)                     /*!< OT1 (Bit 1)                                           */
#define GPIOA_OTYPER_OT1_Msk              (0x2UL)                   /*!< OT1 (Bitfield-Mask: 0x01)                             */
#define GPIOA_OTYPER_OT2_Pos              (2UL)                     /*!< OT2 (Bit 2)                                           */
#define GPIOA_OTYPER_OT2_Msk              (0x4UL)                   /*!< OT2 (Bitfield-Mask: 0x01)                             */
#define GPIOA_OTYPER_OT3_Pos              (3UL)                     /*!< OT3 (Bit 3)                                           */
#define GPIOA_OTYPER_OT3_Msk              (0x8UL)                   /*!< OT3 (Bitfield-Mask: 0x01)                             */
#define GPIOA_OTYPER_OT4_Pos              (4UL)                     /*!< OT4 (Bit 4)                                           */
#define GPIOA_OTYPER_OT4_Msk              (0x10UL)                  /*!< OT4 (Bitfield-Mask: 0x01)                             */
#define GPIOA_OTYPER_OT5_Pos              (5UL)                     /*!< OT5 (Bit 5)                                           */
#define GPIOA_OTYPER_OT5_Msk              (0x20UL)                  /*!< OT5 (Bitfield-Mask: 0x01)                             */
#define GPIOA_OTYPER_OT6_Pos              (6UL)                     /*!< OT6 (Bit 6)                                           */
#define GPIOA_OTYPER_OT6_Msk              (0x40UL)                  /*!< OT6 (Bitfield-Mask: 0x01)                             */
#define GPIOA_OTYPER_OT7_Pos              (7UL)                     /*!< OT7 (Bit 7)                                           */
#define GPIOA_OTYPER_OT7_Msk              (0x80UL)                  /*!< OT7 (Bitfield-Mask: 0x01)                             */
#define GPIOA_OTYPER_OT8_Pos              (8UL)                     /*!< OT8 (Bit 8)                                           */
#define GPIOA_OTYPER_OT8_Msk              (0x100UL)                 /*!< OT8 (Bitfield-Mask: 0x01)                             */
#define GPIOA_OTYPER_OT9_Pos              (9UL)                     /*!< OT9 (Bit 9)                                           */
#define GPIOA_OTYPER_OT9_Msk              (0x200UL)                 /*!< OT9 (Bitfield-Mask: 0x01)                             */
#define GPIOA_OTYPER_OT10_Pos             (10UL)                    /*!< OT10 (Bit 10)                                         */
#define GPIOA_OTYPER_OT10_Msk             (0x400UL)                 /*!< OT10 (Bitfield-Mask: 0x01)                            */
#define GPIOA_OTYPER_OT11_Pos             (11UL)                    /*!< OT11 (Bit 11)                                         */
#define GPIOA_OTYPER_OT11_Msk             (0x800UL)                 /*!< OT11 (Bitfield-Mask: 0x01)                            */
#define GPIOA_OTYPER_OT12_Pos             (12UL)                    /*!< OT12 (Bit 12)                                         */
#define GPIOA_OTYPER_OT12_Msk             (0x1000UL)                /*!< OT12 (Bitfield-Mask: 0x01)                            */
#define GPIOA_OTYPER_OT13_Pos             (13UL)                    /*!< OT13 (Bit 13)                                         */
#define GPIOA_OTYPER_OT13_Msk             (0x2000UL)                /*!< OT13 (Bitfield-Mask: 0x01)                            */
#define GPIOA_OTYPER_OT14_Pos             (14UL)                    /*!< OT14 (Bit 14)                                         */
#define GPIOA_OTYPER_OT14_Msk             (0x4000UL)                /*!< OT14 (Bitfield-Mask: 0x01)                            */
#define GPIOA_OTYPER_OT15_Pos             (15UL)                    /*!< OT15 (Bit 15)                                         */
#define GPIOA_OTYPER_OT15_Msk             (0x8000UL)                /*!< OT15 (Bitfield-Mask: 0x01)                            */
/* ========================================================  OSPDDER  ======================================================== */
#define GPIOA_OSPDDER_OSPEED0_Pos         (0UL)                     /*!< OSPEED0 (Bit 0)                                       */
#define GPIOA_OSPDDER_OSPEED0_Msk         (0x3UL)                   /*!< OSPEED0 (Bitfield-Mask: 0x03)                         */
#define GPIOA_OSPDDER_OSPEED1_Pos         (2UL)                     /*!< OSPEED1 (Bit 2)                                       */
#define GPIOA_OSPDDER_OSPEED1_Msk         (0xcUL)                   /*!< OSPEED1 (Bitfield-Mask: 0x03)                         */
#define GPIOA_OSPDDER_OSPEED2_Pos         (4UL)                     /*!< OSPEED2 (Bit 4)                                       */
#define GPIOA_OSPDDER_OSPEED2_Msk         (0x30UL)                  /*!< OSPEED2 (Bitfield-Mask: 0x03)                         */
#define GPIOA_OSPDDER_OSPEED3_Pos         (6UL)                     /*!< OSPEED3 (Bit 6)                                       */
#define GPIOA_OSPDDER_OSPEED3_Msk         (0xc0UL)                  /*!< OSPEED3 (Bitfield-Mask: 0x03)                         */
#define GPIOA_OSPDDER_OSPEED4_Pos         (8UL)                     /*!< OSPEED4 (Bit 8)                                       */
#define GPIOA_OSPDDER_OSPEED4_Msk         (0x300UL)                 /*!< OSPEED4 (Bitfield-Mask: 0x03)                         */
#define GPIOA_OSPDDER_OSPEED5_Pos         (10UL)                    /*!< OSPEED5 (Bit 10)                                      */
#define GPIOA_OSPDDER_OSPEED5_Msk         (0xc00UL)                 /*!< OSPEED5 (Bitfield-Mask: 0x03)                         */
#define GPIOA_OSPDDER_OSPEED6_Pos         (12UL)                    /*!< OSPEED6 (Bit 12)                                      */
#define GPIOA_OSPDDER_OSPEED6_Msk         (0x3000UL)                /*!< OSPEED6 (Bitfield-Mask: 0x03)                         */
#define GPIOA_OSPDDER_OSPEED7_Pos         (14UL)                    /*!< OSPEED7 (Bit 14)                                      */
#define GPIOA_OSPDDER_OSPEED7_Msk         (0xc000UL)                /*!< OSPEED7 (Bitfield-Mask: 0x03)                         */
#define GPIOA_OSPDDER_OSPEED8_Pos         (16UL)                    /*!< OSPEED8 (Bit 16)                                      */
#define GPIOA_OSPDDER_OSPEED8_Msk         (0x30000UL)               /*!< OSPEED8 (Bitfield-Mask: 0x03)                         */
#define GPIOA_OSPDDER_OSPEED9_Pos         (18UL)                    /*!< OSPEED9 (Bit 18)                                      */
#define GPIOA_OSPDDER_OSPEED9_Msk         (0xc0000UL)               /*!< OSPEED9 (Bitfield-Mask: 0x03)                         */
#define GPIOA_OSPDDER_OSPEED10_Pos        (20UL)                    /*!< OSPEED10 (Bit 20)                                     */
#define GPIOA_OSPDDER_OSPEED10_Msk        (0x300000UL)              /*!< OSPEED10 (Bitfield-Mask: 0x03)                        */
#define GPIOA_OSPDDER_OSPEED11_Pos        (22UL)                    /*!< OSPEED11 (Bit 22)                                     */
#define GPIOA_OSPDDER_OSPEED11_Msk        (0xc00000UL)              /*!< OSPEED11 (Bitfield-Mask: 0x03)                        */
#define GPIOA_OSPDDER_OSPEED12_Pos        (24UL)                    /*!< OSPEED12 (Bit 24)                                     */
#define GPIOA_OSPDDER_OSPEED12_Msk        (0x3000000UL)             /*!< OSPEED12 (Bitfield-Mask: 0x03)                        */
#define GPIOA_OSPDDER_OSPEED13_Pos        (26UL)                    /*!< OSPEED13 (Bit 26)                                     */
#define GPIOA_OSPDDER_OSPEED13_Msk        (0xc000000UL)             /*!< OSPEED13 (Bitfield-Mask: 0x03)                        */
#define GPIOA_OSPDDER_OSPEED14_Pos        (28UL)                    /*!< OSPEED14 (Bit 28)                                     */
#define GPIOA_OSPDDER_OSPEED14_Msk        (0x30000000UL)            /*!< OSPEED14 (Bitfield-Mask: 0x03)                        */
#define GPIOA_OSPDDER_OSPEED15_Pos        (30UL)                    /*!< OSPEED15 (Bit 30)                                     */
#define GPIOA_OSPDDER_OSPEED15_Msk        (0xc0000000UL)            /*!< OSPEED15 (Bitfield-Mask: 0x03)                        */
/* =========================================================  PUPDR  ========================================================= */
#define GPIOA_PUPDR_PUPD0_Pos             (0UL)                     /*!< PUPD0 (Bit 0)                                         */
#define GPIOA_PUPDR_PUPD0_Msk             (0x3UL)                   /*!< PUPD0 (Bitfield-Mask: 0x03)                           */
#define GPIOA_PUPDR_PUPD1_Pos             (2UL)                     /*!< PUPD1 (Bit 2)                                         */
#define GPIOA_PUPDR_PUPD1_Msk             (0xcUL)                   /*!< PUPD1 (Bitfield-Mask: 0x03)                           */
#define GPIOA_PUPDR_PUPD2_Pos             (4UL)                     /*!< PUPD2 (Bit 4)                                         */
#define GPIOA_PUPDR_PUPD2_Msk             (0x30UL)                  /*!< PUPD2 (Bitfield-Mask: 0x03)                           */
#define GPIOA_PUPDR_PUPD3_Pos             (6UL)                     /*!< PUPD3 (Bit 6)                                         */
#define GPIOA_PUPDR_PUPD3_Msk             (0xc0UL)                  /*!< PUPD3 (Bitfield-Mask: 0x03)                           */
#define GPIOA_PUPDR_PUPD4_Pos             (8UL)                     /*!< PUPD4 (Bit 8)                                         */
#define GPIOA_PUPDR_PUPD4_Msk             (0x300UL)                 /*!< PUPD4 (Bitfield-Mask: 0x03)                           */
#define GPIOA_PUPDR_PUPD5_Pos             (10UL)                    /*!< PUPD5 (Bit 10)                                        */
#define GPIOA_PUPDR_PUPD5_Msk             (0xc00UL)                 /*!< PUPD5 (Bitfield-Mask: 0x03)                           */
#define GPIOA_PUPDR_PUPD6_Pos             (12UL)                    /*!< PUPD6 (Bit 12)                                        */
#define GPIOA_PUPDR_PUPD6_Msk             (0x3000UL)                /*!< PUPD6 (Bitfield-Mask: 0x03)                           */
#define GPIOA_PUPDR_PUPD7_Pos             (14UL)                    /*!< PUPD7 (Bit 14)                                        */
#define GPIOA_PUPDR_PUPD7_Msk             (0xc000UL)                /*!< PUPD7 (Bitfield-Mask: 0x03)                           */
#define GPIOA_PUPDR_PUPD8_Pos             (16UL)                    /*!< PUPD8 (Bit 16)                                        */
#define GPIOA_PUPDR_PUPD8_Msk             (0x30000UL)               /*!< PUPD8 (Bitfield-Mask: 0x03)                           */
#define GPIOA_PUPDR_PUPD9_Pos             (18UL)                    /*!< PUPD9 (Bit 18)                                        */
#define GPIOA_PUPDR_PUPD9_Msk             (0xc0000UL)               /*!< PUPD9 (Bitfield-Mask: 0x03)                           */
#define GPIOA_PUPDR_PUPD10_Pos            (20UL)                    /*!< PUPD10 (Bit 20)                                       */
#define GPIOA_PUPDR_PUPD10_Msk            (0x300000UL)              /*!< PUPD10 (Bitfield-Mask: 0x03)                          */
#define GPIOA_PUPDR_PUPD11_Pos            (22UL)                    /*!< PUPD11 (Bit 22)                                       */
#define GPIOA_PUPDR_PUPD11_Msk            (0xc00000UL)              /*!< PUPD11 (Bitfield-Mask: 0x03)                          */
#define GPIOA_PUPDR_PUPD12_Pos            (24UL)                    /*!< PUPD12 (Bit 24)                                       */
#define GPIOA_PUPDR_PUPD12_Msk            (0x3000000UL)             /*!< PUPD12 (Bitfield-Mask: 0x03)                          */
#define GPIOA_PUPDR_PUPD13_Pos            (26UL)                    /*!< PUPD13 (Bit 26)                                       */
#define GPIOA_PUPDR_PUPD13_Msk            (0xc000000UL)             /*!< PUPD13 (Bitfield-Mask: 0x03)                          */
#define GPIOA_PUPDR_PUPD14_Pos            (28UL)                    /*!< PUPD14 (Bit 28)                                       */
#define GPIOA_PUPDR_PUPD14_Msk            (0x30000000UL)            /*!< PUPD14 (Bitfield-Mask: 0x03)                          */
#define GPIOA_PUPDR_PUPD15_Pos            (30UL)                    /*!< PUPD15 (Bit 30)                                       */
#define GPIOA_PUPDR_PUPD15_Msk            (0xc0000000UL)            /*!< PUPD15 (Bitfield-Mask: 0x03)                          */
/* ==========================================================  IDR  ========================================================== */
#define GPIOA_IDR_ID0_Pos                 (0UL)                     /*!< ID0 (Bit 0)                                           */
#define GPIOA_IDR_ID0_Msk                 (0x1UL)                   /*!< ID0 (Bitfield-Mask: 0x01)                             */
#define GPIOA_IDR_ID1_Pos                 (1UL)                     /*!< ID1 (Bit 1)                                           */
#define GPIOA_IDR_ID1_Msk                 (0x2UL)                   /*!< ID1 (Bitfield-Mask: 0x01)                             */
#define GPIOA_IDR_ID2_Pos                 (2UL)                     /*!< ID2 (Bit 2)                                           */
#define GPIOA_IDR_ID2_Msk                 (0x4UL)                   /*!< ID2 (Bitfield-Mask: 0x01)                             */
#define GPIOA_IDR_ID3_Pos                 (3UL)                     /*!< ID3 (Bit 3)                                           */
#define GPIOA_IDR_ID3_Msk                 (0x8UL)                   /*!< ID3 (Bitfield-Mask: 0x01)                             */
#define GPIOA_IDR_ID4_Pos                 (4UL)                     /*!< ID4 (Bit 4)                                           */
#define GPIOA_IDR_ID4_Msk                 (0x10UL)                  /*!< ID4 (Bitfield-Mask: 0x01)                             */
#define GPIOA_IDR_ID5_Pos                 (5UL)                     /*!< ID5 (Bit 5)                                           */
#define GPIOA_IDR_ID5_Msk                 (0x20UL)                  /*!< ID5 (Bitfield-Mask: 0x01)                             */
#define GPIOA_IDR_ID6_Pos                 (6UL)                     /*!< ID6 (Bit 6)                                           */
#define GPIOA_IDR_ID6_Msk                 (0x40UL)                  /*!< ID6 (Bitfield-Mask: 0x01)                             */
#define GPIOA_IDR_ID7_Pos                 (7UL)                     /*!< ID7 (Bit 7)                                           */
#define GPIOA_IDR_ID7_Msk                 (0x80UL)                  /*!< ID7 (Bitfield-Mask: 0x01)                             */
#define GPIOA_IDR_ID8_Pos                 (8UL)                     /*!< ID8 (Bit 8)                                           */
#define GPIOA_IDR_ID8_Msk                 (0x100UL)                 /*!< ID8 (Bitfield-Mask: 0x01)                             */
#define GPIOA_IDR_ID9_Pos                 (9UL)                     /*!< ID9 (Bit 9)                                           */
#define GPIOA_IDR_ID9_Msk                 (0x200UL)                 /*!< ID9 (Bitfield-Mask: 0x01)                             */
#define GPIOA_IDR_ID10_Pos                (10UL)                    /*!< ID10 (Bit 10)                                         */
#define GPIOA_IDR_ID10_Msk                (0x400UL)                 /*!< ID10 (Bitfield-Mask: 0x01)                            */
#define GPIOA_IDR_ID11_Pos                (11UL)                    /*!< ID11 (Bit 11)                                         */
#define GPIOA_IDR_ID11_Msk                (0x800UL)                 /*!< ID11 (Bitfield-Mask: 0x01)                            */
#define GPIOA_IDR_ID12_Pos                (12UL)                    /*!< ID12 (Bit 12)                                         */
#define GPIOA_IDR_ID12_Msk                (0x1000UL)                /*!< ID12 (Bitfield-Mask: 0x01)                            */
#define GPIOA_IDR_ID13_Pos                (13UL)                    /*!< ID13 (Bit 13)                                         */
#define GPIOA_IDR_ID13_Msk                (0x2000UL)                /*!< ID13 (Bitfield-Mask: 0x01)                            */
#define GPIOA_IDR_ID14_Pos                (14UL)                    /*!< ID14 (Bit 14)                                         */
#define GPIOA_IDR_ID14_Msk                (0x4000UL)                /*!< ID14 (Bitfield-Mask: 0x01)                            */
#define GPIOA_IDR_ID15_Pos                (15UL)                    /*!< ID15 (Bit 15)                                         */
#define GPIOA_IDR_ID15_Msk                (0x8000UL)                /*!< ID15 (Bitfield-Mask: 0x01)                            */
/* ==========================================================  ODR  ========================================================== */
#define GPIOA_ODR_OD0_Pos                 (0UL)                     /*!< OD0 (Bit 0)                                           */
#define GPIOA_ODR_OD0_Msk                 (0x1UL)                   /*!< OD0 (Bitfield-Mask: 0x01)                             */
#define GPIOA_ODR_OD1_Pos                 (1UL)                     /*!< OD1 (Bit 1)                                           */
#define GPIOA_ODR_OD1_Msk                 (0x2UL)                   /*!< OD1 (Bitfield-Mask: 0x01)                             */
#define GPIOA_ODR_OD2_Pos                 (2UL)                     /*!< OD2 (Bit 2)                                           */
#define GPIOA_ODR_OD2_Msk                 (0x4UL)                   /*!< OD2 (Bitfield-Mask: 0x01)                             */
#define GPIOA_ODR_OD3_Pos                 (3UL)                     /*!< OD3 (Bit 3)                                           */
#define GPIOA_ODR_OD3_Msk                 (0x8UL)                   /*!< OD3 (Bitfield-Mask: 0x01)                             */
#define GPIOA_ODR_OD4_Pos                 (4UL)                     /*!< OD4 (Bit 4)                                           */
#define GPIOA_ODR_OD4_Msk                 (0x10UL)                  /*!< OD4 (Bitfield-Mask: 0x01)                             */
#define GPIOA_ODR_OD5_Pos                 (5UL)                     /*!< OD5 (Bit 5)                                           */
#define GPIOA_ODR_OD5_Msk                 (0x20UL)                  /*!< OD5 (Bitfield-Mask: 0x01)                             */
#define GPIOA_ODR_OD6_Pos                 (6UL)                     /*!< OD6 (Bit 6)                                           */
#define GPIOA_ODR_OD6_Msk                 (0x40UL)                  /*!< OD6 (Bitfield-Mask: 0x01)                             */
#define GPIOA_ODR_OD7_Pos                 (7UL)                     /*!< OD7 (Bit 7)                                           */
#define GPIOA_ODR_OD7_Msk                 (0x80UL)                  /*!< OD7 (Bitfield-Mask: 0x01)                             */
#define GPIOA_ODR_OD8_Pos                 (8UL)                     /*!< OD8 (Bit 8)                                           */
#define GPIOA_ODR_OD8_Msk                 (0x100UL)                 /*!< OD8 (Bitfield-Mask: 0x01)                             */
#define GPIOA_ODR_OD9_Pos                 (9UL)                     /*!< OD9 (Bit 9)                                           */
#define GPIOA_ODR_OD9_Msk                 (0x200UL)                 /*!< OD9 (Bitfield-Mask: 0x01)                             */
#define GPIOA_ODR_OD10_Pos                (10UL)                    /*!< OD10 (Bit 10)                                         */
#define GPIOA_ODR_OD10_Msk                (0x400UL)                 /*!< OD10 (Bitfield-Mask: 0x01)                            */
#define GPIOA_ODR_OD11_Pos                (11UL)                    /*!< OD11 (Bit 11)                                         */
#define GPIOA_ODR_OD11_Msk                (0x800UL)                 /*!< OD11 (Bitfield-Mask: 0x01)                            */
#define GPIOA_ODR_OD12_Pos                (12UL)                    /*!< OD12 (Bit 12)                                         */
#define GPIOA_ODR_OD12_Msk                (0x1000UL)                /*!< OD12 (Bitfield-Mask: 0x01)                            */
#define GPIOA_ODR_OD13_Pos                (13UL)                    /*!< OD13 (Bit 13)                                         */
#define GPIOA_ODR_OD13_Msk                (0x2000UL)                /*!< OD13 (Bitfield-Mask: 0x01)                            */
#define GPIOA_ODR_OD14_Pos                (14UL)                    /*!< OD14 (Bit 14)                                         */
#define GPIOA_ODR_OD14_Msk                (0x4000UL)                /*!< OD14 (Bitfield-Mask: 0x01)                            */
#define GPIOA_ODR_OD15_Pos                (15UL)                    /*!< OD15 (Bit 15)                                         */
#define GPIOA_ODR_OD15_Msk                (0x8000UL)                /*!< OD15 (Bitfield-Mask: 0x01)                            */
/* =========================================================  BSRR  ========================================================== */
#define GPIOA_BSRR_BS0_Pos                (0UL)                     /*!< BS0 (Bit 0)                                           */
#define GPIOA_BSRR_BS0_Msk                (0x1UL)                   /*!< BS0 (Bitfield-Mask: 0x01)                             */
#define GPIOA_BSRR_BS1_Pos                (1UL)                     /*!< BS1 (Bit 1)                                           */
#define GPIOA_BSRR_BS1_Msk                (0x2UL)                   /*!< BS1 (Bitfield-Mask: 0x01)                             */
#define GPIOA_BSRR_BS2_Pos                (2UL)                     /*!< BS2 (Bit 2)                                           */
#define GPIOA_BSRR_BS2_Msk                (0x4UL)                   /*!< BS2 (Bitfield-Mask: 0x01)                             */
#define GPIOA_BSRR_BS3_Pos                (3UL)                     /*!< BS3 (Bit 3)                                           */
#define GPIOA_BSRR_BS3_Msk                (0x8UL)                   /*!< BS3 (Bitfield-Mask: 0x01)                             */
#define GPIOA_BSRR_BS4_Pos                (4UL)                     /*!< BS4 (Bit 4)                                           */
#define GPIOA_BSRR_BS4_Msk                (0x10UL)                  /*!< BS4 (Bitfield-Mask: 0x01)                             */
#define GPIOA_BSRR_BS5_Pos                (5UL)                     /*!< BS5 (Bit 5)                                           */
#define GPIOA_BSRR_BS5_Msk                (0x20UL)                  /*!< BS5 (Bitfield-Mask: 0x01)                             */
#define GPIOA_BSRR_BS6_Pos                (6UL)                     /*!< BS6 (Bit 6)                                           */
#define GPIOA_BSRR_BS6_Msk                (0x40UL)                  /*!< BS6 (Bitfield-Mask: 0x01)                             */
#define GPIOA_BSRR_BS7_Pos                (7UL)                     /*!< BS7 (Bit 7)                                           */
#define GPIOA_BSRR_BS7_Msk                (0x80UL)                  /*!< BS7 (Bitfield-Mask: 0x01)                             */
#define GPIOA_BSRR_BS8_Pos                (8UL)                     /*!< BS8 (Bit 8)                                           */
#define GPIOA_BSRR_BS8_Msk                (0x100UL)                 /*!< BS8 (Bitfield-Mask: 0x01)                             */
#define GPIOA_BSRR_BS9_Pos                (9UL)                     /*!< BS9 (Bit 9)                                           */
#define GPIOA_BSRR_BS9_Msk                (0x200UL)                 /*!< BS9 (Bitfield-Mask: 0x01)                             */
#define GPIOA_BSRR_BS10_Pos               (10UL)                    /*!< BS10 (Bit 10)                                         */
#define GPIOA_BSRR_BS10_Msk               (0x400UL)                 /*!< BS10 (Bitfield-Mask: 0x01)                            */
#define GPIOA_BSRR_BS11_Pos               (11UL)                    /*!< BS11 (Bit 11)                                         */
#define GPIOA_BSRR_BS11_Msk               (0x800UL)                 /*!< BS11 (Bitfield-Mask: 0x01)                            */
#define GPIOA_BSRR_BS12_Pos               (12UL)                    /*!< BS12 (Bit 12)                                         */
#define GPIOA_BSRR_BS12_Msk               (0x1000UL)                /*!< BS12 (Bitfield-Mask: 0x01)                            */
#define GPIOA_BSRR_BS13_Pos               (13UL)                    /*!< BS13 (Bit 13)                                         */
#define GPIOA_BSRR_BS13_Msk               (0x2000UL)                /*!< BS13 (Bitfield-Mask: 0x01)                            */
#define GPIOA_BSRR_BS14_Pos               (14UL)                    /*!< BS14 (Bit 14)                                         */
#define GPIOA_BSRR_BS14_Msk               (0x4000UL)                /*!< BS14 (Bitfield-Mask: 0x01)                            */
#define GPIOA_BSRR_BS15_Pos               (15UL)                    /*!< BS15 (Bit 15)                                         */
#define GPIOA_BSRR_BS15_Msk               (0x8000UL)                /*!< BS15 (Bitfield-Mask: 0x01)                            */
#define GPIOA_BSRR_BR0_Pos                (16UL)                    /*!< BR0 (Bit 16)                                          */
#define GPIOA_BSRR_BR0_Msk                (0x10000UL)               /*!< BR0 (Bitfield-Mask: 0x01)                             */
#define GPIOA_BSRR_BR1_Pos                (17UL)                    /*!< BR1 (Bit 17)                                          */
#define GPIOA_BSRR_BR1_Msk                (0x20000UL)               /*!< BR1 (Bitfield-Mask: 0x01)                             */
#define GPIOA_BSRR_BR2_Pos                (18UL)                    /*!< BR2 (Bit 18)                                          */
#define GPIOA_BSRR_BR2_Msk                (0x40000UL)               /*!< BR2 (Bitfield-Mask: 0x01)                             */
#define GPIOA_BSRR_BR3_Pos                (19UL)                    /*!< BR3 (Bit 19)                                          */
#define GPIOA_BSRR_BR3_Msk                (0x80000UL)               /*!< BR3 (Bitfield-Mask: 0x01)                             */
#define GPIOA_BSRR_BR4_Pos                (20UL)                    /*!< BR4 (Bit 20)                                          */
#define GPIOA_BSRR_BR4_Msk                (0x100000UL)              /*!< BR4 (Bitfield-Mask: 0x01)                             */
#define GPIOA_BSRR_BR5_Pos                (21UL)                    /*!< BR5 (Bit 21)                                          */
#define GPIOA_BSRR_BR5_Msk                (0x200000UL)              /*!< BR5 (Bitfield-Mask: 0x01)                             */
#define GPIOA_BSRR_BR6_Pos                (22UL)                    /*!< BR6 (Bit 22)                                          */
#define GPIOA_BSRR_BR6_Msk                (0x400000UL)              /*!< BR6 (Bitfield-Mask: 0x01)                             */
#define GPIOA_BSRR_BR7_Pos                (23UL)                    /*!< BR7 (Bit 23)                                          */
#define GPIOA_BSRR_BR7_Msk                (0x800000UL)              /*!< BR7 (Bitfield-Mask: 0x01)                             */
#define GPIOA_BSRR_BR8_Pos                (24UL)                    /*!< BR8 (Bit 24)                                          */
#define GPIOA_BSRR_BR8_Msk                (0x1000000UL)             /*!< BR8 (Bitfield-Mask: 0x01)                             */
#define GPIOA_BSRR_BR9_Pos                (25UL)                    /*!< BR9 (Bit 25)                                          */
#define GPIOA_BSRR_BR9_Msk                (0x2000000UL)             /*!< BR9 (Bitfield-Mask: 0x01)                             */
#define GPIOA_BSRR_BR10_Pos               (26UL)                    /*!< BR10 (Bit 26)                                         */
#define GPIOA_BSRR_BR10_Msk               (0x4000000UL)             /*!< BR10 (Bitfield-Mask: 0x01)                            */
#define GPIOA_BSRR_BR11_Pos               (27UL)                    /*!< BR11 (Bit 27)                                         */
#define GPIOA_BSRR_BR11_Msk               (0x8000000UL)             /*!< BR11 (Bitfield-Mask: 0x01)                            */
#define GPIOA_BSRR_BR12_Pos               (28UL)                    /*!< BR12 (Bit 28)                                         */
#define GPIOA_BSRR_BR12_Msk               (0x10000000UL)            /*!< BR12 (Bitfield-Mask: 0x01)                            */
#define GPIOA_BSRR_BR13_Pos               (29UL)                    /*!< BR13 (Bit 29)                                         */
#define GPIOA_BSRR_BR13_Msk               (0x20000000UL)            /*!< BR13 (Bitfield-Mask: 0x01)                            */
#define GPIOA_BSRR_BR14_Pos               (30UL)                    /*!< BR14 (Bit 30)                                         */
#define GPIOA_BSRR_BR14_Msk               (0x40000000UL)            /*!< BR14 (Bitfield-Mask: 0x01)                            */
#define GPIOA_BSRR_BR15_Pos               (31UL)                    /*!< BR15 (Bit 31)                                         */
#define GPIOA_BSRR_BR15_Msk               (0x80000000UL)            /*!< BR15 (Bitfield-Mask: 0x01)                            */
/* =========================================================  LCKR  ========================================================== */
#define GPIOA_LCKR_LCK0_Pos               (0UL)                     /*!< LCK0 (Bit 0)                                          */
#define GPIOA_LCKR_LCK0_Msk               (0x1UL)                   /*!< LCK0 (Bitfield-Mask: 0x01)                            */
#define GPIOA_LCKR_LCK1_Pos               (1UL)                     /*!< LCK1 (Bit 1)                                          */
#define GPIOA_LCKR_LCK1_Msk               (0x2UL)                   /*!< LCK1 (Bitfield-Mask: 0x01)                            */
#define GPIOA_LCKR_LCK2_Pos               (2UL)                     /*!< LCK2 (Bit 2)                                          */
#define GPIOA_LCKR_LCK2_Msk               (0x4UL)                   /*!< LCK2 (Bitfield-Mask: 0x01)                            */
#define GPIOA_LCKR_LCK3_Pos               (3UL)                     /*!< LCK3 (Bit 3)                                          */
#define GPIOA_LCKR_LCK3_Msk               (0x8UL)                   /*!< LCK3 (Bitfield-Mask: 0x01)                            */
#define GPIOA_LCKR_LCK4_Pos               (4UL)                     /*!< LCK4 (Bit 4)                                          */
#define GPIOA_LCKR_LCK4_Msk               (0x10UL)                  /*!< LCK4 (Bitfield-Mask: 0x01)                            */
#define GPIOA_LCKR_LCK5_Pos               (5UL)                     /*!< LCK5 (Bit 5)                                          */
#define GPIOA_LCKR_LCK5_Msk               (0x20UL)                  /*!< LCK5 (Bitfield-Mask: 0x01)                            */
#define GPIOA_LCKR_LCK6_Pos               (6UL)                     /*!< LCK6 (Bit 6)                                          */
#define GPIOA_LCKR_LCK6_Msk               (0x40UL)                  /*!< LCK6 (Bitfield-Mask: 0x01)                            */
#define GPIOA_LCKR_LCK7_Pos               (7UL)                     /*!< LCK7 (Bit 7)                                          */
#define GPIOA_LCKR_LCK7_Msk               (0x80UL)                  /*!< LCK7 (Bitfield-Mask: 0x01)                            */
#define GPIOA_LCKR_LCK8_Pos               (8UL)                     /*!< LCK8 (Bit 8)                                          */
#define GPIOA_LCKR_LCK8_Msk               (0x100UL)                 /*!< LCK8 (Bitfield-Mask: 0x01)                            */
#define GPIOA_LCKR_LCK9_Pos               (9UL)                     /*!< LCK9 (Bit 9)                                          */
#define GPIOA_LCKR_LCK9_Msk               (0x200UL)                 /*!< LCK9 (Bitfield-Mask: 0x01)                            */
#define GPIOA_LCKR_LCK10_Pos              (10UL)                    /*!< LCK10 (Bit 10)                                        */
#define GPIOA_LCKR_LCK10_Msk              (0x400UL)                 /*!< LCK10 (Bitfield-Mask: 0x01)                           */
#define GPIOA_LCKR_LCK11_Pos              (11UL)                    /*!< LCK11 (Bit 11)                                        */
#define GPIOA_LCKR_LCK11_Msk              (0x800UL)                 /*!< LCK11 (Bitfield-Mask: 0x01)                           */
#define GPIOA_LCKR_LCK12_Pos              (12UL)                    /*!< LCK12 (Bit 12)                                        */
#define GPIOA_LCKR_LCK12_Msk              (0x1000UL)                /*!< LCK12 (Bitfield-Mask: 0x01)                           */
#define GPIOA_LCKR_LCK13_Pos              (13UL)                    /*!< LCK13 (Bit 13)                                        */
#define GPIOA_LCKR_LCK13_Msk              (0x2000UL)                /*!< LCK13 (Bitfield-Mask: 0x01)                           */
#define GPIOA_LCKR_LCK14_Pos              (14UL)                    /*!< LCK14 (Bit 14)                                        */
#define GPIOA_LCKR_LCK14_Msk              (0x4000UL)                /*!< LCK14 (Bitfield-Mask: 0x01)                           */
#define GPIOA_LCKR_LCK15_Pos              (15UL)                    /*!< LCK15 (Bit 15)                                        */
#define GPIOA_LCKR_LCK15_Msk              (0x8000UL)                /*!< LCK15 (Bitfield-Mask: 0x01)                           */
#define GPIOA_LCKR_LCKK_Pos               (16UL)                    /*!< LCKK (Bit 16)                                         */
#define GPIOA_LCKR_LCKK_Msk               (0x10000UL)               /*!< LCKK (Bitfield-Mask: 0x01)                            */
/* =========================================================  AFRL  ========================================================== */
#define GPIOA_AFRL_AFSEL0_Pos             (0UL)                     /*!< AFSEL0 (Bit 0)                                        */
#define GPIOA_AFRL_AFSEL0_Msk             (0xfUL)                   /*!< AFSEL0 (Bitfield-Mask: 0x0f)                          */
#define GPIOA_AFRL_AFSEL1_Pos             (4UL)                     /*!< AFSEL1 (Bit 4)                                        */
#define GPIOA_AFRL_AFSEL1_Msk             (0xf0UL)                  /*!< AFSEL1 (Bitfield-Mask: 0x0f)                          */
#define GPIOA_AFRL_AFSEL2_Pos             (8UL)                     /*!< AFSEL2 (Bit 8)                                        */
#define GPIOA_AFRL_AFSEL2_Msk             (0xf00UL)                 /*!< AFSEL2 (Bitfield-Mask: 0x0f)                          */
#define GPIOA_AFRL_AFSEL3_Pos             (12UL)                    /*!< AFSEL3 (Bit 12)                                       */
#define GPIOA_AFRL_AFSEL3_Msk             (0xf000UL)                /*!< AFSEL3 (Bitfield-Mask: 0x0f)                          */
#define GPIOA_AFRL_AFSEL4_Pos             (16UL)                    /*!< AFSEL4 (Bit 16)                                       */
#define GPIOA_AFRL_AFSEL4_Msk             (0xf0000UL)               /*!< AFSEL4 (Bitfield-Mask: 0x0f)                          */
#define GPIOA_AFRL_AFSEL5_Pos             (20UL)                    /*!< AFSEL5 (Bit 20)                                       */
#define GPIOA_AFRL_AFSEL5_Msk             (0xf00000UL)              /*!< AFSEL5 (Bitfield-Mask: 0x0f)                          */
#define GPIOA_AFRL_AFSEL6_Pos             (24UL)                    /*!< AFSEL6 (Bit 24)                                       */
#define GPIOA_AFRL_AFSEL6_Msk             (0xf000000UL)             /*!< AFSEL6 (Bitfield-Mask: 0x0f)                          */
#define GPIOA_AFRL_AFSEL7_Pos             (28UL)                    /*!< AFSEL7 (Bit 28)                                       */
#define GPIOA_AFRL_AFSEL7_Msk             (0xf0000000UL)            /*!< AFSEL7 (Bitfield-Mask: 0x0f)                          */
/* =========================================================  AFRH  ========================================================== */
#define GPIOA_AFRH_AFSEL8_Pos             (0UL)                     /*!< AFSEL8 (Bit 0)                                        */
#define GPIOA_AFRH_AFSEL8_Msk             (0xfUL)                   /*!< AFSEL8 (Bitfield-Mask: 0x0f)                          */
#define GPIOA_AFRH_AFSEL9_Pos             (4UL)                     /*!< AFSEL9 (Bit 4)                                        */
#define GPIOA_AFRH_AFSEL9_Msk             (0xf0UL)                  /*!< AFSEL9 (Bitfield-Mask: 0x0f)                          */
#define GPIOA_AFRH_AFSEL10_Pos            (8UL)                     /*!< AFSEL10 (Bit 8)                                       */
#define GPIOA_AFRH_AFSEL10_Msk            (0xf00UL)                 /*!< AFSEL10 (Bitfield-Mask: 0x0f)                         */
#define GPIOA_AFRH_AFSEL11_Pos            (12UL)                    /*!< AFSEL11 (Bit 12)                                      */
#define GPIOA_AFRH_AFSEL11_Msk            (0xf000UL)                /*!< AFSEL11 (Bitfield-Mask: 0x0f)                         */
#define GPIOA_AFRH_AFSEL12_Pos            (16UL)                    /*!< AFSEL12 (Bit 16)                                      */
#define GPIOA_AFRH_AFSEL12_Msk            (0xf0000UL)               /*!< AFSEL12 (Bitfield-Mask: 0x0f)                         */
#define GPIOA_AFRH_AFSEL13_Pos            (20UL)                    /*!< AFSEL13 (Bit 20)                                      */
#define GPIOA_AFRH_AFSEL13_Msk            (0xf00000UL)              /*!< AFSEL13 (Bitfield-Mask: 0x0f)                         */
#define GPIOA_AFRH_AFSEL14_Pos            (24UL)                    /*!< AFSEL14 (Bit 24)                                      */
#define GPIOA_AFRH_AFSEL14_Msk            (0xf000000UL)             /*!< AFSEL14 (Bitfield-Mask: 0x0f)                         */
#define GPIOA_AFRH_AFSEL15_Pos            (28UL)                    /*!< AFSEL15 (Bit 28)                                      */
#define GPIOA_AFRH_AFSEL15_Msk            (0xf0000000UL)            /*!< AFSEL15 (Bitfield-Mask: 0x0f)                         */
/* ==========================================================  BRR  ========================================================== */
#define GPIOA_BRR_BR0_Pos                 (0UL)                     /*!< BR0 (Bit 0)                                           */
#define GPIOA_BRR_BR0_Msk                 (0x1UL)                   /*!< BR0 (Bitfield-Mask: 0x01)                             */
#define GPIOA_BRR_BR1_Pos                 (1UL)                     /*!< BR1 (Bit 1)                                           */
#define GPIOA_BRR_BR1_Msk                 (0x2UL)                   /*!< BR1 (Bitfield-Mask: 0x01)                             */
#define GPIOA_BRR_BR2_Pos                 (2UL)                     /*!< BR2 (Bit 2)                                           */
#define GPIOA_BRR_BR2_Msk                 (0x4UL)                   /*!< BR2 (Bitfield-Mask: 0x01)                             */
#define GPIOA_BRR_BR3_Pos                 (3UL)                     /*!< BR3 (Bit 3)                                           */
#define GPIOA_BRR_BR3_Msk                 (0x8UL)                   /*!< BR3 (Bitfield-Mask: 0x01)                             */
#define GPIOA_BRR_BR4_Pos                 (4UL)                     /*!< BR4 (Bit 4)                                           */
#define GPIOA_BRR_BR4_Msk                 (0x10UL)                  /*!< BR4 (Bitfield-Mask: 0x01)                             */
#define GPIOA_BRR_BR5_Pos                 (5UL)                     /*!< BR5 (Bit 5)                                           */
#define GPIOA_BRR_BR5_Msk                 (0x20UL)                  /*!< BR5 (Bitfield-Mask: 0x01)                             */
#define GPIOA_BRR_BR6_Pos                 (6UL)                     /*!< BR6 (Bit 6)                                           */
#define GPIOA_BRR_BR6_Msk                 (0x40UL)                  /*!< BR6 (Bitfield-Mask: 0x01)                             */
#define GPIOA_BRR_BR7_Pos                 (7UL)                     /*!< BR7 (Bit 7)                                           */
#define GPIOA_BRR_BR7_Msk                 (0x80UL)                  /*!< BR7 (Bitfield-Mask: 0x01)                             */
#define GPIOA_BRR_BR8_Pos                 (8UL)                     /*!< BR8 (Bit 8)                                           */
#define GPIOA_BRR_BR8_Msk                 (0x100UL)                 /*!< BR8 (Bitfield-Mask: 0x01)                             */
#define GPIOA_BRR_BR9_Pos                 (9UL)                     /*!< BR9 (Bit 9)                                           */
#define GPIOA_BRR_BR9_Msk                 (0x200UL)                 /*!< BR9 (Bitfield-Mask: 0x01)                             */
#define GPIOA_BRR_BR10_Pos                (10UL)                    /*!< BR10 (Bit 10)                                         */
#define GPIOA_BRR_BR10_Msk                (0x400UL)                 /*!< BR10 (Bitfield-Mask: 0x01)                            */
#define GPIOA_BRR_BR11_Pos                (11UL)                    /*!< BR11 (Bit 11)                                         */
#define GPIOA_BRR_BR11_Msk                (0x800UL)                 /*!< BR11 (Bitfield-Mask: 0x01)                            */
#define GPIOA_BRR_BR12_Pos                (12UL)                    /*!< BR12 (Bit 12)                                         */
#define GPIOA_BRR_BR12_Msk                (0x1000UL)                /*!< BR12 (Bitfield-Mask: 0x01)                            */
#define GPIOA_BRR_BR13_Pos                (13UL)                    /*!< BR13 (Bit 13)                                         */
#define GPIOA_BRR_BR13_Msk                (0x2000UL)                /*!< BR13 (Bitfield-Mask: 0x01)                            */
#define GPIOA_BRR_BR14_Pos                (14UL)                    /*!< BR14 (Bit 14)                                         */
#define GPIOA_BRR_BR14_Msk                (0x4000UL)                /*!< BR14 (Bitfield-Mask: 0x01)                            */
#define GPIOA_BRR_BR15_Pos                (15UL)                    /*!< BR15 (Bit 15)                                         */
#define GPIOA_BRR_BR15_Msk                (0x8000UL)                /*!< BR15 (Bitfield-Mask: 0x01)                            */


/* =========================================================================================================================== */
/* ================                                           GPIOB                                           ================ */
/* =========================================================================================================================== */

/* =========================================================  MODER  ========================================================= */
#define GPIOB_MODER_MODER0_Pos            (0UL)                     /*!< MODER0 (Bit 0)                                        */
#define GPIOB_MODER_MODER0_Msk            (0x3UL)                   /*!< MODER0 (Bitfield-Mask: 0x03)                          */
#define GPIOB_MODER_MODER1_Pos            (2UL)                     /*!< MODER1 (Bit 2)                                        */
#define GPIOB_MODER_MODER1_Msk            (0xcUL)                   /*!< MODER1 (Bitfield-Mask: 0x03)                          */
#define GPIOB_MODER_MODER2_Pos            (4UL)                     /*!< MODER2 (Bit 4)                                        */
#define GPIOB_MODER_MODER2_Msk            (0x30UL)                  /*!< MODER2 (Bitfield-Mask: 0x03)                          */
#define GPIOB_MODER_MODER3_Pos            (6UL)                     /*!< MODER3 (Bit 6)                                        */
#define GPIOB_MODER_MODER3_Msk            (0xc0UL)                  /*!< MODER3 (Bitfield-Mask: 0x03)                          */
#define GPIOB_MODER_MODER4_Pos            (8UL)                     /*!< MODER4 (Bit 8)                                        */
#define GPIOB_MODER_MODER4_Msk            (0x300UL)                 /*!< MODER4 (Bitfield-Mask: 0x03)                          */
#define GPIOB_MODER_MODER5_Pos            (10UL)                    /*!< MODER5 (Bit 10)                                       */
#define GPIOB_MODER_MODER5_Msk            (0xc00UL)                 /*!< MODER5 (Bitfield-Mask: 0x03)                          */
#define GPIOB_MODER_MODER6_Pos            (12UL)                    /*!< MODER6 (Bit 12)                                       */
#define GPIOB_MODER_MODER6_Msk            (0x3000UL)                /*!< MODER6 (Bitfield-Mask: 0x03)                          */
#define GPIOB_MODER_MODER7_Pos            (14UL)                    /*!< MODER7 (Bit 14)                                       */
#define GPIOB_MODER_MODER7_Msk            (0xc000UL)                /*!< MODER7 (Bitfield-Mask: 0x03)                          */
#define GPIOB_MODER_MODER8_Pos            (16UL)                    /*!< MODER8 (Bit 16)                                       */
#define GPIOB_MODER_MODER8_Msk            (0x30000UL)               /*!< MODER8 (Bitfield-Mask: 0x03)                          */
#define GPIOB_MODER_MODER9_Pos            (18UL)                    /*!< MODER9 (Bit 18)                                       */
#define GPIOB_MODER_MODER9_Msk            (0xc0000UL)               /*!< MODER9 (Bitfield-Mask: 0x03)                          */
#define GPIOB_MODER_MODER10_Pos           (20UL)                    /*!< MODER10 (Bit 20)                                      */
#define GPIOB_MODER_MODER10_Msk           (0x300000UL)              /*!< MODER10 (Bitfield-Mask: 0x03)                         */
#define GPIOB_MODER_MODER11_Pos           (22UL)                    /*!< MODER11 (Bit 22)                                      */
#define GPIOB_MODER_MODER11_Msk           (0xc00000UL)              /*!< MODER11 (Bitfield-Mask: 0x03)                         */
#define GPIOB_MODER_MODER12_Pos           (24UL)                    /*!< MODER12 (Bit 24)                                      */
#define GPIOB_MODER_MODER12_Msk           (0x3000000UL)             /*!< MODER12 (Bitfield-Mask: 0x03)                         */
#define GPIOB_MODER_MODER13_Pos           (26UL)                    /*!< MODER13 (Bit 26)                                      */
#define GPIOB_MODER_MODER13_Msk           (0xc000000UL)             /*!< MODER13 (Bitfield-Mask: 0x03)                         */
#define GPIOB_MODER_MODER14_Pos           (28UL)                    /*!< MODER14 (Bit 28)                                      */
#define GPIOB_MODER_MODER14_Msk           (0x30000000UL)            /*!< MODER14 (Bitfield-Mask: 0x03)                         */
#define GPIOB_MODER_MODER15_Pos           (30UL)                    /*!< MODER15 (Bit 30)                                      */
#define GPIOB_MODER_MODER15_Msk           (0xc0000000UL)            /*!< MODER15 (Bitfield-Mask: 0x03)                         */
/* ========================================================  OTYPER  ========================================================= */
#define GPIOB_OTYPER_OT0_Pos              (0UL)                     /*!< OT0 (Bit 0)                                           */
#define GPIOB_OTYPER_OT0_Msk              (0x1UL)                   /*!< OT0 (Bitfield-Mask: 0x01)                             */
#define GPIOB_OTYPER_OT1_Pos              (1UL)                     /*!< OT1 (Bit 1)                                           */
#define GPIOB_OTYPER_OT1_Msk              (0x2UL)                   /*!< OT1 (Bitfield-Mask: 0x01)                             */
#define GPIOB_OTYPER_OT2_Pos              (2UL)                     /*!< OT2 (Bit 2)                                           */
#define GPIOB_OTYPER_OT2_Msk              (0x4UL)                   /*!< OT2 (Bitfield-Mask: 0x01)                             */
#define GPIOB_OTYPER_OT3_Pos              (3UL)                     /*!< OT3 (Bit 3)                                           */
#define GPIOB_OTYPER_OT3_Msk              (0x8UL)                   /*!< OT3 (Bitfield-Mask: 0x01)                             */
#define GPIOB_OTYPER_OT4_Pos              (4UL)                     /*!< OT4 (Bit 4)                                           */
#define GPIOB_OTYPER_OT4_Msk              (0x10UL)                  /*!< OT4 (Bitfield-Mask: 0x01)                             */
#define GPIOB_OTYPER_OT5_Pos              (5UL)                     /*!< OT5 (Bit 5)                                           */
#define GPIOB_OTYPER_OT5_Msk              (0x20UL)                  /*!< OT5 (Bitfield-Mask: 0x01)                             */
#define GPIOB_OTYPER_OT6_Pos              (6UL)                     /*!< OT6 (Bit 6)                                           */
#define GPIOB_OTYPER_OT6_Msk              (0x40UL)                  /*!< OT6 (Bitfield-Mask: 0x01)                             */
#define GPIOB_OTYPER_OT7_Pos              (7UL)                     /*!< OT7 (Bit 7)                                           */
#define GPIOB_OTYPER_OT7_Msk              (0x80UL)                  /*!< OT7 (Bitfield-Mask: 0x01)                             */
#define GPIOB_OTYPER_OT8_Pos              (8UL)                     /*!< OT8 (Bit 8)                                           */
#define GPIOB_OTYPER_OT8_Msk              (0x100UL)                 /*!< OT8 (Bitfield-Mask: 0x01)                             */
#define GPIOB_OTYPER_OT9_Pos              (9UL)                     /*!< OT9 (Bit 9)                                           */
#define GPIOB_OTYPER_OT9_Msk              (0x200UL)                 /*!< OT9 (Bitfield-Mask: 0x01)                             */
#define GPIOB_OTYPER_OT10_Pos             (10UL)                    /*!< OT10 (Bit 10)                                         */
#define GPIOB_OTYPER_OT10_Msk             (0x400UL)                 /*!< OT10 (Bitfield-Mask: 0x01)                            */
#define GPIOB_OTYPER_OT11_Pos             (11UL)                    /*!< OT11 (Bit 11)                                         */
#define GPIOB_OTYPER_OT11_Msk             (0x800UL)                 /*!< OT11 (Bitfield-Mask: 0x01)                            */
#define GPIOB_OTYPER_OT12_Pos             (12UL)                    /*!< OT12 (Bit 12)                                         */
#define GPIOB_OTYPER_OT12_Msk             (0x1000UL)                /*!< OT12 (Bitfield-Mask: 0x01)                            */
#define GPIOB_OTYPER_OT13_Pos             (13UL)                    /*!< OT13 (Bit 13)                                         */
#define GPIOB_OTYPER_OT13_Msk             (0x2000UL)                /*!< OT13 (Bitfield-Mask: 0x01)                            */
#define GPIOB_OTYPER_OT14_Pos             (14UL)                    /*!< OT14 (Bit 14)                                         */
#define GPIOB_OTYPER_OT14_Msk             (0x4000UL)                /*!< OT14 (Bitfield-Mask: 0x01)                            */
#define GPIOB_OTYPER_OT15_Pos             (15UL)                    /*!< OT15 (Bit 15)                                         */
#define GPIOB_OTYPER_OT15_Msk             (0x8000UL)                /*!< OT15 (Bitfield-Mask: 0x01)                            */
/* ========================================================  OSPDDER  ======================================================== */
#define GPIOB_OSPDDER_OSPEED0_Pos         (0UL)                     /*!< OSPEED0 (Bit 0)                                       */
#define GPIOB_OSPDDER_OSPEED0_Msk         (0x3UL)                   /*!< OSPEED0 (Bitfield-Mask: 0x03)                         */
#define GPIOB_OSPDDER_OSPEED1_Pos         (2UL)                     /*!< OSPEED1 (Bit 2)                                       */
#define GPIOB_OSPDDER_OSPEED1_Msk         (0xcUL)                   /*!< OSPEED1 (Bitfield-Mask: 0x03)                         */
#define GPIOB_OSPDDER_OSPEED2_Pos         (4UL)                     /*!< OSPEED2 (Bit 4)                                       */
#define GPIOB_OSPDDER_OSPEED2_Msk         (0x30UL)                  /*!< OSPEED2 (Bitfield-Mask: 0x03)                         */
#define GPIOB_OSPDDER_OSPEED3_Pos         (6UL)                     /*!< OSPEED3 (Bit 6)                                       */
#define GPIOB_OSPDDER_OSPEED3_Msk         (0xc0UL)                  /*!< OSPEED3 (Bitfield-Mask: 0x03)                         */
#define GPIOB_OSPDDER_OSPEED4_Pos         (8UL)                     /*!< OSPEED4 (Bit 8)                                       */
#define GPIOB_OSPDDER_OSPEED4_Msk         (0x300UL)                 /*!< OSPEED4 (Bitfield-Mask: 0x03)                         */
#define GPIOB_OSPDDER_OSPEED5_Pos         (10UL)                    /*!< OSPEED5 (Bit 10)                                      */
#define GPIOB_OSPDDER_OSPEED5_Msk         (0xc00UL)                 /*!< OSPEED5 (Bitfield-Mask: 0x03)                         */
#define GPIOB_OSPDDER_OSPEED6_Pos         (12UL)                    /*!< OSPEED6 (Bit 12)                                      */
#define GPIOB_OSPDDER_OSPEED6_Msk         (0x3000UL)                /*!< OSPEED6 (Bitfield-Mask: 0x03)                         */
#define GPIOB_OSPDDER_OSPEED7_Pos         (14UL)                    /*!< OSPEED7 (Bit 14)                                      */
#define GPIOB_OSPDDER_OSPEED7_Msk         (0xc000UL)                /*!< OSPEED7 (Bitfield-Mask: 0x03)                         */
#define GPIOB_OSPDDER_OSPEED8_Pos         (16UL)                    /*!< OSPEED8 (Bit 16)                                      */
#define GPIOB_OSPDDER_OSPEED8_Msk         (0x30000UL)               /*!< OSPEED8 (Bitfield-Mask: 0x03)                         */
#define GPIOB_OSPDDER_OSPEED9_Pos         (18UL)                    /*!< OSPEED9 (Bit 18)                                      */
#define GPIOB_OSPDDER_OSPEED9_Msk         (0xc0000UL)               /*!< OSPEED9 (Bitfield-Mask: 0x03)                         */
#define GPIOB_OSPDDER_OSPEED10_Pos        (20UL)                    /*!< OSPEED10 (Bit 20)                                     */
#define GPIOB_OSPDDER_OSPEED10_Msk        (0x300000UL)              /*!< OSPEED10 (Bitfield-Mask: 0x03)                        */
#define GPIOB_OSPDDER_OSPEED11_Pos        (22UL)                    /*!< OSPEED11 (Bit 22)                                     */
#define GPIOB_OSPDDER_OSPEED11_Msk        (0xc00000UL)              /*!< OSPEED11 (Bitfield-Mask: 0x03)                        */
#define GPIOB_OSPDDER_OSPEED12_Pos        (24UL)                    /*!< OSPEED12 (Bit 24)                                     */
#define GPIOB_OSPDDER_OSPEED12_Msk        (0x3000000UL)             /*!< OSPEED12 (Bitfield-Mask: 0x03)                        */
#define GPIOB_OSPDDER_OSPEED13_Pos        (26UL)                    /*!< OSPEED13 (Bit 26)                                     */
#define GPIOB_OSPDDER_OSPEED13_Msk        (0xc000000UL)             /*!< OSPEED13 (Bitfield-Mask: 0x03)                        */
#define GPIOB_OSPDDER_OSPEED14_Pos        (28UL)                    /*!< OSPEED14 (Bit 28)                                     */
#define GPIOB_OSPDDER_OSPEED14_Msk        (0x30000000UL)            /*!< OSPEED14 (Bitfield-Mask: 0x03)                        */
#define GPIOB_OSPDDER_OSPEED15_Pos        (30UL)                    /*!< OSPEED15 (Bit 30)                                     */
#define GPIOB_OSPDDER_OSPEED15_Msk        (0xc0000000UL)            /*!< OSPEED15 (Bitfield-Mask: 0x03)                        */
/* =========================================================  PUPDR  ========================================================= */
#define GPIOB_PUPDR_PUPD0_Pos             (0UL)                     /*!< PUPD0 (Bit 0)                                         */
#define GPIOB_PUPDR_PUPD0_Msk             (0x3UL)                   /*!< PUPD0 (Bitfield-Mask: 0x03)                           */
#define GPIOB_PUPDR_PUPD1_Pos             (2UL)                     /*!< PUPD1 (Bit 2)                                         */
#define GPIOB_PUPDR_PUPD1_Msk             (0xcUL)                   /*!< PUPD1 (Bitfield-Mask: 0x03)                           */
#define GPIOB_PUPDR_PUPD2_Pos             (4UL)                     /*!< PUPD2 (Bit 4)                                         */
#define GPIOB_PUPDR_PUPD2_Msk             (0x30UL)                  /*!< PUPD2 (Bitfield-Mask: 0x03)                           */
#define GPIOB_PUPDR_PUPD3_Pos             (6UL)                     /*!< PUPD3 (Bit 6)                                         */
#define GPIOB_PUPDR_PUPD3_Msk             (0xc0UL)                  /*!< PUPD3 (Bitfield-Mask: 0x03)                           */
#define GPIOB_PUPDR_PUPD4_Pos             (8UL)                     /*!< PUPD4 (Bit 8)                                         */
#define GPIOB_PUPDR_PUPD4_Msk             (0x300UL)                 /*!< PUPD4 (Bitfield-Mask: 0x03)                           */
#define GPIOB_PUPDR_PUPD5_Pos             (10UL)                    /*!< PUPD5 (Bit 10)                                        */
#define GPIOB_PUPDR_PUPD5_Msk             (0xc00UL)                 /*!< PUPD5 (Bitfield-Mask: 0x03)                           */
#define GPIOB_PUPDR_PUPD6_Pos             (12UL)                    /*!< PUPD6 (Bit 12)                                        */
#define GPIOB_PUPDR_PUPD6_Msk             (0x3000UL)                /*!< PUPD6 (Bitfield-Mask: 0x03)                           */
#define GPIOB_PUPDR_PUPD7_Pos             (14UL)                    /*!< PUPD7 (Bit 14)                                        */
#define GPIOB_PUPDR_PUPD7_Msk             (0xc000UL)                /*!< PUPD7 (Bitfield-Mask: 0x03)                           */
#define GPIOB_PUPDR_PUPD8_Pos             (16UL)                    /*!< PUPD8 (Bit 16)                                        */
#define GPIOB_PUPDR_PUPD8_Msk             (0x30000UL)               /*!< PUPD8 (Bitfield-Mask: 0x03)                           */
#define GPIOB_PUPDR_PUPD9_Pos             (18UL)                    /*!< PUPD9 (Bit 18)                                        */
#define GPIOB_PUPDR_PUPD9_Msk             (0xc0000UL)               /*!< PUPD9 (Bitfield-Mask: 0x03)                           */
#define GPIOB_PUPDR_PUPD10_Pos            (20UL)                    /*!< PUPD10 (Bit 20)                                       */
#define GPIOB_PUPDR_PUPD10_Msk            (0x300000UL)              /*!< PUPD10 (Bitfield-Mask: 0x03)                          */
#define GPIOB_PUPDR_PUPD11_Pos            (22UL)                    /*!< PUPD11 (Bit 22)                                       */
#define GPIOB_PUPDR_PUPD11_Msk            (0xc00000UL)              /*!< PUPD11 (Bitfield-Mask: 0x03)                          */
#define GPIOB_PUPDR_PUPD12_Pos            (24UL)                    /*!< PUPD12 (Bit 24)                                       */
#define GPIOB_PUPDR_PUPD12_Msk            (0x3000000UL)             /*!< PUPD12 (Bitfield-Mask: 0x03)                          */
#define GPIOB_PUPDR_PUPD13_Pos            (26UL)                    /*!< PUPD13 (Bit 26)                                       */
#define GPIOB_PUPDR_PUPD13_Msk            (0xc000000UL)             /*!< PUPD13 (Bitfield-Mask: 0x03)                          */
#define GPIOB_PUPDR_PUPD14_Pos            (28UL)                    /*!< PUPD14 (Bit 28)                                       */
#define GPIOB_PUPDR_PUPD14_Msk            (0x30000000UL)            /*!< PUPD14 (Bitfield-Mask: 0x03)                          */
#define GPIOB_PUPDR_PUPD15_Pos            (30UL)                    /*!< PUPD15 (Bit 30)                                       */
#define GPIOB_PUPDR_PUPD15_Msk            (0xc0000000UL)            /*!< PUPD15 (Bitfield-Mask: 0x03)                          */
/* ==========================================================  IDR  ========================================================== */
#define GPIOB_IDR_ID0_Pos                 (0UL)                     /*!< ID0 (Bit 0)                                           */
#define GPIOB_IDR_ID0_Msk                 (0x1UL)                   /*!< ID0 (Bitfield-Mask: 0x01)                             */
#define GPIOB_IDR_ID1_Pos                 (1UL)                     /*!< ID1 (Bit 1)                                           */
#define GPIOB_IDR_ID1_Msk                 (0x2UL)                   /*!< ID1 (Bitfield-Mask: 0x01)                             */
#define GPIOB_IDR_ID2_Pos                 (2UL)                     /*!< ID2 (Bit 2)                                           */
#define GPIOB_IDR_ID2_Msk                 (0x4UL)                   /*!< ID2 (Bitfield-Mask: 0x01)                             */
#define GPIOB_IDR_ID3_Pos                 (3UL)                     /*!< ID3 (Bit 3)                                           */
#define GPIOB_IDR_ID3_Msk                 (0x8UL)                   /*!< ID3 (Bitfield-Mask: 0x01)                             */
#define GPIOB_IDR_ID4_Pos                 (4UL)                     /*!< ID4 (Bit 4)                                           */
#define GPIOB_IDR_ID4_Msk                 (0x10UL)                  /*!< ID4 (Bitfield-Mask: 0x01)                             */
#define GPIOB_IDR_ID5_Pos                 (5UL)                     /*!< ID5 (Bit 5)                                           */
#define GPIOB_IDR_ID5_Msk                 (0x20UL)                  /*!< ID5 (Bitfield-Mask: 0x01)                             */
#define GPIOB_IDR_ID6_Pos                 (6UL)                     /*!< ID6 (Bit 6)                                           */
#define GPIOB_IDR_ID6_Msk                 (0x40UL)                  /*!< ID6 (Bitfield-Mask: 0x01)                             */
#define GPIOB_IDR_ID7_Pos                 (7UL)                     /*!< ID7 (Bit 7)                                           */
#define GPIOB_IDR_ID7_Msk                 (0x80UL)                  /*!< ID7 (Bitfield-Mask: 0x01)                             */
#define GPIOB_IDR_ID8_Pos                 (8UL)                     /*!< ID8 (Bit 8)                                           */
#define GPIOB_IDR_ID8_Msk                 (0x100UL)                 /*!< ID8 (Bitfield-Mask: 0x01)                             */
#define GPIOB_IDR_ID9_Pos                 (9UL)                     /*!< ID9 (Bit 9)                                           */
#define GPIOB_IDR_ID9_Msk                 (0x200UL)                 /*!< ID9 (Bitfield-Mask: 0x01)                             */
#define GPIOB_IDR_ID10_Pos                (10UL)                    /*!< ID10 (Bit 10)                                         */
#define GPIOB_IDR_ID10_Msk                (0x400UL)                 /*!< ID10 (Bitfield-Mask: 0x01)                            */
#define GPIOB_IDR_ID11_Pos                (11UL)                    /*!< ID11 (Bit 11)                                         */
#define GPIOB_IDR_ID11_Msk                (0x800UL)                 /*!< ID11 (Bitfield-Mask: 0x01)                            */
#define GPIOB_IDR_ID12_Pos                (12UL)                    /*!< ID12 (Bit 12)                                         */
#define GPIOB_IDR_ID12_Msk                (0x1000UL)                /*!< ID12 (Bitfield-Mask: 0x01)                            */
#define GPIOB_IDR_ID13_Pos                (13UL)                    /*!< ID13 (Bit 13)                                         */
#define GPIOB_IDR_ID13_Msk                (0x2000UL)                /*!< ID13 (Bitfield-Mask: 0x01)                            */
#define GPIOB_IDR_ID14_Pos                (14UL)                    /*!< ID14 (Bit 14)                                         */
#define GPIOB_IDR_ID14_Msk                (0x4000UL)                /*!< ID14 (Bitfield-Mask: 0x01)                            */
#define GPIOB_IDR_ID15_Pos                (15UL)                    /*!< ID15 (Bit 15)                                         */
#define GPIOB_IDR_ID15_Msk                (0x8000UL)                /*!< ID15 (Bitfield-Mask: 0x01)                            */
/* ==========================================================  ODR  ========================================================== */
#define GPIOB_ODR_OD0_Pos                 (0UL)                     /*!< OD0 (Bit 0)                                           */
#define GPIOB_ODR_OD0_Msk                 (0x1UL)                   /*!< OD0 (Bitfield-Mask: 0x01)                             */
#define GPIOB_ODR_OD1_Pos                 (1UL)                     /*!< OD1 (Bit 1)                                           */
#define GPIOB_ODR_OD1_Msk                 (0x2UL)                   /*!< OD1 (Bitfield-Mask: 0x01)                             */
#define GPIOB_ODR_OD2_Pos                 (2UL)                     /*!< OD2 (Bit 2)                                           */
#define GPIOB_ODR_OD2_Msk                 (0x4UL)                   /*!< OD2 (Bitfield-Mask: 0x01)                             */
#define GPIOB_ODR_OD3_Pos                 (3UL)                     /*!< OD3 (Bit 3)                                           */
#define GPIOB_ODR_OD3_Msk                 (0x8UL)                   /*!< OD3 (Bitfield-Mask: 0x01)                             */
#define GPIOB_ODR_OD4_Pos                 (4UL)                     /*!< OD4 (Bit 4)                                           */
#define GPIOB_ODR_OD4_Msk                 (0x10UL)                  /*!< OD4 (Bitfield-Mask: 0x01)                             */
#define GPIOB_ODR_OD5_Pos                 (5UL)                     /*!< OD5 (Bit 5)                                           */
#define GPIOB_ODR_OD5_Msk                 (0x20UL)                  /*!< OD5 (Bitfield-Mask: 0x01)                             */
#define GPIOB_ODR_OD6_Pos                 (6UL)                     /*!< OD6 (Bit 6)                                           */
#define GPIOB_ODR_OD6_Msk                 (0x40UL)                  /*!< OD6 (Bitfield-Mask: 0x01)                             */
#define GPIOB_ODR_OD7_Pos                 (7UL)                     /*!< OD7 (Bit 7)                                           */
#define GPIOB_ODR_OD7_Msk                 (0x80UL)                  /*!< OD7 (Bitfield-Mask: 0x01)                             */
#define GPIOB_ODR_OD8_Pos                 (8UL)                     /*!< OD8 (Bit 8)                                           */
#define GPIOB_ODR_OD8_Msk                 (0x100UL)                 /*!< OD8 (Bitfield-Mask: 0x01)                             */
#define GPIOB_ODR_OD9_Pos                 (9UL)                     /*!< OD9 (Bit 9)                                           */
#define GPIOB_ODR_OD9_Msk                 (0x200UL)                 /*!< OD9 (Bitfield-Mask: 0x01)                             */
#define GPIOB_ODR_OD10_Pos                (10UL)                    /*!< OD10 (Bit 10)                                         */
#define GPIOB_ODR_OD10_Msk                (0x400UL)                 /*!< OD10 (Bitfield-Mask: 0x01)                            */
#define GPIOB_ODR_OD11_Pos                (11UL)                    /*!< OD11 (Bit 11)                                         */
#define GPIOB_ODR_OD11_Msk                (0x800UL)                 /*!< OD11 (Bitfield-Mask: 0x01)                            */
#define GPIOB_ODR_OD12_Pos                (12UL)                    /*!< OD12 (Bit 12)                                         */
#define GPIOB_ODR_OD12_Msk                (0x1000UL)                /*!< OD12 (Bitfield-Mask: 0x01)                            */
#define GPIOB_ODR_OD13_Pos                (13UL)                    /*!< OD13 (Bit 13)                                         */
#define GPIOB_ODR_OD13_Msk                (0x2000UL)                /*!< OD13 (Bitfield-Mask: 0x01)                            */
#define GPIOB_ODR_OD14_Pos                (14UL)                    /*!< OD14 (Bit 14)                                         */
#define GPIOB_ODR_OD14_Msk                (0x4000UL)                /*!< OD14 (Bitfield-Mask: 0x01)                            */
#define GPIOB_ODR_OD15_Pos                (15UL)                    /*!< OD15 (Bit 15)                                         */
#define GPIOB_ODR_OD15_Msk                (0x8000UL)                /*!< OD15 (Bitfield-Mask: 0x01)                            */
/* =========================================================  BSRR  ========================================================== */
#define GPIOB_BSRR_BS0_Pos                (0UL)                     /*!< BS0 (Bit 0)                                           */
#define GPIOB_BSRR_BS0_Msk                (0x1UL)                   /*!< BS0 (Bitfield-Mask: 0x01)                             */
#define GPIOB_BSRR_BS1_Pos                (1UL)                     /*!< BS1 (Bit 1)                                           */
#define GPIOB_BSRR_BS1_Msk                (0x2UL)                   /*!< BS1 (Bitfield-Mask: 0x01)                             */
#define GPIOB_BSRR_BS2_Pos                (2UL)                     /*!< BS2 (Bit 2)                                           */
#define GPIOB_BSRR_BS2_Msk                (0x4UL)                   /*!< BS2 (Bitfield-Mask: 0x01)                             */
#define GPIOB_BSRR_BS3_Pos                (3UL)                     /*!< BS3 (Bit 3)                                           */
#define GPIOB_BSRR_BS3_Msk                (0x8UL)                   /*!< BS3 (Bitfield-Mask: 0x01)                             */
#define GPIOB_BSRR_BS4_Pos                (4UL)                     /*!< BS4 (Bit 4)                                           */
#define GPIOB_BSRR_BS4_Msk                (0x10UL)                  /*!< BS4 (Bitfield-Mask: 0x01)                             */
#define GPIOB_BSRR_BS5_Pos                (5UL)                     /*!< BS5 (Bit 5)                                           */
#define GPIOB_BSRR_BS5_Msk                (0x20UL)                  /*!< BS5 (Bitfield-Mask: 0x01)                             */
#define GPIOB_BSRR_BS6_Pos                (6UL)                     /*!< BS6 (Bit 6)                                           */
#define GPIOB_BSRR_BS6_Msk                (0x40UL)                  /*!< BS6 (Bitfield-Mask: 0x01)                             */
#define GPIOB_BSRR_BS7_Pos                (7UL)                     /*!< BS7 (Bit 7)                                           */
#define GPIOB_BSRR_BS7_Msk                (0x80UL)                  /*!< BS7 (Bitfield-Mask: 0x01)                             */
#define GPIOB_BSRR_BS8_Pos                (8UL)                     /*!< BS8 (Bit 8)                                           */
#define GPIOB_BSRR_BS8_Msk                (0x100UL)                 /*!< BS8 (Bitfield-Mask: 0x01)                             */
#define GPIOB_BSRR_BS9_Pos                (9UL)                     /*!< BS9 (Bit 9)                                           */
#define GPIOB_BSRR_BS9_Msk                (0x200UL)                 /*!< BS9 (Bitfield-Mask: 0x01)                             */
#define GPIOB_BSRR_BS10_Pos               (10UL)                    /*!< BS10 (Bit 10)                                         */
#define GPIOB_BSRR_BS10_Msk               (0x400UL)                 /*!< BS10 (Bitfield-Mask: 0x01)                            */
#define GPIOB_BSRR_BS11_Pos               (11UL)                    /*!< BS11 (Bit 11)                                         */
#define GPIOB_BSRR_BS11_Msk               (0x800UL)                 /*!< BS11 (Bitfield-Mask: 0x01)                            */
#define GPIOB_BSRR_BS12_Pos               (12UL)                    /*!< BS12 (Bit 12)                                         */
#define GPIOB_BSRR_BS12_Msk               (0x1000UL)                /*!< BS12 (Bitfield-Mask: 0x01)                            */
#define GPIOB_BSRR_BS13_Pos               (13UL)                    /*!< BS13 (Bit 13)                                         */
#define GPIOB_BSRR_BS13_Msk               (0x2000UL)                /*!< BS13 (Bitfield-Mask: 0x01)                            */
#define GPIOB_BSRR_BS14_Pos               (14UL)                    /*!< BS14 (Bit 14)                                         */
#define GPIOB_BSRR_BS14_Msk               (0x4000UL)                /*!< BS14 (Bitfield-Mask: 0x01)                            */
#define GPIOB_BSRR_BS15_Pos               (15UL)                    /*!< BS15 (Bit 15)                                         */
#define GPIOB_BSRR_BS15_Msk               (0x8000UL)                /*!< BS15 (Bitfield-Mask: 0x01)                            */
#define GPIOB_BSRR_BR0_Pos                (16UL)                    /*!< BR0 (Bit 16)                                          */
#define GPIOB_BSRR_BR0_Msk                (0x10000UL)               /*!< BR0 (Bitfield-Mask: 0x01)                             */
#define GPIOB_BSRR_BR1_Pos                (17UL)                    /*!< BR1 (Bit 17)                                          */
#define GPIOB_BSRR_BR1_Msk                (0x20000UL)               /*!< BR1 (Bitfield-Mask: 0x01)                             */
#define GPIOB_BSRR_BR2_Pos                (18UL)                    /*!< BR2 (Bit 18)                                          */
#define GPIOB_BSRR_BR2_Msk                (0x40000UL)               /*!< BR2 (Bitfield-Mask: 0x01)                             */
#define GPIOB_BSRR_BR3_Pos                (19UL)                    /*!< BR3 (Bit 19)                                          */
#define GPIOB_BSRR_BR3_Msk                (0x80000UL)               /*!< BR3 (Bitfield-Mask: 0x01)                             */
#define GPIOB_BSRR_BR4_Pos                (20UL)                    /*!< BR4 (Bit 20)                                          */
#define GPIOB_BSRR_BR4_Msk                (0x100000UL)              /*!< BR4 (Bitfield-Mask: 0x01)                             */
#define GPIOB_BSRR_BR5_Pos                (21UL)                    /*!< BR5 (Bit 21)                                          */
#define GPIOB_BSRR_BR5_Msk                (0x200000UL)              /*!< BR5 (Bitfield-Mask: 0x01)                             */
#define GPIOB_BSRR_BR6_Pos                (22UL)                    /*!< BR6 (Bit 22)                                          */
#define GPIOB_BSRR_BR6_Msk                (0x400000UL)              /*!< BR6 (Bitfield-Mask: 0x01)                             */
#define GPIOB_BSRR_BR7_Pos                (23UL)                    /*!< BR7 (Bit 23)                                          */
#define GPIOB_BSRR_BR7_Msk                (0x800000UL)              /*!< BR7 (Bitfield-Mask: 0x01)                             */
#define GPIOB_BSRR_BR8_Pos                (24UL)                    /*!< BR8 (Bit 24)                                          */
#define GPIOB_BSRR_BR8_Msk                (0x1000000UL)             /*!< BR8 (Bitfield-Mask: 0x01)                             */
#define GPIOB_BSRR_BR9_Pos                (25UL)                    /*!< BR9 (Bit 25)                                          */
#define GPIOB_BSRR_BR9_Msk                (0x2000000UL)             /*!< BR9 (Bitfield-Mask: 0x01)                             */
#define GPIOB_BSRR_BR10_Pos               (26UL)                    /*!< BR10 (Bit 26)                                         */
#define GPIOB_BSRR_BR10_Msk               (0x4000000UL)             /*!< BR10 (Bitfield-Mask: 0x01)                            */
#define GPIOB_BSRR_BR11_Pos               (27UL)                    /*!< BR11 (Bit 27)                                         */
#define GPIOB_BSRR_BR11_Msk               (0x8000000UL)             /*!< BR11 (Bitfield-Mask: 0x01)                            */
#define GPIOB_BSRR_BR12_Pos               (28UL)                    /*!< BR12 (Bit 28)                                         */
#define GPIOB_BSRR_BR12_Msk               (0x10000000UL)            /*!< BR12 (Bitfield-Mask: 0x01)                            */
#define GPIOB_BSRR_BR13_Pos               (29UL)                    /*!< BR13 (Bit 29)                                         */
#define GPIOB_BSRR_BR13_Msk               (0x20000000UL)            /*!< BR13 (Bitfield-Mask: 0x01)                            */
#define GPIOB_BSRR_BR14_Pos               (30UL)                    /*!< BR14 (Bit 30)                                         */
#define GPIOB_BSRR_BR14_Msk               (0x40000000UL)            /*!< BR14 (Bitfield-Mask: 0x01)                            */
#define GPIOB_BSRR_BR15_Pos               (31UL)                    /*!< BR15 (Bit 31)                                         */
#define GPIOB_BSRR_BR15_Msk               (0x80000000UL)            /*!< BR15 (Bitfield-Mask: 0x01)                            */
/* =========================================================  LCKR  ========================================================== */
#define GPIOB_LCKR_LCK0_Pos               (0UL)                     /*!< LCK0 (Bit 0)                                          */
#define GPIOB_LCKR_LCK0_Msk               (0x1UL)                   /*!< LCK0 (Bitfield-Mask: 0x01)                            */
#define GPIOB_LCKR_LCK1_Pos               (1UL)                     /*!< LCK1 (Bit 1)                                          */
#define GPIOB_LCKR_LCK1_Msk               (0x2UL)                   /*!< LCK1 (Bitfield-Mask: 0x01)                            */
#define GPIOB_LCKR_LCK2_Pos               (2UL)                     /*!< LCK2 (Bit 2)                                          */
#define GPIOB_LCKR_LCK2_Msk               (0x4UL)                   /*!< LCK2 (Bitfield-Mask: 0x01)                            */
#define GPIOB_LCKR_LCK3_Pos               (3UL)                     /*!< LCK3 (Bit 3)                                          */
#define GPIOB_LCKR_LCK3_Msk               (0x8UL)                   /*!< LCK3 (Bitfield-Mask: 0x01)                            */
#define GPIOB_LCKR_LCK4_Pos               (4UL)                     /*!< LCK4 (Bit 4)                                          */
#define GPIOB_LCKR_LCK4_Msk               (0x10UL)                  /*!< LCK4 (Bitfield-Mask: 0x01)                            */
#define GPIOB_LCKR_LCK5_Pos               (5UL)                     /*!< LCK5 (Bit 5)                                          */
#define GPIOB_LCKR_LCK5_Msk               (0x20UL)                  /*!< LCK5 (Bitfield-Mask: 0x01)                            */
#define GPIOB_LCKR_LCK6_Pos               (6UL)                     /*!< LCK6 (Bit 6)                                          */
#define GPIOB_LCKR_LCK6_Msk               (0x40UL)                  /*!< LCK6 (Bitfield-Mask: 0x01)                            */
#define GPIOB_LCKR_LCK7_Pos               (7UL)                     /*!< LCK7 (Bit 7)                                          */
#define GPIOB_LCKR_LCK7_Msk               (0x80UL)                  /*!< LCK7 (Bitfield-Mask: 0x01)                            */
#define GPIOB_LCKR_LCK8_Pos               (8UL)                     /*!< LCK8 (Bit 8)                                          */
#define GPIOB_LCKR_LCK8_Msk               (0x100UL)                 /*!< LCK8 (Bitfield-Mask: 0x01)                            */
#define GPIOB_LCKR_LCK9_Pos               (9UL)                     /*!< LCK9 (Bit 9)                                          */
#define GPIOB_LCKR_LCK9_Msk               (0x200UL)                 /*!< LCK9 (Bitfield-Mask: 0x01)                            */
#define GPIOB_LCKR_LCK10_Pos              (10UL)                    /*!< LCK10 (Bit 10)                                        */
#define GPIOB_LCKR_LCK10_Msk              (0x400UL)                 /*!< LCK10 (Bitfield-Mask: 0x01)                           */
#define GPIOB_LCKR_LCK11_Pos              (11UL)                    /*!< LCK11 (Bit 11)                                        */
#define GPIOB_LCKR_LCK11_Msk              (0x800UL)                 /*!< LCK11 (Bitfield-Mask: 0x01)                           */
#define GPIOB_LCKR_LCK12_Pos              (12UL)                    /*!< LCK12 (Bit 12)                                        */
#define GPIOB_LCKR_LCK12_Msk              (0x1000UL)                /*!< LCK12 (Bitfield-Mask: 0x01)                           */
#define GPIOB_LCKR_LCK13_Pos              (13UL)                    /*!< LCK13 (Bit 13)                                        */
#define GPIOB_LCKR_LCK13_Msk              (0x2000UL)                /*!< LCK13 (Bitfield-Mask: 0x01)                           */
#define GPIOB_LCKR_LCK14_Pos              (14UL)                    /*!< LCK14 (Bit 14)                                        */
#define GPIOB_LCKR_LCK14_Msk              (0x4000UL)                /*!< LCK14 (Bitfield-Mask: 0x01)                           */
#define GPIOB_LCKR_LCK15_Pos              (15UL)                    /*!< LCK15 (Bit 15)                                        */
#define GPIOB_LCKR_LCK15_Msk              (0x8000UL)                /*!< LCK15 (Bitfield-Mask: 0x01)                           */
#define GPIOB_LCKR_LCKK_Pos               (16UL)                    /*!< LCKK (Bit 16)                                         */
#define GPIOB_LCKR_LCKK_Msk               (0x10000UL)               /*!< LCKK (Bitfield-Mask: 0x01)                            */
/* =========================================================  AFRL  ========================================================== */
#define GPIOB_AFRL_AFSEL0_Pos             (0UL)                     /*!< AFSEL0 (Bit 0)                                        */
#define GPIOB_AFRL_AFSEL0_Msk             (0xfUL)                   /*!< AFSEL0 (Bitfield-Mask: 0x0f)                          */
#define GPIOB_AFRL_AFSEL1_Pos             (4UL)                     /*!< AFSEL1 (Bit 4)                                        */
#define GPIOB_AFRL_AFSEL1_Msk             (0xf0UL)                  /*!< AFSEL1 (Bitfield-Mask: 0x0f)                          */
#define GPIOB_AFRL_AFSEL2_Pos             (8UL)                     /*!< AFSEL2 (Bit 8)                                        */
#define GPIOB_AFRL_AFSEL2_Msk             (0xf00UL)                 /*!< AFSEL2 (Bitfield-Mask: 0x0f)                          */
#define GPIOB_AFRL_AFSEL3_Pos             (12UL)                    /*!< AFSEL3 (Bit 12)                                       */
#define GPIOB_AFRL_AFSEL3_Msk             (0xf000UL)                /*!< AFSEL3 (Bitfield-Mask: 0x0f)                          */
#define GPIOB_AFRL_AFSEL4_Pos             (16UL)                    /*!< AFSEL4 (Bit 16)                                       */
#define GPIOB_AFRL_AFSEL4_Msk             (0xf0000UL)               /*!< AFSEL4 (Bitfield-Mask: 0x0f)                          */
#define GPIOB_AFRL_AFSEL5_Pos             (20UL)                    /*!< AFSEL5 (Bit 20)                                       */
#define GPIOB_AFRL_AFSEL5_Msk             (0xf00000UL)              /*!< AFSEL5 (Bitfield-Mask: 0x0f)                          */
#define GPIOB_AFRL_AFSEL6_Pos             (24UL)                    /*!< AFSEL6 (Bit 24)                                       */
#define GPIOB_AFRL_AFSEL6_Msk             (0xf000000UL)             /*!< AFSEL6 (Bitfield-Mask: 0x0f)                          */
#define GPIOB_AFRL_AFSEL7_Pos             (28UL)                    /*!< AFSEL7 (Bit 28)                                       */
#define GPIOB_AFRL_AFSEL7_Msk             (0xf0000000UL)            /*!< AFSEL7 (Bitfield-Mask: 0x0f)                          */
/* =========================================================  AFRH  ========================================================== */
#define GPIOB_AFRH_AFSEL8_Pos             (0UL)                     /*!< AFSEL8 (Bit 0)                                        */
#define GPIOB_AFRH_AFSEL8_Msk             (0xfUL)                   /*!< AFSEL8 (Bitfield-Mask: 0x0f)                          */
#define GPIOB_AFRH_AFSEL9_Pos             (4UL)                     /*!< AFSEL9 (Bit 4)                                        */
#define GPIOB_AFRH_AFSEL9_Msk             (0xf0UL)                  /*!< AFSEL9 (Bitfield-Mask: 0x0f)                          */
#define GPIOB_AFRH_AFSEL10_Pos            (8UL)                     /*!< AFSEL10 (Bit 8)                                       */
#define GPIOB_AFRH_AFSEL10_Msk            (0xf00UL)                 /*!< AFSEL10 (Bitfield-Mask: 0x0f)                         */
#define GPIOB_AFRH_AFSEL11_Pos            (12UL)                    /*!< AFSEL11 (Bit 12)                                      */
#define GPIOB_AFRH_AFSEL11_Msk            (0xf000UL)                /*!< AFSEL11 (Bitfield-Mask: 0x0f)                         */
#define GPIOB_AFRH_AFSEL12_Pos            (16UL)                    /*!< AFSEL12 (Bit 16)                                      */
#define GPIOB_AFRH_AFSEL12_Msk            (0xf0000UL)               /*!< AFSEL12 (Bitfield-Mask: 0x0f)                         */
#define GPIOB_AFRH_AFSEL13_Pos            (20UL)                    /*!< AFSEL13 (Bit 20)                                      */
#define GPIOB_AFRH_AFSEL13_Msk            (0xf00000UL)              /*!< AFSEL13 (Bitfield-Mask: 0x0f)                         */
#define GPIOB_AFRH_AFSEL14_Pos            (24UL)                    /*!< AFSEL14 (Bit 24)                                      */
#define GPIOB_AFRH_AFSEL14_Msk            (0xf000000UL)             /*!< AFSEL14 (Bitfield-Mask: 0x0f)                         */
#define GPIOB_AFRH_AFSEL15_Pos            (28UL)                    /*!< AFSEL15 (Bit 28)                                      */
#define GPIOB_AFRH_AFSEL15_Msk            (0xf0000000UL)            /*!< AFSEL15 (Bitfield-Mask: 0x0f)                         */
/* ==========================================================  BRR  ========================================================== */
#define GPIOB_BRR_BR0_Pos                 (0UL)                     /*!< BR0 (Bit 0)                                           */
#define GPIOB_BRR_BR0_Msk                 (0x1UL)                   /*!< BR0 (Bitfield-Mask: 0x01)                             */
#define GPIOB_BRR_BR1_Pos                 (1UL)                     /*!< BR1 (Bit 1)                                           */
#define GPIOB_BRR_BR1_Msk                 (0x2UL)                   /*!< BR1 (Bitfield-Mask: 0x01)                             */
#define GPIOB_BRR_BR2_Pos                 (2UL)                     /*!< BR2 (Bit 2)                                           */
#define GPIOB_BRR_BR2_Msk                 (0x4UL)                   /*!< BR2 (Bitfield-Mask: 0x01)                             */
#define GPIOB_BRR_BR3_Pos                 (3UL)                     /*!< BR3 (Bit 3)                                           */
#define GPIOB_BRR_BR3_Msk                 (0x8UL)                   /*!< BR3 (Bitfield-Mask: 0x01)                             */
#define GPIOB_BRR_BR4_Pos                 (4UL)                     /*!< BR4 (Bit 4)                                           */
#define GPIOB_BRR_BR4_Msk                 (0x10UL)                  /*!< BR4 (Bitfield-Mask: 0x01)                             */
#define GPIOB_BRR_BR5_Pos                 (5UL)                     /*!< BR5 (Bit 5)                                           */
#define GPIOB_BRR_BR5_Msk                 (0x20UL)                  /*!< BR5 (Bitfield-Mask: 0x01)                             */
#define GPIOB_BRR_BR6_Pos                 (6UL)                     /*!< BR6 (Bit 6)                                           */
#define GPIOB_BRR_BR6_Msk                 (0x40UL)                  /*!< BR6 (Bitfield-Mask: 0x01)                             */
#define GPIOB_BRR_BR7_Pos                 (7UL)                     /*!< BR7 (Bit 7)                                           */
#define GPIOB_BRR_BR7_Msk                 (0x80UL)                  /*!< BR7 (Bitfield-Mask: 0x01)                             */
#define GPIOB_BRR_BR8_Pos                 (8UL)                     /*!< BR8 (Bit 8)                                           */
#define GPIOB_BRR_BR8_Msk                 (0x100UL)                 /*!< BR8 (Bitfield-Mask: 0x01)                             */
#define GPIOB_BRR_BR9_Pos                 (9UL)                     /*!< BR9 (Bit 9)                                           */
#define GPIOB_BRR_BR9_Msk                 (0x200UL)                 /*!< BR9 (Bitfield-Mask: 0x01)                             */
#define GPIOB_BRR_BR10_Pos                (10UL)                    /*!< BR10 (Bit 10)                                         */
#define GPIOB_BRR_BR10_Msk                (0x400UL)                 /*!< BR10 (Bitfield-Mask: 0x01)                            */
#define GPIOB_BRR_BR11_Pos                (11UL)                    /*!< BR11 (Bit 11)                                         */
#define GPIOB_BRR_BR11_Msk                (0x800UL)                 /*!< BR11 (Bitfield-Mask: 0x01)                            */
#define GPIOB_BRR_BR12_Pos                (12UL)                    /*!< BR12 (Bit 12)                                         */
#define GPIOB_BRR_BR12_Msk                (0x1000UL)                /*!< BR12 (Bitfield-Mask: 0x01)                            */
#define GPIOB_BRR_BR13_Pos                (13UL)                    /*!< BR13 (Bit 13)                                         */
#define GPIOB_BRR_BR13_Msk                (0x2000UL)                /*!< BR13 (Bitfield-Mask: 0x01)                            */
#define GPIOB_BRR_BR14_Pos                (14UL)                    /*!< BR14 (Bit 14)                                         */
#define GPIOB_BRR_BR14_Msk                (0x4000UL)                /*!< BR14 (Bitfield-Mask: 0x01)                            */
#define GPIOB_BRR_BR15_Pos                (15UL)                    /*!< BR15 (Bit 15)                                         */
#define GPIOB_BRR_BR15_Msk                (0x8000UL)                /*!< BR15 (Bitfield-Mask: 0x01)                            */


/* =========================================================================================================================== */
/* ================                                           GPIOC                                           ================ */
/* =========================================================================================================================== */

/* =========================================================  MODER  ========================================================= */
#define GPIOC_MODER_MODER0_Pos            (0UL)                     /*!< MODER0 (Bit 0)                                        */
#define GPIOC_MODER_MODER0_Msk            (0x3UL)                   /*!< MODER0 (Bitfield-Mask: 0x03)                          */
#define GPIOC_MODER_MODER1_Pos            (2UL)                     /*!< MODER1 (Bit 2)                                        */
#define GPIOC_MODER_MODER1_Msk            (0xcUL)                   /*!< MODER1 (Bitfield-Mask: 0x03)                          */
#define GPIOC_MODER_MODER2_Pos            (4UL)                     /*!< MODER2 (Bit 4)                                        */
#define GPIOC_MODER_MODER2_Msk            (0x30UL)                  /*!< MODER2 (Bitfield-Mask: 0x03)                          */
#define GPIOC_MODER_MODER3_Pos            (6UL)                     /*!< MODER3 (Bit 6)                                        */
#define GPIOC_MODER_MODER3_Msk            (0xc0UL)                  /*!< MODER3 (Bitfield-Mask: 0x03)                          */
#define GPIOC_MODER_MODER4_Pos            (8UL)                     /*!< MODER4 (Bit 8)                                        */
#define GPIOC_MODER_MODER4_Msk            (0x300UL)                 /*!< MODER4 (Bitfield-Mask: 0x03)                          */
#define GPIOC_MODER_MODER5_Pos            (10UL)                    /*!< MODER5 (Bit 10)                                       */
#define GPIOC_MODER_MODER5_Msk            (0xc00UL)                 /*!< MODER5 (Bitfield-Mask: 0x03)                          */
#define GPIOC_MODER_MODER6_Pos            (12UL)                    /*!< MODER6 (Bit 12)                                       */
#define GPIOC_MODER_MODER6_Msk            (0x3000UL)                /*!< MODER6 (Bitfield-Mask: 0x03)                          */
#define GPIOC_MODER_MODER7_Pos            (14UL)                    /*!< MODER7 (Bit 14)                                       */
#define GPIOC_MODER_MODER7_Msk            (0xc000UL)                /*!< MODER7 (Bitfield-Mask: 0x03)                          */
#define GPIOC_MODER_MODER8_Pos            (16UL)                    /*!< MODER8 (Bit 16)                                       */
#define GPIOC_MODER_MODER8_Msk            (0x30000UL)               /*!< MODER8 (Bitfield-Mask: 0x03)                          */
#define GPIOC_MODER_MODER9_Pos            (18UL)                    /*!< MODER9 (Bit 18)                                       */
#define GPIOC_MODER_MODER9_Msk            (0xc0000UL)               /*!< MODER9 (Bitfield-Mask: 0x03)                          */
#define GPIOC_MODER_MODER10_Pos           (20UL)                    /*!< MODER10 (Bit 20)                                      */
#define GPIOC_MODER_MODER10_Msk           (0x300000UL)              /*!< MODER10 (Bitfield-Mask: 0x03)                         */
#define GPIOC_MODER_MODER11_Pos           (22UL)                    /*!< MODER11 (Bit 22)                                      */
#define GPIOC_MODER_MODER11_Msk           (0xc00000UL)              /*!< MODER11 (Bitfield-Mask: 0x03)                         */
#define GPIOC_MODER_MODER12_Pos           (24UL)                    /*!< MODER12 (Bit 24)                                      */
#define GPIOC_MODER_MODER12_Msk           (0x3000000UL)             /*!< MODER12 (Bitfield-Mask: 0x03)                         */
#define GPIOC_MODER_MODER13_Pos           (26UL)                    /*!< MODER13 (Bit 26)                                      */
#define GPIOC_MODER_MODER13_Msk           (0xc000000UL)             /*!< MODER13 (Bitfield-Mask: 0x03)                         */
#define GPIOC_MODER_MODER14_Pos           (28UL)                    /*!< MODER14 (Bit 28)                                      */
#define GPIOC_MODER_MODER14_Msk           (0x30000000UL)            /*!< MODER14 (Bitfield-Mask: 0x03)                         */
#define GPIOC_MODER_MODER15_Pos           (30UL)                    /*!< MODER15 (Bit 30)                                      */
#define GPIOC_MODER_MODER15_Msk           (0xc0000000UL)            /*!< MODER15 (Bitfield-Mask: 0x03)                         */
/* ========================================================  OTYPER  ========================================================= */
#define GPIOC_OTYPER_OT0_Pos              (0UL)                     /*!< OT0 (Bit 0)                                           */
#define GPIOC_OTYPER_OT0_Msk              (0x1UL)                   /*!< OT0 (Bitfield-Mask: 0x01)                             */
#define GPIOC_OTYPER_OT1_Pos              (1UL)                     /*!< OT1 (Bit 1)                                           */
#define GPIOC_OTYPER_OT1_Msk              (0x2UL)                   /*!< OT1 (Bitfield-Mask: 0x01)                             */
#define GPIOC_OTYPER_OT2_Pos              (2UL)                     /*!< OT2 (Bit 2)                                           */
#define GPIOC_OTYPER_OT2_Msk              (0x4UL)                   /*!< OT2 (Bitfield-Mask: 0x01)                             */
#define GPIOC_OTYPER_OT3_Pos              (3UL)                     /*!< OT3 (Bit 3)                                           */
#define GPIOC_OTYPER_OT3_Msk              (0x8UL)                   /*!< OT3 (Bitfield-Mask: 0x01)                             */
#define GPIOC_OTYPER_OT4_Pos              (4UL)                     /*!< OT4 (Bit 4)                                           */
#define GPIOC_OTYPER_OT4_Msk              (0x10UL)                  /*!< OT4 (Bitfield-Mask: 0x01)                             */
#define GPIOC_OTYPER_OT5_Pos              (5UL)                     /*!< OT5 (Bit 5)                                           */
#define GPIOC_OTYPER_OT5_Msk              (0x20UL)                  /*!< OT5 (Bitfield-Mask: 0x01)                             */
#define GPIOC_OTYPER_OT6_Pos              (6UL)                     /*!< OT6 (Bit 6)                                           */
#define GPIOC_OTYPER_OT6_Msk              (0x40UL)                  /*!< OT6 (Bitfield-Mask: 0x01)                             */
#define GPIOC_OTYPER_OT7_Pos              (7UL)                     /*!< OT7 (Bit 7)                                           */
#define GPIOC_OTYPER_OT7_Msk              (0x80UL)                  /*!< OT7 (Bitfield-Mask: 0x01)                             */
#define GPIOC_OTYPER_OT8_Pos              (8UL)                     /*!< OT8 (Bit 8)                                           */
#define GPIOC_OTYPER_OT8_Msk              (0x100UL)                 /*!< OT8 (Bitfield-Mask: 0x01)                             */
#define GPIOC_OTYPER_OT9_Pos              (9UL)                     /*!< OT9 (Bit 9)                                           */
#define GPIOC_OTYPER_OT9_Msk              (0x200UL)                 /*!< OT9 (Bitfield-Mask: 0x01)                             */
#define GPIOC_OTYPER_OT10_Pos             (10UL)                    /*!< OT10 (Bit 10)                                         */
#define GPIOC_OTYPER_OT10_Msk             (0x400UL)                 /*!< OT10 (Bitfield-Mask: 0x01)                            */
#define GPIOC_OTYPER_OT11_Pos             (11UL)                    /*!< OT11 (Bit 11)                                         */
#define GPIOC_OTYPER_OT11_Msk             (0x800UL)                 /*!< OT11 (Bitfield-Mask: 0x01)                            */
#define GPIOC_OTYPER_OT12_Pos             (12UL)                    /*!< OT12 (Bit 12)                                         */
#define GPIOC_OTYPER_OT12_Msk             (0x1000UL)                /*!< OT12 (Bitfield-Mask: 0x01)                            */
#define GPIOC_OTYPER_OT13_Pos             (13UL)                    /*!< OT13 (Bit 13)                                         */
#define GPIOC_OTYPER_OT13_Msk             (0x2000UL)                /*!< OT13 (Bitfield-Mask: 0x01)                            */
#define GPIOC_OTYPER_OT14_Pos             (14UL)                    /*!< OT14 (Bit 14)                                         */
#define GPIOC_OTYPER_OT14_Msk             (0x4000UL)                /*!< OT14 (Bitfield-Mask: 0x01)                            */
#define GPIOC_OTYPER_OT15_Pos             (15UL)                    /*!< OT15 (Bit 15)                                         */
#define GPIOC_OTYPER_OT15_Msk             (0x8000UL)                /*!< OT15 (Bitfield-Mask: 0x01)                            */
/* ========================================================  OSPDDER  ======================================================== */
#define GPIOC_OSPDDER_OSPEED0_Pos         (0UL)                     /*!< OSPEED0 (Bit 0)                                       */
#define GPIOC_OSPDDER_OSPEED0_Msk         (0x3UL)                   /*!< OSPEED0 (Bitfield-Mask: 0x03)                         */
#define GPIOC_OSPDDER_OSPEED1_Pos         (2UL)                     /*!< OSPEED1 (Bit 2)                                       */
#define GPIOC_OSPDDER_OSPEED1_Msk         (0xcUL)                   /*!< OSPEED1 (Bitfield-Mask: 0x03)                         */
#define GPIOC_OSPDDER_OSPEED2_Pos         (4UL)                     /*!< OSPEED2 (Bit 4)                                       */
#define GPIOC_OSPDDER_OSPEED2_Msk         (0x30UL)                  /*!< OSPEED2 (Bitfield-Mask: 0x03)                         */
#define GPIOC_OSPDDER_OSPEED3_Pos         (6UL)                     /*!< OSPEED3 (Bit 6)                                       */
#define GPIOC_OSPDDER_OSPEED3_Msk         (0xc0UL)                  /*!< OSPEED3 (Bitfield-Mask: 0x03)                         */
#define GPIOC_OSPDDER_OSPEED4_Pos         (8UL)                     /*!< OSPEED4 (Bit 8)                                       */
#define GPIOC_OSPDDER_OSPEED4_Msk         (0x300UL)                 /*!< OSPEED4 (Bitfield-Mask: 0x03)                         */
#define GPIOC_OSPDDER_OSPEED5_Pos         (10UL)                    /*!< OSPEED5 (Bit 10)                                      */
#define GPIOC_OSPDDER_OSPEED5_Msk         (0xc00UL)                 /*!< OSPEED5 (Bitfield-Mask: 0x03)                         */
#define GPIOC_OSPDDER_OSPEED6_Pos         (12UL)                    /*!< OSPEED6 (Bit 12)                                      */
#define GPIOC_OSPDDER_OSPEED6_Msk         (0x3000UL)                /*!< OSPEED6 (Bitfield-Mask: 0x03)                         */
#define GPIOC_OSPDDER_OSPEED7_Pos         (14UL)                    /*!< OSPEED7 (Bit 14)                                      */
#define GPIOC_OSPDDER_OSPEED7_Msk         (0xc000UL)                /*!< OSPEED7 (Bitfield-Mask: 0x03)                         */
#define GPIOC_OSPDDER_OSPEED8_Pos         (16UL)                    /*!< OSPEED8 (Bit 16)                                      */
#define GPIOC_OSPDDER_OSPEED8_Msk         (0x30000UL)               /*!< OSPEED8 (Bitfield-Mask: 0x03)                         */
#define GPIOC_OSPDDER_OSPEED9_Pos         (18UL)                    /*!< OSPEED9 (Bit 18)                                      */
#define GPIOC_OSPDDER_OSPEED9_Msk         (0xc0000UL)               /*!< OSPEED9 (Bitfield-Mask: 0x03)                         */
#define GPIOC_OSPDDER_OSPEED10_Pos        (20UL)                    /*!< OSPEED10 (Bit 20)                                     */
#define GPIOC_OSPDDER_OSPEED10_Msk        (0x300000UL)              /*!< OSPEED10 (Bitfield-Mask: 0x03)                        */
#define GPIOC_OSPDDER_OSPEED11_Pos        (22UL)                    /*!< OSPEED11 (Bit 22)                                     */
#define GPIOC_OSPDDER_OSPEED11_Msk        (0xc00000UL)              /*!< OSPEED11 (Bitfield-Mask: 0x03)                        */
#define GPIOC_OSPDDER_OSPEED12_Pos        (24UL)                    /*!< OSPEED12 (Bit 24)                                     */
#define GPIOC_OSPDDER_OSPEED12_Msk        (0x3000000UL)             /*!< OSPEED12 (Bitfield-Mask: 0x03)                        */
#define GPIOC_OSPDDER_OSPEED13_Pos        (26UL)                    /*!< OSPEED13 (Bit 26)                                     */
#define GPIOC_OSPDDER_OSPEED13_Msk        (0xc000000UL)             /*!< OSPEED13 (Bitfield-Mask: 0x03)                        */
#define GPIOC_OSPDDER_OSPEED14_Pos        (28UL)                    /*!< OSPEED14 (Bit 28)                                     */
#define GPIOC_OSPDDER_OSPEED14_Msk        (0x30000000UL)            /*!< OSPEED14 (Bitfield-Mask: 0x03)                        */
#define GPIOC_OSPDDER_OSPEED15_Pos        (30UL)                    /*!< OSPEED15 (Bit 30)                                     */
#define GPIOC_OSPDDER_OSPEED15_Msk        (0xc0000000UL)            /*!< OSPEED15 (Bitfield-Mask: 0x03)                        */
/* =========================================================  PUPDR  ========================================================= */
#define GPIOC_PUPDR_PUPD0_Pos             (0UL)                     /*!< PUPD0 (Bit 0)                                         */
#define GPIOC_PUPDR_PUPD0_Msk             (0x3UL)                   /*!< PUPD0 (Bitfield-Mask: 0x03)                           */
#define GPIOC_PUPDR_PUPD1_Pos             (2UL)                     /*!< PUPD1 (Bit 2)                                         */
#define GPIOC_PUPDR_PUPD1_Msk             (0xcUL)                   /*!< PUPD1 (Bitfield-Mask: 0x03)                           */
#define GPIOC_PUPDR_PUPD2_Pos             (4UL)                     /*!< PUPD2 (Bit 4)                                         */
#define GPIOC_PUPDR_PUPD2_Msk             (0x30UL)                  /*!< PUPD2 (Bitfield-Mask: 0x03)                           */
#define GPIOC_PUPDR_PUPD3_Pos             (6UL)                     /*!< PUPD3 (Bit 6)                                         */
#define GPIOC_PUPDR_PUPD3_Msk             (0xc0UL)                  /*!< PUPD3 (Bitfield-Mask: 0x03)                           */
#define GPIOC_PUPDR_PUPD4_Pos             (8UL)                     /*!< PUPD4 (Bit 8)                                         */
#define GPIOC_PUPDR_PUPD4_Msk             (0x300UL)                 /*!< PUPD4 (Bitfield-Mask: 0x03)                           */
#define GPIOC_PUPDR_PUPD5_Pos             (10UL)                    /*!< PUPD5 (Bit 10)                                        */
#define GPIOC_PUPDR_PUPD5_Msk             (0xc00UL)                 /*!< PUPD5 (Bitfield-Mask: 0x03)                           */
#define GPIOC_PUPDR_PUPD6_Pos             (12UL)                    /*!< PUPD6 (Bit 12)                                        */
#define GPIOC_PUPDR_PUPD6_Msk             (0x3000UL)                /*!< PUPD6 (Bitfield-Mask: 0x03)                           */
#define GPIOC_PUPDR_PUPD7_Pos             (14UL)                    /*!< PUPD7 (Bit 14)                                        */
#define GPIOC_PUPDR_PUPD7_Msk             (0xc000UL)                /*!< PUPD7 (Bitfield-Mask: 0x03)                           */
#define GPIOC_PUPDR_PUPD8_Pos             (16UL)                    /*!< PUPD8 (Bit 16)                                        */
#define GPIOC_PUPDR_PUPD8_Msk             (0x30000UL)               /*!< PUPD8 (Bitfield-Mask: 0x03)                           */
#define GPIOC_PUPDR_PUPD9_Pos             (18UL)                    /*!< PUPD9 (Bit 18)                                        */
#define GPIOC_PUPDR_PUPD9_Msk             (0xc0000UL)               /*!< PUPD9 (Bitfield-Mask: 0x03)                           */
#define GPIOC_PUPDR_PUPD10_Pos            (20UL)                    /*!< PUPD10 (Bit 20)                                       */
#define GPIOC_PUPDR_PUPD10_Msk            (0x300000UL)              /*!< PUPD10 (Bitfield-Mask: 0x03)                          */
#define GPIOC_PUPDR_PUPD11_Pos            (22UL)                    /*!< PUPD11 (Bit 22)                                       */
#define GPIOC_PUPDR_PUPD11_Msk            (0xc00000UL)              /*!< PUPD11 (Bitfield-Mask: 0x03)                          */
#define GPIOC_PUPDR_PUPD12_Pos            (24UL)                    /*!< PUPD12 (Bit 24)                                       */
#define GPIOC_PUPDR_PUPD12_Msk            (0x3000000UL)             /*!< PUPD12 (Bitfield-Mask: 0x03)                          */
#define GPIOC_PUPDR_PUPD13_Pos            (26UL)                    /*!< PUPD13 (Bit 26)                                       */
#define GPIOC_PUPDR_PUPD13_Msk            (0xc000000UL)             /*!< PUPD13 (Bitfield-Mask: 0x03)                          */
#define GPIOC_PUPDR_PUPD14_Pos            (28UL)                    /*!< PUPD14 (Bit 28)                                       */
#define GPIOC_PUPDR_PUPD14_Msk            (0x30000000UL)            /*!< PUPD14 (Bitfield-Mask: 0x03)                          */
#define GPIOC_PUPDR_PUPD15_Pos            (30UL)                    /*!< PUPD15 (Bit 30)                                       */
#define GPIOC_PUPDR_PUPD15_Msk            (0xc0000000UL)            /*!< PUPD15 (Bitfield-Mask: 0x03)                          */
/* ==========================================================  IDR  ========================================================== */
#define GPIOC_IDR_ID0_Pos                 (0UL)                     /*!< ID0 (Bit 0)                                           */
#define GPIOC_IDR_ID0_Msk                 (0x1UL)                   /*!< ID0 (Bitfield-Mask: 0x01)                             */
#define GPIOC_IDR_ID1_Pos                 (1UL)                     /*!< ID1 (Bit 1)                                           */
#define GPIOC_IDR_ID1_Msk                 (0x2UL)                   /*!< ID1 (Bitfield-Mask: 0x01)                             */
#define GPIOC_IDR_ID2_Pos                 (2UL)                     /*!< ID2 (Bit 2)                                           */
#define GPIOC_IDR_ID2_Msk                 (0x4UL)                   /*!< ID2 (Bitfield-Mask: 0x01)                             */
#define GPIOC_IDR_ID3_Pos                 (3UL)                     /*!< ID3 (Bit 3)                                           */
#define GPIOC_IDR_ID3_Msk                 (0x8UL)                   /*!< ID3 (Bitfield-Mask: 0x01)                             */
#define GPIOC_IDR_ID4_Pos                 (4UL)                     /*!< ID4 (Bit 4)                                           */
#define GPIOC_IDR_ID4_Msk                 (0x10UL)                  /*!< ID4 (Bitfield-Mask: 0x01)                             */
#define GPIOC_IDR_ID5_Pos                 (5UL)                     /*!< ID5 (Bit 5)                                           */
#define GPIOC_IDR_ID5_Msk                 (0x20UL)                  /*!< ID5 (Bitfield-Mask: 0x01)                             */
#define GPIOC_IDR_ID6_Pos                 (6UL)                     /*!< ID6 (Bit 6)                                           */
#define GPIOC_IDR_ID6_Msk                 (0x40UL)                  /*!< ID6 (Bitfield-Mask: 0x01)                             */
#define GPIOC_IDR_ID7_Pos                 (7UL)                     /*!< ID7 (Bit 7)                                           */
#define GPIOC_IDR_ID7_Msk                 (0x80UL)                  /*!< ID7 (Bitfield-Mask: 0x01)                             */
#define GPIOC_IDR_ID8_Pos                 (8UL)                     /*!< ID8 (Bit 8)                                           */
#define GPIOC_IDR_ID8_Msk                 (0x100UL)                 /*!< ID8 (Bitfield-Mask: 0x01)                             */
#define GPIOC_IDR_ID9_Pos                 (9UL)                     /*!< ID9 (Bit 9)                                           */
#define GPIOC_IDR_ID9_Msk                 (0x200UL)                 /*!< ID9 (Bitfield-Mask: 0x01)                             */
#define GPIOC_IDR_ID10_Pos                (10UL)                    /*!< ID10 (Bit 10)                                         */
#define GPIOC_IDR_ID10_Msk                (0x400UL)                 /*!< ID10 (Bitfield-Mask: 0x01)                            */
#define GPIOC_IDR_ID11_Pos                (11UL)                    /*!< ID11 (Bit 11)                                         */
#define GPIOC_IDR_ID11_Msk                (0x800UL)                 /*!< ID11 (Bitfield-Mask: 0x01)                            */
#define GPIOC_IDR_ID12_Pos                (12UL)                    /*!< ID12 (Bit 12)                                         */
#define GPIOC_IDR_ID12_Msk                (0x1000UL)                /*!< ID12 (Bitfield-Mask: 0x01)                            */
#define GPIOC_IDR_ID13_Pos                (13UL)                    /*!< ID13 (Bit 13)                                         */
#define GPIOC_IDR_ID13_Msk                (0x2000UL)                /*!< ID13 (Bitfield-Mask: 0x01)                            */
#define GPIOC_IDR_ID14_Pos                (14UL)                    /*!< ID14 (Bit 14)                                         */
#define GPIOC_IDR_ID14_Msk                (0x4000UL)                /*!< ID14 (Bitfield-Mask: 0x01)                            */
#define GPIOC_IDR_ID15_Pos                (15UL)                    /*!< ID15 (Bit 15)                                         */
#define GPIOC_IDR_ID15_Msk                (0x8000UL)                /*!< ID15 (Bitfield-Mask: 0x01)                            */
/* ==========================================================  ODR  ========================================================== */
#define GPIOC_ODR_OD0_Pos                 (0UL)                     /*!< OD0 (Bit 0)                                           */
#define GPIOC_ODR_OD0_Msk                 (0x1UL)                   /*!< OD0 (Bitfield-Mask: 0x01)                             */
#define GPIOC_ODR_OD1_Pos                 (1UL)                     /*!< OD1 (Bit 1)                                           */
#define GPIOC_ODR_OD1_Msk                 (0x2UL)                   /*!< OD1 (Bitfield-Mask: 0x01)                             */
#define GPIOC_ODR_OD2_Pos                 (2UL)                     /*!< OD2 (Bit 2)                                           */
#define GPIOC_ODR_OD2_Msk                 (0x4UL)                   /*!< OD2 (Bitfield-Mask: 0x01)                             */
#define GPIOC_ODR_OD3_Pos                 (3UL)                     /*!< OD3 (Bit 3)                                           */
#define GPIOC_ODR_OD3_Msk                 (0x8UL)                   /*!< OD3 (Bitfield-Mask: 0x01)                             */
#define GPIOC_ODR_OD4_Pos                 (4UL)                     /*!< OD4 (Bit 4)                                           */
#define GPIOC_ODR_OD4_Msk                 (0x10UL)                  /*!< OD4 (Bitfield-Mask: 0x01)                             */
#define GPIOC_ODR_OD5_Pos                 (5UL)                     /*!< OD5 (Bit 5)                                           */
#define GPIOC_ODR_OD5_Msk                 (0x20UL)                  /*!< OD5 (Bitfield-Mask: 0x01)                             */
#define GPIOC_ODR_OD6_Pos                 (6UL)                     /*!< OD6 (Bit 6)                                           */
#define GPIOC_ODR_OD6_Msk                 (0x40UL)                  /*!< OD6 (Bitfield-Mask: 0x01)                             */
#define GPIOC_ODR_OD7_Pos                 (7UL)                     /*!< OD7 (Bit 7)                                           */
#define GPIOC_ODR_OD7_Msk                 (0x80UL)                  /*!< OD7 (Bitfield-Mask: 0x01)                             */
#define GPIOC_ODR_OD8_Pos                 (8UL)                     /*!< OD8 (Bit 8)                                           */
#define GPIOC_ODR_OD8_Msk                 (0x100UL)                 /*!< OD8 (Bitfield-Mask: 0x01)                             */
#define GPIOC_ODR_OD9_Pos                 (9UL)                     /*!< OD9 (Bit 9)                                           */
#define GPIOC_ODR_OD9_Msk                 (0x200UL)                 /*!< OD9 (Bitfield-Mask: 0x01)                             */
#define GPIOC_ODR_OD10_Pos                (10UL)                    /*!< OD10 (Bit 10)                                         */
#define GPIOC_ODR_OD10_Msk                (0x400UL)                 /*!< OD10 (Bitfield-Mask: 0x01)                            */
#define GPIOC_ODR_OD11_Pos                (11UL)                    /*!< OD11 (Bit 11)                                         */
#define GPIOC_ODR_OD11_Msk                (0x800UL)                 /*!< OD11 (Bitfield-Mask: 0x01)                            */
#define GPIOC_ODR_OD12_Pos                (12UL)                    /*!< OD12 (Bit 12)                                         */
#define GPIOC_ODR_OD12_Msk                (0x1000UL)                /*!< OD12 (Bitfield-Mask: 0x01)                            */
#define GPIOC_ODR_OD13_Pos                (13UL)                    /*!< OD13 (Bit 13)                                         */
#define GPIOC_ODR_OD13_Msk                (0x2000UL)                /*!< OD13 (Bitfield-Mask: 0x01)                            */
#define GPIOC_ODR_OD14_Pos                (14UL)                    /*!< OD14 (Bit 14)                                         */
#define GPIOC_ODR_OD14_Msk                (0x4000UL)                /*!< OD14 (Bitfield-Mask: 0x01)                            */
#define GPIOC_ODR_OD15_Pos                (15UL)                    /*!< OD15 (Bit 15)                                         */
#define GPIOC_ODR_OD15_Msk                (0x8000UL)                /*!< OD15 (Bitfield-Mask: 0x01)                            */
/* =========================================================  BSRR  ========================================================== */
#define GPIOC_BSRR_BS0_Pos                (0UL)                     /*!< BS0 (Bit 0)                                           */
#define GPIOC_BSRR_BS0_Msk                (0x1UL)                   /*!< BS0 (Bitfield-Mask: 0x01)                             */
#define GPIOC_BSRR_BS1_Pos                (1UL)                     /*!< BS1 (Bit 1)                                           */
#define GPIOC_BSRR_BS1_Msk                (0x2UL)                   /*!< BS1 (Bitfield-Mask: 0x01)                             */
#define GPIOC_BSRR_BS2_Pos                (2UL)                     /*!< BS2 (Bit 2)                                           */
#define GPIOC_BSRR_BS2_Msk                (0x4UL)                   /*!< BS2 (Bitfield-Mask: 0x01)                             */
#define GPIOC_BSRR_BS3_Pos                (3UL)                     /*!< BS3 (Bit 3)                                           */
#define GPIOC_BSRR_BS3_Msk                (0x8UL)                   /*!< BS3 (Bitfield-Mask: 0x01)                             */
#define GPIOC_BSRR_BS4_Pos                (4UL)                     /*!< BS4 (Bit 4)                                           */
#define GPIOC_BSRR_BS4_Msk                (0x10UL)                  /*!< BS4 (Bitfield-Mask: 0x01)                             */
#define GPIOC_BSRR_BS5_Pos                (5UL)                     /*!< BS5 (Bit 5)                                           */
#define GPIOC_BSRR_BS5_Msk                (0x20UL)                  /*!< BS5 (Bitfield-Mask: 0x01)                             */
#define GPIOC_BSRR_BS6_Pos                (6UL)                     /*!< BS6 (Bit 6)                                           */
#define GPIOC_BSRR_BS6_Msk                (0x40UL)                  /*!< BS6 (Bitfield-Mask: 0x01)                             */
#define GPIOC_BSRR_BS7_Pos                (7UL)                     /*!< BS7 (Bit 7)                                           */
#define GPIOC_BSRR_BS7_Msk                (0x80UL)                  /*!< BS7 (Bitfield-Mask: 0x01)                             */
#define GPIOC_BSRR_BS8_Pos                (8UL)                     /*!< BS8 (Bit 8)                                           */
#define GPIOC_BSRR_BS8_Msk                (0x100UL)                 /*!< BS8 (Bitfield-Mask: 0x01)                             */
#define GPIOC_BSRR_BS9_Pos                (9UL)                     /*!< BS9 (Bit 9)                                           */
#define GPIOC_BSRR_BS9_Msk                (0x200UL)                 /*!< BS9 (Bitfield-Mask: 0x01)                             */
#define GPIOC_BSRR_BS10_Pos               (10UL)                    /*!< BS10 (Bit 10)                                         */
#define GPIOC_BSRR_BS10_Msk               (0x400UL)                 /*!< BS10 (Bitfield-Mask: 0x01)                            */
#define GPIOC_BSRR_BS11_Pos               (11UL)                    /*!< BS11 (Bit 11)                                         */
#define GPIOC_BSRR_BS11_Msk               (0x800UL)                 /*!< BS11 (Bitfield-Mask: 0x01)                            */
#define GPIOC_BSRR_BS12_Pos               (12UL)                    /*!< BS12 (Bit 12)                                         */
#define GPIOC_BSRR_BS12_Msk               (0x1000UL)                /*!< BS12 (Bitfield-Mask: 0x01)                            */
#define GPIOC_BSRR_BS13_Pos               (13UL)                    /*!< BS13 (Bit 13)                                         */
#define GPIOC_BSRR_BS13_Msk               (0x2000UL)                /*!< BS13 (Bitfield-Mask: 0x01)                            */
#define GPIOC_BSRR_BS14_Pos               (14UL)                    /*!< BS14 (Bit 14)                                         */
#define GPIOC_BSRR_BS14_Msk               (0x4000UL)                /*!< BS14 (Bitfield-Mask: 0x01)                            */
#define GPIOC_BSRR_BS15_Pos               (15UL)                    /*!< BS15 (Bit 15)                                         */
#define GPIOC_BSRR_BS15_Msk               (0x8000UL)                /*!< BS15 (Bitfield-Mask: 0x01)                            */
#define GPIOC_BSRR_BR0_Pos                (16UL)                    /*!< BR0 (Bit 16)                                          */
#define GPIOC_BSRR_BR0_Msk                (0x10000UL)               /*!< BR0 (Bitfield-Mask: 0x01)                             */
#define GPIOC_BSRR_BR1_Pos                (17UL)                    /*!< BR1 (Bit 17)                                          */
#define GPIOC_BSRR_BR1_Msk                (0x20000UL)               /*!< BR1 (Bitfield-Mask: 0x01)                             */
#define GPIOC_BSRR_BR2_Pos                (18UL)                    /*!< BR2 (Bit 18)                                          */
#define GPIOC_BSRR_BR2_Msk                (0x40000UL)               /*!< BR2 (Bitfield-Mask: 0x01)                             */
#define GPIOC_BSRR_BR3_Pos                (19UL)                    /*!< BR3 (Bit 19)                                          */
#define GPIOC_BSRR_BR3_Msk                (0x80000UL)               /*!< BR3 (Bitfield-Mask: 0x01)                             */
#define GPIOC_BSRR_BR4_Pos                (20UL)                    /*!< BR4 (Bit 20)                                          */
#define GPIOC_BSRR_BR4_Msk                (0x100000UL)              /*!< BR4 (Bitfield-Mask: 0x01)                             */
#define GPIOC_BSRR_BR5_Pos                (21UL)                    /*!< BR5 (Bit 21)                                          */
#define GPIOC_BSRR_BR5_Msk                (0x200000UL)              /*!< BR5 (Bitfield-Mask: 0x01)                             */
#define GPIOC_BSRR_BR6_Pos                (22UL)                    /*!< BR6 (Bit 22)                                          */
#define GPIOC_BSRR_BR6_Msk                (0x400000UL)              /*!< BR6 (Bitfield-Mask: 0x01)                             */
#define GPIOC_BSRR_BR7_Pos                (23UL)                    /*!< BR7 (Bit 23)                                          */
#define GPIOC_BSRR_BR7_Msk                (0x800000UL)              /*!< BR7 (Bitfield-Mask: 0x01)                             */
#define GPIOC_BSRR_BR8_Pos                (24UL)                    /*!< BR8 (Bit 24)                                          */
#define GPIOC_BSRR_BR8_Msk                (0x1000000UL)             /*!< BR8 (Bitfield-Mask: 0x01)                             */
#define GPIOC_BSRR_BR9_Pos                (25UL)                    /*!< BR9 (Bit 25)                                          */
#define GPIOC_BSRR_BR9_Msk                (0x2000000UL)             /*!< BR9 (Bitfield-Mask: 0x01)                             */
#define GPIOC_BSRR_BR10_Pos               (26UL)                    /*!< BR10 (Bit 26)                                         */
#define GPIOC_BSRR_BR10_Msk               (0x4000000UL)             /*!< BR10 (Bitfield-Mask: 0x01)                            */
#define GPIOC_BSRR_BR11_Pos               (27UL)                    /*!< BR11 (Bit 27)                                         */
#define GPIOC_BSRR_BR11_Msk               (0x8000000UL)             /*!< BR11 (Bitfield-Mask: 0x01)                            */
#define GPIOC_BSRR_BR12_Pos               (28UL)                    /*!< BR12 (Bit 28)                                         */
#define GPIOC_BSRR_BR12_Msk               (0x10000000UL)            /*!< BR12 (Bitfield-Mask: 0x01)                            */
#define GPIOC_BSRR_BR13_Pos               (29UL)                    /*!< BR13 (Bit 29)                                         */
#define GPIOC_BSRR_BR13_Msk               (0x20000000UL)            /*!< BR13 (Bitfield-Mask: 0x01)                            */
#define GPIOC_BSRR_BR14_Pos               (30UL)                    /*!< BR14 (Bit 30)                                         */
#define GPIOC_BSRR_BR14_Msk               (0x40000000UL)            /*!< BR14 (Bitfield-Mask: 0x01)                            */
#define GPIOC_BSRR_BR15_Pos               (31UL)                    /*!< BR15 (Bit 31)                                         */
#define GPIOC_BSRR_BR15_Msk               (0x80000000UL)            /*!< BR15 (Bitfield-Mask: 0x01)                            */
/* =========================================================  LCKR  ========================================================== */
#define GPIOC_LCKR_LCK0_Pos               (0UL)                     /*!< LCK0 (Bit 0)                                          */
#define GPIOC_LCKR_LCK0_Msk               (0x1UL)                   /*!< LCK0 (Bitfield-Mask: 0x01)                            */
#define GPIOC_LCKR_LCK1_Pos               (1UL)                     /*!< LCK1 (Bit 1)                                          */
#define GPIOC_LCKR_LCK1_Msk               (0x2UL)                   /*!< LCK1 (Bitfield-Mask: 0x01)                            */
#define GPIOC_LCKR_LCK2_Pos               (2UL)                     /*!< LCK2 (Bit 2)                                          */
#define GPIOC_LCKR_LCK2_Msk               (0x4UL)                   /*!< LCK2 (Bitfield-Mask: 0x01)                            */
#define GPIOC_LCKR_LCK3_Pos               (3UL)                     /*!< LCK3 (Bit 3)                                          */
#define GPIOC_LCKR_LCK3_Msk               (0x8UL)                   /*!< LCK3 (Bitfield-Mask: 0x01)                            */
#define GPIOC_LCKR_LCK4_Pos               (4UL)                     /*!< LCK4 (Bit 4)                                          */
#define GPIOC_LCKR_LCK4_Msk               (0x10UL)                  /*!< LCK4 (Bitfield-Mask: 0x01)                            */
#define GPIOC_LCKR_LCK5_Pos               (5UL)                     /*!< LCK5 (Bit 5)                                          */
#define GPIOC_LCKR_LCK5_Msk               (0x20UL)                  /*!< LCK5 (Bitfield-Mask: 0x01)                            */
#define GPIOC_LCKR_LCK6_Pos               (6UL)                     /*!< LCK6 (Bit 6)                                          */
#define GPIOC_LCKR_LCK6_Msk               (0x40UL)                  /*!< LCK6 (Bitfield-Mask: 0x01)                            */
#define GPIOC_LCKR_LCK7_Pos               (7UL)                     /*!< LCK7 (Bit 7)                                          */
#define GPIOC_LCKR_LCK7_Msk               (0x80UL)                  /*!< LCK7 (Bitfield-Mask: 0x01)                            */
#define GPIOC_LCKR_LCK8_Pos               (8UL)                     /*!< LCK8 (Bit 8)                                          */
#define GPIOC_LCKR_LCK8_Msk               (0x100UL)                 /*!< LCK8 (Bitfield-Mask: 0x01)                            */
#define GPIOC_LCKR_LCK9_Pos               (9UL)                     /*!< LCK9 (Bit 9)                                          */
#define GPIOC_LCKR_LCK9_Msk               (0x200UL)                 /*!< LCK9 (Bitfield-Mask: 0x01)                            */
#define GPIOC_LCKR_LCK10_Pos              (10UL)                    /*!< LCK10 (Bit 10)                                        */
#define GPIOC_LCKR_LCK10_Msk              (0x400UL)                 /*!< LCK10 (Bitfield-Mask: 0x01)                           */
#define GPIOC_LCKR_LCK11_Pos              (11UL)                    /*!< LCK11 (Bit 11)                                        */
#define GPIOC_LCKR_LCK11_Msk              (0x800UL)                 /*!< LCK11 (Bitfield-Mask: 0x01)                           */
#define GPIOC_LCKR_LCK12_Pos              (12UL)                    /*!< LCK12 (Bit 12)                                        */
#define GPIOC_LCKR_LCK12_Msk              (0x1000UL)                /*!< LCK12 (Bitfield-Mask: 0x01)                           */
#define GPIOC_LCKR_LCK13_Pos              (13UL)                    /*!< LCK13 (Bit 13)                                        */
#define GPIOC_LCKR_LCK13_Msk              (0x2000UL)                /*!< LCK13 (Bitfield-Mask: 0x01)                           */
#define GPIOC_LCKR_LCK14_Pos              (14UL)                    /*!< LCK14 (Bit 14)                                        */
#define GPIOC_LCKR_LCK14_Msk              (0x4000UL)                /*!< LCK14 (Bitfield-Mask: 0x01)                           */
#define GPIOC_LCKR_LCK15_Pos              (15UL)                    /*!< LCK15 (Bit 15)                                        */
#define GPIOC_LCKR_LCK15_Msk              (0x8000UL)                /*!< LCK15 (Bitfield-Mask: 0x01)                           */
#define GPIOC_LCKR_LCKK_Pos               (16UL)                    /*!< LCKK (Bit 16)                                         */
#define GPIOC_LCKR_LCKK_Msk               (0x10000UL)               /*!< LCKK (Bitfield-Mask: 0x01)                            */
/* =========================================================  AFRL  ========================================================== */
#define GPIOC_AFRL_AFSEL0_Pos             (0UL)                     /*!< AFSEL0 (Bit 0)                                        */
#define GPIOC_AFRL_AFSEL0_Msk             (0xfUL)                   /*!< AFSEL0 (Bitfield-Mask: 0x0f)                          */
#define GPIOC_AFRL_AFSEL1_Pos             (4UL)                     /*!< AFSEL1 (Bit 4)                                        */
#define GPIOC_AFRL_AFSEL1_Msk             (0xf0UL)                  /*!< AFSEL1 (Bitfield-Mask: 0x0f)                          */
#define GPIOC_AFRL_AFSEL2_Pos             (8UL)                     /*!< AFSEL2 (Bit 8)                                        */
#define GPIOC_AFRL_AFSEL2_Msk             (0xf00UL)                 /*!< AFSEL2 (Bitfield-Mask: 0x0f)                          */
#define GPIOC_AFRL_AFSEL3_Pos             (12UL)                    /*!< AFSEL3 (Bit 12)                                       */
#define GPIOC_AFRL_AFSEL3_Msk             (0xf000UL)                /*!< AFSEL3 (Bitfield-Mask: 0x0f)                          */
#define GPIOC_AFRL_AFSEL4_Pos             (16UL)                    /*!< AFSEL4 (Bit 16)                                       */
#define GPIOC_AFRL_AFSEL4_Msk             (0xf0000UL)               /*!< AFSEL4 (Bitfield-Mask: 0x0f)                          */
#define GPIOC_AFRL_AFSEL5_Pos             (20UL)                    /*!< AFSEL5 (Bit 20)                                       */
#define GPIOC_AFRL_AFSEL5_Msk             (0xf00000UL)              /*!< AFSEL5 (Bitfield-Mask: 0x0f)                          */
#define GPIOC_AFRL_AFSEL6_Pos             (24UL)                    /*!< AFSEL6 (Bit 24)                                       */
#define GPIOC_AFRL_AFSEL6_Msk             (0xf000000UL)             /*!< AFSEL6 (Bitfield-Mask: 0x0f)                          */
#define GPIOC_AFRL_AFSEL7_Pos             (28UL)                    /*!< AFSEL7 (Bit 28)                                       */
#define GPIOC_AFRL_AFSEL7_Msk             (0xf0000000UL)            /*!< AFSEL7 (Bitfield-Mask: 0x0f)                          */
/* =========================================================  AFRH  ========================================================== */
#define GPIOC_AFRH_AFSEL8_Pos             (0UL)                     /*!< AFSEL8 (Bit 0)                                        */
#define GPIOC_AFRH_AFSEL8_Msk             (0xfUL)                   /*!< AFSEL8 (Bitfield-Mask: 0x0f)                          */
#define GPIOC_AFRH_AFSEL9_Pos             (4UL)                     /*!< AFSEL9 (Bit 4)                                        */
#define GPIOC_AFRH_AFSEL9_Msk             (0xf0UL)                  /*!< AFSEL9 (Bitfield-Mask: 0x0f)                          */
#define GPIOC_AFRH_AFSEL10_Pos            (8UL)                     /*!< AFSEL10 (Bit 8)                                       */
#define GPIOC_AFRH_AFSEL10_Msk            (0xf00UL)                 /*!< AFSEL10 (Bitfield-Mask: 0x0f)                         */
#define GPIOC_AFRH_AFSEL11_Pos            (12UL)                    /*!< AFSEL11 (Bit 12)                                      */
#define GPIOC_AFRH_AFSEL11_Msk            (0xf000UL)                /*!< AFSEL11 (Bitfield-Mask: 0x0f)                         */
#define GPIOC_AFRH_AFSEL12_Pos            (16UL)                    /*!< AFSEL12 (Bit 16)                                      */
#define GPIOC_AFRH_AFSEL12_Msk            (0xf0000UL)               /*!< AFSEL12 (Bitfield-Mask: 0x0f)                         */
#define GPIOC_AFRH_AFSEL13_Pos            (20UL)                    /*!< AFSEL13 (Bit 20)                                      */
#define GPIOC_AFRH_AFSEL13_Msk            (0xf00000UL)              /*!< AFSEL13 (Bitfield-Mask: 0x0f)                         */
#define GPIOC_AFRH_AFSEL14_Pos            (24UL)                    /*!< AFSEL14 (Bit 24)                                      */
#define GPIOC_AFRH_AFSEL14_Msk            (0xf000000UL)             /*!< AFSEL14 (Bitfield-Mask: 0x0f)                         */
#define GPIOC_AFRH_AFSEL15_Pos            (28UL)                    /*!< AFSEL15 (Bit 28)                                      */
#define GPIOC_AFRH_AFSEL15_Msk            (0xf0000000UL)            /*!< AFSEL15 (Bitfield-Mask: 0x0f)                         */
/* ==========================================================  BRR  ========================================================== */
#define GPIOC_BRR_BR0_Pos                 (0UL)                     /*!< BR0 (Bit 0)                                           */
#define GPIOC_BRR_BR0_Msk                 (0x1UL)                   /*!< BR0 (Bitfield-Mask: 0x01)                             */
#define GPIOC_BRR_BR1_Pos                 (1UL)                     /*!< BR1 (Bit 1)                                           */
#define GPIOC_BRR_BR1_Msk                 (0x2UL)                   /*!< BR1 (Bitfield-Mask: 0x01)                             */
#define GPIOC_BRR_BR2_Pos                 (2UL)                     /*!< BR2 (Bit 2)                                           */
#define GPIOC_BRR_BR2_Msk                 (0x4UL)                   /*!< BR2 (Bitfield-Mask: 0x01)                             */
#define GPIOC_BRR_BR3_Pos                 (3UL)                     /*!< BR3 (Bit 3)                                           */
#define GPIOC_BRR_BR3_Msk                 (0x8UL)                   /*!< BR3 (Bitfield-Mask: 0x01)                             */
#define GPIOC_BRR_BR4_Pos                 (4UL)                     /*!< BR4 (Bit 4)                                           */
#define GPIOC_BRR_BR4_Msk                 (0x10UL)                  /*!< BR4 (Bitfield-Mask: 0x01)                             */
#define GPIOC_BRR_BR5_Pos                 (5UL)                     /*!< BR5 (Bit 5)                                           */
#define GPIOC_BRR_BR5_Msk                 (0x20UL)                  /*!< BR5 (Bitfield-Mask: 0x01)                             */
#define GPIOC_BRR_BR6_Pos                 (6UL)                     /*!< BR6 (Bit 6)                                           */
#define GPIOC_BRR_BR6_Msk                 (0x40UL)                  /*!< BR6 (Bitfield-Mask: 0x01)                             */
#define GPIOC_BRR_BR7_Pos                 (7UL)                     /*!< BR7 (Bit 7)                                           */
#define GPIOC_BRR_BR7_Msk                 (0x80UL)                  /*!< BR7 (Bitfield-Mask: 0x01)                             */
#define GPIOC_BRR_BR8_Pos                 (8UL)                     /*!< BR8 (Bit 8)                                           */
#define GPIOC_BRR_BR8_Msk                 (0x100UL)                 /*!< BR8 (Bitfield-Mask: 0x01)                             */
#define GPIOC_BRR_BR9_Pos                 (9UL)                     /*!< BR9 (Bit 9)                                           */
#define GPIOC_BRR_BR9_Msk                 (0x200UL)                 /*!< BR9 (Bitfield-Mask: 0x01)                             */
#define GPIOC_BRR_BR10_Pos                (10UL)                    /*!< BR10 (Bit 10)                                         */
#define GPIOC_BRR_BR10_Msk                (0x400UL)                 /*!< BR10 (Bitfield-Mask: 0x01)                            */
#define GPIOC_BRR_BR11_Pos                (11UL)                    /*!< BR11 (Bit 11)                                         */
#define GPIOC_BRR_BR11_Msk                (0x800UL)                 /*!< BR11 (Bitfield-Mask: 0x01)                            */
#define GPIOC_BRR_BR12_Pos                (12UL)                    /*!< BR12 (Bit 12)                                         */
#define GPIOC_BRR_BR12_Msk                (0x1000UL)                /*!< BR12 (Bitfield-Mask: 0x01)                            */
#define GPIOC_BRR_BR13_Pos                (13UL)                    /*!< BR13 (Bit 13)                                         */
#define GPIOC_BRR_BR13_Msk                (0x2000UL)                /*!< BR13 (Bitfield-Mask: 0x01)                            */
#define GPIOC_BRR_BR14_Pos                (14UL)                    /*!< BR14 (Bit 14)                                         */
#define GPIOC_BRR_BR14_Msk                (0x4000UL)                /*!< BR14 (Bitfield-Mask: 0x01)                            */
#define GPIOC_BRR_BR15_Pos                (15UL)                    /*!< BR15 (Bit 15)                                         */
#define GPIOC_BRR_BR15_Msk                (0x8000UL)                /*!< BR15 (Bitfield-Mask: 0x01)                            */


/* =========================================================================================================================== */
/* ================                                           GPIOD                                           ================ */
/* =========================================================================================================================== */

/* =========================================================  MODER  ========================================================= */
#define GPIOD_MODER_MODER0_Pos            (0UL)                     /*!< MODER0 (Bit 0)                                        */
#define GPIOD_MODER_MODER0_Msk            (0x3UL)                   /*!< MODER0 (Bitfield-Mask: 0x03)                          */
#define GPIOD_MODER_MODER1_Pos            (2UL)                     /*!< MODER1 (Bit 2)                                        */
#define GPIOD_MODER_MODER1_Msk            (0xcUL)                   /*!< MODER1 (Bitfield-Mask: 0x03)                          */
#define GPIOD_MODER_MODER2_Pos            (4UL)                     /*!< MODER2 (Bit 4)                                        */
#define GPIOD_MODER_MODER2_Msk            (0x30UL)                  /*!< MODER2 (Bitfield-Mask: 0x03)                          */
#define GPIOD_MODER_MODER3_Pos            (6UL)                     /*!< MODER3 (Bit 6)                                        */
#define GPIOD_MODER_MODER3_Msk            (0xc0UL)                  /*!< MODER3 (Bitfield-Mask: 0x03)                          */
#define GPIOD_MODER_MODER4_Pos            (8UL)                     /*!< MODER4 (Bit 8)                                        */
#define GPIOD_MODER_MODER4_Msk            (0x300UL)                 /*!< MODER4 (Bitfield-Mask: 0x03)                          */
#define GPIOD_MODER_MODER5_Pos            (10UL)                    /*!< MODER5 (Bit 10)                                       */
#define GPIOD_MODER_MODER5_Msk            (0xc00UL)                 /*!< MODER5 (Bitfield-Mask: 0x03)                          */
#define GPIOD_MODER_MODER6_Pos            (12UL)                    /*!< MODER6 (Bit 12)                                       */
#define GPIOD_MODER_MODER6_Msk            (0x3000UL)                /*!< MODER6 (Bitfield-Mask: 0x03)                          */
#define GPIOD_MODER_MODER7_Pos            (14UL)                    /*!< MODER7 (Bit 14)                                       */
#define GPIOD_MODER_MODER7_Msk            (0xc000UL)                /*!< MODER7 (Bitfield-Mask: 0x03)                          */
#define GPIOD_MODER_MODER8_Pos            (16UL)                    /*!< MODER8 (Bit 16)                                       */
#define GPIOD_MODER_MODER8_Msk            (0x30000UL)               /*!< MODER8 (Bitfield-Mask: 0x03)                          */
#define GPIOD_MODER_MODER9_Pos            (18UL)                    /*!< MODER9 (Bit 18)                                       */
#define GPIOD_MODER_MODER9_Msk            (0xc0000UL)               /*!< MODER9 (Bitfield-Mask: 0x03)                          */
#define GPIOD_MODER_MODER10_Pos           (20UL)                    /*!< MODER10 (Bit 20)                                      */
#define GPIOD_MODER_MODER10_Msk           (0x300000UL)              /*!< MODER10 (Bitfield-Mask: 0x03)                         */
#define GPIOD_MODER_MODER11_Pos           (22UL)                    /*!< MODER11 (Bit 22)                                      */
#define GPIOD_MODER_MODER11_Msk           (0xc00000UL)              /*!< MODER11 (Bitfield-Mask: 0x03)                         */
/* ========================================================  OTYPER  ========================================================= */
#define GPIOD_OTYPER_OT0_Pos              (0UL)                     /*!< OT0 (Bit 0)                                           */
#define GPIOD_OTYPER_OT0_Msk              (0x1UL)                   /*!< OT0 (Bitfield-Mask: 0x01)                             */
#define GPIOD_OTYPER_OT1_Pos              (1UL)                     /*!< OT1 (Bit 1)                                           */
#define GPIOD_OTYPER_OT1_Msk              (0x2UL)                   /*!< OT1 (Bitfield-Mask: 0x01)                             */
#define GPIOD_OTYPER_OT2_Pos              (2UL)                     /*!< OT2 (Bit 2)                                           */
#define GPIOD_OTYPER_OT2_Msk              (0x4UL)                   /*!< OT2 (Bitfield-Mask: 0x01)                             */
#define GPIOD_OTYPER_OT3_Pos              (3UL)                     /*!< OT3 (Bit 3)                                           */
#define GPIOD_OTYPER_OT3_Msk              (0x8UL)                   /*!< OT3 (Bitfield-Mask: 0x01)                             */
#define GPIOD_OTYPER_OT4_Pos              (4UL)                     /*!< OT4 (Bit 4)                                           */
#define GPIOD_OTYPER_OT4_Msk              (0x10UL)                  /*!< OT4 (Bitfield-Mask: 0x01)                             */
#define GPIOD_OTYPER_OT5_Pos              (5UL)                     /*!< OT5 (Bit 5)                                           */
#define GPIOD_OTYPER_OT5_Msk              (0x20UL)                  /*!< OT5 (Bitfield-Mask: 0x01)                             */
#define GPIOD_OTYPER_OT6_Pos              (6UL)                     /*!< OT6 (Bit 6)                                           */
#define GPIOD_OTYPER_OT6_Msk              (0x40UL)                  /*!< OT6 (Bitfield-Mask: 0x01)                             */
#define GPIOD_OTYPER_OT7_Pos              (7UL)                     /*!< OT7 (Bit 7)                                           */
#define GPIOD_OTYPER_OT7_Msk              (0x80UL)                  /*!< OT7 (Bitfield-Mask: 0x01)                             */
#define GPIOD_OTYPER_OT8_Pos              (8UL)                     /*!< OT8 (Bit 8)                                           */
#define GPIOD_OTYPER_OT8_Msk              (0x100UL)                 /*!< OT8 (Bitfield-Mask: 0x01)                             */
#define GPIOD_OTYPER_OT9_Pos              (9UL)                     /*!< OT9 (Bit 9)                                           */
#define GPIOD_OTYPER_OT9_Msk              (0x200UL)                 /*!< OT9 (Bitfield-Mask: 0x01)                             */
#define GPIOD_OTYPER_OT10_Pos             (10UL)                    /*!< OT10 (Bit 10)                                         */
#define GPIOD_OTYPER_OT10_Msk             (0x400UL)                 /*!< OT10 (Bitfield-Mask: 0x01)                            */
#define GPIOD_OTYPER_OT11_Pos             (11UL)                    /*!< OT11 (Bit 11)                                         */
#define GPIOD_OTYPER_OT11_Msk             (0x800UL)                 /*!< OT11 (Bitfield-Mask: 0x01)                            */
/* ========================================================  OSPDDER  ======================================================== */
#define GPIOD_OSPDDER_OSPEED0_Pos         (0UL)                     /*!< OSPEED0 (Bit 0)                                       */
#define GPIOD_OSPDDER_OSPEED0_Msk         (0x3UL)                   /*!< OSPEED0 (Bitfield-Mask: 0x03)                         */
#define GPIOD_OSPDDER_OSPEED1_Pos         (2UL)                     /*!< OSPEED1 (Bit 2)                                       */
#define GPIOD_OSPDDER_OSPEED1_Msk         (0xcUL)                   /*!< OSPEED1 (Bitfield-Mask: 0x03)                         */
#define GPIOD_OSPDDER_OSPEED2_Pos         (4UL)                     /*!< OSPEED2 (Bit 4)                                       */
#define GPIOD_OSPDDER_OSPEED2_Msk         (0x30UL)                  /*!< OSPEED2 (Bitfield-Mask: 0x03)                         */
#define GPIOD_OSPDDER_OSPEED3_Pos         (6UL)                     /*!< OSPEED3 (Bit 6)                                       */
#define GPIOD_OSPDDER_OSPEED3_Msk         (0xc0UL)                  /*!< OSPEED3 (Bitfield-Mask: 0x03)                         */
#define GPIOD_OSPDDER_OSPEED4_Pos         (8UL)                     /*!< OSPEED4 (Bit 8)                                       */
#define GPIOD_OSPDDER_OSPEED4_Msk         (0x300UL)                 /*!< OSPEED4 (Bitfield-Mask: 0x03)                         */
#define GPIOD_OSPDDER_OSPEED5_Pos         (10UL)                    /*!< OSPEED5 (Bit 10)                                      */
#define GPIOD_OSPDDER_OSPEED5_Msk         (0xc00UL)                 /*!< OSPEED5 (Bitfield-Mask: 0x03)                         */
#define GPIOD_OSPDDER_OSPEED6_Pos         (12UL)                    /*!< OSPEED6 (Bit 12)                                      */
#define GPIOD_OSPDDER_OSPEED6_Msk         (0x3000UL)                /*!< OSPEED6 (Bitfield-Mask: 0x03)                         */
#define GPIOD_OSPDDER_OSPEED7_Pos         (14UL)                    /*!< OSPEED7 (Bit 14)                                      */
#define GPIOD_OSPDDER_OSPEED7_Msk         (0xc000UL)                /*!< OSPEED7 (Bitfield-Mask: 0x03)                         */
#define GPIOD_OSPDDER_OSPEED8_Pos         (16UL)                    /*!< OSPEED8 (Bit 16)                                      */
#define GPIOD_OSPDDER_OSPEED8_Msk         (0x30000UL)               /*!< OSPEED8 (Bitfield-Mask: 0x03)                         */
#define GPIOD_OSPDDER_OSPEED9_Pos         (18UL)                    /*!< OSPEED9 (Bit 18)                                      */
#define GPIOD_OSPDDER_OSPEED9_Msk         (0xc0000UL)               /*!< OSPEED9 (Bitfield-Mask: 0x03)                         */
#define GPIOD_OSPDDER_OSPEED10_Pos        (20UL)                    /*!< OSPEED10 (Bit 20)                                     */
#define GPIOD_OSPDDER_OSPEED10_Msk        (0x300000UL)              /*!< OSPEED10 (Bitfield-Mask: 0x03)                        */
#define GPIOD_OSPDDER_OSPEED11_Pos        (22UL)                    /*!< OSPEED11 (Bit 22)                                     */
#define GPIOD_OSPDDER_OSPEED11_Msk        (0xc00000UL)              /*!< OSPEED11 (Bitfield-Mask: 0x03)                        */
/* =========================================================  PUPDR  ========================================================= */
#define GPIOD_PUPDR_PUPD0_Pos             (0UL)                     /*!< PUPD0 (Bit 0)                                         */
#define GPIOD_PUPDR_PUPD0_Msk             (0x3UL)                   /*!< PUPD0 (Bitfield-Mask: 0x03)                           */
#define GPIOD_PUPDR_PUPD1_Pos             (2UL)                     /*!< PUPD1 (Bit 2)                                         */
#define GPIOD_PUPDR_PUPD1_Msk             (0xcUL)                   /*!< PUPD1 (Bitfield-Mask: 0x03)                           */
#define GPIOD_PUPDR_PUPD2_Pos             (4UL)                     /*!< PUPD2 (Bit 4)                                         */
#define GPIOD_PUPDR_PUPD2_Msk             (0x30UL)                  /*!< PUPD2 (Bitfield-Mask: 0x03)                           */
#define GPIOD_PUPDR_PUPD3_Pos             (6UL)                     /*!< PUPD3 (Bit 6)                                         */
#define GPIOD_PUPDR_PUPD3_Msk             (0xc0UL)                  /*!< PUPD3 (Bitfield-Mask: 0x03)                           */
#define GPIOD_PUPDR_PUPD4_Pos             (8UL)                     /*!< PUPD4 (Bit 8)                                         */
#define GPIOD_PUPDR_PUPD4_Msk             (0x300UL)                 /*!< PUPD4 (Bitfield-Mask: 0x03)                           */
#define GPIOD_PUPDR_PUPD5_Pos             (10UL)                    /*!< PUPD5 (Bit 10)                                        */
#define GPIOD_PUPDR_PUPD5_Msk             (0xc00UL)                 /*!< PUPD5 (Bitfield-Mask: 0x03)                           */
#define GPIOD_PUPDR_PUPD6_Pos             (12UL)                    /*!< PUPD6 (Bit 12)                                        */
#define GPIOD_PUPDR_PUPD6_Msk             (0x3000UL)                /*!< PUPD6 (Bitfield-Mask: 0x03)                           */
#define GPIOD_PUPDR_PUPD7_Pos             (14UL)                    /*!< PUPD7 (Bit 14)                                        */
#define GPIOD_PUPDR_PUPD7_Msk             (0xc000UL)                /*!< PUPD7 (Bitfield-Mask: 0x03)                           */
#define GPIOD_PUPDR_PUPD8_Pos             (16UL)                    /*!< PUPD8 (Bit 16)                                        */
#define GPIOD_PUPDR_PUPD8_Msk             (0x30000UL)               /*!< PUPD8 (Bitfield-Mask: 0x03)                           */
#define GPIOD_PUPDR_PUPD9_Pos             (18UL)                    /*!< PUPD9 (Bit 18)                                        */
#define GPIOD_PUPDR_PUPD9_Msk             (0xc0000UL)               /*!< PUPD9 (Bitfield-Mask: 0x03)                           */
#define GPIOD_PUPDR_PUPD10_Pos            (20UL)                    /*!< PUPD10 (Bit 20)                                       */
#define GPIOD_PUPDR_PUPD10_Msk            (0x300000UL)              /*!< PUPD10 (Bitfield-Mask: 0x03)                          */
#define GPIOD_PUPDR_PUPD11_Pos            (22UL)                    /*!< PUPD11 (Bit 22)                                       */
#define GPIOD_PUPDR_PUPD11_Msk            (0xc00000UL)              /*!< PUPD11 (Bitfield-Mask: 0x03)                          */
/* ==========================================================  IDR  ========================================================== */
#define GPIOD_IDR_ID0_Pos                 (0UL)                     /*!< ID0 (Bit 0)                                           */
#define GPIOD_IDR_ID0_Msk                 (0x1UL)                   /*!< ID0 (Bitfield-Mask: 0x01)                             */
#define GPIOD_IDR_ID1_Pos                 (1UL)                     /*!< ID1 (Bit 1)                                           */
#define GPIOD_IDR_ID1_Msk                 (0x2UL)                   /*!< ID1 (Bitfield-Mask: 0x01)                             */
#define GPIOD_IDR_ID2_Pos                 (2UL)                     /*!< ID2 (Bit 2)                                           */
#define GPIOD_IDR_ID2_Msk                 (0x4UL)                   /*!< ID2 (Bitfield-Mask: 0x01)                             */
#define GPIOD_IDR_ID3_Pos                 (3UL)                     /*!< ID3 (Bit 3)                                           */
#define GPIOD_IDR_ID3_Msk                 (0x8UL)                   /*!< ID3 (Bitfield-Mask: 0x01)                             */
#define GPIOD_IDR_ID4_Pos                 (4UL)                     /*!< ID4 (Bit 4)                                           */
#define GPIOD_IDR_ID4_Msk                 (0x10UL)                  /*!< ID4 (Bitfield-Mask: 0x01)                             */
#define GPIOD_IDR_ID5_Pos                 (5UL)                     /*!< ID5 (Bit 5)                                           */
#define GPIOD_IDR_ID5_Msk                 (0x20UL)                  /*!< ID5 (Bitfield-Mask: 0x01)                             */
#define GPIOD_IDR_ID6_Pos                 (6UL)                     /*!< ID6 (Bit 6)                                           */
#define GPIOD_IDR_ID6_Msk                 (0x40UL)                  /*!< ID6 (Bitfield-Mask: 0x01)                             */
#define GPIOD_IDR_ID7_Pos                 (7UL)                     /*!< ID7 (Bit 7)                                           */
#define GPIOD_IDR_ID7_Msk                 (0x80UL)                  /*!< ID7 (Bitfield-Mask: 0x01)                             */
#define GPIOD_IDR_ID8_Pos                 (8UL)                     /*!< ID8 (Bit 8)                                           */
#define GPIOD_IDR_ID8_Msk                 (0x100UL)                 /*!< ID8 (Bitfield-Mask: 0x01)                             */
#define GPIOD_IDR_ID9_Pos                 (9UL)                     /*!< ID9 (Bit 9)                                           */
#define GPIOD_IDR_ID9_Msk                 (0x200UL)                 /*!< ID9 (Bitfield-Mask: 0x01)                             */
#define GPIOD_IDR_ID10_Pos                (10UL)                    /*!< ID10 (Bit 10)                                         */
#define GPIOD_IDR_ID10_Msk                (0x400UL)                 /*!< ID10 (Bitfield-Mask: 0x01)                            */
#define GPIOD_IDR_ID11_Pos                (11UL)                    /*!< ID11 (Bit 11)                                         */
#define GPIOD_IDR_ID11_Msk                (0x800UL)                 /*!< ID11 (Bitfield-Mask: 0x01)                            */
/* ==========================================================  ODR  ========================================================== */
#define GPIOD_ODR_OD0_Pos                 (0UL)                     /*!< OD0 (Bit 0)                                           */
#define GPIOD_ODR_OD0_Msk                 (0x1UL)                   /*!< OD0 (Bitfield-Mask: 0x01)                             */
#define GPIOD_ODR_OD1_Pos                 (1UL)                     /*!< OD1 (Bit 1)                                           */
#define GPIOD_ODR_OD1_Msk                 (0x2UL)                   /*!< OD1 (Bitfield-Mask: 0x01)                             */
#define GPIOD_ODR_OD2_Pos                 (2UL)                     /*!< OD2 (Bit 2)                                           */
#define GPIOD_ODR_OD2_Msk                 (0x4UL)                   /*!< OD2 (Bitfield-Mask: 0x01)                             */
#define GPIOD_ODR_OD3_Pos                 (3UL)                     /*!< OD3 (Bit 3)                                           */
#define GPIOD_ODR_OD3_Msk                 (0x8UL)                   /*!< OD3 (Bitfield-Mask: 0x01)                             */
#define GPIOD_ODR_OD4_Pos                 (4UL)                     /*!< OD4 (Bit 4)                                           */
#define GPIOD_ODR_OD4_Msk                 (0x10UL)                  /*!< OD4 (Bitfield-Mask: 0x01)                             */
#define GPIOD_ODR_OD5_Pos                 (5UL)                     /*!< OD5 (Bit 5)                                           */
#define GPIOD_ODR_OD5_Msk                 (0x20UL)                  /*!< OD5 (Bitfield-Mask: 0x01)                             */
#define GPIOD_ODR_OD6_Pos                 (6UL)                     /*!< OD6 (Bit 6)                                           */
#define GPIOD_ODR_OD6_Msk                 (0x40UL)                  /*!< OD6 (Bitfield-Mask: 0x01)                             */
#define GPIOD_ODR_OD7_Pos                 (7UL)                     /*!< OD7 (Bit 7)                                           */
#define GPIOD_ODR_OD7_Msk                 (0x80UL)                  /*!< OD7 (Bitfield-Mask: 0x01)                             */
#define GPIOD_ODR_OD8_Pos                 (8UL)                     /*!< OD8 (Bit 8)                                           */
#define GPIOD_ODR_OD8_Msk                 (0x100UL)                 /*!< OD8 (Bitfield-Mask: 0x01)                             */
#define GPIOD_ODR_OD9_Pos                 (9UL)                     /*!< OD9 (Bit 9)                                           */
#define GPIOD_ODR_OD9_Msk                 (0x200UL)                 /*!< OD9 (Bitfield-Mask: 0x01)                             */
#define GPIOD_ODR_OD10_Pos                (10UL)                    /*!< OD10 (Bit 10)                                         */
#define GPIOD_ODR_OD10_Msk                (0x400UL)                 /*!< OD10 (Bitfield-Mask: 0x01)                            */
#define GPIOD_ODR_OD11_Pos                (11UL)                    /*!< OD11 (Bit 11)                                         */
#define GPIOD_ODR_OD11_Msk                (0x800UL)                 /*!< OD11 (Bitfield-Mask: 0x01)                            */
/* =========================================================  BSRR  ========================================================== */
#define GPIOD_BSRR_BS0_Pos                (0UL)                     /*!< BS0 (Bit 0)                                           */
#define GPIOD_BSRR_BS0_Msk                (0x1UL)                   /*!< BS0 (Bitfield-Mask: 0x01)                             */
#define GPIOD_BSRR_BS1_Pos                (1UL)                     /*!< BS1 (Bit 1)                                           */
#define GPIOD_BSRR_BS1_Msk                (0x2UL)                   /*!< BS1 (Bitfield-Mask: 0x01)                             */
#define GPIOD_BSRR_BS2_Pos                (2UL)                     /*!< BS2 (Bit 2)                                           */
#define GPIOD_BSRR_BS2_Msk                (0x4UL)                   /*!< BS2 (Bitfield-Mask: 0x01)                             */
#define GPIOD_BSRR_BS3_Pos                (3UL)                     /*!< BS3 (Bit 3)                                           */
#define GPIOD_BSRR_BS3_Msk                (0x8UL)                   /*!< BS3 (Bitfield-Mask: 0x01)                             */
#define GPIOD_BSRR_BS4_Pos                (4UL)                     /*!< BS4 (Bit 4)                                           */
#define GPIOD_BSRR_BS4_Msk                (0x10UL)                  /*!< BS4 (Bitfield-Mask: 0x01)                             */
#define GPIOD_BSRR_BS5_Pos                (5UL)                     /*!< BS5 (Bit 5)                                           */
#define GPIOD_BSRR_BS5_Msk                (0x20UL)                  /*!< BS5 (Bitfield-Mask: 0x01)                             */
#define GPIOD_BSRR_BS6_Pos                (6UL)                     /*!< BS6 (Bit 6)                                           */
#define GPIOD_BSRR_BS6_Msk                (0x40UL)                  /*!< BS6 (Bitfield-Mask: 0x01)                             */
#define GPIOD_BSRR_BS7_Pos                (7UL)                     /*!< BS7 (Bit 7)                                           */
#define GPIOD_BSRR_BS7_Msk                (0x80UL)                  /*!< BS7 (Bitfield-Mask: 0x01)                             */
#define GPIOD_BSRR_BS8_Pos                (8UL)                     /*!< BS8 (Bit 8)                                           */
#define GPIOD_BSRR_BS8_Msk                (0x100UL)                 /*!< BS8 (Bitfield-Mask: 0x01)                             */
#define GPIOD_BSRR_BS9_Pos                (9UL)                     /*!< BS9 (Bit 9)                                           */
#define GPIOD_BSRR_BS9_Msk                (0x200UL)                 /*!< BS9 (Bitfield-Mask: 0x01)                             */
#define GPIOD_BSRR_BS10_Pos               (10UL)                    /*!< BS10 (Bit 10)                                         */
#define GPIOD_BSRR_BS10_Msk               (0x400UL)                 /*!< BS10 (Bitfield-Mask: 0x01)                            */
#define GPIOD_BSRR_BS11_Pos               (11UL)                    /*!< BS11 (Bit 11)                                         */
#define GPIOD_BSRR_BS11_Msk               (0x800UL)                 /*!< BS11 (Bitfield-Mask: 0x01)                            */
#define GPIOD_BSRR_BR0_Pos                (16UL)                    /*!< BR0 (Bit 16)                                          */
#define GPIOD_BSRR_BR0_Msk                (0x10000UL)               /*!< BR0 (Bitfield-Mask: 0x01)                             */
#define GPIOD_BSRR_BR1_Pos                (17UL)                    /*!< BR1 (Bit 17)                                          */
#define GPIOD_BSRR_BR1_Msk                (0x20000UL)               /*!< BR1 (Bitfield-Mask: 0x01)                             */
#define GPIOD_BSRR_BR2_Pos                (18UL)                    /*!< BR2 (Bit 18)                                          */
#define GPIOD_BSRR_BR2_Msk                (0x40000UL)               /*!< BR2 (Bitfield-Mask: 0x01)                             */
#define GPIOD_BSRR_BR3_Pos                (19UL)                    /*!< BR3 (Bit 19)                                          */
#define GPIOD_BSRR_BR3_Msk                (0x80000UL)               /*!< BR3 (Bitfield-Mask: 0x01)                             */
#define GPIOD_BSRR_BR4_Pos                (20UL)                    /*!< BR4 (Bit 20)                                          */
#define GPIOD_BSRR_BR4_Msk                (0x100000UL)              /*!< BR4 (Bitfield-Mask: 0x01)                             */
#define GPIOD_BSRR_BR5_Pos                (21UL)                    /*!< BR5 (Bit 21)                                          */
#define GPIOD_BSRR_BR5_Msk                (0x200000UL)              /*!< BR5 (Bitfield-Mask: 0x01)                             */
#define GPIOD_BSRR_BR6_Pos                (22UL)                    /*!< BR6 (Bit 22)                                          */
#define GPIOD_BSRR_BR6_Msk                (0x400000UL)              /*!< BR6 (Bitfield-Mask: 0x01)                             */
#define GPIOD_BSRR_BR7_Pos                (23UL)                    /*!< BR7 (Bit 23)                                          */
#define GPIOD_BSRR_BR7_Msk                (0x800000UL)              /*!< BR7 (Bitfield-Mask: 0x01)                             */
#define GPIOD_BSRR_BR8_Pos                (24UL)                    /*!< BR8 (Bit 24)                                          */
#define GPIOD_BSRR_BR8_Msk                (0x1000000UL)             /*!< BR8 (Bitfield-Mask: 0x01)                             */
#define GPIOD_BSRR_BR9_Pos                (25UL)                    /*!< BR9 (Bit 25)                                          */
#define GPIOD_BSRR_BR9_Msk                (0x2000000UL)             /*!< BR9 (Bitfield-Mask: 0x01)                             */
#define GPIOD_BSRR_BR10_Pos               (26UL)                    /*!< BR10 (Bit 26)                                         */
#define GPIOD_BSRR_BR10_Msk               (0x4000000UL)             /*!< BR10 (Bitfield-Mask: 0x01)                            */
#define GPIOD_BSRR_BR11_Pos               (27UL)                    /*!< BR11 (Bit 27)                                         */
#define GPIOD_BSRR_BR11_Msk               (0x8000000UL)             /*!< BR11 (Bitfield-Mask: 0x01)                            */
/* =========================================================  LCKR  ========================================================== */
#define GPIOD_LCKR_LCK0_Pos               (0UL)                     /*!< LCK0 (Bit 0)                                          */
#define GPIOD_LCKR_LCK0_Msk               (0x1UL)                   /*!< LCK0 (Bitfield-Mask: 0x01)                            */
#define GPIOD_LCKR_LCK1_Pos               (1UL)                     /*!< LCK1 (Bit 1)                                          */
#define GPIOD_LCKR_LCK1_Msk               (0x2UL)                   /*!< LCK1 (Bitfield-Mask: 0x01)                            */
#define GPIOD_LCKR_LCK2_Pos               (2UL)                     /*!< LCK2 (Bit 2)                                          */
#define GPIOD_LCKR_LCK2_Msk               (0x4UL)                   /*!< LCK2 (Bitfield-Mask: 0x01)                            */
#define GPIOD_LCKR_LCK3_Pos               (3UL)                     /*!< LCK3 (Bit 3)                                          */
#define GPIOD_LCKR_LCK3_Msk               (0x8UL)                   /*!< LCK3 (Bitfield-Mask: 0x01)                            */
#define GPIOD_LCKR_LCK4_Pos               (4UL)                     /*!< LCK4 (Bit 4)                                          */
#define GPIOD_LCKR_LCK4_Msk               (0x10UL)                  /*!< LCK4 (Bitfield-Mask: 0x01)                            */
#define GPIOD_LCKR_LCK5_Pos               (5UL)                     /*!< LCK5 (Bit 5)                                          */
#define GPIOD_LCKR_LCK5_Msk               (0x20UL)                  /*!< LCK5 (Bitfield-Mask: 0x01)                            */
#define GPIOD_LCKR_LCK6_Pos               (6UL)                     /*!< LCK6 (Bit 6)                                          */
#define GPIOD_LCKR_LCK6_Msk               (0x40UL)                  /*!< LCK6 (Bitfield-Mask: 0x01)                            */
#define GPIOD_LCKR_LCK7_Pos               (7UL)                     /*!< LCK7 (Bit 7)                                          */
#define GPIOD_LCKR_LCK7_Msk               (0x80UL)                  /*!< LCK7 (Bitfield-Mask: 0x01)                            */
#define GPIOD_LCKR_LCK8_Pos               (8UL)                     /*!< LCK8 (Bit 8)                                          */
#define GPIOD_LCKR_LCK8_Msk               (0x100UL)                 /*!< LCK8 (Bitfield-Mask: 0x01)                            */
#define GPIOD_LCKR_LCK9_Pos               (9UL)                     /*!< LCK9 (Bit 9)                                          */
#define GPIOD_LCKR_LCK9_Msk               (0x200UL)                 /*!< LCK9 (Bitfield-Mask: 0x01)                            */
#define GPIOD_LCKR_LCK10_Pos              (10UL)                    /*!< LCK10 (Bit 10)                                        */
#define GPIOD_LCKR_LCK10_Msk              (0x400UL)                 /*!< LCK10 (Bitfield-Mask: 0x01)                           */
#define GPIOD_LCKR_LCK11_Pos              (11UL)                    /*!< LCK11 (Bit 11)                                        */
#define GPIOD_LCKR_LCK11_Msk              (0x800UL)                 /*!< LCK11 (Bitfield-Mask: 0x01)                           */
#define GPIOD_LCKR_LCKK_Pos               (16UL)                    /*!< LCKK (Bit 16)                                         */
#define GPIOD_LCKR_LCKK_Msk               (0x10000UL)               /*!< LCKK (Bitfield-Mask: 0x01)                            */
/* =========================================================  AFRL  ========================================================== */
#define GPIOD_AFRL_AFSEL0_Pos             (0UL)                     /*!< AFSEL0 (Bit 0)                                        */
#define GPIOD_AFRL_AFSEL0_Msk             (0xfUL)                   /*!< AFSEL0 (Bitfield-Mask: 0x0f)                          */
#define GPIOD_AFRL_AFSEL1_Pos             (4UL)                     /*!< AFSEL1 (Bit 4)                                        */
#define GPIOD_AFRL_AFSEL1_Msk             (0xf0UL)                  /*!< AFSEL1 (Bitfield-Mask: 0x0f)                          */
#define GPIOD_AFRL_AFSEL2_Pos             (8UL)                     /*!< AFSEL2 (Bit 8)                                        */
#define GPIOD_AFRL_AFSEL2_Msk             (0xf00UL)                 /*!< AFSEL2 (Bitfield-Mask: 0x0f)                          */
#define GPIOD_AFRL_AFSEL3_Pos             (12UL)                    /*!< AFSEL3 (Bit 12)                                       */
#define GPIOD_AFRL_AFSEL3_Msk             (0xf000UL)                /*!< AFSEL3 (Bitfield-Mask: 0x0f)                          */
#define GPIOD_AFRL_AFSEL4_Pos             (16UL)                    /*!< AFSEL4 (Bit 16)                                       */
#define GPIOD_AFRL_AFSEL4_Msk             (0xf0000UL)               /*!< AFSEL4 (Bitfield-Mask: 0x0f)                          */
#define GPIOD_AFRL_AFSEL5_Pos             (20UL)                    /*!< AFSEL5 (Bit 20)                                       */
#define GPIOD_AFRL_AFSEL5_Msk             (0xf00000UL)              /*!< AFSEL5 (Bitfield-Mask: 0x0f)                          */
#define GPIOD_AFRL_AFSEL6_Pos             (24UL)                    /*!< AFSEL6 (Bit 24)                                       */
#define GPIOD_AFRL_AFSEL6_Msk             (0xf000000UL)             /*!< AFSEL6 (Bitfield-Mask: 0x0f)                          */
#define GPIOD_AFRL_AFSEL7_Pos             (28UL)                    /*!< AFSEL7 (Bit 28)                                       */
#define GPIOD_AFRL_AFSEL7_Msk             (0xf0000000UL)            /*!< AFSEL7 (Bitfield-Mask: 0x0f)                          */
/* =========================================================  AFRH  ========================================================== */
#define GPIOD_AFRH_AFSEL8_Pos             (0UL)                     /*!< AFSEL8 (Bit 0)                                        */
#define GPIOD_AFRH_AFSEL8_Msk             (0xfUL)                   /*!< AFSEL8 (Bitfield-Mask: 0x0f)                          */
#define GPIOD_AFRH_AFSEL9_Pos             (4UL)                     /*!< AFSEL9 (Bit 4)                                        */
#define GPIOD_AFRH_AFSEL9_Msk             (0xf0UL)                  /*!< AFSEL9 (Bitfield-Mask: 0x0f)                          */
#define GPIOD_AFRH_AFSEL10_Pos            (8UL)                     /*!< AFSEL10 (Bit 8)                                       */
#define GPIOD_AFRH_AFSEL10_Msk            (0xf00UL)                 /*!< AFSEL10 (Bitfield-Mask: 0x0f)                         */
#define GPIOD_AFRH_AFSEL11_Pos            (12UL)                    /*!< AFSEL11 (Bit 12)                                      */
#define GPIOD_AFRH_AFSEL11_Msk            (0xf000UL)                /*!< AFSEL11 (Bitfield-Mask: 0x0f)                         */
/* ==========================================================  BRR  ========================================================== */
#define GPIOD_BRR_BR0_Pos                 (0UL)                     /*!< BR0 (Bit 0)                                           */
#define GPIOD_BRR_BR0_Msk                 (0x1UL)                   /*!< BR0 (Bitfield-Mask: 0x01)                             */
#define GPIOD_BRR_BR1_Pos                 (1UL)                     /*!< BR1 (Bit 1)                                           */
#define GPIOD_BRR_BR1_Msk                 (0x2UL)                   /*!< BR1 (Bitfield-Mask: 0x01)                             */
#define GPIOD_BRR_BR2_Pos                 (2UL)                     /*!< BR2 (Bit 2)                                           */
#define GPIOD_BRR_BR2_Msk                 (0x4UL)                   /*!< BR2 (Bitfield-Mask: 0x01)                             */
#define GPIOD_BRR_BR3_Pos                 (3UL)                     /*!< BR3 (Bit 3)                                           */
#define GPIOD_BRR_BR3_Msk                 (0x8UL)                   /*!< BR3 (Bitfield-Mask: 0x01)                             */
#define GPIOD_BRR_BR4_Pos                 (4UL)                     /*!< BR4 (Bit 4)                                           */
#define GPIOD_BRR_BR4_Msk                 (0x10UL)                  /*!< BR4 (Bitfield-Mask: 0x01)                             */
#define GPIOD_BRR_BR5_Pos                 (5UL)                     /*!< BR5 (Bit 5)                                           */
#define GPIOD_BRR_BR5_Msk                 (0x20UL)                  /*!< BR5 (Bitfield-Mask: 0x01)                             */
#define GPIOD_BRR_BR6_Pos                 (6UL)                     /*!< BR6 (Bit 6)                                           */
#define GPIOD_BRR_BR6_Msk                 (0x40UL)                  /*!< BR6 (Bitfield-Mask: 0x01)                             */
#define GPIOD_BRR_BR7_Pos                 (7UL)                     /*!< BR7 (Bit 7)                                           */
#define GPIOD_BRR_BR7_Msk                 (0x80UL)                  /*!< BR7 (Bitfield-Mask: 0x01)                             */
#define GPIOD_BRR_BR8_Pos                 (8UL)                     /*!< BR8 (Bit 8)                                           */
#define GPIOD_BRR_BR8_Msk                 (0x100UL)                 /*!< BR8 (Bitfield-Mask: 0x01)                             */
#define GPIOD_BRR_BR9_Pos                 (9UL)                     /*!< BR9 (Bit 9)                                           */
#define GPIOD_BRR_BR9_Msk                 (0x200UL)                 /*!< BR9 (Bitfield-Mask: 0x01)                             */
#define GPIOD_BRR_BR10_Pos                (10UL)                    /*!< BR10 (Bit 10)                                         */
#define GPIOD_BRR_BR10_Msk                (0x400UL)                 /*!< BR10 (Bitfield-Mask: 0x01)                            */
#define GPIOD_BRR_BR11_Pos                (11UL)                    /*!< BR11 (Bit 11)                                         */
#define GPIOD_BRR_BR11_Msk                (0x800UL)                 /*!< BR11 (Bitfield-Mask: 0x01)                            */


/* =========================================================================================================================== */
/* ================                                           I2C1                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  CR1  ========================================================== */
#define I2C1_CR1_PE_Pos                   (0UL)                     /*!< PE (Bit 0)                                            */
#define I2C1_CR1_PE_Msk                   (0x1UL)                   /*!< PE (Bitfield-Mask: 0x01)                              */
#define I2C1_CR1_SMBUS_Pos                (1UL)                     /*!< SMBUS (Bit 1)                                         */
#define I2C1_CR1_SMBUS_Msk                (0x2UL)                   /*!< SMBUS (Bitfield-Mask: 0x01)                           */
#define I2C1_CR1_WUPEN_Pos                (2UL)                     /*!< WUPEN (Bit 2)                                         */
#define I2C1_CR1_WUPEN_Msk                (0x4UL)                   /*!< WUPEN (Bitfield-Mask: 0x01)                           */
#define I2C1_CR1_SMBTYPE_Pos              (3UL)                     /*!< SMBTYPE (Bit 3)                                       */
#define I2C1_CR1_SMBTYPE_Msk              (0x8UL)                   /*!< SMBTYPE (Bitfield-Mask: 0x01)                         */
#define I2C1_CR1_ENARP_Pos                (4UL)                     /*!< ENARP (Bit 4)                                         */
#define I2C1_CR1_ENARP_Msk                (0x10UL)                  /*!< ENARP (Bitfield-Mask: 0x01)                           */
#define I2C1_CR1_ENPEC_Pos                (5UL)                     /*!< ENPEC (Bit 5)                                         */
#define I2C1_CR1_ENPEC_Msk                (0x20UL)                  /*!< ENPEC (Bitfield-Mask: 0x01)                           */
#define I2C1_CR1_ENGC_Pos                 (6UL)                     /*!< ENGC (Bit 6)                                          */
#define I2C1_CR1_ENGC_Msk                 (0x40UL)                  /*!< ENGC (Bitfield-Mask: 0x01)                            */
#define I2C1_CR1_NOSTRETCH_Pos            (7UL)                     /*!< NOSTRETCH (Bit 7)                                     */
#define I2C1_CR1_NOSTRETCH_Msk            (0x80UL)                  /*!< NOSTRETCH (Bitfield-Mask: 0x01)                       */
#define I2C1_CR1_START_Pos                (8UL)                     /*!< START (Bit 8)                                         */
#define I2C1_CR1_START_Msk                (0x100UL)                 /*!< START (Bitfield-Mask: 0x01)                           */
#define I2C1_CR1_STOP_Pos                 (9UL)                     /*!< STOP (Bit 9)                                          */
#define I2C1_CR1_STOP_Msk                 (0x200UL)                 /*!< STOP (Bitfield-Mask: 0x01)                            */
#define I2C1_CR1_ACK_Pos                  (10UL)                    /*!< ACK (Bit 10)                                          */
#define I2C1_CR1_ACK_Msk                  (0x400UL)                 /*!< ACK (Bitfield-Mask: 0x01)                             */
#define I2C1_CR1_POS_Pos                  (11UL)                    /*!< POS (Bit 11)                                          */
#define I2C1_CR1_POS_Msk                  (0x800UL)                 /*!< POS (Bitfield-Mask: 0x01)                             */
#define I2C1_CR1_PEC_Pos                  (12UL)                    /*!< PEC (Bit 12)                                          */
#define I2C1_CR1_PEC_Msk                  (0x1000UL)                /*!< PEC (Bitfield-Mask: 0x01)                             */
#define I2C1_CR1_ALERT_Pos                (13UL)                    /*!< ALERT (Bit 13)                                        */
#define I2C1_CR1_ALERT_Msk                (0x2000UL)                /*!< ALERT (Bitfield-Mask: 0x01)                           */
#define I2C1_CR1_SWRST_Pos                (15UL)                    /*!< SWRST (Bit 15)                                        */
#define I2C1_CR1_SWRST_Msk                (0x8000UL)                /*!< SWRST (Bitfield-Mask: 0x01)                           */
#define I2C1_CR1_WKUP_DIV_Pos             (16UL)                    /*!< WKUP_DIV (Bit 16)                                     */
#define I2C1_CR1_WKUP_DIV_Msk             (0x30000UL)               /*!< WKUP_DIV (Bitfield-Mask: 0x03)                        */
#define I2C1_CR1_WKUP_CNT_Pos             (18UL)                    /*!< WKUP_CNT (Bit 18)                                     */
#define I2C1_CR1_WKUP_CNT_Msk             (0xc0000UL)               /*!< WKUP_CNT (Bitfield-Mask: 0x03)                        */
/* ==========================================================  CR2  ========================================================== */
#define I2C1_CR2_FREQ_Pos                 (0UL)                     /*!< FREQ (Bit 0)                                          */
#define I2C1_CR2_FREQ_Msk                 (0x7fUL)                  /*!< FREQ (Bitfield-Mask: 0x7f)                            */
#define I2C1_CR2_ITERREN_Pos              (8UL)                     /*!< ITERREN (Bit 8)                                       */
#define I2C1_CR2_ITERREN_Msk              (0x100UL)                 /*!< ITERREN (Bitfield-Mask: 0x01)                         */
#define I2C1_CR2_ITEVTEN_Pos              (9UL)                     /*!< ITEVTEN (Bit 9)                                       */
#define I2C1_CR2_ITEVTEN_Msk              (0x200UL)                 /*!< ITEVTEN (Bitfield-Mask: 0x01)                         */
#define I2C1_CR2_ITBUFEN_Pos              (10UL)                    /*!< ITBUFEN (Bit 10)                                      */
#define I2C1_CR2_ITBUFEN_Msk              (0x400UL)                 /*!< ITBUFEN (Bitfield-Mask: 0x01)                         */
#define I2C1_CR2_DMAEN_Pos                (11UL)                    /*!< DMAEN (Bit 11)                                        */
#define I2C1_CR2_DMAEN_Msk                (0x800UL)                 /*!< DMAEN (Bitfield-Mask: 0x01)                           */
#define I2C1_CR2_LAST_Pos                 (12UL)                    /*!< LAST (Bit 12)                                         */
#define I2C1_CR2_LAST_Msk                 (0x1000UL)                /*!< LAST (Bitfield-Mask: 0x01)                            */
/* =========================================================  OAR1  ========================================================== */
#define I2C1_OAR1_ADD_Pos                 (0UL)                     /*!< ADD (Bit 0)                                           */
#define I2C1_OAR1_ADD_Msk                 (0x3ffUL)                 /*!< ADD (Bitfield-Mask: 0x3ff)                            */
#define I2C1_OAR1_ADDMODE_Pos             (15UL)                    /*!< ADDMODE (Bit 15)                                      */
#define I2C1_OAR1_ADDMODE_Msk             (0x8000UL)                /*!< ADDMODE (Bitfield-Mask: 0x01)                         */
/* =========================================================  OAR2  ========================================================== */
#define I2C1_OAR2_ENDUAL_Pos              (0UL)                     /*!< ENDUAL (Bit 0)                                        */
#define I2C1_OAR2_ENDUAL_Msk              (0x1UL)                   /*!< ENDUAL (Bitfield-Mask: 0x01)                          */
#define I2C1_OAR2_ADD2_Pos                (1UL)                     /*!< ADD2 (Bit 1)                                          */
#define I2C1_OAR2_ADD2_Msk                (0xfeUL)                  /*!< ADD2 (Bitfield-Mask: 0x7f)                            */
#define I2C1_OAR2_OA2MSK_Pos              (8UL)                     /*!< OA2MSK (Bit 8)                                        */
#define I2C1_OAR2_OA2MSK_Msk              (0x700UL)                 /*!< OA2MSK (Bitfield-Mask: 0x07)                          */
/* ==========================================================  DR  =========================================================== */
#define I2C1_DR_DR_Pos                    (0UL)                     /*!< DR (Bit 0)                                            */
#define I2C1_DR_DR_Msk                    (0xffUL)                  /*!< DR (Bitfield-Mask: 0xff)                              */
/* ==========================================================  SR1  ========================================================== */
#define I2C1_SR1_SB_Pos                   (0UL)                     /*!< SB (Bit 0)                                            */
#define I2C1_SR1_SB_Msk                   (0x1UL)                   /*!< SB (Bitfield-Mask: 0x01)                              */
#define I2C1_SR1_ADDR_Pos                 (1UL)                     /*!< ADDR (Bit 1)                                          */
#define I2C1_SR1_ADDR_Msk                 (0x2UL)                   /*!< ADDR (Bitfield-Mask: 0x01)                            */
#define I2C1_SR1_BTF_Pos                  (2UL)                     /*!< BTF (Bit 2)                                           */
#define I2C1_SR1_BTF_Msk                  (0x4UL)                   /*!< BTF (Bitfield-Mask: 0x01)                             */
#define I2C1_SR1_ADD10_Pos                (3UL)                     /*!< ADD10 (Bit 3)                                         */
#define I2C1_SR1_ADD10_Msk                (0x8UL)                   /*!< ADD10 (Bitfield-Mask: 0x01)                           */
#define I2C1_SR1_STOPF_Pos                (4UL)                     /*!< STOPF (Bit 4)                                         */
#define I2C1_SR1_STOPF_Msk                (0x10UL)                  /*!< STOPF (Bitfield-Mask: 0x01)                           */
#define I2C1_SR1_RXNE_Pos                 (6UL)                     /*!< RXNE (Bit 6)                                          */
#define I2C1_SR1_RXNE_Msk                 (0x40UL)                  /*!< RXNE (Bitfield-Mask: 0x01)                            */
#define I2C1_SR1_TXE_Pos                  (7UL)                     /*!< TXE (Bit 7)                                           */
#define I2C1_SR1_TXE_Msk                  (0x80UL)                  /*!< TXE (Bitfield-Mask: 0x01)                             */
#define I2C1_SR1_BERR_Pos                 (8UL)                     /*!< BERR (Bit 8)                                          */
#define I2C1_SR1_BERR_Msk                 (0x100UL)                 /*!< BERR (Bitfield-Mask: 0x01)                            */
#define I2C1_SR1_ARLO_Pos                 (9UL)                     /*!< ARLO (Bit 9)                                          */
#define I2C1_SR1_ARLO_Msk                 (0x200UL)                 /*!< ARLO (Bitfield-Mask: 0x01)                            */
#define I2C1_SR1_AF_Pos                   (10UL)                    /*!< AF (Bit 10)                                           */
#define I2C1_SR1_AF_Msk                   (0x400UL)                 /*!< AF (Bitfield-Mask: 0x01)                              */
#define I2C1_SR1_OVR_Pos                  (11UL)                    /*!< OVR (Bit 11)                                          */
#define I2C1_SR1_OVR_Msk                  (0x800UL)                 /*!< OVR (Bitfield-Mask: 0x01)                             */
#define I2C1_SR1_PECERR_Pos               (12UL)                    /*!< PECERR (Bit 12)                                       */
#define I2C1_SR1_PECERR_Msk               (0x1000UL)                /*!< PECERR (Bitfield-Mask: 0x01)                          */
#define I2C1_SR1_TIMEOUT_Pos              (14UL)                    /*!< TIMEOUT (Bit 14)                                      */
#define I2C1_SR1_TIMEOUT_Msk              (0x4000UL)                /*!< TIMEOUT (Bitfield-Mask: 0x01)                         */
#define I2C1_SR1_SMBALERT_Pos             (15UL)                    /*!< SMBALERT (Bit 15)                                     */
#define I2C1_SR1_SMBALERT_Msk             (0x8000UL)                /*!< SMBALERT (Bitfield-Mask: 0x01)                        */
/* ==========================================================  SR2  ========================================================== */
#define I2C1_SR2_MSL_Pos                  (0UL)                     /*!< MSL (Bit 0)                                           */
#define I2C1_SR2_MSL_Msk                  (0x1UL)                   /*!< MSL (Bitfield-Mask: 0x01)                             */
#define I2C1_SR2_BUSY_Pos                 (1UL)                     /*!< BUSY (Bit 1)                                          */
#define I2C1_SR2_BUSY_Msk                 (0x2UL)                   /*!< BUSY (Bitfield-Mask: 0x01)                            */
#define I2C1_SR2_TRA_Pos                  (2UL)                     /*!< TRA (Bit 2)                                           */
#define I2C1_SR2_TRA_Msk                  (0x4UL)                   /*!< TRA (Bitfield-Mask: 0x01)                             */
#define I2C1_SR2_GENCALL_Pos              (4UL)                     /*!< GENCALL (Bit 4)                                       */
#define I2C1_SR2_GENCALL_Msk              (0x10UL)                  /*!< GENCALL (Bitfield-Mask: 0x01)                         */
#define I2C1_SR2_SMBDEFAULT_Pos           (5UL)                     /*!< SMBDEFAULT (Bit 5)                                    */
#define I2C1_SR2_SMBDEFAULT_Msk           (0x20UL)                  /*!< SMBDEFAULT (Bitfield-Mask: 0x01)                      */
#define I2C1_SR2_SMBHOST_Pos              (6UL)                     /*!< SMBHOST (Bit 6)                                       */
#define I2C1_SR2_SMBHOST_Msk              (0x40UL)                  /*!< SMBHOST (Bitfield-Mask: 0x01)                         */
#define I2C1_SR2_DUALF_Pos                (7UL)                     /*!< DUALF (Bit 7)                                         */
#define I2C1_SR2_DUALF_Msk                (0x80UL)                  /*!< DUALF (Bitfield-Mask: 0x01)                           */
#define I2C1_SR2_PEC_Pos                  (8UL)                     /*!< PEC (Bit 8)                                           */
#define I2C1_SR2_PEC_Msk                  (0xff00UL)                /*!< PEC (Bitfield-Mask: 0xff)                             */
/* ==========================================================  CCR  ========================================================== */
#define I2C1_CCR_CCR_Pos                  (0UL)                     /*!< CCR (Bit 0)                                           */
#define I2C1_CCR_CCR_Msk                  (0xfffUL)                 /*!< CCR (Bitfield-Mask: 0xfff)                            */
#define I2C1_CCR_FP_Pos                   (13UL)                    /*!< FP (Bit 13)                                           */
#define I2C1_CCR_FP_Msk                   (0x2000UL)                /*!< FP (Bitfield-Mask: 0x01)                              */
#define I2C1_CCR_DUTY_Pos                 (14UL)                    /*!< DUTY (Bit 14)                                         */
#define I2C1_CCR_DUTY_Msk                 (0x4000UL)                /*!< DUTY (Bitfield-Mask: 0x01)                            */
#define I2C1_CCR_FS_Pos                   (15UL)                    /*!< FS (Bit 15)                                           */
#define I2C1_CCR_FS_Msk                   (0x8000UL)                /*!< FS (Bitfield-Mask: 0x01)                              */
/* =========================================================  TRISE  ========================================================= */
#define I2C1_TRISE_TRISE_Pos              (0UL)                     /*!< TRISE (Bit 0)                                         */
#define I2C1_TRISE_TRISE_Msk              (0x7fUL)                  /*!< TRISE (Bitfield-Mask: 0x7f)                           */
#define I2C1_TRISE_TDATAHOLD_Pos          (7UL)                     /*!< TDATAHOLD (Bit 7)                                     */
#define I2C1_TRISE_TDATAHOLD_Msk          (0xf80UL)                 /*!< TDATAHOLD (Bitfield-Mask: 0x1f)                       */
#define I2C1_TRISE_TDATAHOLD_SEL_Pos      (12UL)                    /*!< TDATAHOLD_SEL (Bit 12)                                */
#define I2C1_TRISE_TDATAHOLD_SEL_Msk      (0x1000UL)                /*!< TDATAHOLD_SEL (Bitfield-Mask: 0x01)                   */
/* =======================================================  TIMEOUTR  ======================================================== */
#define I2C1_TIMEOUTR_TIMEOUTA_Pos        (0UL)                     /*!< TIMEOUTA (Bit 0)                                      */
#define I2C1_TIMEOUTR_TIMEOUTA_Msk        (0xfffUL)                 /*!< TIMEOUTA (Bitfield-Mask: 0xfff)                       */
#define I2C1_TIMEOUTR_TIDLE_Pos           (12UL)                    /*!< TIDLE (Bit 12)                                        */
#define I2C1_TIMEOUTR_TIDLE_Msk           (0x1000UL)                /*!< TIDLE (Bitfield-Mask: 0x01)                           */
#define I2C1_TIMEOUTR_TIMEOUTEN_Pos       (15UL)                    /*!< TIMEOUTEN (Bit 15)                                    */
#define I2C1_TIMEOUTR_TIMEOUTEN_Msk       (0x8000UL)                /*!< TIMEOUTEN (Bitfield-Mask: 0x01)                       */
#define I2C1_TIMEOUTR_TIMEOUTB_Pos        (16UL)                    /*!< TIMEOUTB (Bit 16)                                     */
#define I2C1_TIMEOUTR_TIMEOUTB_Msk        (0xfff0000UL)             /*!< TIMEOUTB (Bitfield-Mask: 0xfff)                       */
#define I2C1_TIMEOUTR_TEXTEN_Pos          (31UL)                    /*!< TEXTEN (Bit 31)                                       */
#define I2C1_TIMEOUTR_TEXTEN_Msk          (0x80000000UL)            /*!< TEXTEN (Bitfield-Mask: 0x01)                          */


/* =========================================================================================================================== */
/* ================                                           IWDG                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  KR  =========================================================== */
#define IWDG_KR_KEY_Pos                   (0UL)                     /*!< KEY (Bit 0)                                           */
#define IWDG_KR_KEY_Msk                   (0xffffUL)                /*!< KEY (Bitfield-Mask: 0xffff)                           */
/* ==========================================================  PR  =========================================================== */
#define IWDG_PR_PR_Pos                    (0UL)                     /*!< PR (Bit 0)                                            */
#define IWDG_PR_PR_Msk                    (0x7UL)                   /*!< PR (Bitfield-Mask: 0x07)                              */
/* ==========================================================  RLR  ========================================================== */
#define IWDG_RLR_RL_Pos                   (0UL)                     /*!< RL (Bit 0)                                            */
#define IWDG_RLR_RL_Msk                   (0xfffUL)                 /*!< RL (Bitfield-Mask: 0xfff)                             */
/* ==========================================================  SR  =========================================================== */
#define IWDG_SR_PVU_Pos                   (0UL)                     /*!< PVU (Bit 0)                                           */
#define IWDG_SR_PVU_Msk                   (0x1UL)                   /*!< PVU (Bitfield-Mask: 0x01)                             */
#define IWDG_SR_RVU_Pos                   (1UL)                     /*!< RVU (Bit 1)                                           */
#define IWDG_SR_RVU_Msk                   (0x2UL)                   /*!< RVU (Bitfield-Mask: 0x01)                             */


/* =========================================================================================================================== */
/* ================                                           LPTIM                                           ================ */
/* =========================================================================================================================== */

/* ==========================================================  ISR  ========================================================== */
#define LPTIM_ISR_CMPM_Pos                (0UL)                     /*!< CMPM (Bit 0)                                          */
#define LPTIM_ISR_CMPM_Msk                (0x1UL)                   /*!< CMPM (Bitfield-Mask: 0x01)                            */
#define LPTIM_ISR_ARRM_Pos                (1UL)                     /*!< ARRM (Bit 1)                                          */
#define LPTIM_ISR_ARRM_Msk                (0x2UL)                   /*!< ARRM (Bitfield-Mask: 0x01)                            */
#define LPTIM_ISR_EXTTRIG_Pos             (2UL)                     /*!< EXTTRIG (Bit 2)                                       */
#define LPTIM_ISR_EXTTRIG_Msk             (0x4UL)                   /*!< EXTTRIG (Bitfield-Mask: 0x01)                         */
#define LPTIM_ISR_CMPOK_Pos               (3UL)                     /*!< CMPOK (Bit 3)                                         */
#define LPTIM_ISR_CMPOK_Msk               (0x8UL)                   /*!< CMPOK (Bitfield-Mask: 0x01)                           */
#define LPTIM_ISR_ARROK_Pos               (4UL)                     /*!< ARROK (Bit 4)                                         */
#define LPTIM_ISR_ARROK_Msk               (0x10UL)                  /*!< ARROK (Bitfield-Mask: 0x01)                           */
#define LPTIM_ISR_UP_Pos                  (5UL)                     /*!< UP (Bit 5)                                            */
#define LPTIM_ISR_UP_Msk                  (0x20UL)                  /*!< UP (Bitfield-Mask: 0x01)                              */
#define LPTIM_ISR_DOWN_Pos                (6UL)                     /*!< DOWN (Bit 6)                                          */
#define LPTIM_ISR_DOWN_Msk                (0x40UL)                  /*!< DOWN (Bitfield-Mask: 0x01)                            */
/* ==========================================================  ICR  ========================================================== */
#define LPTIM_ICR_CMPMCF_Pos              (0UL)                     /*!< CMPMCF (Bit 0)                                        */
#define LPTIM_ICR_CMPMCF_Msk              (0x1UL)                   /*!< CMPMCF (Bitfield-Mask: 0x01)                          */
#define LPTIM_ICR_ARRMCF_Pos              (1UL)                     /*!< ARRMCF (Bit 1)                                        */
#define LPTIM_ICR_ARRMCF_Msk              (0x2UL)                   /*!< ARRMCF (Bitfield-Mask: 0x01)                          */
#define LPTIM_ICR_EXTTRIGCF_Pos           (2UL)                     /*!< EXTTRIGCF (Bit 2)                                     */
#define LPTIM_ICR_EXTTRIGCF_Msk           (0x4UL)                   /*!< EXTTRIGCF (Bitfield-Mask: 0x01)                       */
#define LPTIM_ICR_CMPOKCF_Pos             (3UL)                     /*!< CMPOKCF (Bit 3)                                       */
#define LPTIM_ICR_CMPOKCF_Msk             (0x8UL)                   /*!< CMPOKCF (Bitfield-Mask: 0x01)                         */
#define LPTIM_ICR_ARROKCF_Pos             (4UL)                     /*!< ARROKCF (Bit 4)                                       */
#define LPTIM_ICR_ARROKCF_Msk             (0x10UL)                  /*!< ARROKCF (Bitfield-Mask: 0x01)                         */
#define LPTIM_ICR_UPCF_Pos                (5UL)                     /*!< UPCF (Bit 5)                                          */
#define LPTIM_ICR_UPCF_Msk                (0x20UL)                  /*!< UPCF (Bitfield-Mask: 0x01)                            */
#define LPTIM_ICR_DOWNCF_Pos              (6UL)                     /*!< DOWNCF (Bit 6)                                        */
#define LPTIM_ICR_DOWNCF_Msk              (0x40UL)                  /*!< DOWNCF (Bitfield-Mask: 0x01)                          */
/* ==========================================================  IER  ========================================================== */
#define LPTIM_IER_CMPMIE_Pos              (0UL)                     /*!< CMPMIE (Bit 0)                                        */
#define LPTIM_IER_CMPMIE_Msk              (0x1UL)                   /*!< CMPMIE (Bitfield-Mask: 0x01)                          */
#define LPTIM_IER_ARRMIE_Pos              (1UL)                     /*!< ARRMIE (Bit 1)                                        */
#define LPTIM_IER_ARRMIE_Msk              (0x2UL)                   /*!< ARRMIE (Bitfield-Mask: 0x01)                          */
#define LPTIM_IER_EXTTRIGIE_Pos           (2UL)                     /*!< EXTTRIGIE (Bit 2)                                     */
#define LPTIM_IER_EXTTRIGIE_Msk           (0x4UL)                   /*!< EXTTRIGIE (Bitfield-Mask: 0x01)                       */
#define LPTIM_IER_CMPOKIE_Pos             (3UL)                     /*!< CMPOKIE (Bit 3)                                       */
#define LPTIM_IER_CMPOKIE_Msk             (0x8UL)                   /*!< CMPOKIE (Bitfield-Mask: 0x01)                         */
#define LPTIM_IER_ARROKIE_Pos             (4UL)                     /*!< ARROKIE (Bit 4)                                       */
#define LPTIM_IER_ARROKIE_Msk             (0x10UL)                  /*!< ARROKIE (Bitfield-Mask: 0x01)                         */
#define LPTIM_IER_UPIE_Pos                (5UL)                     /*!< UPIE (Bit 5)                                          */
#define LPTIM_IER_UPIE_Msk                (0x20UL)                  /*!< UPIE (Bitfield-Mask: 0x01)                            */
#define LPTIM_IER_DOWNIE_Pos              (6UL)                     /*!< DOWNIE (Bit 6)                                        */
#define LPTIM_IER_DOWNIE_Msk              (0x40UL)                  /*!< DOWNIE (Bitfield-Mask: 0x01)                          */
/* =========================================================  CFGR  ========================================================== */
#define LPTIM_CFGR_CKSEL_Pos              (0UL)                     /*!< CKSEL (Bit 0)                                         */
#define LPTIM_CFGR_CKSEL_Msk              (0x1UL)                   /*!< CKSEL (Bitfield-Mask: 0x01)                           */
#define LPTIM_CFGR_CKPOL_Pos              (1UL)                     /*!< CKPOL (Bit 1)                                         */
#define LPTIM_CFGR_CKPOL_Msk              (0x6UL)                   /*!< CKPOL (Bitfield-Mask: 0x03)                           */
#define LPTIM_CFGR_CKFLT_Pos              (3UL)                     /*!< CKFLT (Bit 3)                                         */
#define LPTIM_CFGR_CKFLT_Msk              (0x18UL)                  /*!< CKFLT (Bitfield-Mask: 0x03)                           */
#define LPTIM_CFGR_TRGFLT_Pos             (6UL)                     /*!< TRGFLT (Bit 6)                                        */
#define LPTIM_CFGR_TRGFLT_Msk             (0xc0UL)                  /*!< TRGFLT (Bitfield-Mask: 0x03)                          */
#define LPTIM_CFGR_PRESC_Pos              (9UL)                     /*!< PRESC (Bit 9)                                         */
#define LPTIM_CFGR_PRESC_Msk              (0xe00UL)                 /*!< PRESC (Bitfield-Mask: 0x07)                           */
#define LPTIM_CFGR_TRIGSEL_Pos            (13UL)                    /*!< TRIGSEL (Bit 13)                                      */
#define LPTIM_CFGR_TRIGSEL_Msk            (0xe000UL)                /*!< TRIGSEL (Bitfield-Mask: 0x07)                         */
#define LPTIM_CFGR_TRIGEN_Pos             (17UL)                    /*!< TRIGEN (Bit 17)                                       */
#define LPTIM_CFGR_TRIGEN_Msk             (0x60000UL)               /*!< TRIGEN (Bitfield-Mask: 0x03)                          */
#define LPTIM_CFGR_TIMOUT_Pos             (19UL)                    /*!< TIMOUT (Bit 19)                                       */
#define LPTIM_CFGR_TIMOUT_Msk             (0x80000UL)               /*!< TIMOUT (Bitfield-Mask: 0x01)                          */
#define LPTIM_CFGR_WAVE_Pos               (20UL)                    /*!< WAVE (Bit 20)                                         */
#define LPTIM_CFGR_WAVE_Msk               (0x100000UL)              /*!< WAVE (Bitfield-Mask: 0x01)                            */
#define LPTIM_CFGR_WAVPOL_Pos             (21UL)                    /*!< WAVPOL (Bit 21)                                       */
#define LPTIM_CFGR_WAVPOL_Msk             (0x200000UL)              /*!< WAVPOL (Bitfield-Mask: 0x01)                          */
#define LPTIM_CFGR_PRELOAD_Pos            (22UL)                    /*!< PRELOAD (Bit 22)                                      */
#define LPTIM_CFGR_PRELOAD_Msk            (0x400000UL)              /*!< PRELOAD (Bitfield-Mask: 0x01)                         */
#define LPTIM_CFGR_COUNTMODE_Pos          (23UL)                    /*!< COUNTMODE (Bit 23)                                    */
#define LPTIM_CFGR_COUNTMODE_Msk          (0x800000UL)              /*!< COUNTMODE (Bitfield-Mask: 0x01)                       */
#define LPTIM_CFGR_ENC_Pos                (24UL)                    /*!< ENC (Bit 24)                                          */
#define LPTIM_CFGR_ENC_Msk                (0x1000000UL)             /*!< ENC (Bitfield-Mask: 0x01)                             */
/* ==========================================================  CR  =========================================================== */
#define LPTIM_CR_ENABLE_Pos               (0UL)                     /*!< ENABLE (Bit 0)                                        */
#define LPTIM_CR_ENABLE_Msk               (0x1UL)                   /*!< ENABLE (Bitfield-Mask: 0x01)                          */
#define LPTIM_CR_SNGSTRT_Pos              (1UL)                     /*!< SNGSTRT (Bit 1)                                       */
#define LPTIM_CR_SNGSTRT_Msk              (0x2UL)                   /*!< SNGSTRT (Bitfield-Mask: 0x01)                         */
#define LPTIM_CR_CNTSTRT_Pos              (2UL)                     /*!< CNTSTRT (Bit 2)                                       */
#define LPTIM_CR_CNTSTRT_Msk              (0x4UL)                   /*!< CNTSTRT (Bitfield-Mask: 0x01)                         */
#define LPTIM_CR_COUNTRST_Pos             (3UL)                     /*!< COUNTRST (Bit 3)                                      */
#define LPTIM_CR_COUNTRST_Msk             (0x8UL)                   /*!< COUNTRST (Bitfield-Mask: 0x01)                        */
#define LPTIM_CR_RSTARE_Pos               (4UL)                     /*!< RSTARE (Bit 4)                                        */
#define LPTIM_CR_RSTARE_Msk               (0x10UL)                  /*!< RSTARE (Bitfield-Mask: 0x01)                          */
/* ==========================================================  CMP  ========================================================== */
#define LPTIM_CMP_CMP_Pos                 (0UL)                     /*!< CMP (Bit 0)                                           */
#define LPTIM_CMP_CMP_Msk                 (0xffffUL)                /*!< CMP (Bitfield-Mask: 0xffff)                           */
/* ==========================================================  ARR  ========================================================== */
#define LPTIM_ARR_ARR_Pos                 (0UL)                     /*!< ARR (Bit 0)                                           */
#define LPTIM_ARR_ARR_Msk                 (0xffffUL)                /*!< ARR (Bitfield-Mask: 0xffff)                           */
/* ==========================================================  CNT  ========================================================== */
#define LPTIM_CNT_CNT_Pos                 (0UL)                     /*!< CNT (Bit 0)                                           */
#define LPTIM_CNT_CNT_Msk                 (0xffffUL)                /*!< CNT (Bitfield-Mask: 0xffff)                           */
/* ==========================================================  OR  =========================================================== */
#define LPTIM_OR_IN1_L_Pos                (0UL)                     /*!< IN1_L (Bit 0)                                         */
#define LPTIM_OR_IN1_L_Msk                (0x1UL)                   /*!< IN1_L (Bitfield-Mask: 0x01)                           */
#define LPTIM_OR_IN2_L_Pos                (1UL)                     /*!< IN2_L (Bit 1)                                         */
#define LPTIM_OR_IN2_L_Msk                (0x2UL)                   /*!< IN2_L (Bitfield-Mask: 0x01)                           */
#define LPTIM_OR_IN1_H_Pos                (2UL)                     /*!< IN1_H (Bit 2)                                         */
#define LPTIM_OR_IN1_H_Msk                (0xcUL)                   /*!< IN1_H (Bitfield-Mask: 0x03)                           */
#define LPTIM_OR_IN2_H_Pos                (4UL)                     /*!< IN2_H (Bit 4)                                         */
#define LPTIM_OR_IN2_H_Msk                (0x30UL)                  /*!< IN2_H (Bitfield-Mask: 0x03)                           */


/* =========================================================================================================================== */
/* ================                                          LPUART                                           ================ */
/* =========================================================================================================================== */

/* ==========================================================  CR1  ========================================================== */
#define LPUART_CR1_UE_Pos                 (0UL)                     /*!< UE (Bit 0)                                            */
#define LPUART_CR1_UE_Msk                 (0x1UL)                   /*!< UE (Bitfield-Mask: 0x01)                              */
#define LPUART_CR1_UESM_Pos               (1UL)                     /*!< UESM (Bit 1)                                          */
#define LPUART_CR1_UESM_Msk               (0x2UL)                   /*!< UESM (Bitfield-Mask: 0x01)                            */
#define LPUART_CR1_RE_Pos                 (2UL)                     /*!< RE (Bit 2)                                            */
#define LPUART_CR1_RE_Msk                 (0x4UL)                   /*!< RE (Bitfield-Mask: 0x01)                              */
#define LPUART_CR1_TE_Pos                 (3UL)                     /*!< TE (Bit 3)                                            */
#define LPUART_CR1_TE_Msk                 (0x8UL)                   /*!< TE (Bitfield-Mask: 0x01)                              */
#define LPUART_CR1_IDLEIE_Pos             (4UL)                     /*!< IDLEIE (Bit 4)                                        */
#define LPUART_CR1_IDLEIE_Msk             (0x10UL)                  /*!< IDLEIE (Bitfield-Mask: 0x01)                          */
#define LPUART_CR1_RXFNEIE_Pos            (5UL)                     /*!< RXFNEIE (Bit 5)                                       */
#define LPUART_CR1_RXFNEIE_Msk            (0x20UL)                  /*!< RXFNEIE (Bitfield-Mask: 0x01)                         */
#define LPUART_CR1_TCIE_Pos               (6UL)                     /*!< TCIE (Bit 6)                                          */
#define LPUART_CR1_TCIE_Msk               (0x40UL)                  /*!< TCIE (Bitfield-Mask: 0x01)                            */
#define LPUART_CR1_TXFNFIE_Pos            (7UL)                     /*!< TXFNFIE (Bit 7)                                       */
#define LPUART_CR1_TXFNFIE_Msk            (0x80UL)                  /*!< TXFNFIE (Bitfield-Mask: 0x01)                         */
#define LPUART_CR1_PEIE_Pos               (8UL)                     /*!< PEIE (Bit 8)                                          */
#define LPUART_CR1_PEIE_Msk               (0x100UL)                 /*!< PEIE (Bitfield-Mask: 0x01)                            */
#define LPUART_CR1_PS_Pos                 (9UL)                     /*!< PS (Bit 9)                                            */
#define LPUART_CR1_PS_Msk                 (0x200UL)                 /*!< PS (Bitfield-Mask: 0x01)                              */
#define LPUART_CR1_PCE_Pos                (10UL)                    /*!< PCE (Bit 10)                                          */
#define LPUART_CR1_PCE_Msk                (0x400UL)                 /*!< PCE (Bitfield-Mask: 0x01)                             */
#define LPUART_CR1_WAKE_Pos               (11UL)                    /*!< WAKE (Bit 11)                                         */
#define LPUART_CR1_WAKE_Msk               (0x800UL)                 /*!< WAKE (Bitfield-Mask: 0x01)                            */
#define LPUART_CR1_M0_Pos                 (12UL)                    /*!< M0 (Bit 12)                                           */
#define LPUART_CR1_M0_Msk                 (0x1000UL)                /*!< M0 (Bitfield-Mask: 0x01)                              */
#define LPUART_CR1_MME_Pos                (13UL)                    /*!< MME (Bit 13)                                          */
#define LPUART_CR1_MME_Msk                (0x2000UL)                /*!< MME (Bitfield-Mask: 0x01)                             */
#define LPUART_CR1_CMIE_Pos               (14UL)                    /*!< CMIE (Bit 14)                                         */
#define LPUART_CR1_CMIE_Msk               (0x4000UL)                /*!< CMIE (Bitfield-Mask: 0x01)                            */
#define LPUART_CR1_DEDT_Pos               (16UL)                    /*!< DEDT (Bit 16)                                         */
#define LPUART_CR1_DEDT_Msk               (0x1f0000UL)              /*!< DEDT (Bitfield-Mask: 0x1f)                            */
#define LPUART_CR1_DEAT_Pos               (21UL)                    /*!< DEAT (Bit 21)                                         */
#define LPUART_CR1_DEAT_Msk               (0x3e00000UL)             /*!< DEAT (Bitfield-Mask: 0x1f)                            */
#define LPUART_CR1_M1_Pos                 (28UL)                    /*!< M1 (Bit 28)                                           */
#define LPUART_CR1_M1_Msk                 (0x10000000UL)            /*!< M1 (Bitfield-Mask: 0x01)                              */
#define LPUART_CR1_FIFOEN_Pos             (29UL)                    /*!< FIFOEN (Bit 29)                                       */
#define LPUART_CR1_FIFOEN_Msk             (0x20000000UL)            /*!< FIFOEN (Bitfield-Mask: 0x01)                          */
#define LPUART_CR1_TXFEIE_Pos             (30UL)                    /*!< TXFEIE (Bit 30)                                       */
#define LPUART_CR1_TXFEIE_Msk             (0x40000000UL)            /*!< TXFEIE (Bitfield-Mask: 0x01)                          */
#define LPUART_CR1_RXFFIE_Pos             (31UL)                    /*!< RXFFIE (Bit 31)                                       */
#define LPUART_CR1_RXFFIE_Msk             (0x80000000UL)            /*!< RXFFIE (Bitfield-Mask: 0x01)                          */
/* ==========================================================  CR2  ========================================================== */
#define LPUART_CR2_ADDM7_Pos              (4UL)                     /*!< ADDM7 (Bit 4)                                         */
#define LPUART_CR2_ADDM7_Msk              (0x10UL)                  /*!< ADDM7 (Bitfield-Mask: 0x01)                           */
#define LPUART_CR2_STOP_Pos               (12UL)                    /*!< STOP (Bit 12)                                         */
#define LPUART_CR2_STOP_Msk               (0x3000UL)                /*!< STOP (Bitfield-Mask: 0x03)                            */
#define LPUART_CR2_SWAP_Pos               (15UL)                    /*!< SWAP (Bit 15)                                         */
#define LPUART_CR2_SWAP_Msk               (0x8000UL)                /*!< SWAP (Bitfield-Mask: 0x01)                            */
#define LPUART_CR2_RXINV_Pos              (16UL)                    /*!< RXINV (Bit 16)                                        */
#define LPUART_CR2_RXINV_Msk              (0x10000UL)               /*!< RXINV (Bitfield-Mask: 0x01)                           */
#define LPUART_CR2_TXINV_Pos              (17UL)                    /*!< TXINV (Bit 17)                                        */
#define LPUART_CR2_TXINV_Msk              (0x20000UL)               /*!< TXINV (Bitfield-Mask: 0x01)                           */
#define LPUART_CR2_DATAINV_Pos            (18UL)                    /*!< DATAINV (Bit 18)                                      */
#define LPUART_CR2_DATAINV_Msk            (0x40000UL)               /*!< DATAINV (Bitfield-Mask: 0x01)                         */
#define LPUART_CR2_MSBFIRST_Pos           (19UL)                    /*!< MSBFIRST (Bit 19)                                     */
#define LPUART_CR2_MSBFIRST_Msk           (0x80000UL)               /*!< MSBFIRST (Bitfield-Mask: 0x01)                        */
#define LPUART_CR2_TXOE_ALWAYS_ON_Pos     (20UL)                    /*!< TXOE_ALWAYS_ON (Bit 20)                               */
#define LPUART_CR2_TXOE_ALWAYS_ON_Msk     (0x100000UL)              /*!< TXOE_ALWAYS_ON (Bitfield-Mask: 0x01)                  */
#define LPUART_CR2_ADD_Pos                (24UL)                    /*!< ADD (Bit 24)                                          */
#define LPUART_CR2_ADD_Msk                (0xff000000UL)            /*!< ADD (Bitfield-Mask: 0xff)                             */
/* ==========================================================  CR3  ========================================================== */
#define LPUART_CR3_EIE_Pos                (0UL)                     /*!< EIE (Bit 0)                                           */
#define LPUART_CR3_EIE_Msk                (0x1UL)                   /*!< EIE (Bitfield-Mask: 0x01)                             */
#define LPUART_CR3_HDSEL_Pos              (3UL)                     /*!< HDSEL (Bit 3)                                         */
#define LPUART_CR3_HDSEL_Msk              (0x8UL)                   /*!< HDSEL (Bitfield-Mask: 0x01)                           */
#define LPUART_CR3_DMAR_Pos               (6UL)                     /*!< DMAR (Bit 6)                                          */
#define LPUART_CR3_DMAR_Msk               (0x40UL)                  /*!< DMAR (Bitfield-Mask: 0x01)                            */
#define LPUART_CR3_DMAT_Pos               (7UL)                     /*!< DMAT (Bit 7)                                          */
#define LPUART_CR3_DMAT_Msk               (0x80UL)                  /*!< DMAT (Bitfield-Mask: 0x01)                            */
#define LPUART_CR3_RTSE_Pos               (8UL)                     /*!< RTSE (Bit 8)                                          */
#define LPUART_CR3_RTSE_Msk               (0x100UL)                 /*!< RTSE (Bitfield-Mask: 0x01)                            */
#define LPUART_CR3_CTSE_Pos               (9UL)                     /*!< CTSE (Bit 9)                                          */
#define LPUART_CR3_CTSE_Msk               (0x200UL)                 /*!< CTSE (Bitfield-Mask: 0x01)                            */
#define LPUART_CR3_CTSIE_Pos              (10UL)                    /*!< CTSIE (Bit 10)                                        */
#define LPUART_CR3_CTSIE_Msk              (0x400UL)                 /*!< CTSIE (Bitfield-Mask: 0x01)                           */
#define LPUART_CR3_OVRDIS_Pos             (12UL)                    /*!< OVRDIS (Bit 12)                                       */
#define LPUART_CR3_OVRDIS_Msk             (0x1000UL)                /*!< OVRDIS (Bitfield-Mask: 0x01)                          */
#define LPUART_CR3_DDRE_Pos               (13UL)                    /*!< DDRE (Bit 13)                                         */
#define LPUART_CR3_DDRE_Msk               (0x2000UL)                /*!< DDRE (Bitfield-Mask: 0x01)                            */
#define LPUART_CR3_DEM_Pos                (14UL)                    /*!< DEM (Bit 14)                                          */
#define LPUART_CR3_DEM_Msk                (0x4000UL)                /*!< DEM (Bitfield-Mask: 0x01)                             */
#define LPUART_CR3_DEP_Pos                (15UL)                    /*!< DEP (Bit 15)                                          */
#define LPUART_CR3_DEP_Msk                (0x8000UL)                /*!< DEP (Bitfield-Mask: 0x01)                             */
#define LPUART_CR3_WUS_Pos                (20UL)                    /*!< WUS (Bit 20)                                          */
#define LPUART_CR3_WUS_Msk                (0x300000UL)              /*!< WUS (Bitfield-Mask: 0x03)                             */
#define LPUART_CR3_WUFIE_Pos              (22UL)                    /*!< WUFIE (Bit 22)                                        */
#define LPUART_CR3_WUFIE_Msk              (0x400000UL)              /*!< WUFIE (Bitfield-Mask: 0x01)                           */
#define LPUART_CR3_TXFTIE_Pos             (23UL)                    /*!< TXFTIE (Bit 23)                                       */
#define LPUART_CR3_TXFTIE_Msk             (0x800000UL)              /*!< TXFTIE (Bitfield-Mask: 0x01)                          */
#define LPUART_CR3_RXFTCFG_Pos            (25UL)                    /*!< RXFTCFG (Bit 25)                                      */
#define LPUART_CR3_RXFTCFG_Msk            (0xe000000UL)             /*!< RXFTCFG (Bitfield-Mask: 0x07)                         */
#define LPUART_CR3_RXFTIE_Pos             (28UL)                    /*!< RXFTIE (Bit 28)                                       */
#define LPUART_CR3_RXFTIE_Msk             (0x10000000UL)            /*!< RXFTIE (Bitfield-Mask: 0x01)                          */
#define LPUART_CR3_TXFTCFG_Pos            (29UL)                    /*!< TXFTCFG (Bit 29)                                      */
#define LPUART_CR3_TXFTCFG_Msk            (0xe0000000UL)            /*!< TXFTCFG (Bitfield-Mask: 0x07)                         */
/* ==========================================================  BRR  ========================================================== */
#define LPUART_BRR_BBR_Pos                (0UL)                     /*!< BBR (Bit 0)                                           */
#define LPUART_BRR_BBR_Msk                (0xfffffUL)               /*!< BBR (Bitfield-Mask: 0xfffff)                          */
/* ==========================================================  RQR  ========================================================== */
#define LPUART_RQR_SBKRQ_Pos              (1UL)                     /*!< SBKRQ (Bit 1)                                         */
#define LPUART_RQR_SBKRQ_Msk              (0x2UL)                   /*!< SBKRQ (Bitfield-Mask: 0x01)                           */
#define LPUART_RQR_MMRQ_Pos               (2UL)                     /*!< MMRQ (Bit 2)                                          */
#define LPUART_RQR_MMRQ_Msk               (0x4UL)                   /*!< MMRQ (Bitfield-Mask: 0x01)                            */
#define LPUART_RQR_RXFRQ_Pos              (3UL)                     /*!< RXFRQ (Bit 3)                                         */
#define LPUART_RQR_RXFRQ_Msk              (0x8UL)                   /*!< RXFRQ (Bitfield-Mask: 0x01)                           */
#define LPUART_RQR_TXFRQ_Pos              (4UL)                     /*!< TXFRQ (Bit 4)                                         */
#define LPUART_RQR_TXFRQ_Msk              (0x10UL)                  /*!< TXFRQ (Bitfield-Mask: 0x01)                           */
/* ==========================================================  ISR  ========================================================== */
#define LPUART_ISR_PE_Pos                 (0UL)                     /*!< PE (Bit 0)                                            */
#define LPUART_ISR_PE_Msk                 (0x1UL)                   /*!< PE (Bitfield-Mask: 0x01)                              */
#define LPUART_ISR_FE_Pos                 (1UL)                     /*!< FE (Bit 1)                                            */
#define LPUART_ISR_FE_Msk                 (0x2UL)                   /*!< FE (Bitfield-Mask: 0x01)                              */
#define LPUART_ISR_NE_Pos                 (2UL)                     /*!< NE (Bit 2)                                            */
#define LPUART_ISR_NE_Msk                 (0x4UL)                   /*!< NE (Bitfield-Mask: 0x01)                              */
#define LPUART_ISR_ORE_Pos                (3UL)                     /*!< ORE (Bit 3)                                           */
#define LPUART_ISR_ORE_Msk                (0x8UL)                   /*!< ORE (Bitfield-Mask: 0x01)                             */
#define LPUART_ISR_IDLE_Pos               (4UL)                     /*!< IDLE (Bit 4)                                          */
#define LPUART_ISR_IDLE_Msk               (0x10UL)                  /*!< IDLE (Bitfield-Mask: 0x01)                            */
#define LPUART_ISR_RXFNE_Pos              (5UL)                     /*!< RXFNE (Bit 5)                                         */
#define LPUART_ISR_RXFNE_Msk              (0x20UL)                  /*!< RXFNE (Bitfield-Mask: 0x01)                           */
#define LPUART_ISR_TC_Pos                 (6UL)                     /*!< TC (Bit 6)                                            */
#define LPUART_ISR_TC_Msk                 (0x40UL)                  /*!< TC (Bitfield-Mask: 0x01)                              */
#define LPUART_ISR_TXFNF_Pos              (7UL)                     /*!< TXFNF (Bit 7)                                         */
#define LPUART_ISR_TXFNF_Msk              (0x80UL)                  /*!< TXFNF (Bitfield-Mask: 0x01)                           */
#define LPUART_ISR_CTSIF_Pos              (9UL)                     /*!< CTSIF (Bit 9)                                         */
#define LPUART_ISR_CTSIF_Msk              (0x200UL)                 /*!< CTSIF (Bitfield-Mask: 0x01)                           */
#define LPUART_ISR_CTS_Pos                (10UL)                    /*!< CTS (Bit 10)                                          */
#define LPUART_ISR_CTS_Msk                (0x400UL)                 /*!< CTS (Bitfield-Mask: 0x01)                             */
#define LPUART_ISR_BUSY_Pos               (16UL)                    /*!< BUSY (Bit 16)                                         */
#define LPUART_ISR_BUSY_Msk               (0x10000UL)               /*!< BUSY (Bitfield-Mask: 0x01)                            */
#define LPUART_ISR_CMF_Pos                (17UL)                    /*!< CMF (Bit 17)                                          */
#define LPUART_ISR_CMF_Msk                (0x20000UL)               /*!< CMF (Bitfield-Mask: 0x01)                             */
#define LPUART_ISR_SBKF_Pos               (18UL)                    /*!< SBKF (Bit 18)                                         */
#define LPUART_ISR_SBKF_Msk               (0x40000UL)               /*!< SBKF (Bitfield-Mask: 0x01)                            */
#define LPUART_ISR_RWU_Pos                (19UL)                    /*!< RWU (Bit 19)                                          */
#define LPUART_ISR_RWU_Msk                (0x80000UL)               /*!< RWU (Bitfield-Mask: 0x01)                             */
#define LPUART_ISR_WUF_Pos                (20UL)                    /*!< WUF (Bit 20)                                          */
#define LPUART_ISR_WUF_Msk                (0x100000UL)              /*!< WUF (Bitfield-Mask: 0x01)                             */
#define LPUART_ISR_TEACK_Pos              (21UL)                    /*!< TEACK (Bit 21)                                        */
#define LPUART_ISR_TEACK_Msk              (0x200000UL)              /*!< TEACK (Bitfield-Mask: 0x01)                           */
#define LPUART_ISR_REACK_Pos              (22UL)                    /*!< REACK (Bit 22)                                        */
#define LPUART_ISR_REACK_Msk              (0x400000UL)              /*!< REACK (Bitfield-Mask: 0x01)                           */
#define LPUART_ISR_TXFE_Pos               (23UL)                    /*!< TXFE (Bit 23)                                         */
#define LPUART_ISR_TXFE_Msk               (0x800000UL)              /*!< TXFE (Bitfield-Mask: 0x01)                            */
#define LPUART_ISR_RXFF_Pos               (24UL)                    /*!< RXFF (Bit 24)                                         */
#define LPUART_ISR_RXFF_Msk               (0x1000000UL)             /*!< RXFF (Bitfield-Mask: 0x01)                            */
#define LPUART_ISR_RXFT_Pos               (26UL)                    /*!< RXFT (Bit 26)                                         */
#define LPUART_ISR_RXFT_Msk               (0x4000000UL)             /*!< RXFT (Bitfield-Mask: 0x01)                            */
#define LPUART_ISR_TXFT_Pos               (27UL)                    /*!< TXFT (Bit 27)                                         */
#define LPUART_ISR_TXFT_Msk               (0x8000000UL)             /*!< TXFT (Bitfield-Mask: 0x01)                            */
/* ==========================================================  ICR  ========================================================== */
#define LPUART_ICR_PECF_Pos               (0UL)                     /*!< PECF (Bit 0)                                          */
#define LPUART_ICR_PECF_Msk               (0x1UL)                   /*!< PECF (Bitfield-Mask: 0x01)                            */
#define LPUART_ICR_FECF_Pos               (1UL)                     /*!< FECF (Bit 1)                                          */
#define LPUART_ICR_FECF_Msk               (0x2UL)                   /*!< FECF (Bitfield-Mask: 0x01)                            */
#define LPUART_ICR_NECF_Pos               (2UL)                     /*!< NECF (Bit 2)                                          */
#define LPUART_ICR_NECF_Msk               (0x4UL)                   /*!< NECF (Bitfield-Mask: 0x01)                            */
#define LPUART_ICR_ORECF_Pos              (3UL)                     /*!< ORECF (Bit 3)                                         */
#define LPUART_ICR_ORECF_Msk              (0x8UL)                   /*!< ORECF (Bitfield-Mask: 0x01)                           */
#define LPUART_ICR_IDLECF_Pos             (4UL)                     /*!< IDLECF (Bit 4)                                        */
#define LPUART_ICR_IDLECF_Msk             (0x10UL)                  /*!< IDLECF (Bitfield-Mask: 0x01)                          */
#define LPUART_ICR_TCCF_Pos               (6UL)                     /*!< TCCF (Bit 6)                                          */
#define LPUART_ICR_TCCF_Msk               (0x40UL)                  /*!< TCCF (Bitfield-Mask: 0x01)                            */
#define LPUART_ICR_CTSCF_Pos              (9UL)                     /*!< CTSCF (Bit 9)                                         */
#define LPUART_ICR_CTSCF_Msk              (0x200UL)                 /*!< CTSCF (Bitfield-Mask: 0x01)                           */
#define LPUART_ICR_CMCF_Pos               (17UL)                    /*!< CMCF (Bit 17)                                         */
#define LPUART_ICR_CMCF_Msk               (0x20000UL)               /*!< CMCF (Bitfield-Mask: 0x01)                            */
#define LPUART_ICR_WUCF_Pos               (20UL)                    /*!< WUCF (Bit 20)                                         */
#define LPUART_ICR_WUCF_Msk               (0x100000UL)              /*!< WUCF (Bitfield-Mask: 0x01)                            */
/* ==========================================================  RDR  ========================================================== */
#define LPUART_RDR_RDR_Pos                (0UL)                     /*!< RDR (Bit 0)                                           */
#define LPUART_RDR_RDR_Msk                (0x1ffUL)                 /*!< RDR (Bitfield-Mask: 0x1ff)                            */
/* ==========================================================  TDR  ========================================================== */
#define LPUART_TDR_TDR_Pos                (0UL)                     /*!< TDR (Bit 0)                                           */
#define LPUART_TDR_TDR_Msk                (0x1ffUL)                 /*!< TDR (Bitfield-Mask: 0x1ff)                            */
/* =========================================================  PRESC  ========================================================= */
#define LPUART_PRESC_PRESCALER_Pos        (0UL)                     /*!< PRESCALER (Bit 0)                                     */
#define LPUART_PRESC_PRESCALER_Msk        (0xfUL)                   /*!< PRESCALER (Bitfield-Mask: 0x0f)                       */


/* =========================================================================================================================== */
/* ================                                            OPA                                            ================ */
/* =========================================================================================================================== */

/* =======================================================  OPA1_CSR  ======================================================== */
#define OPA_OPA1_CSR_OPAEN_Pos            (0UL)                     /*!< OPAEN (Bit 0)                                         */
#define OPA_OPA1_CSR_OPAEN_Msk            (0x1UL)                   /*!< OPAEN (Bitfield-Mask: 0x01)                           */
#define OPA_OPA1_CSR_OPAINTOEN_Pos        (8UL)                     /*!< OPAINTOEN (Bit 8)                                     */
#define OPA_OPA1_CSR_OPAINTOEN_Msk        (0x100UL)                 /*!< OPAINTOEN (Bitfield-Mask: 0x01)                       */
#define OPA_OPA1_CSR_LOCK_Pos             (31UL)                    /*!< LOCK (Bit 31)                                         */
#define OPA_OPA1_CSR_LOCK_Msk             (0x80000000UL)            /*!< LOCK (Bitfield-Mask: 0x01)                            */
/* =======================================================  OPA2_CSR  ======================================================== */
#define OPA_OPA2_CSR_OPAEN_Pos            (0UL)                     /*!< OPAEN (Bit 0)                                         */
#define OPA_OPA2_CSR_OPAEN_Msk            (0x1UL)                   /*!< OPAEN (Bitfield-Mask: 0x01)                           */
#define OPA_OPA2_CSR_OPA_CMP_CR_Pos       (1UL)                     /*!< OPA_CMP_CR (Bit 1)                                    */
#define OPA_OPA2_CSR_OPA_CMP_CR_Msk       (0x2UL)                   /*!< OPA_CMP_CR (Bitfield-Mask: 0x01)                      */
#define OPA_OPA2_CSR_OPAINTOEN_Pos        (8UL)                     /*!< OPAINTOEN (Bit 8)                                     */
#define OPA_OPA2_CSR_OPAINTOEN_Msk        (0x100UL)                 /*!< OPAINTOEN (Bitfield-Mask: 0x01)                       */
#define OPA_OPA2_CSR_OPA_CMP_OUT_Pos      (30UL)                    /*!< OPA_CMP_OUT (Bit 30)                                  */
#define OPA_OPA2_CSR_OPA_CMP_OUT_Msk      (0x40000000UL)            /*!< OPA_CMP_OUT (Bitfield-Mask: 0x01)                     */
#define OPA_OPA2_CSR_LOCK_Pos             (31UL)                    /*!< LOCK (Bit 31)                                         */
#define OPA_OPA2_CSR_LOCK_Msk             (0x80000000UL)            /*!< LOCK (Bitfield-Mask: 0x01)                            */
/* ========================================================  OPA2_FR  ======================================================== */
#define OPA_OPA2_FR_FLTEN_Pos             (0UL)                     /*!< FLTEN (Bit 0)                                         */
#define OPA_OPA2_FR_FLTEN_Msk             (0x1UL)                   /*!< FLTEN (Bitfield-Mask: 0x01)                           */
#define OPA_OPA2_FR_FLTCNT_Pos            (16UL)                    /*!< FLTCNT (Bit 16)                                       */
#define OPA_OPA2_FR_FLTCNT_Msk            (0xffff0000UL)            /*!< FLTCNT (Bitfield-Mask: 0xffff)                        */


/* =========================================================================================================================== */
/* ================                                           PWM1                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  CR1  ========================================================== */
#define PWM1_CR1_CEN_Pos                  (0UL)                     /*!< CEN (Bit 0)                                           */
#define PWM1_CR1_CEN_Msk                  (0x1UL)                   /*!< CEN (Bitfield-Mask: 0x01)                             */
#define PWM1_CR1_UDIS_Pos                 (1UL)                     /*!< UDIS (Bit 1)                                          */
#define PWM1_CR1_UDIS_Msk                 (0x2UL)                   /*!< UDIS (Bitfield-Mask: 0x01)                            */
#define PWM1_CR1_URS_Pos                  (2UL)                     /*!< URS (Bit 2)                                           */
#define PWM1_CR1_URS_Msk                  (0x4UL)                   /*!< URS (Bitfield-Mask: 0x01)                             */
#define PWM1_CR1_DIR_Pos                  (4UL)                     /*!< DIR (Bit 4)                                           */
#define PWM1_CR1_DIR_Msk                  (0x10UL)                  /*!< DIR (Bitfield-Mask: 0x01)                             */
#define PWM1_CR1_CMS_Pos                  (5UL)                     /*!< CMS (Bit 5)                                           */
#define PWM1_CR1_CMS_Msk                  (0x60UL)                  /*!< CMS (Bitfield-Mask: 0x03)                             */
#define PWM1_CR1_ARPE_Pos                 (7UL)                     /*!< ARPE (Bit 7)                                          */
#define PWM1_CR1_ARPE_Msk                 (0x80UL)                  /*!< ARPE (Bitfield-Mask: 0x01)                            */
#define PWM1_CR1_CKD_Pos                  (8UL)                     /*!< CKD (Bit 8)                                           */
#define PWM1_CR1_CKD_Msk                  (0x300UL)                 /*!< CKD (Bitfield-Mask: 0x03)                             */
#define PWM1_CR1_INTR_SEL_Pos             (12UL)                    /*!< INTR_SEL (Bit 12)                                     */
#define PWM1_CR1_INTR_SEL_Msk             (0x3000UL)                /*!< INTR_SEL (Bitfield-Mask: 0x03)                        */
#define PWM1_CR1_PWM_PHS_EN_Pos           (14UL)                    /*!< PWM_PHS_EN (Bit 14)                                   */
#define PWM1_CR1_PWM_PHS_EN_Msk           (0x4000UL)                /*!< PWM_PHS_EN (Bitfield-Mask: 0x01)                      */
/* ==========================================================  CR2  ========================================================== */
#define PWM1_CR2_BKINE_Pos                (0UL)                     /*!< BKINE (Bit 0)                                         */
#define PWM1_CR2_BKINE_Msk                (0x1UL)                   /*!< BKINE (Bitfield-Mask: 0x01)                           */
#define PWM1_CR2_BKCMP1E_Pos              (1UL)                     /*!< BKCMP1E (Bit 1)                                       */
#define PWM1_CR2_BKCMP1E_Msk              (0x2UL)                   /*!< BKCMP1E (Bitfield-Mask: 0x01)                         */
#define PWM1_CR2_BKCMP2E_Pos              (2UL)                     /*!< BKCMP2E (Bit 2)                                       */
#define PWM1_CR2_BKCMP2E_Msk              (0x4UL)                   /*!< BKCMP2E (Bitfield-Mask: 0x01)                         */
#define PWM1_CR2_BKINP_Pos                (9UL)                     /*!< BKINP (Bit 9)                                         */
#define PWM1_CR2_BKINP_Msk                (0x200UL)                 /*!< BKINP (Bitfield-Mask: 0x01)                           */
#define PWM1_CR2_BKCMP1P_Pos              (10UL)                    /*!< BKCMP1P (Bit 10)                                      */
#define PWM1_CR2_BKCMP1P_Msk              (0x400UL)                 /*!< BKCMP1P (Bitfield-Mask: 0x01)                         */
#define PWM1_CR2_BKCMP2P_Pos              (11UL)                    /*!< BKCMP2P (Bit 11)                                      */
#define PWM1_CR2_BKCMP2P_Msk              (0x800UL)                 /*!< BKCMP2P (Bitfield-Mask: 0x01)                         */
#define PWM1_CR2_ETRSEL_Pos               (13UL)                    /*!< ETRSEL (Bit 13)                                       */
#define PWM1_CR2_ETRSEL_Msk               (0xe000UL)                /*!< ETRSEL (Bitfield-Mask: 0x07)                          */
/* =========================================================  SMCR  ========================================================== */
#define PWM1_SMCR_ETF_Pos                 (8UL)                     /*!< ETF (Bit 8)                                           */
#define PWM1_SMCR_ETF_Msk                 (0xf00UL)                 /*!< ETF (Bitfield-Mask: 0x0f)                             */
#define PWM1_SMCR_ETPS_Pos                (12UL)                    /*!< ETPS (Bit 12)                                         */
#define PWM1_SMCR_ETPS_Msk                (0x3000UL)                /*!< ETPS (Bitfield-Mask: 0x03)                            */
#define PWM1_SMCR_ECE_Pos                 (14UL)                    /*!< ECE (Bit 14)                                          */
#define PWM1_SMCR_ECE_Msk                 (0x4000UL)                /*!< ECE (Bitfield-Mask: 0x01)                             */
#define PWM1_SMCR_ETP_Pos                 (15UL)                    /*!< ETP (Bit 15)                                          */
#define PWM1_SMCR_ETP_Msk                 (0x8000UL)                /*!< ETP (Bitfield-Mask: 0x01)                             */
/* =========================================================  DIER  ========================================================== */
#define PWM1_DIER_UIE_Pos                 (0UL)                     /*!< UIE (Bit 0)                                           */
#define PWM1_DIER_UIE_Msk                 (0x1UL)                   /*!< UIE (Bitfield-Mask: 0x01)                             */
#define PWM1_DIER_OC1IE_Pos               (1UL)                     /*!< OC1IE (Bit 1)                                         */
#define PWM1_DIER_OC1IE_Msk               (0x2UL)                   /*!< OC1IE (Bitfield-Mask: 0x01)                           */
#define PWM1_DIER_OC2IE_Pos               (2UL)                     /*!< OC2IE (Bit 2)                                         */
#define PWM1_DIER_OC2IE_Msk               (0x4UL)                   /*!< OC2IE (Bitfield-Mask: 0x01)                           */
#define PWM1_DIER_OC3IE_Pos               (3UL)                     /*!< OC3IE (Bit 3)                                         */
#define PWM1_DIER_OC3IE_Msk               (0x8UL)                   /*!< OC3IE (Bitfield-Mask: 0x01)                           */
#define PWM1_DIER_OC4IE_Pos               (4UL)                     /*!< OC4IE (Bit 4)                                         */
#define PWM1_DIER_OC4IE_Msk               (0x10UL)                  /*!< OC4IE (Bitfield-Mask: 0x01)                           */
#define PWM1_DIER_BIE_Pos                 (7UL)                     /*!< BIE (Bit 7)                                           */
#define PWM1_DIER_BIE_Msk                 (0x80UL)                  /*!< BIE (Bitfield-Mask: 0x01)                             */
#define PWM1_DIER_UDE_Pos                 (8UL)                     /*!< UDE (Bit 8)                                           */
#define PWM1_DIER_UDE_Msk                 (0x100UL)                 /*!< UDE (Bitfield-Mask: 0x01)                             */
#define PWM1_DIER_OC1DE_Pos               (9UL)                     /*!< OC1DE (Bit 9)                                         */
#define PWM1_DIER_OC1DE_Msk               (0x200UL)                 /*!< OC1DE (Bitfield-Mask: 0x01)                           */
#define PWM1_DIER_OC2DE_Pos               (10UL)                    /*!< OC2DE (Bit 10)                                        */
#define PWM1_DIER_OC2DE_Msk               (0x400UL)                 /*!< OC2DE (Bitfield-Mask: 0x01)                           */
#define PWM1_DIER_OC3DE_Pos               (11UL)                    /*!< OC3DE (Bit 11)                                        */
#define PWM1_DIER_OC3DE_Msk               (0x800UL)                 /*!< OC3DE (Bitfield-Mask: 0x01)                           */
#define PWM1_DIER_OC4DE_Pos               (12UL)                    /*!< OC4DE (Bit 12)                                        */
#define PWM1_DIER_OC4DE_Msk               (0x1000UL)                /*!< OC4DE (Bitfield-Mask: 0x01)                           */
/* ==========================================================  SR  =========================================================== */
#define PWM1_SR_UIF_Pos                   (0UL)                     /*!< UIF (Bit 0)                                           */
#define PWM1_SR_UIF_Msk                   (0x1UL)                   /*!< UIF (Bitfield-Mask: 0x01)                             */
#define PWM1_SR_OC1IF_Pos                 (1UL)                     /*!< OC1IF (Bit 1)                                         */
#define PWM1_SR_OC1IF_Msk                 (0x2UL)                   /*!< OC1IF (Bitfield-Mask: 0x01)                           */
#define PWM1_SR_OC2IF_Pos                 (2UL)                     /*!< OC2IF (Bit 2)                                         */
#define PWM1_SR_OC2IF_Msk                 (0x4UL)                   /*!< OC2IF (Bitfield-Mask: 0x01)                           */
#define PWM1_SR_OC3IF_Pos                 (3UL)                     /*!< OC3IF (Bit 3)                                         */
#define PWM1_SR_OC3IF_Msk                 (0x8UL)                   /*!< OC3IF (Bitfield-Mask: 0x01)                           */
#define PWM1_SR_OC4IF_Pos                 (4UL)                     /*!< OC4IF (Bit 4)                                         */
#define PWM1_SR_OC4IF_Msk                 (0x10UL)                  /*!< OC4IF (Bitfield-Mask: 0x01)                           */
#define PWM1_SR_BIF_Pos                   (7UL)                     /*!< BIF (Bit 7)                                           */
#define PWM1_SR_BIF_Msk                   (0x80UL)                  /*!< BIF (Bitfield-Mask: 0x01)                             */
#define PWM1_SR_CCR1OK_Pos                (9UL)                     /*!< CCR1OK (Bit 9)                                        */
#define PWM1_SR_CCR1OK_Msk                (0x200UL)                 /*!< CCR1OK (Bitfield-Mask: 0x01)                          */
#define PWM1_SR_CCR2OK_Pos                (10UL)                    /*!< CCR2OK (Bit 10)                                       */
#define PWM1_SR_CCR2OK_Msk                (0x400UL)                 /*!< CCR2OK (Bitfield-Mask: 0x01)                          */
#define PWM1_SR_CCR3OK_Pos                (11UL)                    /*!< CCR3OK (Bit 11)                                       */
#define PWM1_SR_CCR3OK_Msk                (0x800UL)                 /*!< CCR3OK (Bitfield-Mask: 0x01)                          */
#define PWM1_SR_CCR4OK_Pos                (12UL)                    /*!< CCR4OK (Bit 12)                                       */
#define PWM1_SR_CCR4OK_Msk                (0x1000UL)                /*!< CCR4OK (Bitfield-Mask: 0x01)                          */
#define PWM1_SR_CNTOK_Pos                 (13UL)                    /*!< CNTOK (Bit 13)                                        */
#define PWM1_SR_CNTOK_Msk                 (0x2000UL)                /*!< CNTOK (Bitfield-Mask: 0x01)                           */
#define PWM1_SR_PSCOK_Pos                 (14UL)                    /*!< PSCOK (Bit 14)                                        */
#define PWM1_SR_PSCOK_Msk                 (0x4000UL)                /*!< PSCOK (Bitfield-Mask: 0x01)                           */
#define PWM1_SR_ARROK_Pos                 (15UL)                    /*!< ARROK (Bit 15)                                        */
#define PWM1_SR_ARROK_Msk                 (0x8000UL)                /*!< ARROK (Bitfield-Mask: 0x01)                           */
/* ==========================================================  EGR  ========================================================== */
#define PWM1_EGR_UG_Pos                   (0UL)                     /*!< UG (Bit 0)                                            */
#define PWM1_EGR_UG_Msk                   (0x1UL)                   /*!< UG (Bitfield-Mask: 0x01)                              */
/* ==========================================================  CMR  ========================================================== */
#define PWM1_CMR_OC1M_Pos                 (0UL)                     /*!< OC1M (Bit 0)                                          */
#define PWM1_CMR_OC1M_Msk                 (0x3UL)                   /*!< OC1M (Bitfield-Mask: 0x03)                            */
#define PWM1_CMR_OC2M_Pos                 (2UL)                     /*!< OC2M (Bit 2)                                          */
#define PWM1_CMR_OC2M_Msk                 (0xcUL)                   /*!< OC2M (Bitfield-Mask: 0x03)                            */
#define PWM1_CMR_OC3M_Pos                 (4UL)                     /*!< OC3M (Bit 4)                                          */
#define PWM1_CMR_OC3M_Msk                 (0x30UL)                  /*!< OC3M (Bitfield-Mask: 0x03)                            */
#define PWM1_CMR_OC4M_Pos                 (6UL)                     /*!< OC4M (Bit 6)                                          */
#define PWM1_CMR_OC4M_Msk                 (0xc0UL)                  /*!< OC4M (Bitfield-Mask: 0x03)                            */
#define PWM1_CMR_OC1PE_Pos                (8UL)                     /*!< OC1PE (Bit 8)                                         */
#define PWM1_CMR_OC1PE_Msk                (0x100UL)                 /*!< OC1PE (Bitfield-Mask: 0x01)                           */
#define PWM1_CMR_OC2PE_Pos                (9UL)                     /*!< OC2PE (Bit 9)                                         */
#define PWM1_CMR_OC2PE_Msk                (0x200UL)                 /*!< OC2PE (Bitfield-Mask: 0x01)                           */
#define PWM1_CMR_OC3PE_Pos                (10UL)                    /*!< OC3PE (Bit 10)                                        */
#define PWM1_CMR_OC3PE_Msk                (0x400UL)                 /*!< OC3PE (Bitfield-Mask: 0x01)                           */
#define PWM1_CMR_OC4PE_Pos                (11UL)                    /*!< OC4PE (Bit 11)                                        */
#define PWM1_CMR_OC4PE_Msk                (0x800UL)                 /*!< OC4PE (Bitfield-Mask: 0x01)                           */
/* ==========================================================  CER  ========================================================== */
#define PWM1_CER_C1E_Pos                  (0UL)                     /*!< C1E (Bit 0)                                           */
#define PWM1_CER_C1E_Msk                  (0x1UL)                   /*!< C1E (Bitfield-Mask: 0x01)                             */
#define PWM1_CER_C1P_Pos                  (1UL)                     /*!< C1P (Bit 1)                                           */
#define PWM1_CER_C1P_Msk                  (0x2UL)                   /*!< C1P (Bitfield-Mask: 0x01)                             */
#define PWM1_CER_C1NE_Pos                 (2UL)                     /*!< C1NE (Bit 2)                                          */
#define PWM1_CER_C1NE_Msk                 (0x4UL)                   /*!< C1NE (Bitfield-Mask: 0x01)                            */
#define PWM1_CER_C1NP_Pos                 (3UL)                     /*!< C1NP (Bit 3)                                          */
#define PWM1_CER_C1NP_Msk                 (0x8UL)                   /*!< C1NP (Bitfield-Mask: 0x01)                            */
#define PWM1_CER_C2E_Pos                  (4UL)                     /*!< C2E (Bit 4)                                           */
#define PWM1_CER_C2E_Msk                  (0x10UL)                  /*!< C2E (Bitfield-Mask: 0x01)                             */
#define PWM1_CER_C2P_Pos                  (5UL)                     /*!< C2P (Bit 5)                                           */
#define PWM1_CER_C2P_Msk                  (0x20UL)                  /*!< C2P (Bitfield-Mask: 0x01)                             */
#define PWM1_CER_C2NE_Pos                 (6UL)                     /*!< C2NE (Bit 6)                                          */
#define PWM1_CER_C2NE_Msk                 (0x40UL)                  /*!< C2NE (Bitfield-Mask: 0x01)                            */
#define PWM1_CER_C2NP_Pos                 (7UL)                     /*!< C2NP (Bit 7)                                          */
#define PWM1_CER_C2NP_Msk                 (0x80UL)                  /*!< C2NP (Bitfield-Mask: 0x01)                            */
#define PWM1_CER_C3E_Pos                  (8UL)                     /*!< C3E (Bit 8)                                           */
#define PWM1_CER_C3E_Msk                  (0x100UL)                 /*!< C3E (Bitfield-Mask: 0x01)                             */
#define PWM1_CER_C3P_Pos                  (9UL)                     /*!< C3P (Bit 9)                                           */
#define PWM1_CER_C3P_Msk                  (0x200UL)                 /*!< C3P (Bitfield-Mask: 0x01)                             */
#define PWM1_CER_C4E_Pos                  (12UL)                    /*!< C4E (Bit 12)                                          */
#define PWM1_CER_C4E_Msk                  (0x1000UL)                /*!< C4E (Bitfield-Mask: 0x01)                             */
#define PWM1_CER_C4P_Pos                  (13UL)                    /*!< C4P (Bit 13)                                          */
#define PWM1_CER_C4P_Msk                  (0x2000UL)                /*!< C4P (Bitfield-Mask: 0x01)                             */
/* ==========================================================  CNT  ========================================================== */
#define PWM1_CNT_CNT_Pos                  (0UL)                     /*!< CNT (Bit 0)                                           */
#define PWM1_CNT_CNT_Msk                  (0xffffUL)                /*!< CNT (Bitfield-Mask: 0xffff)                           */
/* ==========================================================  PSC  ========================================================== */
#define PWM1_PSC_PSC_Pos                  (0UL)                     /*!< PSC (Bit 0)                                           */
#define PWM1_PSC_PSC_Msk                  (0xffffUL)                /*!< PSC (Bitfield-Mask: 0xffff)                           */
/* ==========================================================  ARR  ========================================================== */
#define PWM1_ARR_ARR_Pos                  (0UL)                     /*!< ARR (Bit 0)                                           */
#define PWM1_ARR_ARR_Msk                  (0xffffUL)                /*!< ARR (Bitfield-Mask: 0xffff)                           */
/* =========================================================  CCR1  ========================================================== */
#define PWM1_CCR1_CCR1_Pos                (0UL)                     /*!< CCR1 (Bit 0)                                          */
#define PWM1_CCR1_CCR1_Msk                (0xffffUL)                /*!< CCR1 (Bitfield-Mask: 0xffff)                          */
/* =========================================================  CCR2  ========================================================== */
#define PWM1_CCR2_CCR2_Pos                (0UL)                     /*!< CCR2 (Bit 0)                                          */
#define PWM1_CCR2_CCR2_Msk                (0xffffUL)                /*!< CCR2 (Bitfield-Mask: 0xffff)                          */
/* =========================================================  CCR3  ========================================================== */
#define PWM1_CCR3_CCR3_Pos                (0UL)                     /*!< CCR3 (Bit 0)                                          */
#define PWM1_CCR3_CCR3_Msk                (0xffffUL)                /*!< CCR3 (Bitfield-Mask: 0xffff)                          */
/* =========================================================  CCR4  ========================================================== */
#define PWM1_CCR4_CCR4_Pos                (0UL)                     /*!< CCR4 (Bit 0)                                          */
#define PWM1_CCR4_CCR4_Msk                (0xffffUL)                /*!< CCR4 (Bitfield-Mask: 0xffff)                          */
/* =========================================================  BDTR  ========================================================== */
#define PWM1_BDTR_DTG_Pos                 (0UL)                     /*!< DTG (Bit 0)                                           */
#define PWM1_BDTR_DTG_Msk                 (0xffUL)                  /*!< DTG (Bitfield-Mask: 0xff)                             */
#define PWM1_BDTR_LOCK_Pos                (8UL)                     /*!< LOCK (Bit 8)                                          */
#define PWM1_BDTR_LOCK_Msk                (0x300UL)                 /*!< LOCK (Bitfield-Mask: 0x03)                            */
#define PWM1_BDTR_BKE_Pos                 (12UL)                    /*!< BKE (Bit 12)                                          */
#define PWM1_BDTR_BKE_Msk                 (0x1000UL)                /*!< BKE (Bitfield-Mask: 0x01)                             */
#define PWM1_BDTR_BKP_Pos                 (13UL)                    /*!< BKP (Bit 13)                                          */
#define PWM1_BDTR_BKP_Msk                 (0x2000UL)                /*!< BKP (Bitfield-Mask: 0x01)                             */
#define PWM1_BDTR_AOE_Pos                 (14UL)                    /*!< AOE (Bit 14)                                          */
#define PWM1_BDTR_AOE_Msk                 (0x4000UL)                /*!< AOE (Bitfield-Mask: 0x01)                             */
#define PWM1_BDTR_MOE_Pos                 (15UL)                    /*!< MOE (Bit 15)                                          */
#define PWM1_BDTR_MOE_Msk                 (0x8000UL)                /*!< MOE (Bitfield-Mask: 0x01)                             */
/* ==========================================================  DCR  ========================================================== */
#define PWM1_DCR_DBA_Pos                  (0UL)                     /*!< DBA (Bit 0)                                           */
#define PWM1_DCR_DBA_Msk                  (0x1fUL)                  /*!< DBA (Bitfield-Mask: 0x1f)                             */
#define PWM1_DCR_DBL_Pos                  (8UL)                     /*!< DBL (Bit 8)                                           */
#define PWM1_DCR_DBL_Msk                  (0x1f00UL)                /*!< DBL (Bitfield-Mask: 0x1f)                             */
/* =========================================================  DMAR  ========================================================== */
#define PWM1_DMAR_DMAB_Pos                (0UL)                     /*!< DMAB (Bit 0)                                          */
#define PWM1_DMAR_DMAB_Msk                (0xffffffffUL)            /*!< DMAB (Bitfield-Mask: 0xffffffff)                      */


/* =========================================================================================================================== */
/* ================                                           PWM4                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  CR1  ========================================================== */
#define PWM4_CR1_CEN_Pos                  (0UL)                     /*!< CEN (Bit 0)                                           */
#define PWM4_CR1_CEN_Msk                  (0x1UL)                   /*!< CEN (Bitfield-Mask: 0x01)                             */
#define PWM4_CR1_UDIS_Pos                 (1UL)                     /*!< UDIS (Bit 1)                                          */
#define PWM4_CR1_UDIS_Msk                 (0x2UL)                   /*!< UDIS (Bitfield-Mask: 0x01)                            */
#define PWM4_CR1_URS_Pos                  (2UL)                     /*!< URS (Bit 2)                                           */
#define PWM4_CR1_URS_Msk                  (0x4UL)                   /*!< URS (Bitfield-Mask: 0x01)                             */
#define PWM4_CR1_DIR_Pos                  (4UL)                     /*!< DIR (Bit 4)                                           */
#define PWM4_CR1_DIR_Msk                  (0x10UL)                  /*!< DIR (Bitfield-Mask: 0x01)                             */
#define PWM4_CR1_CMS_Pos                  (5UL)                     /*!< CMS (Bit 5)                                           */
#define PWM4_CR1_CMS_Msk                  (0x60UL)                  /*!< CMS (Bitfield-Mask: 0x03)                             */
#define PWM4_CR1_ARPE_Pos                 (7UL)                     /*!< ARPE (Bit 7)                                          */
#define PWM4_CR1_ARPE_Msk                 (0x80UL)                  /*!< ARPE (Bitfield-Mask: 0x01)                            */
/* =========================================================  DIER  ========================================================== */
#define PWM4_DIER_UIE_Pos                 (0UL)                     /*!< UIE (Bit 0)                                           */
#define PWM4_DIER_UIE_Msk                 (0x1UL)                   /*!< UIE (Bitfield-Mask: 0x01)                             */
#define PWM4_DIER_OC1IE_Pos               (1UL)                     /*!< OC1IE (Bit 1)                                         */
#define PWM4_DIER_OC1IE_Msk               (0x2UL)                   /*!< OC1IE (Bitfield-Mask: 0x01)                           */
#define PWM4_DIER_OC2IE_Pos               (2UL)                     /*!< OC2IE (Bit 2)                                         */
#define PWM4_DIER_OC2IE_Msk               (0x4UL)                   /*!< OC2IE (Bitfield-Mask: 0x01)                           */
#define PWM4_DIER_OC3IE_Pos               (3UL)                     /*!< OC3IE (Bit 3)                                         */
#define PWM4_DIER_OC3IE_Msk               (0x8UL)                   /*!< OC3IE (Bitfield-Mask: 0x01)                           */
#define PWM4_DIER_OC4IE_Pos               (4UL)                     /*!< OC4IE (Bit 4)                                         */
#define PWM4_DIER_OC4IE_Msk               (0x10UL)                  /*!< OC4IE (Bitfield-Mask: 0x01)                           */
#define PWM4_DIER_UDE_Pos                 (8UL)                     /*!< UDE (Bit 8)                                           */
#define PWM4_DIER_UDE_Msk                 (0x100UL)                 /*!< UDE (Bitfield-Mask: 0x01)                             */
#define PWM4_DIER_OC1DE_Pos               (9UL)                     /*!< OC1DE (Bit 9)                                         */
#define PWM4_DIER_OC1DE_Msk               (0x200UL)                 /*!< OC1DE (Bitfield-Mask: 0x01)                           */
#define PWM4_DIER_OC2DE_Pos               (10UL)                    /*!< OC2DE (Bit 10)                                        */
#define PWM4_DIER_OC2DE_Msk               (0x400UL)                 /*!< OC2DE (Bitfield-Mask: 0x01)                           */
#define PWM4_DIER_OC3DE_Pos               (11UL)                    /*!< OC3DE (Bit 11)                                        */
#define PWM4_DIER_OC3DE_Msk               (0x800UL)                 /*!< OC3DE (Bitfield-Mask: 0x01)                           */
#define PWM4_DIER_OC4DE_Pos               (12UL)                    /*!< OC4DE (Bit 12)                                        */
#define PWM4_DIER_OC4DE_Msk               (0x1000UL)                /*!< OC4DE (Bitfield-Mask: 0x01)                           */
/* ==========================================================  SR  =========================================================== */
#define PWM4_SR_UIF_Pos                   (0UL)                     /*!< UIF (Bit 0)                                           */
#define PWM4_SR_UIF_Msk                   (0x1UL)                   /*!< UIF (Bitfield-Mask: 0x01)                             */
#define PWM4_SR_OC1IF_Pos                 (1UL)                     /*!< OC1IF (Bit 1)                                         */
#define PWM4_SR_OC1IF_Msk                 (0x2UL)                   /*!< OC1IF (Bitfield-Mask: 0x01)                           */
#define PWM4_SR_OC2IF_Pos                 (2UL)                     /*!< OC2IF (Bit 2)                                         */
#define PWM4_SR_OC2IF_Msk                 (0x4UL)                   /*!< OC2IF (Bitfield-Mask: 0x01)                           */
#define PWM4_SR_OC3IF_Pos                 (3UL)                     /*!< OC3IF (Bit 3)                                         */
#define PWM4_SR_OC3IF_Msk                 (0x8UL)                   /*!< OC3IF (Bitfield-Mask: 0x01)                           */
#define PWM4_SR_OC4IF_Pos                 (4UL)                     /*!< OC4IF (Bit 4)                                         */
#define PWM4_SR_OC4IF_Msk                 (0x10UL)                  /*!< OC4IF (Bitfield-Mask: 0x01)                           */
/* ==========================================================  EGR  ========================================================== */
#define PWM4_EGR_UG_Pos                   (0UL)                     /*!< UG (Bit 0)                                            */
#define PWM4_EGR_UG_Msk                   (0x1UL)                   /*!< UG (Bitfield-Mask: 0x01)                              */
/* ==========================================================  CMR  ========================================================== */
#define PWM4_CMR_OC1M_Pos                 (0UL)                     /*!< OC1M (Bit 0)                                          */
#define PWM4_CMR_OC1M_Msk                 (0x3UL)                   /*!< OC1M (Bitfield-Mask: 0x03)                            */
#define PWM4_CMR_OC2M_Pos                 (2UL)                     /*!< OC2M (Bit 2)                                          */
#define PWM4_CMR_OC2M_Msk                 (0xcUL)                   /*!< OC2M (Bitfield-Mask: 0x03)                            */
#define PWM4_CMR_OC3M_Pos                 (4UL)                     /*!< OC3M (Bit 4)                                          */
#define PWM4_CMR_OC3M_Msk                 (0x30UL)                  /*!< OC3M (Bitfield-Mask: 0x03)                            */
#define PWM4_CMR_OC4M_Pos                 (6UL)                     /*!< OC4M (Bit 6)                                          */
#define PWM4_CMR_OC4M_Msk                 (0xc0UL)                  /*!< OC4M (Bitfield-Mask: 0x03)                            */
#define PWM4_CMR_OC1PE_Pos                (8UL)                     /*!< OC1PE (Bit 8)                                         */
#define PWM4_CMR_OC1PE_Msk                (0x100UL)                 /*!< OC1PE (Bitfield-Mask: 0x01)                           */
#define PWM4_CMR_OC2PE_Pos                (9UL)                     /*!< OC2PE (Bit 9)                                         */
#define PWM4_CMR_OC2PE_Msk                (0x200UL)                 /*!< OC2PE (Bitfield-Mask: 0x01)                           */
#define PWM4_CMR_OC3PE_Pos                (10UL)                    /*!< OC3PE (Bit 10)                                        */
#define PWM4_CMR_OC3PE_Msk                (0x400UL)                 /*!< OC3PE (Bitfield-Mask: 0x01)                           */
#define PWM4_CMR_OC4PE_Pos                (11UL)                    /*!< OC4PE (Bit 11)                                        */
#define PWM4_CMR_OC4PE_Msk                (0x800UL)                 /*!< OC4PE (Bitfield-Mask: 0x01)                           */
/* ==========================================================  CER  ========================================================== */
#define PWM4_CER_C1E_Pos                  (0UL)                     /*!< C1E (Bit 0)                                           */
#define PWM4_CER_C1E_Msk                  (0x1UL)                   /*!< C1E (Bitfield-Mask: 0x01)                             */
#define PWM4_CER_C1P_Pos                  (1UL)                     /*!< C1P (Bit 1)                                           */
#define PWM4_CER_C1P_Msk                  (0x2UL)                   /*!< C1P (Bitfield-Mask: 0x01)                             */
#define PWM4_CER_C2E_Pos                  (4UL)                     /*!< C2E (Bit 4)                                           */
#define PWM4_CER_C2E_Msk                  (0x10UL)                  /*!< C2E (Bitfield-Mask: 0x01)                             */
#define PWM4_CER_C2P_Pos                  (5UL)                     /*!< C2P (Bit 5)                                           */
#define PWM4_CER_C2P_Msk                  (0x20UL)                  /*!< C2P (Bitfield-Mask: 0x01)                             */
#define PWM4_CER_C3E_Pos                  (8UL)                     /*!< C3E (Bit 8)                                           */
#define PWM4_CER_C3E_Msk                  (0x100UL)                 /*!< C3E (Bitfield-Mask: 0x01)                             */
#define PWM4_CER_C3P_Pos                  (9UL)                     /*!< C3P (Bit 9)                                           */
#define PWM4_CER_C3P_Msk                  (0x200UL)                 /*!< C3P (Bitfield-Mask: 0x01)                             */
#define PWM4_CER_C4E_Pos                  (12UL)                    /*!< C4E (Bit 12)                                          */
#define PWM4_CER_C4E_Msk                  (0x1000UL)                /*!< C4E (Bitfield-Mask: 0x01)                             */
#define PWM4_CER_C4P_Pos                  (13UL)                    /*!< C4P (Bit 13)                                          */
#define PWM4_CER_C4P_Msk                  (0x2000UL)                /*!< C4P (Bitfield-Mask: 0x01)                             */
/* ==========================================================  CNT  ========================================================== */
#define PWM4_CNT_CNT_Pos                  (0UL)                     /*!< CNT (Bit 0)                                           */
#define PWM4_CNT_CNT_Msk                  (0xffffUL)                /*!< CNT (Bitfield-Mask: 0xffff)                           */
/* ==========================================================  PSC  ========================================================== */
#define PWM4_PSC_PSC_Pos                  (0UL)                     /*!< PSC (Bit 0)                                           */
#define PWM4_PSC_PSC_Msk                  (0xffffUL)                /*!< PSC (Bitfield-Mask: 0xffff)                           */
/* ==========================================================  ARR  ========================================================== */
#define PWM4_ARR_ARR_Pos                  (0UL)                     /*!< ARR (Bit 0)                                           */
#define PWM4_ARR_ARR_Msk                  (0xffffUL)                /*!< ARR (Bitfield-Mask: 0xffff)                           */
/* =========================================================  CCR1  ========================================================== */
#define PWM4_CCR1_CCR1_Pos                (0UL)                     /*!< CCR1 (Bit 0)                                          */
#define PWM4_CCR1_CCR1_Msk                (0xffffUL)                /*!< CCR1 (Bitfield-Mask: 0xffff)                          */
/* =========================================================  CCR2  ========================================================== */
#define PWM4_CCR2_CCR2_Pos                (0UL)                     /*!< CCR2 (Bit 0)                                          */
#define PWM4_CCR2_CCR2_Msk                (0xffffUL)                /*!< CCR2 (Bitfield-Mask: 0xffff)                          */
/* =========================================================  CCR3  ========================================================== */
#define PWM4_CCR3_CCR3_Pos                (0UL)                     /*!< CCR3 (Bit 0)                                          */
#define PWM4_CCR3_CCR3_Msk                (0xffffUL)                /*!< CCR3 (Bitfield-Mask: 0xffff)                          */
/* =========================================================  CCR4  ========================================================== */
#define PWM4_CCR4_CCR4_Pos                (0UL)                     /*!< CCR4 (Bit 0)                                          */
#define PWM4_CCR4_CCR4_Msk                (0xffffUL)                /*!< CCR4 (Bitfield-Mask: 0xffff)                          */
/* ==========================================================  DCR  ========================================================== */
#define PWM4_DCR_DBA_Pos                  (0UL)                     /*!< DBA (Bit 0)                                           */
#define PWM4_DCR_DBA_Msk                  (0x1fUL)                  /*!< DBA (Bitfield-Mask: 0x1f)                             */
#define PWM4_DCR_DBL_Pos                  (8UL)                     /*!< DBL (Bit 8)                                           */
#define PWM4_DCR_DBL_Msk                  (0x1f00UL)                /*!< DBL (Bitfield-Mask: 0x1f)                             */
/* =========================================================  DMAR  ========================================================== */
#define PWM4_DMAR_DMAB_Pos                (0UL)                     /*!< DMAB (Bit 0)                                          */
#define PWM4_DMAR_DMAB_Msk                (0xffffffffUL)            /*!< DMAB (Bitfield-Mask: 0xffffffff)                      */


/* =========================================================================================================================== */
/* ================                                            PWR                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  CR1  ========================================================== */
#define PWR_CR1_LPMS_Pos                  (0UL)                     /*!< LPMS (Bit 0)                                          */
#define PWR_CR1_LPMS_Msk                  (0x3UL)                   /*!< LPMS (Bitfield-Mask: 0x03)                            */
#define PWR_CR1_DBP_Pos                   (8UL)                     /*!< DBP (Bit 8)                                           */
#define PWR_CR1_DBP_Msk                   (0x100UL)                 /*!< DBP (Bitfield-Mask: 0x01)                             */
#define PWR_CR1_VOS_Pos                   (9UL)                     /*!< VOS (Bit 9)                                           */
#define PWR_CR1_VOS_Msk                   (0x600UL)                 /*!< VOS (Bitfield-Mask: 0x03)                             */
#define PWR_CR1_SRAM_RETV_Pos             (11UL)                    /*!< SRAM_RETV (Bit 11)                                    */
#define PWR_CR1_SRAM_RETV_Msk             (0x1800UL)                /*!< SRAM_RETV (Bitfield-Mask: 0x03)                       */
#define PWR_CR1_LPR_Pos                   (14UL)                    /*!< LPR (Bit 14)                                          */
#define PWR_CR1_LPR_Msk                   (0x4000UL)                /*!< LPR (Bitfield-Mask: 0x01)                             */
#define PWR_CR1_HSION_CTRL_Pos            (16UL)                    /*!< HSION_CTRL (Bit 16)                                   */
#define PWR_CR1_HSION_CTRL_Msk            (0x10000UL)               /*!< HSION_CTRL (Bitfield-Mask: 0x01)                      */
#define PWR_CR1_FLS_WUPT_Pos              (17UL)                    /*!< FLS_WUPT (Bit 17)                                     */
#define PWR_CR1_FLS_WUPT_Msk              (0x60000UL)               /*!< FLS_WUPT (Bitfield-Mask: 0x03)                        */
#define PWR_CR1_STDBY_MRRDY_WAIT_Pos      (19UL)                    /*!< STDBY_MRRDY_WAIT (Bit 19)                             */
#define PWR_CR1_STDBY_MRRDY_WAIT_Msk      (0x180000UL)              /*!< STDBY_MRRDY_WAIT (Bitfield-Mask: 0x03)                */
/* ==========================================================  CR2  ========================================================== */
#define PWR_CR2_PVDE_Pos                  (0UL)                     /*!< PVDE (Bit 0)                                          */
#define PWR_CR2_PVDE_Msk                  (0x1UL)                   /*!< PVDE (Bitfield-Mask: 0x01)                            */
#define PWR_CR2_PLS_Pos                   (1UL)                     /*!< PLS (Bit 1)                                           */
#define PWR_CR2_PLS_Msk                   (0xeUL)                   /*!< PLS (Bitfield-Mask: 0x07)                             */
#define PWR_CR2_FLTEN_Pos                 (8UL)                     /*!< FLTEN (Bit 8)                                         */
#define PWR_CR2_FLTEN_Msk                 (0x100UL)                 /*!< FLTEN (Bitfield-Mask: 0x01)                           */
#define PWR_CR2_FLT_CTRL_Pos              (9UL)                     /*!< FLT_CTRL (Bit 9)                                      */
#define PWR_CR2_FLT_CTRL_Msk              (0xe00UL)                 /*!< FLT_CTRL (Bitfield-Mask: 0x07)                        */
/* ==========================================================  CR3  ========================================================== */
#define PWR_CR3_EWUP1_Pos                 (0UL)                     /*!< EWUP1 (Bit 0)                                         */
#define PWR_CR3_EWUP1_Msk                 (0x1UL)                   /*!< EWUP1 (Bitfield-Mask: 0x01)                           */
#define PWR_CR3_EWUP2_Pos                 (1UL)                     /*!< EWUP2 (Bit 1)                                         */
#define PWR_CR3_EWUP2_Msk                 (0x2UL)                   /*!< EWUP2 (Bitfield-Mask: 0x01)                           */
#define PWR_CR3_EWUP3_Pos                 (2UL)                     /*!< EWUP3 (Bit 2)                                         */
#define PWR_CR3_EWUP3_Msk                 (0x4UL)                   /*!< EWUP3 (Bitfield-Mask: 0x01)                           */
#define PWR_CR3_EWUP4_Pos                 (3UL)                     /*!< EWUP4 (Bit 3)                                         */
#define PWR_CR3_EWUP4_Msk                 (0x8UL)                   /*!< EWUP4 (Bitfield-Mask: 0x01)                           */
#define PWR_CR3_EWUP5_Pos                 (4UL)                     /*!< EWUP5 (Bit 4)                                         */
#define PWR_CR3_EWUP5_Msk                 (0x10UL)                  /*!< EWUP5 (Bitfield-Mask: 0x01)                           */
#define PWR_CR3_RRS_Pos                   (8UL)                     /*!< RRS (Bit 8)                                           */
#define PWR_CR3_RRS_Msk                   (0x100UL)                 /*!< RRS (Bitfield-Mask: 0x01)                             */
/* ==========================================================  CR4  ========================================================== */
#define PWR_CR4_WP1_Pos                   (0UL)                     /*!< WP1 (Bit 0)                                           */
#define PWR_CR4_WP1_Msk                   (0x1UL)                   /*!< WP1 (Bitfield-Mask: 0x01)                             */
#define PWR_CR4_WP2_Pos                   (1UL)                     /*!< WP2 (Bit 1)                                           */
#define PWR_CR4_WP2_Msk                   (0x2UL)                   /*!< WP2 (Bitfield-Mask: 0x01)                             */
#define PWR_CR4_WP3_Pos                   (2UL)                     /*!< WP3 (Bit 2)                                           */
#define PWR_CR4_WP3_Msk                   (0x4UL)                   /*!< WP3 (Bitfield-Mask: 0x01)                             */
#define PWR_CR4_WP4_Pos                   (3UL)                     /*!< WP4 (Bit 3)                                           */
#define PWR_CR4_WP4_Msk                   (0x8UL)                   /*!< WP4 (Bitfield-Mask: 0x01)                             */
#define PWR_CR4_WP5_Pos                   (4UL)                     /*!< WP5 (Bit 4)                                           */
#define PWR_CR4_WP5_Msk                   (0x10UL)                  /*!< WP5 (Bitfield-Mask: 0x01)                             */
/* ==========================================================  SR  =========================================================== */
#define PWR_SR_WUF1_Pos                   (0UL)                     /*!< WUF1 (Bit 0)                                          */
#define PWR_SR_WUF1_Msk                   (0x1UL)                   /*!< WUF1 (Bitfield-Mask: 0x01)                            */
#define PWR_SR_WUF2_Pos                   (1UL)                     /*!< WUF2 (Bit 1)                                          */
#define PWR_SR_WUF2_Msk                   (0x2UL)                   /*!< WUF2 (Bitfield-Mask: 0x01)                            */
#define PWR_SR_WUF3_Pos                   (2UL)                     /*!< WUF3 (Bit 2)                                          */
#define PWR_SR_WUF3_Msk                   (0x4UL)                   /*!< WUF3 (Bitfield-Mask: 0x01)                            */
#define PWR_SR_WUF4_Pos                   (3UL)                     /*!< WUF4 (Bit 3)                                          */
#define PWR_SR_WUF4_Msk                   (0x8UL)                   /*!< WUF4 (Bitfield-Mask: 0x01)                            */
#define PWR_SR_WUF5_Pos                   (4UL)                     /*!< WUF5 (Bit 4)                                          */
#define PWR_SR_WUF5_Msk                   (0x10UL)                  /*!< WUF5 (Bitfield-Mask: 0x01)                            */
#define PWR_SR_SBF_Pos                    (8UL)                     /*!< SBF (Bit 8)                                           */
#define PWR_SR_SBF_Msk                    (0x100UL)                 /*!< SBF (Bitfield-Mask: 0x01)                             */
#define PWR_SR_MR_RDY_Pos                 (9UL)                     /*!< MR_RDY (Bit 9)                                        */
#define PWR_SR_MR_RDY_Msk                 (0x200UL)                 /*!< MR_RDY (Bitfield-Mask: 0x01)                          */
#define PWR_SR_PVDO_Pos                   (16UL)                    /*!< PVDO (Bit 16)                                         */
#define PWR_SR_PVDO_Msk                   (0x10000UL)               /*!< PVDO (Bitfield-Mask: 0x01)                            */
/* ==========================================================  SCR  ========================================================== */
#define PWR_SCR_CWUF1_Pos                 (0UL)                     /*!< CWUF1 (Bit 0)                                         */
#define PWR_SCR_CWUF1_Msk                 (0x1UL)                   /*!< CWUF1 (Bitfield-Mask: 0x01)                           */
#define PWR_SCR_CWUF2_Pos                 (1UL)                     /*!< CWUF2 (Bit 1)                                         */
#define PWR_SCR_CWUF2_Msk                 (0x2UL)                   /*!< CWUF2 (Bitfield-Mask: 0x01)                           */
#define PWR_SCR_CWUF3_Pos                 (2UL)                     /*!< CWUF3 (Bit 2)                                         */
#define PWR_SCR_CWUF3_Msk                 (0x4UL)                   /*!< CWUF3 (Bitfield-Mask: 0x01)                           */
#define PWR_SCR_CWUF4_Pos                 (3UL)                     /*!< CWUF4 (Bit 3)                                         */
#define PWR_SCR_CWUF4_Msk                 (0x8UL)                   /*!< CWUF4 (Bitfield-Mask: 0x01)                           */
#define PWR_SCR_CWUF5_Pos                 (4UL)                     /*!< CWUF5 (Bit 4)                                         */
#define PWR_SCR_CWUF5_Msk                 (0x10UL)                  /*!< CWUF5 (Bitfield-Mask: 0x01)                           */
#define PWR_SCR_CSBF_Pos                  (8UL)                     /*!< CSBF (Bit 8)                                          */
#define PWR_SCR_CSBF_Msk                  (0x100UL)                 /*!< CSBF (Bitfield-Mask: 0x01)                            */


/* =========================================================================================================================== */
/* ================                                            RCC                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  CR  =========================================================== */
#define RCC_CR_HSION_Pos                  (0UL)                     /*!< HSION (Bit 0)                                         */
#define RCC_CR_HSION_Msk                  (0x1UL)                   /*!< HSION (Bitfield-Mask: 0x01)                           */
#define RCC_CR_HSIRDY_Pos                 (1UL)                     /*!< HSIRDY (Bit 1)                                        */
#define RCC_CR_HSIRDY_Msk                 (0x2UL)                   /*!< HSIRDY (Bitfield-Mask: 0x01)                          */
#define RCC_CR_HSIKERON_Pos               (3UL)                     /*!< HSIKERON (Bit 3)                                      */
#define RCC_CR_HSIKERON_Msk               (0x8UL)                   /*!< HSIKERON (Bitfield-Mask: 0x01)                        */
#define RCC_CR_HSITRIM_Pos                (4UL)                     /*!< HSITRIM (Bit 4)                                       */
#define RCC_CR_HSITRIM_Msk                (0x7ff0UL)                /*!< HSITRIM (Bitfield-Mask: 0x7ff)                        */
#define RCC_CR_HSEON_Pos                  (16UL)                    /*!< HSEON (Bit 16)                                        */
#define RCC_CR_HSEON_Msk                  (0x10000UL)               /*!< HSEON (Bitfield-Mask: 0x01)                           */
#define RCC_CR_HSERDY_Pos                 (17UL)                    /*!< HSERDY (Bit 17)                                       */
#define RCC_CR_HSERDY_Msk                 (0x20000UL)               /*!< HSERDY (Bitfield-Mask: 0x01)                          */
#define RCC_CR_HSEBYP_Pos                 (18UL)                    /*!< HSEBYP (Bit 18)                                       */
#define RCC_CR_HSEBYP_Msk                 (0x40000UL)               /*!< HSEBYP (Bitfield-Mask: 0x01)                          */
#define RCC_CR_CSSON_Pos                  (19UL)                    /*!< CSSON (Bit 19)                                        */
#define RCC_CR_CSSON_Msk                  (0x80000UL)               /*!< CSSON (Bitfield-Mask: 0x01)                           */
#define RCC_CR_PLLON_Pos                  (24UL)                    /*!< PLLON (Bit 24)                                        */
#define RCC_CR_PLLON_Msk                  (0x1000000UL)             /*!< PLLON (Bitfield-Mask: 0x01)                           */
#define RCC_CR_PLLRDY_Pos                 (25UL)                    /*!< PLLRDY (Bit 25)                                       */
#define RCC_CR_PLLRDY_Msk                 (0x2000000UL)             /*!< PLLRDY (Bitfield-Mask: 0x01)                          */
#define RCC_CR_HSIFS_Pos                  (26UL)                    /*!< HSIFS (Bit 26)                                        */
#define RCC_CR_HSIFS_Msk                  (0xc000000UL)             /*!< HSIFS (Bitfield-Mask: 0x03)                           */
/* =========================================================  CFGR  ========================================================== */
#define RCC_CFGR_SW_Pos                   (0UL)                     /*!< SW (Bit 0)                                            */
#define RCC_CFGR_SW_Msk                   (0x3UL)                   /*!< SW (Bitfield-Mask: 0x03)                              */
#define RCC_CFGR_SWS_Pos                  (2UL)                     /*!< SWS (Bit 2)                                           */
#define RCC_CFGR_SWS_Msk                  (0xcUL)                   /*!< SWS (Bitfield-Mask: 0x03)                             */
#define RCC_CFGR_HPRE_Pos                 (4UL)                     /*!< HPRE (Bit 4)                                          */
#define RCC_CFGR_HPRE_Msk                 (0xf0UL)                  /*!< HPRE (Bitfield-Mask: 0x0f)                            */
#define RCC_CFGR_PPRE1_Pos                (8UL)                     /*!< PPRE1 (Bit 8)                                         */
#define RCC_CFGR_PPRE1_Msk                (0x700UL)                 /*!< PPRE1 (Bitfield-Mask: 0x07)                           */
#define RCC_CFGR_PPRE2_Pos                (11UL)                    /*!< PPRE2 (Bit 11)                                        */
#define RCC_CFGR_PPRE2_Msk                (0x3800UL)                /*!< PPRE2 (Bitfield-Mask: 0x07)                           */
#define RCC_CFGR_MCO_Pos                  (24UL)                    /*!< MCO (Bit 24)                                          */
#define RCC_CFGR_MCO_Msk                  (0xf000000UL)             /*!< MCO (Bitfield-Mask: 0x0f)                             */
/* ==========================================================  CIR  ========================================================== */
#define RCC_CIR_LSIRDYF_Pos               (0UL)                     /*!< LSIRDYF (Bit 0)                                       */
#define RCC_CIR_LSIRDYF_Msk               (0x1UL)                   /*!< LSIRDYF (Bitfield-Mask: 0x01)                         */
#define RCC_CIR_LSERDYF_Pos               (1UL)                     /*!< LSERDYF (Bit 1)                                       */
#define RCC_CIR_LSERDYF_Msk               (0x2UL)                   /*!< LSERDYF (Bitfield-Mask: 0x01)                         */
#define RCC_CIR_HSIRDYF_Pos               (2UL)                     /*!< HSIRDYF (Bit 2)                                       */
#define RCC_CIR_HSIRDYF_Msk               (0x4UL)                   /*!< HSIRDYF (Bitfield-Mask: 0x01)                         */
#define RCC_CIR_HSERDYF_Pos               (3UL)                     /*!< HSERDYF (Bit 3)                                       */
#define RCC_CIR_HSERDYF_Msk               (0x8UL)                   /*!< HSERDYF (Bitfield-Mask: 0x01)                         */
#define RCC_CIR_PLLRDYF_Pos               (4UL)                     /*!< PLLRDYF (Bit 4)                                       */
#define RCC_CIR_PLLRDYF_Msk               (0x10UL)                  /*!< PLLRDYF (Bitfield-Mask: 0x01)                         */
#define RCC_CIR_CSSF_Pos                  (7UL)                     /*!< CSSF (Bit 7)                                          */
#define RCC_CIR_CSSF_Msk                  (0x80UL)                  /*!< CSSF (Bitfield-Mask: 0x01)                            */
#define RCC_CIR_LSIRDYIE_Pos              (8UL)                     /*!< LSIRDYIE (Bit 8)                                      */
#define RCC_CIR_LSIRDYIE_Msk              (0x100UL)                 /*!< LSIRDYIE (Bitfield-Mask: 0x01)                        */
#define RCC_CIR_LSERDYIE_Pos              (9UL)                     /*!< LSERDYIE (Bit 9)                                      */
#define RCC_CIR_LSERDYIE_Msk              (0x200UL)                 /*!< LSERDYIE (Bitfield-Mask: 0x01)                        */
#define RCC_CIR_HSIRDYIE_Pos              (10UL)                    /*!< HSIRDYIE (Bit 10)                                     */
#define RCC_CIR_HSIRDYIE_Msk              (0x400UL)                 /*!< HSIRDYIE (Bitfield-Mask: 0x01)                        */
#define RCC_CIR_HSERDYIE_Pos              (11UL)                    /*!< HSERDYIE (Bit 11)                                     */
#define RCC_CIR_HSERDYIE_Msk              (0x800UL)                 /*!< HSERDYIE (Bitfield-Mask: 0x01)                        */
#define RCC_CIR_PLLRDYIE_Pos              (12UL)                    /*!< PLLRDYIE (Bit 12)                                     */
#define RCC_CIR_PLLRDYIE_Msk              (0x1000UL)                /*!< PLLRDYIE (Bitfield-Mask: 0x01)                        */
#define RCC_CIR_LSIRDYC_Pos               (16UL)                    /*!< LSIRDYC (Bit 16)                                      */
#define RCC_CIR_LSIRDYC_Msk               (0x10000UL)               /*!< LSIRDYC (Bitfield-Mask: 0x01)                         */
#define RCC_CIR_LSERDYC_Pos               (17UL)                    /*!< LSERDYC (Bit 17)                                      */
#define RCC_CIR_LSERDYC_Msk               (0x20000UL)               /*!< LSERDYC (Bitfield-Mask: 0x01)                         */
#define RCC_CIR_HSIRDYC_Pos               (18UL)                    /*!< HSIRDYC (Bit 18)                                      */
#define RCC_CIR_HSIRDYC_Msk               (0x40000UL)               /*!< HSIRDYC (Bitfield-Mask: 0x01)                         */
#define RCC_CIR_HSERDYC_Pos               (19UL)                    /*!< HSERDYC (Bit 19)                                      */
#define RCC_CIR_HSERDYC_Msk               (0x80000UL)               /*!< HSERDYC (Bitfield-Mask: 0x01)                         */
#define RCC_CIR_PLLRDYC_Pos               (20UL)                    /*!< PLLRDYC (Bit 20)                                      */
#define RCC_CIR_PLLRDYC_Msk               (0x100000UL)              /*!< PLLRDYC (Bitfield-Mask: 0x01)                         */
#define RCC_CIR_CSSC_Pos                  (23UL)                    /*!< CSSC (Bit 23)                                         */
#define RCC_CIR_CSSC_Msk                  (0x800000UL)              /*!< CSSC (Bitfield-Mask: 0x01)                            */
/* ========================================================  AHBRSTR  ======================================================== */
#define RCC_AHBRSTR_DMA1RST_Pos           (0UL)                     /*!< DMA1RST (Bit 0)                                       */
#define RCC_AHBRSTR_DMA1RST_Msk           (0x1UL)                   /*!< DMA1RST (Bitfield-Mask: 0x01)                         */
#define RCC_AHBRSTR_CRCRST_Pos            (6UL)                     /*!< CRCRST (Bit 6)                                        */
#define RCC_AHBRSTR_CRCRST_Msk            (0x40UL)                  /*!< CRCRST (Bitfield-Mask: 0x01)                          */
#define RCC_AHBRSTR_IOPARST_Pos           (8UL)                     /*!< IOPARST (Bit 8)                                       */
#define RCC_AHBRSTR_IOPARST_Msk           (0x100UL)                 /*!< IOPARST (Bitfield-Mask: 0x01)                         */
#define RCC_AHBRSTR_IOPBRST_Pos           (9UL)                     /*!< IOPBRST (Bit 9)                                       */
#define RCC_AHBRSTR_IOPBRST_Msk           (0x200UL)                 /*!< IOPBRST (Bitfield-Mask: 0x01)                         */
#define RCC_AHBRSTR_IOPCRST_Pos           (10UL)                    /*!< IOPCRST (Bit 10)                                      */
#define RCC_AHBRSTR_IOPCRST_Msk           (0x400UL)                 /*!< IOPCRST (Bitfield-Mask: 0x01)                         */
#define RCC_AHBRSTR_IOPDRST_Pos           (11UL)                    /*!< IOPDRST (Bit 11)                                      */
#define RCC_AHBRSTR_IOPDRST_Msk           (0x800UL)                 /*!< IOPDRST (Bitfield-Mask: 0x01)                         */
/* =======================================================  APB1RSTR1  ======================================================= */
#define RCC_APB1RSTR1_TIM2RST_Pos         (0UL)                     /*!< TIM2RST (Bit 0)                                       */
#define RCC_APB1RSTR1_TIM2RST_Msk         (0x1UL)                   /*!< TIM2RST (Bitfield-Mask: 0x01)                         */
#define RCC_APB1RSTR1_TIM3RST_Pos         (1UL)                     /*!< TIM3RST (Bit 1)                                       */
#define RCC_APB1RSTR1_TIM3RST_Msk         (0x2UL)                   /*!< TIM3RST (Bitfield-Mask: 0x01)                         */
#define RCC_APB1RSTR1_TIM4RST_Pos         (2UL)                     /*!< TIM4RST (Bit 2)                                       */
#define RCC_APB1RSTR1_TIM4RST_Msk         (0x4UL)                   /*!< TIM4RST (Bitfield-Mask: 0x01)                         */
#define RCC_APB1RSTR1_TIM6RST_Pos         (4UL)                     /*!< TIM6RST (Bit 4)                                       */
#define RCC_APB1RSTR1_TIM6RST_Msk         (0x10UL)                  /*!< TIM6RST (Bitfield-Mask: 0x01)                         */
#define RCC_APB1RSTR1_TIM7RST_Pos         (5UL)                     /*!< TIM7RST (Bit 5)                                       */
#define RCC_APB1RSTR1_TIM7RST_Msk         (0x20UL)                  /*!< TIM7RST (Bitfield-Mask: 0x01)                         */
#define RCC_APB1RSTR1_WWDGRST_Pos         (11UL)                    /*!< WWDGRST (Bit 11)                                      */
#define RCC_APB1RSTR1_WWDGRST_Msk         (0x800UL)                 /*!< WWDGRST (Bitfield-Mask: 0x01)                         */
#define RCC_APB1RSTR1_PWM1RST_Pos         (12UL)                    /*!< PWM1RST (Bit 12)                                      */
#define RCC_APB1RSTR1_PWM1RST_Msk         (0x1000UL)                /*!< PWM1RST (Bitfield-Mask: 0x01)                         */
#define RCC_APB1RSTR1_PWM2RST_Pos         (13UL)                    /*!< PWM2RST (Bit 13)                                      */
#define RCC_APB1RSTR1_PWM2RST_Msk         (0x2000UL)                /*!< PWM2RST (Bitfield-Mask: 0x01)                         */
#define RCC_APB1RSTR1_SPI2RST_Pos         (14UL)                    /*!< SPI2RST (Bit 14)                                      */
#define RCC_APB1RSTR1_SPI2RST_Msk         (0x4000UL)                /*!< SPI2RST (Bitfield-Mask: 0x01)                         */
#define RCC_APB1RSTR1_UART1RST_Pos        (19UL)                    /*!< UART1RST (Bit 19)                                     */
#define RCC_APB1RSTR1_UART1RST_Msk        (0x80000UL)               /*!< UART1RST (Bitfield-Mask: 0x01)                        */
#define RCC_APB1RSTR1_UART2RST_Pos        (20UL)                    /*!< UART2RST (Bit 20)                                     */
#define RCC_APB1RSTR1_UART2RST_Msk        (0x100000UL)              /*!< UART2RST (Bitfield-Mask: 0x01)                        */
#define RCC_APB1RSTR1_I2C1RST_Pos         (21UL)                    /*!< I2C1RST (Bit 21)                                      */
#define RCC_APB1RSTR1_I2C1RST_Msk         (0x200000UL)              /*!< I2C1RST (Bitfield-Mask: 0x01)                         */
#define RCC_APB1RSTR1_I2C2RST_Pos         (22UL)                    /*!< I2C2RST (Bit 22)                                      */
#define RCC_APB1RSTR1_I2C2RST_Msk         (0x400000UL)              /*!< I2C2RST (Bitfield-Mask: 0x01)                         */
#define RCC_APB1RSTR1_PWRRST_Pos          (28UL)                    /*!< PWRRST (Bit 28)                                       */
#define RCC_APB1RSTR1_PWRRST_Msk          (0x10000000UL)            /*!< PWRRST (Bitfield-Mask: 0x01)                          */
/* =======================================================  APB1RSTR2  ======================================================= */
#define RCC_APB1RSTR2_LPTIM1RST_Pos       (0UL)                     /*!< LPTIM1RST (Bit 0)                                     */
#define RCC_APB1RSTR2_LPTIM1RST_Msk       (0x1UL)                   /*!< LPTIM1RST (Bitfield-Mask: 0x01)                       */
#define RCC_APB1RSTR2_LPUART1RST_Pos      (1UL)                     /*!< LPUART1RST (Bit 1)                                    */
#define RCC_APB1RSTR2_LPUART1RST_Msk      (0x2UL)                   /*!< LPUART1RST (Bitfield-Mask: 0x01)                      */
/* =======================================================  APB2RSTR  ======================================================== */
#define RCC_APB2RSTR_SYSCFGRST_Pos        (0UL)                     /*!< SYSCFGRST (Bit 0)                                     */
#define RCC_APB2RSTR_SYSCFGRST_Msk        (0x1UL)                   /*!< SYSCFGRST (Bitfield-Mask: 0x01)                       */
#define RCC_APB2RSTR_ADC1RST_Pos          (9UL)                     /*!< ADC1RST (Bit 9)                                       */
#define RCC_APB2RSTR_ADC1RST_Msk          (0x200UL)                 /*!< ADC1RST (Bitfield-Mask: 0x01)                         */
#define RCC_APB2RSTR_TIM1RST_Pos          (11UL)                    /*!< TIM1RST (Bit 11)                                      */
#define RCC_APB2RSTR_TIM1RST_Msk          (0x800UL)                 /*!< TIM1RST (Bitfield-Mask: 0x01)                         */
#define RCC_APB2RSTR_SPI1RST_Pos          (12UL)                    /*!< SPI1RST (Bit 12)                                      */
#define RCC_APB2RSTR_SPI1RST_Msk          (0x1000UL)                /*!< SPI1RST (Bitfield-Mask: 0x01)                         */
#define RCC_APB2RSTR_USART1RST_Pos        (14UL)                    /*!< USART1RST (Bit 14)                                    */
#define RCC_APB2RSTR_USART1RST_Msk        (0x4000UL)                /*!< USART1RST (Bitfield-Mask: 0x01)                       */
#define RCC_APB2RSTR_PWM3RST_Pos          (16UL)                    /*!< PWM3RST (Bit 16)                                      */
#define RCC_APB2RSTR_PWM3RST_Msk          (0x10000UL)               /*!< PWM3RST (Bitfield-Mask: 0x01)                         */
#define RCC_APB2RSTR_PWM4RST_Pos          (17UL)                    /*!< PWM4RST (Bit 17)                                      */
#define RCC_APB2RSTR_PWM4RST_Msk          (0x20000UL)               /*!< PWM4RST (Bitfield-Mask: 0x01)                         */
#define RCC_APB2RSTR_TIM15RST_Pos         (22UL)                    /*!< TIM15RST (Bit 22)                                     */
#define RCC_APB2RSTR_TIM15RST_Msk         (0x400000UL)              /*!< TIM15RST (Bitfield-Mask: 0x01)                        */
#define RCC_APB2RSTR_TIM16RST_Pos         (23UL)                    /*!< TIM16RST (Bit 23)                                     */
#define RCC_APB2RSTR_TIM16RST_Msk         (0x800000UL)              /*!< TIM16RST (Bitfield-Mask: 0x01)                        */
#define RCC_APB2RSTR_TIM17RST_Pos         (24UL)                    /*!< TIM17RST (Bit 24)                                     */
#define RCC_APB2RSTR_TIM17RST_Msk         (0x1000000UL)             /*!< TIM17RST (Bitfield-Mask: 0x01)                        */
#define RCC_APB2RSTR_COMPRST_Pos          (27UL)                    /*!< COMPRST (Bit 27)                                      */
#define RCC_APB2RSTR_COMPRST_Msk          (0x8000000UL)             /*!< COMPRST (Bitfield-Mask: 0x01)                         */
#define RCC_APB2RSTR_OPAMPRST_Pos         (28UL)                    /*!< OPAMPRST (Bit 28)                                     */
#define RCC_APB2RSTR_OPAMPRST_Msk         (0x10000000UL)            /*!< OPAMPRST (Bitfield-Mask: 0x01)                        */
/* ========================================================  AHBENR  ========================================================= */
#define RCC_AHBENR_DMA1EN_Pos             (0UL)                     /*!< DMA1EN (Bit 0)                                        */
#define RCC_AHBENR_DMA1EN_Msk             (0x1UL)                   /*!< DMA1EN (Bitfield-Mask: 0x01)                          */
#define RCC_AHBENR_SRAMEN_Pos             (2UL)                     /*!< SRAMEN (Bit 2)                                        */
#define RCC_AHBENR_SRAMEN_Msk             (0x4UL)                   /*!< SRAMEN (Bitfield-Mask: 0x01)                          */
#define RCC_AHBENR_FMCEN_Pos              (4UL)                     /*!< FMCEN (Bit 4)                                         */
#define RCC_AHBENR_FMCEN_Msk              (0x10UL)                  /*!< FMCEN (Bitfield-Mask: 0x01)                           */
#define RCC_AHBENR_CRCEN_Pos              (6UL)                     /*!< CRCEN (Bit 6)                                         */
#define RCC_AHBENR_CRCEN_Msk              (0x40UL)                  /*!< CRCEN (Bitfield-Mask: 0x01)                           */
#define RCC_AHBENR_IOPAEN_Pos             (8UL)                     /*!< IOPAEN (Bit 8)                                        */
#define RCC_AHBENR_IOPAEN_Msk             (0x100UL)                 /*!< IOPAEN (Bitfield-Mask: 0x01)                          */
#define RCC_AHBENR_IOPBEN_Pos             (9UL)                     /*!< IOPBEN (Bit 9)                                        */
#define RCC_AHBENR_IOPBEN_Msk             (0x200UL)                 /*!< IOPBEN (Bitfield-Mask: 0x01)                          */
#define RCC_AHBENR_IOPCEN_Pos             (10UL)                    /*!< IOPCEN (Bit 10)                                       */
#define RCC_AHBENR_IOPCEN_Msk             (0x400UL)                 /*!< IOPCEN (Bitfield-Mask: 0x01)                          */
#define RCC_AHBENR_IOPDEN_Pos             (11UL)                    /*!< IOPDEN (Bit 11)                                       */
#define RCC_AHBENR_IOPDEN_Msk             (0x800UL)                 /*!< IOPDEN (Bitfield-Mask: 0x01)                          */
/* =======================================================  APB1ENR1  ======================================================== */
#define RCC_APB1ENR1_TIM2EN_Pos           (0UL)                     /*!< TIM2EN (Bit 0)                                        */
#define RCC_APB1ENR1_TIM2EN_Msk           (0x1UL)                   /*!< TIM2EN (Bitfield-Mask: 0x01)                          */
#define RCC_APB1ENR1_TIM3EN_Pos           (1UL)                     /*!< TIM3EN (Bit 1)                                        */
#define RCC_APB1ENR1_TIM3EN_Msk           (0x2UL)                   /*!< TIM3EN (Bitfield-Mask: 0x01)                          */
#define RCC_APB1ENR1_TIM4EN_Pos           (2UL)                     /*!< TIM4EN (Bit 2)                                        */
#define RCC_APB1ENR1_TIM4EN_Msk           (0x4UL)                   /*!< TIM4EN (Bitfield-Mask: 0x01)                          */
#define RCC_APB1ENR1_TIM6EN_Pos           (4UL)                     /*!< TIM6EN (Bit 4)                                        */
#define RCC_APB1ENR1_TIM6EN_Msk           (0x10UL)                  /*!< TIM6EN (Bitfield-Mask: 0x01)                          */
#define RCC_APB1ENR1_TIM7EN_Pos           (5UL)                     /*!< TIM7EN (Bit 5)                                        */
#define RCC_APB1ENR1_TIM7EN_Msk           (0x20UL)                  /*!< TIM7EN (Bitfield-Mask: 0x01)                          */
#define RCC_APB1ENR1_WWDGEN_Pos           (11UL)                    /*!< WWDGEN (Bit 11)                                       */
#define RCC_APB1ENR1_WWDGEN_Msk           (0x800UL)                 /*!< WWDGEN (Bitfield-Mask: 0x01)                          */
#define RCC_APB1ENR1_PWM1EN_Pos           (12UL)                    /*!< PWM1EN (Bit 12)                                       */
#define RCC_APB1ENR1_PWM1EN_Msk           (0x1000UL)                /*!< PWM1EN (Bitfield-Mask: 0x01)                          */
#define RCC_APB1ENR1_PWM2EN_Pos           (13UL)                    /*!< PWM2EN (Bit 13)                                       */
#define RCC_APB1ENR1_PWM2EN_Msk           (0x2000UL)                /*!< PWM2EN (Bitfield-Mask: 0x01)                          */
#define RCC_APB1ENR1_SPI2EN_Pos           (14UL)                    /*!< SPI2EN (Bit 14)                                       */
#define RCC_APB1ENR1_SPI2EN_Msk           (0x4000UL)                /*!< SPI2EN (Bitfield-Mask: 0x01)                          */
#define RCC_APB1ENR1_UART1EN_Pos          (19UL)                    /*!< UART1EN (Bit 19)                                      */
#define RCC_APB1ENR1_UART1EN_Msk          (0x80000UL)               /*!< UART1EN (Bitfield-Mask: 0x01)                         */
#define RCC_APB1ENR1_UART2EN_Pos          (20UL)                    /*!< UART2EN (Bit 20)                                      */
#define RCC_APB1ENR1_UART2EN_Msk          (0x100000UL)              /*!< UART2EN (Bitfield-Mask: 0x01)                         */
#define RCC_APB1ENR1_I2C1EN_Pos           (21UL)                    /*!< I2C1EN (Bit 21)                                       */
#define RCC_APB1ENR1_I2C1EN_Msk           (0x200000UL)              /*!< I2C1EN (Bitfield-Mask: 0x01)                          */
#define RCC_APB1ENR1_I2C2EN_Pos           (22UL)                    /*!< I2C2EN (Bit 22)                                       */
#define RCC_APB1ENR1_I2C2EN_Msk           (0x400000UL)              /*!< I2C2EN (Bitfield-Mask: 0x01)                          */
#define RCC_APB1ENR1_PWREN_Pos            (28UL)                    /*!< PWREN (Bit 28)                                        */
#define RCC_APB1ENR1_PWREN_Msk            (0x10000000UL)            /*!< PWREN (Bitfield-Mask: 0x01)                           */
/* =======================================================  APB1ENR2  ======================================================== */
#define RCC_APB1ENR2_LPTIM1EN_Pos         (0UL)                     /*!< LPTIM1EN (Bit 0)                                      */
#define RCC_APB1ENR2_LPTIM1EN_Msk         (0x1UL)                   /*!< LPTIM1EN (Bitfield-Mask: 0x01)                        */
#define RCC_APB1ENR2_LPUART1EN_Pos        (1UL)                     /*!< LPUART1EN (Bit 1)                                     */
#define RCC_APB1ENR2_LPUART1EN_Msk        (0x2UL)                   /*!< LPUART1EN (Bitfield-Mask: 0x01)                       */
/* ========================================================  APB2ENR  ======================================================== */
#define RCC_APB2ENR_SYSCFGEN_Pos          (0UL)                     /*!< SYSCFGEN (Bit 0)                                      */
#define RCC_APB2ENR_SYSCFGEN_Msk          (0x1UL)                   /*!< SYSCFGEN (Bitfield-Mask: 0x01)                        */
#define RCC_APB2ENR_ADC1EN_Pos            (9UL)                     /*!< ADC1EN (Bit 9)                                        */
#define RCC_APB2ENR_ADC1EN_Msk            (0x200UL)                 /*!< ADC1EN (Bitfield-Mask: 0x01)                          */
#define RCC_APB2ENR_TIM1EN_Pos            (11UL)                    /*!< TIM1EN (Bit 11)                                       */
#define RCC_APB2ENR_TIM1EN_Msk            (0x800UL)                 /*!< TIM1EN (Bitfield-Mask: 0x01)                          */
#define RCC_APB2ENR_SPI1EN_Pos            (12UL)                    /*!< SPI1EN (Bit 12)                                       */
#define RCC_APB2ENR_SPI1EN_Msk            (0x1000UL)                /*!< SPI1EN (Bitfield-Mask: 0x01)                          */
#define RCC_APB2ENR_USART1EN_Pos          (14UL)                    /*!< USART1EN (Bit 14)                                     */
#define RCC_APB2ENR_USART1EN_Msk          (0x4000UL)                /*!< USART1EN (Bitfield-Mask: 0x01)                        */
#define RCC_APB2ENR_PWM3EN_Pos            (16UL)                    /*!< PWM3EN (Bit 16)                                       */
#define RCC_APB2ENR_PWM3EN_Msk            (0x10000UL)               /*!< PWM3EN (Bitfield-Mask: 0x01)                          */
#define RCC_APB2ENR_PWM4EN_Pos            (17UL)                    /*!< PWM4EN (Bit 17)                                       */
#define RCC_APB2ENR_PWM4EN_Msk            (0x20000UL)               /*!< PWM4EN (Bitfield-Mask: 0x01)                          */
#define RCC_APB2ENR_TIM15EN_Pos           (22UL)                    /*!< TIM15EN (Bit 22)                                      */
#define RCC_APB2ENR_TIM15EN_Msk           (0x400000UL)              /*!< TIM15EN (Bitfield-Mask: 0x01)                         */
#define RCC_APB2ENR_TIM16EN_Pos           (23UL)                    /*!< TIM16EN (Bit 23)                                      */
#define RCC_APB2ENR_TIM16EN_Msk           (0x800000UL)              /*!< TIM16EN (Bitfield-Mask: 0x01)                         */
#define RCC_APB2ENR_TIM17EN_Pos           (24UL)                    /*!< TIM17EN (Bit 24)                                      */
#define RCC_APB2ENR_TIM17EN_Msk           (0x1000000UL)             /*!< TIM17EN (Bitfield-Mask: 0x01)                         */
#define RCC_APB2ENR_COMPEN_Pos            (27UL)                    /*!< COMPEN (Bit 27)                                       */
#define RCC_APB2ENR_COMPEN_Msk            (0x8000000UL)             /*!< COMPEN (Bitfield-Mask: 0x01)                          */
#define RCC_APB2ENR_OPAMPEN_Pos           (28UL)                    /*!< OPAMPEN (Bit 28)                                      */
#define RCC_APB2ENR_OPAMPEN_Msk           (0x10000000UL)            /*!< OPAMPEN (Bitfield-Mask: 0x01)                         */
/* =========================================================  CCIPR  ========================================================= */
#define RCC_CCIPR_USART1SEL_Pos           (0UL)                     /*!< USART1SEL (Bit 0)                                     */
#define RCC_CCIPR_USART1SEL_Msk           (0x3UL)                   /*!< USART1SEL (Bitfield-Mask: 0x03)                       */
#define RCC_CCIPR_LPUART1SEL_Pos          (12UL)                    /*!< LPUART1SEL (Bit 12)                                   */
#define RCC_CCIPR_LPUART1SEL_Msk          (0x3000UL)                /*!< LPUART1SEL (Bitfield-Mask: 0x03)                      */
#define RCC_CCIPR_LPTIM1SEL_Pos           (14UL)                    /*!< LPTIM1SEL (Bit 14)                                    */
#define RCC_CCIPR_LPTIM1SEL_Msk           (0xc000UL)                /*!< LPTIM1SEL (Bitfield-Mask: 0x03)                       */
#define RCC_CCIPR_COMP1SEL_Pos            (16UL)                    /*!< COMP1SEL (Bit 16)                                     */
#define RCC_CCIPR_COMP1SEL_Msk            (0x30000UL)               /*!< COMP1SEL (Bitfield-Mask: 0x03)                        */
#define RCC_CCIPR_COMP2SEL_Pos            (18UL)                    /*!< COMP2SEL (Bit 18)                                     */
#define RCC_CCIPR_COMP2SEL_Msk            (0xc0000UL)               /*!< COMP2SEL (Bitfield-Mask: 0x03)                        */
#define RCC_CCIPR_ADC1SEL_Pos             (24UL)                    /*!< ADC1SEL (Bit 24)                                      */
#define RCC_CCIPR_ADC1SEL_Msk             (0x3000000UL)             /*!< ADC1SEL (Bitfield-Mask: 0x03)                         */
#define RCC_CCIPR_OPAMP2SEL_Pos           (30UL)                    /*!< OPAMP2SEL (Bit 30)                                    */
#define RCC_CCIPR_OPAMP2SEL_Msk           (0xc0000000UL)            /*!< OPAMP2SEL (Bitfield-Mask: 0x03)                       */
/* =========================================================  BDCR  ========================================================== */
#define RCC_BDCR_LSEON_Pos                (0UL)                     /*!< LSEON (Bit 0)                                         */
#define RCC_BDCR_LSEON_Msk                (0x1UL)                   /*!< LSEON (Bitfield-Mask: 0x01)                           */
#define RCC_BDCR_LSERDY_Pos               (1UL)                     /*!< LSERDY (Bit 1)                                        */
#define RCC_BDCR_LSERDY_Msk               (0x2UL)                   /*!< LSERDY (Bitfield-Mask: 0x01)                          */
#define RCC_BDCR_LSEBYP_Pos               (2UL)                     /*!< LSEBYP (Bit 2)                                        */
#define RCC_BDCR_LSEBYP_Msk               (0x4UL)                   /*!< LSEBYP (Bitfield-Mask: 0x01)                          */
#define RCC_BDCR_LSEDRV_Pos               (3UL)                     /*!< LSEDRV (Bit 3)                                        */
#define RCC_BDCR_LSEDRV_Msk               (0x18UL)                  /*!< LSEDRV (Bitfield-Mask: 0x03)                          */
#define RCC_BDCR_RTCSEL_Pos               (8UL)                     /*!< RTCSEL (Bit 8)                                        */
#define RCC_BDCR_RTCSEL_Msk               (0x300UL)                 /*!< RTCSEL (Bitfield-Mask: 0x03)                          */
#define RCC_BDCR_RTCEN_Pos                (15UL)                    /*!< RTCEN (Bit 15)                                        */
#define RCC_BDCR_RTCEN_Msk                (0x8000UL)                /*!< RTCEN (Bitfield-Mask: 0x01)                           */
#define RCC_BDCR_BDRST_Pos                (16UL)                    /*!< BDRST (Bit 16)                                        */
#define RCC_BDCR_BDRST_Msk                (0x10000UL)               /*!< BDRST (Bitfield-Mask: 0x01)                           */
/* ==========================================================  CSR  ========================================================== */
#define RCC_CSR_LSION_Pos                 (0UL)                     /*!< LSION (Bit 0)                                         */
#define RCC_CSR_LSION_Msk                 (0x1UL)                   /*!< LSION (Bitfield-Mask: 0x01)                           */
#define RCC_CSR_LSIRDY_Pos                (1UL)                     /*!< LSIRDY (Bit 1)                                        */
#define RCC_CSR_LSIRDY_Msk                (0x2UL)                   /*!< LSIRDY (Bitfield-Mask: 0x01)                          */
#define RCC_CSR_RMVF_Pos                  (24UL)                    /*!< RMVF (Bit 24)                                         */
#define RCC_CSR_RMVF_Msk                  (0x1000000UL)             /*!< RMVF (Bitfield-Mask: 0x01)                            */
#define RCC_CSR_OBLRSTF_Pos               (25UL)                    /*!< OBLRSTF (Bit 25)                                      */
#define RCC_CSR_OBLRSTF_Msk               (0x2000000UL)             /*!< OBLRSTF (Bitfield-Mask: 0x01)                         */
#define RCC_CSR_PINRSTF_Pos               (26UL)                    /*!< PINRSTF (Bit 26)                                      */
#define RCC_CSR_PINRSTF_Msk               (0x4000000UL)             /*!< PINRSTF (Bitfield-Mask: 0x01)                         */
#define RCC_CSR_PWRRSTF_Pos               (27UL)                    /*!< PWRRSTF (Bit 27)                                      */
#define RCC_CSR_PWRRSTF_Msk               (0x8000000UL)             /*!< PWRRSTF (Bitfield-Mask: 0x01)                         */
#define RCC_CSR_SFTRSTF_Pos               (28UL)                    /*!< SFTRSTF (Bit 28)                                      */
#define RCC_CSR_SFTRSTF_Msk               (0x10000000UL)            /*!< SFTRSTF (Bitfield-Mask: 0x01)                         */
#define RCC_CSR_IWDGRSTF_Pos              (29UL)                    /*!< IWDGRSTF (Bit 29)                                     */
#define RCC_CSR_IWDGRSTF_Msk              (0x20000000UL)            /*!< IWDGRSTF (Bitfield-Mask: 0x01)                        */
#define RCC_CSR_WWDGRSTF_Pos              (30UL)                    /*!< WWDGRSTF (Bit 30)                                     */
#define RCC_CSR_WWDGRSTF_Msk              (0x40000000UL)            /*!< WWDGRSTF (Bitfield-Mask: 0x01)                        */
#define RCC_CSR_LPWRRSTF_Pos              (31UL)                    /*!< LPWRRSTF (Bit 31)                                     */
#define RCC_CSR_LPWRRSTF_Msk              (0x80000000UL)            /*!< LPWRRSTF (Bitfield-Mask: 0x01)                        */
/* =========================================================  CFGR1  ========================================================= */
#define RCC_CFGR1_MCOPRE_Pos              (0UL)                     /*!< MCOPRE (Bit 0)                                        */
#define RCC_CFGR1_MCOPRE_Msk              (0xfUL)                   /*!< MCOPRE (Bitfield-Mask: 0x0f)                          */
#define RCC_CFGR1_PVDSEL_Pos              (29UL)                    /*!< PVDSEL (Bit 29)                                       */
#define RCC_CFGR1_PVDSEL_Msk              (0x60000000UL)            /*!< PVDSEL (Bitfield-Mask: 0x03)                          */
/* =========================================================  CFGR2  ========================================================= */
#define RCC_CFGR2_HSEDRV_Pos              (8UL)                     /*!< HSEDRV (Bit 8)                                        */
#define RCC_CFGR2_HSEDRV_Msk              (0x300UL)                 /*!< HSEDRV (Bitfield-Mask: 0x03)                          */
/* =========================================================  CFGR3  ========================================================= */
#define RCC_CFGR3_PLLSRC_Pos              (0UL)                     /*!< PLLSRC (Bit 0)                                        */
#define RCC_CFGR3_PLLSRC_Msk              (0x1UL)                   /*!< PLLSRC (Bitfield-Mask: 0x01)                          */
#define RCC_CFGR3_PLLMUL_Pos              (8UL)                     /*!< PLLMUL (Bit 8)                                        */
#define RCC_CFGR3_PLLMUL_Msk              (0x700UL)                 /*!< PLLMUL (Bitfield-Mask: 0x07)                          */


/* =========================================================================================================================== */
/* ================                                            RTC                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  CRH  ========================================================== */
#define RTC_CRH_SECIE_Pos                 (0UL)                     /*!< SECIE (Bit 0)                                         */
#define RTC_CRH_SECIE_Msk                 (0x1UL)                   /*!< SECIE (Bitfield-Mask: 0x01)                           */
#define RTC_CRH_ALRIE_Pos                 (1UL)                     /*!< ALRIE (Bit 1)                                         */
#define RTC_CRH_ALRIE_Msk                 (0x2UL)                   /*!< ALRIE (Bitfield-Mask: 0x01)                           */
#define RTC_CRH_OWIE_Pos                  (2UL)                     /*!< OWIE (Bit 2)                                          */
#define RTC_CRH_OWIE_Msk                  (0x4UL)                   /*!< OWIE (Bitfield-Mask: 0x01)                            */
/* ==========================================================  CRL  ========================================================== */
#define RTC_CRL_SECF_Pos                  (0UL)                     /*!< SECF (Bit 0)                                          */
#define RTC_CRL_SECF_Msk                  (0x1UL)                   /*!< SECF (Bitfield-Mask: 0x01)                            */
#define RTC_CRL_ALRF_Pos                  (1UL)                     /*!< ALRF (Bit 1)                                          */
#define RTC_CRL_ALRF_Msk                  (0x2UL)                   /*!< ALRF (Bitfield-Mask: 0x01)                            */
#define RTC_CRL_OWF_Pos                   (2UL)                     /*!< OWF (Bit 2)                                           */
#define RTC_CRL_OWF_Msk                   (0x4UL)                   /*!< OWF (Bitfield-Mask: 0x01)                             */
#define RTC_CRL_RSF_Pos                   (3UL)                     /*!< RSF (Bit 3)                                           */
#define RTC_CRL_RSF_Msk                   (0x8UL)                   /*!< RSF (Bitfield-Mask: 0x01)                             */
#define RTC_CRL_CNF_Pos                   (4UL)                     /*!< CNF (Bit 4)                                           */
#define RTC_CRL_CNF_Msk                   (0x10UL)                  /*!< CNF (Bitfield-Mask: 0x01)                             */
#define RTC_CRL_RTOFF_Pos                 (5UL)                     /*!< RTOFF (Bit 5)                                         */
#define RTC_CRL_RTOFF_Msk                 (0x20UL)                  /*!< RTOFF (Bitfield-Mask: 0x01)                           */
/* =========================================================  PRLH  ========================================================== */
#define RTC_PRLH_PRL_Pos                  (0UL)                     /*!< PRL (Bit 0)                                           */
#define RTC_PRLH_PRL_Msk                  (0xfUL)                   /*!< PRL (Bitfield-Mask: 0x0f)                             */
/* =========================================================  PRLL  ========================================================== */
#define RTC_PRLL_PRL_Pos                  (0UL)                     /*!< PRL (Bit 0)                                           */
#define RTC_PRLL_PRL_Msk                  (0xffffUL)                /*!< PRL (Bitfield-Mask: 0xffff)                           */
/* =========================================================  DIVH  ========================================================== */
#define RTC_DIVH_RTC_DIV_Pos              (0UL)                     /*!< RTC_DIV (Bit 0)                                       */
#define RTC_DIVH_RTC_DIV_Msk              (0xfUL)                   /*!< RTC_DIV (Bitfield-Mask: 0x0f)                         */
/* =========================================================  DIVL  ========================================================== */
#define RTC_DIVL_RTC_DIV_Pos              (0UL)                     /*!< RTC_DIV (Bit 0)                                       */
#define RTC_DIVL_RTC_DIV_Msk              (0xffffUL)                /*!< RTC_DIV (Bitfield-Mask: 0xffff)                       */
/* =========================================================  CNTH  ========================================================== */
#define RTC_CNTH_RTC_CNT_Pos              (0UL)                     /*!< RTC_CNT (Bit 0)                                       */
#define RTC_CNTH_RTC_CNT_Msk              (0xffffUL)                /*!< RTC_CNT (Bitfield-Mask: 0xffff)                       */
/* =========================================================  CNTL  ========================================================== */
#define RTC_CNTL_RTC_CNT_Pos              (0UL)                     /*!< RTC_CNT (Bit 0)                                       */
#define RTC_CNTL_RTC_CNT_Msk              (0xffffUL)                /*!< RTC_CNT (Bitfield-Mask: 0xffff)                       */
/* =========================================================  ALRH  ========================================================== */
#define RTC_ALRH_RTC_ALR_Pos              (0UL)                     /*!< RTC_ALR (Bit 0)                                       */
#define RTC_ALRH_RTC_ALR_Msk              (0xffffUL)                /*!< RTC_ALR (Bitfield-Mask: 0xffff)                       */
/* =========================================================  ALRL  ========================================================== */
#define RTC_ALRL_RTC_ALR_Pos              (0UL)                     /*!< RTC_ALR (Bit 0)                                       */
#define RTC_ALRL_RTC_ALR_Msk              (0xffffUL)                /*!< RTC_ALR (Bitfield-Mask: 0xffff)                       */
/* ========================================================  TMPCFGR  ======================================================== */
#define RTC_TMPCFGR_TPE_Pos               (0UL)                     /*!< TPE (Bit 0)                                           */
#define RTC_TMPCFGR_TPE_Msk               (0x1UL)                   /*!< TPE (Bitfield-Mask: 0x01)                             */
#define RTC_TMPCFGR_TPAL_Pos              (1UL)                     /*!< TPAL (Bit 1)                                          */
#define RTC_TMPCFGR_TPAL_Msk              (0x2UL)                   /*!< TPAL (Bitfield-Mask: 0x01)                            */
/* ========================================================  TMPCSR  ========================================================= */
#define RTC_TMPCSR_CTE_Pos                (0UL)                     /*!< CTE (Bit 0)                                           */
#define RTC_TMPCSR_CTE_Msk                (0x1UL)                   /*!< CTE (Bitfield-Mask: 0x01)                             */
#define RTC_TMPCSR_CTI_Pos                (1UL)                     /*!< CTI (Bit 1)                                           */
#define RTC_TMPCSR_CTI_Msk                (0x2UL)                   /*!< CTI (Bitfield-Mask: 0x01)                             */
#define RTC_TMPCSR_TPIE_Pos               (2UL)                     /*!< TPIE (Bit 2)                                          */
#define RTC_TMPCSR_TPIE_Msk               (0x4UL)                   /*!< TPIE (Bitfield-Mask: 0x01)                            */
#define RTC_TMPCSR_TEF_Pos                (8UL)                     /*!< TEF (Bit 8)                                           */
#define RTC_TMPCSR_TEF_Msk                (0x100UL)                 /*!< TEF (Bitfield-Mask: 0x01)                             */
#define RTC_TMPCSR_TIF_Pos                (9UL)                     /*!< TIF (Bit 9)                                           */
#define RTC_TMPCSR_TIF_Msk                (0x200UL)                 /*!< TIF (Bitfield-Mask: 0x01)                             */
/* ========================================================  CALIBR  ========================================================= */
#define RTC_CALIBR_CAL_Pos                (0UL)                     /*!< CAL (Bit 0)                                           */
#define RTC_CALIBR_CAL_Msk                (0x7fUL)                  /*!< CAL (Bitfield-Mask: 0x7f)                             */
#define RTC_CALIBR_CCO_Pos                (7UL)                     /*!< CCO (Bit 7)                                           */
#define RTC_CALIBR_CCO_Msk                (0x80UL)                  /*!< CCO (Bitfield-Mask: 0x01)                             */
#define RTC_CALIBR_ASOE_Pos               (8UL)                     /*!< ASOE (Bit 8)                                          */
#define RTC_CALIBR_ASOE_Msk               (0x100UL)                 /*!< ASOE (Bitfield-Mask: 0x01)                            */
#define RTC_CALIBR_ASOS_Pos               (9UL)                     /*!< ASOS (Bit 9)                                          */
#define RTC_CALIBR_ASOS_Msk               (0x200UL)                 /*!< ASOS (Bitfield-Mask: 0x01)                            */
/* ========================================================  BKP_DR0  ======================================================== */
#define RTC_BKP_DR0_D_Pos                 (0UL)                     /*!< D (Bit 0)                                             */
#define RTC_BKP_DR0_D_Msk                 (0xffffffffUL)            /*!< D (Bitfield-Mask: 0xffffffff)                         */
/* ========================================================  BKP_DR1  ======================================================== */
#define RTC_BKP_DR1_D_Pos                 (0UL)                     /*!< D (Bit 0)                                             */
#define RTC_BKP_DR1_D_Msk                 (0xffffffffUL)            /*!< D (Bitfield-Mask: 0xffffffff)                         */
/* ========================================================  BKP_DR2  ======================================================== */
#define RTC_BKP_DR2_D_Pos                 (0UL)                     /*!< D (Bit 0)                                             */
#define RTC_BKP_DR2_D_Msk                 (0xffffffffUL)            /*!< D (Bitfield-Mask: 0xffffffff)                         */
/* ========================================================  BKP_DR3  ======================================================== */
#define RTC_BKP_DR3_D_Pos                 (0UL)                     /*!< D (Bit 0)                                             */
#define RTC_BKP_DR3_D_Msk                 (0xffffffffUL)            /*!< D (Bitfield-Mask: 0xffffffff)                         */
/* ========================================================  BKP_DR4  ======================================================== */
#define RTC_BKP_DR4_D_Pos                 (0UL)                     /*!< D (Bit 0)                                             */
#define RTC_BKP_DR4_D_Msk                 (0xffffffffUL)            /*!< D (Bitfield-Mask: 0xffffffff)                         */


/* =========================================================================================================================== */
/* ================                                           SPI1                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  CR1  ========================================================== */
#define SPI1_CR1_CPHA_Pos                 (0UL)                     /*!< CPHA (Bit 0)                                          */
#define SPI1_CR1_CPHA_Msk                 (0x1UL)                   /*!< CPHA (Bitfield-Mask: 0x01)                            */
#define SPI1_CR1_CPOL_Pos                 (1UL)                     /*!< CPOL (Bit 1)                                          */
#define SPI1_CR1_CPOL_Msk                 (0x2UL)                   /*!< CPOL (Bitfield-Mask: 0x01)                            */
#define SPI1_CR1_MSTR_Pos                 (2UL)                     /*!< MSTR (Bit 2)                                          */
#define SPI1_CR1_MSTR_Msk                 (0x4UL)                   /*!< MSTR (Bitfield-Mask: 0x01)                            */
#define SPI1_CR1_BR_Pos                   (3UL)                     /*!< BR (Bit 3)                                            */
#define SPI1_CR1_BR_Msk                   (0x38UL)                  /*!< BR (Bitfield-Mask: 0x07)                              */
#define SPI1_CR1_SPE_Pos                  (6UL)                     /*!< SPE (Bit 6)                                           */
#define SPI1_CR1_SPE_Msk                  (0x40UL)                  /*!< SPE (Bitfield-Mask: 0x01)                             */
#define SPI1_CR1_LSBFIRST_Pos             (7UL)                     /*!< LSBFIRST (Bit 7)                                      */
#define SPI1_CR1_LSBFIRST_Msk             (0x80UL)                  /*!< LSBFIRST (Bitfield-Mask: 0x01)                        */
#define SPI1_CR1_SSI_Pos                  (8UL)                     /*!< SSI (Bit 8)                                           */
#define SPI1_CR1_SSI_Msk                  (0x100UL)                 /*!< SSI (Bitfield-Mask: 0x01)                             */
#define SPI1_CR1_SSM_Pos                  (9UL)                     /*!< SSM (Bit 9)                                           */
#define SPI1_CR1_SSM_Msk                  (0x200UL)                 /*!< SSM (Bitfield-Mask: 0x01)                             */
#define SPI1_CR1_RXONLY_Pos               (10UL)                    /*!< RXONLY (Bit 10)                                       */
#define SPI1_CR1_RXONLY_Msk               (0x400UL)                 /*!< RXONLY (Bitfield-Mask: 0x01)                          */
#define SPI1_CR1_DFF_Pos                  (11UL)                    /*!< DFF (Bit 11)                                          */
#define SPI1_CR1_DFF_Msk                  (0x800UL)                 /*!< DFF (Bitfield-Mask: 0x01)                             */
#define SPI1_CR1_CRCNEXT_Pos              (12UL)                    /*!< CRCNEXT (Bit 12)                                      */
#define SPI1_CR1_CRCNEXT_Msk              (0x1000UL)                /*!< CRCNEXT (Bitfield-Mask: 0x01)                         */
#define SPI1_CR1_CRCEN_Pos                (13UL)                    /*!< CRCEN (Bit 13)                                        */
#define SPI1_CR1_CRCEN_Msk                (0x2000UL)                /*!< CRCEN (Bitfield-Mask: 0x01)                           */
#define SPI1_CR1_BIDIOE_Pos               (14UL)                    /*!< BIDIOE (Bit 14)                                       */
#define SPI1_CR1_BIDIOE_Msk               (0x4000UL)                /*!< BIDIOE (Bitfield-Mask: 0x01)                          */
#define SPI1_CR1_BIDIMODE_Pos             (15UL)                    /*!< BIDIMODE (Bit 15)                                     */
#define SPI1_CR1_BIDIMODE_Msk             (0x8000UL)                /*!< BIDIMODE (Bitfield-Mask: 0x01)                        */
/* ==========================================================  CR2  ========================================================== */
#define SPI1_CR2_RXDMAEN_Pos              (0UL)                     /*!< RXDMAEN (Bit 0)                                       */
#define SPI1_CR2_RXDMAEN_Msk              (0x1UL)                   /*!< RXDMAEN (Bitfield-Mask: 0x01)                         */
#define SPI1_CR2_TXDMAEN_Pos              (1UL)                     /*!< TXDMAEN (Bit 1)                                       */
#define SPI1_CR2_TXDMAEN_Msk              (0x2UL)                   /*!< TXDMAEN (Bitfield-Mask: 0x01)                         */
#define SPI1_CR2_SSOE_Pos                 (2UL)                     /*!< SSOE (Bit 2)                                          */
#define SPI1_CR2_SSOE_Msk                 (0x4UL)                   /*!< SSOE (Bitfield-Mask: 0x01)                            */
#define SPI1_CR2_CLRTXFIFO_Pos            (4UL)                     /*!< CLRTXFIFO (Bit 4)                                     */
#define SPI1_CR2_CLRTXFIFO_Msk            (0x10UL)                  /*!< CLRTXFIFO (Bitfield-Mask: 0x01)                       */
#define SPI1_CR2_ERRIE_Pos                (5UL)                     /*!< ERRIE (Bit 5)                                         */
#define SPI1_CR2_ERRIE_Msk                (0x20UL)                  /*!< ERRIE (Bitfield-Mask: 0x01)                           */
#define SPI1_CR2_RXNEIE_Pos               (6UL)                     /*!< RXNEIE (Bit 6)                                        */
#define SPI1_CR2_RXNEIE_Msk               (0x40UL)                  /*!< RXNEIE (Bitfield-Mask: 0x01)                          */
#define SPI1_CR2_TXEIE_Pos                (7UL)                     /*!< TXEIE (Bit 7)                                         */
#define SPI1_CR2_TXEIE_Msk                (0x80UL)                  /*!< TXEIE (Bitfield-Mask: 0x01)                           */
#define SPI1_CR2_FRXTH_Pos                (12UL)                    /*!< FRXTH (Bit 12)                                        */
#define SPI1_CR2_FRXTH_Msk                (0x1000UL)                /*!< FRXTH (Bitfield-Mask: 0x01)                           */
#define SPI1_CR2_CLK_SEL_Pos              (14UL)                    /*!< CLK_SEL (Bit 14)                                      */
#define SPI1_CR2_CLK_SEL_Msk              (0x4000UL)                /*!< CLK_SEL (Bitfield-Mask: 0x01)                         */
#define SPI1_CR2_FRF_Pos                  (15UL)                    /*!< FRF (Bit 15)                                          */
#define SPI1_CR2_FRF_Msk                  (0x8000UL)                /*!< FRF (Bitfield-Mask: 0x01)                             */
/* ==========================================================  SR  =========================================================== */
#define SPI1_SR_RXNE_Pos                  (0UL)                     /*!< RXNE (Bit 0)                                          */
#define SPI1_SR_RXNE_Msk                  (0x1UL)                   /*!< RXNE (Bitfield-Mask: 0x01)                            */
#define SPI1_SR_TXE_Pos                   (1UL)                     /*!< TXE (Bit 1)                                           */
#define SPI1_SR_TXE_Msk                   (0x2UL)                   /*!< TXE (Bitfield-Mask: 0x01)                             */
#define SPI1_SR_CHSIDE_Pos                (2UL)                     /*!< CHSIDE (Bit 2)                                        */
#define SPI1_SR_CHSIDE_Msk                (0x4UL)                   /*!< CHSIDE (Bitfield-Mask: 0x01)                          */
#define SPI1_SR_UDR_Pos                   (3UL)                     /*!< UDR (Bit 3)                                           */
#define SPI1_SR_UDR_Msk                   (0x8UL)                   /*!< UDR (Bitfield-Mask: 0x01)                             */
#define SPI1_SR_CRCERR_Pos                (4UL)                     /*!< CRCERR (Bit 4)                                        */
#define SPI1_SR_CRCERR_Msk                (0x10UL)                  /*!< CRCERR (Bitfield-Mask: 0x01)                          */
#define SPI1_SR_MODF_Pos                  (5UL)                     /*!< MODF (Bit 5)                                          */
#define SPI1_SR_MODF_Msk                  (0x20UL)                  /*!< MODF (Bitfield-Mask: 0x01)                            */
#define SPI1_SR_OVR_Pos                   (6UL)                     /*!< OVR (Bit 6)                                           */
#define SPI1_SR_OVR_Msk                   (0x40UL)                  /*!< OVR (Bitfield-Mask: 0x01)                             */
#define SPI1_SR_BSY_Pos                   (7UL)                     /*!< BSY (Bit 7)                                           */
#define SPI1_SR_BSY_Msk                   (0x80UL)                  /*!< BSY (Bitfield-Mask: 0x01)                             */
#define SPI1_SR_FRE_Pos                   (8UL)                     /*!< FRE (Bit 8)                                           */
#define SPI1_SR_FRE_Msk                   (0x100UL)                 /*!< FRE (Bitfield-Mask: 0x01)                             */
#define SPI1_SR_FRLVL_Pos                 (9UL)                     /*!< FRLVL (Bit 9)                                         */
#define SPI1_SR_FRLVL_Msk                 (0x600UL)                 /*!< FRLVL (Bitfield-Mask: 0x03)                           */
#define SPI1_SR_FTLVL_Pos                 (11UL)                    /*!< FTLVL (Bit 11)                                        */
#define SPI1_SR_FTLVL_Msk                 (0x1800UL)                /*!< FTLVL (Bitfield-Mask: 0x03)                           */
/* ==========================================================  DR  =========================================================== */
#define SPI1_DR_DR_Pos                    (0UL)                     /*!< DR (Bit 0)                                            */
#define SPI1_DR_DR_Msk                    (0xffffUL)                /*!< DR (Bitfield-Mask: 0xffff)                            */
/* =========================================================  CRCPR  ========================================================= */
#define SPI1_CRCPR_CRCPOLY_Pos            (0UL)                     /*!< CRCPOLY (Bit 0)                                       */
#define SPI1_CRCPR_CRCPOLY_Msk            (0xffffUL)                /*!< CRCPOLY (Bitfield-Mask: 0xffff)                       */
/* ========================================================  RXCRCR  ========================================================= */
#define SPI1_RXCRCR_RXCRC_Pos             (0UL)                     /*!< RXCRC (Bit 0)                                         */
#define SPI1_RXCRCR_RXCRC_Msk             (0xffffUL)                /*!< RXCRC (Bitfield-Mask: 0xffff)                         */
/* ========================================================  TXCRCR  ========================================================= */
#define SPI1_TXCRCR_TXCRC_Pos             (0UL)                     /*!< TXCRC (Bit 0)                                         */
#define SPI1_TXCRCR_TXCRC_Msk             (0xffffUL)                /*!< TXCRC (Bitfield-Mask: 0xffff)                         */
/* =======================================================  I2S_CFGR  ======================================================== */
#define SPI1_I2S_CFGR_CHLEN_Pos           (0UL)                     /*!< CHLEN (Bit 0)                                         */
#define SPI1_I2S_CFGR_CHLEN_Msk           (0x1UL)                   /*!< CHLEN (Bitfield-Mask: 0x01)                           */
#define SPI1_I2S_CFGR_DATLEN_Pos          (1UL)                     /*!< DATLEN (Bit 1)                                        */
#define SPI1_I2S_CFGR_DATLEN_Msk          (0x6UL)                   /*!< DATLEN (Bitfield-Mask: 0x03)                          */
#define SPI1_I2S_CFGR_CKPOL_Pos           (3UL)                     /*!< CKPOL (Bit 3)                                         */
#define SPI1_I2S_CFGR_CKPOL_Msk           (0x8UL)                   /*!< CKPOL (Bitfield-Mask: 0x01)                           */
#define SPI1_I2S_CFGR_I2SSTD_Pos          (4UL)                     /*!< I2SSTD (Bit 4)                                        */
#define SPI1_I2S_CFGR_I2SSTD_Msk          (0x30UL)                  /*!< I2SSTD (Bitfield-Mask: 0x03)                          */
#define SPI1_I2S_CFGR_PCMSYNC_Pos         (7UL)                     /*!< PCMSYNC (Bit 7)                                       */
#define SPI1_I2S_CFGR_PCMSYNC_Msk         (0x80UL)                  /*!< PCMSYNC (Bitfield-Mask: 0x01)                         */
#define SPI1_I2S_CFGR_I2SCFG_Pos          (8UL)                     /*!< I2SCFG (Bit 8)                                        */
#define SPI1_I2S_CFGR_I2SCFG_Msk          (0x300UL)                 /*!< I2SCFG (Bitfield-Mask: 0x03)                          */
#define SPI1_I2S_CFGR_I2SE_Pos            (10UL)                    /*!< I2SE (Bit 10)                                         */
#define SPI1_I2S_CFGR_I2SE_Msk            (0x400UL)                 /*!< I2SE (Bitfield-Mask: 0x01)                            */
#define SPI1_I2S_CFGR_I2SMOD_Pos          (11UL)                    /*!< I2SMOD (Bit 11)                                       */
#define SPI1_I2S_CFGR_I2SMOD_Msk          (0x800UL)                 /*!< I2SMOD (Bitfield-Mask: 0x01)                          */
/* =========================================================  I2SPR  ========================================================= */
#define SPI1_I2SPR_I2SDIV_Pos             (0UL)                     /*!< I2SDIV (Bit 0)                                        */
#define SPI1_I2SPR_I2SDIV_Msk             (0xffUL)                  /*!< I2SDIV (Bitfield-Mask: 0xff)                          */
#define SPI1_I2SPR_ODD_Pos                (8UL)                     /*!< ODD (Bit 8)                                           */
#define SPI1_I2SPR_ODD_Msk                (0x100UL)                 /*!< ODD (Bitfield-Mask: 0x01)                             */
#define SPI1_I2SPR_MCKOE_Pos              (9UL)                     /*!< MCKOE (Bit 9)                                         */
#define SPI1_I2SPR_MCKOE_Msk              (0x200UL)                 /*!< MCKOE (Bitfield-Mask: 0x01)                           */


/* =========================================================================================================================== */
/* ================                                          SYSCFG                                           ================ */
/* =========================================================================================================================== */

/* =========================================================  CFGR1  ========================================================= */
#define SYSCFG_CFGR1_MEM_MODE_Pos         (0UL)                     /*!< MEM_MODE (Bit 0)                                      */
#define SYSCFG_CFGR1_MEM_MODE_Msk         (0x3UL)                   /*!< MEM_MODE (Bitfield-Mask: 0x03)                        */
#define SYSCFG_CFGR1_I2C1_FMP_Pos         (2UL)                     /*!< I2C1_FMP (Bit 2)                                      */
#define SYSCFG_CFGR1_I2C1_FMP_Msk         (0x4UL)                   /*!< I2C1_FMP (Bitfield-Mask: 0x01)                        */
#define SYSCFG_CFGR1_I2C2_FMP_Pos         (3UL)                     /*!< I2C2_FMP (Bit 3)                                      */
#define SYSCFG_CFGR1_I2C2_FMP_Msk         (0x8UL)                   /*!< I2C2_FMP (Bitfield-Mask: 0x01)                        */
#define SYSCFG_CFGR1_I2C_EIIC_Pos         (4UL)                     /*!< I2C_EIIC (Bit 4)                                      */
#define SYSCFG_CFGR1_I2C_EIIC_Msk         (0xfffffff0UL)            /*!< I2C_EIIC (Bitfield-Mask: 0xfffffff)                   */
/* =========================================================  CFGR2  ========================================================= */
#define SYSCFG_CFGR2_CLL_Pos              (0UL)                     /*!< CLL (Bit 0)                                           */
#define SYSCFG_CFGR2_CLL_Msk              (0x1UL)                   /*!< CLL (Bitfield-Mask: 0x01)                             */
#define SYSCFG_CFGR2_PVDL_Pos             (2UL)                     /*!< PVDL (Bit 2)                                          */
#define SYSCFG_CFGR2_PVDL_Msk             (0x4UL)                   /*!< PVDL (Bitfield-Mask: 0x01)                            */
/* =========================================================  CFGR3  ========================================================= */
#define SYSCFG_CFGR3_DMA1_MAP1_Pos        (0UL)                     /*!< DMA1_MAP1 (Bit 0)                                     */
#define SYSCFG_CFGR3_DMA1_MAP1_Msk        (0x7fUL)                  /*!< DMA1_MAP1 (Bitfield-Mask: 0x7f)                       */
#define SYSCFG_CFGR3_DMA1_MAP2_Pos        (8UL)                     /*!< DMA1_MAP2 (Bit 8)                                     */
#define SYSCFG_CFGR3_DMA1_MAP2_Msk        (0x7f00UL)                /*!< DMA1_MAP2 (Bitfield-Mask: 0x7f)                       */
#define SYSCFG_CFGR3_DMA1_MAP3_Pos        (16UL)                    /*!< DMA1_MAP3 (Bit 16)                                    */
#define SYSCFG_CFGR3_DMA1_MAP3_Msk        (0x7f0000UL)              /*!< DMA1_MAP3 (Bitfield-Mask: 0x7f)                       */
#define SYSCFG_CFGR3_DMA1_MAP4_Pos        (24UL)                    /*!< DMA1_MAP4 (Bit 24)                                    */
#define SYSCFG_CFGR3_DMA1_MAP4_Msk        (0x7f000000UL)            /*!< DMA1_MAP4 (Bitfield-Mask: 0x7f)                       */
/* =========================================================  CFGR4  ========================================================= */
#define SYSCFG_CFGR4_DMA1_MAP5_Pos        (0UL)                     /*!< DMA1_MAP5 (Bit 0)                                     */
#define SYSCFG_CFGR4_DMA1_MAP5_Msk        (0x7fUL)                  /*!< DMA1_MAP5 (Bitfield-Mask: 0x7f)                       */
#define SYSCFG_CFGR4_DMA1_MAP6_Pos        (8UL)                     /*!< DMA1_MAP6 (Bit 8)                                     */
#define SYSCFG_CFGR4_DMA1_MAP6_Msk        (0x7f00UL)                /*!< DMA1_MAP6 (Bitfield-Mask: 0x7f)                       */
#define SYSCFG_CFGR4_DMA1_MAP7_Pos        (16UL)                    /*!< DMA1_MAP7 (Bit 16)                                    */
#define SYSCFG_CFGR4_DMA1_MAP7_Msk        (0x7f0000UL)              /*!< DMA1_MAP7 (Bitfield-Mask: 0x7f)                       */
#define SYSCFG_CFGR4_DMA1_MAP8_Pos        (24UL)                    /*!< DMA1_MAP8 (Bit 24)                                    */
#define SYSCFG_CFGR4_DMA1_MAP8_Msk        (0x7f000000UL)            /*!< DMA1_MAP8 (Bitfield-Mask: 0x7f)                       */
/* ========================================================  EXTICR1  ======================================================== */
#define SYSCFG_EXTICR1_EXTI0_Pos          (0UL)                     /*!< EXTI0 (Bit 0)                                         */
#define SYSCFG_EXTICR1_EXTI0_Msk          (0x3UL)                   /*!< EXTI0 (Bitfield-Mask: 0x03)                           */
#define SYSCFG_EXTICR1_EXTI1_Pos          (4UL)                     /*!< EXTI1 (Bit 4)                                         */
#define SYSCFG_EXTICR1_EXTI1_Msk          (0x30UL)                  /*!< EXTI1 (Bitfield-Mask: 0x03)                           */
#define SYSCFG_EXTICR1_EXTI2_Pos          (8UL)                     /*!< EXTI2 (Bit 8)                                         */
#define SYSCFG_EXTICR1_EXTI2_Msk          (0x300UL)                 /*!< EXTI2 (Bitfield-Mask: 0x03)                           */
#define SYSCFG_EXTICR1_EXTI3_Pos          (12UL)                    /*!< EXTI3 (Bit 12)                                        */
#define SYSCFG_EXTICR1_EXTI3_Msk          (0x3000UL)                /*!< EXTI3 (Bitfield-Mask: 0x03)                           */
/* ========================================================  EXTICR2  ======================================================== */
#define SYSCFG_EXTICR2_EXTI4_Pos          (0UL)                     /*!< EXTI4 (Bit 0)                                         */
#define SYSCFG_EXTICR2_EXTI4_Msk          (0x3UL)                   /*!< EXTI4 (Bitfield-Mask: 0x03)                           */
#define SYSCFG_EXTICR2_EXTI5_Pos          (4UL)                     /*!< EXTI5 (Bit 4)                                         */
#define SYSCFG_EXTICR2_EXTI5_Msk          (0x30UL)                  /*!< EXTI5 (Bitfield-Mask: 0x03)                           */
#define SYSCFG_EXTICR2_EXTI6_Pos          (8UL)                     /*!< EXTI6 (Bit 8)                                         */
#define SYSCFG_EXTICR2_EXTI6_Msk          (0x300UL)                 /*!< EXTI6 (Bitfield-Mask: 0x03)                           */
#define SYSCFG_EXTICR2_EXTI7_Pos          (12UL)                    /*!< EXTI7 (Bit 12)                                        */
#define SYSCFG_EXTICR2_EXTI7_Msk          (0x3000UL)                /*!< EXTI7 (Bitfield-Mask: 0x03)                           */
/* ========================================================  EXTICR3  ======================================================== */
#define SYSCFG_EXTICR3_EXTI8_Pos          (0UL)                     /*!< EXTI8 (Bit 0)                                         */
#define SYSCFG_EXTICR3_EXTI8_Msk          (0x3UL)                   /*!< EXTI8 (Bitfield-Mask: 0x03)                           */
#define SYSCFG_EXTICR3_EXTI9_Pos          (4UL)                     /*!< EXTI9 (Bit 4)                                         */
#define SYSCFG_EXTICR3_EXTI9_Msk          (0x30UL)                  /*!< EXTI9 (Bitfield-Mask: 0x03)                           */
#define SYSCFG_EXTICR3_EXTI10_Pos         (8UL)                     /*!< EXTI10 (Bit 8)                                        */
#define SYSCFG_EXTICR3_EXTI10_Msk         (0x300UL)                 /*!< EXTI10 (Bitfield-Mask: 0x03)                          */
#define SYSCFG_EXTICR3_EXTI11_Pos         (12UL)                    /*!< EXTI11 (Bit 12)                                       */
#define SYSCFG_EXTICR3_EXTI11_Msk         (0x3000UL)                /*!< EXTI11 (Bitfield-Mask: 0x03)                          */
/* ========================================================  EXTICR4  ======================================================== */
#define SYSCFG_EXTICR4_EXTI12_Pos         (0UL)                     /*!< EXTI12 (Bit 0)                                        */
#define SYSCFG_EXTICR4_EXTI12_Msk         (0x3UL)                   /*!< EXTI12 (Bitfield-Mask: 0x03)                          */
#define SYSCFG_EXTICR4_EXTI13_Pos         (4UL)                     /*!< EXTI13 (Bit 4)                                        */
#define SYSCFG_EXTICR4_EXTI13_Msk         (0x30UL)                  /*!< EXTI13 (Bitfield-Mask: 0x03)                          */
#define SYSCFG_EXTICR4_EXTI14_Pos         (8UL)                     /*!< EXTI14 (Bit 8)                                        */
#define SYSCFG_EXTICR4_EXTI14_Msk         (0x300UL)                 /*!< EXTI14 (Bitfield-Mask: 0x03)                          */
#define SYSCFG_EXTICR4_EXTI15_Pos         (12UL)                    /*!< EXTI15 (Bit 12)                                       */
#define SYSCFG_EXTICR4_EXTI15_Msk         (0x3000UL)                /*!< EXTI15 (Bitfield-Mask: 0x03)                          */
/* ========================================================  PA_ENS  ========================================================= */
#define SYSCFG_PA_ENS_PA_ENS_Pos          (0UL)                     /*!< PA_ENS (Bit 0)                                        */
#define SYSCFG_PA_ENS_PA_ENS_Msk          (0xffffUL)                /*!< PA_ENS (Bitfield-Mask: 0xffff)                        */
/* ========================================================  PB_ENS  ========================================================= */
#define SYSCFG_PB_ENS_PB_ENS_Pos          (0UL)                     /*!< PB_ENS (Bit 0)                                        */
#define SYSCFG_PB_ENS_PB_ENS_Msk          (0xffffUL)                /*!< PB_ENS (Bitfield-Mask: 0xffff)                        */
/* ========================================================  PC_ENS  ========================================================= */
#define SYSCFG_PC_ENS_PC_ENS_Pos          (0UL)                     /*!< PC_ENS (Bit 0)                                        */
#define SYSCFG_PC_ENS_PC_ENS_Msk          (0xffffUL)                /*!< PC_ENS (Bitfield-Mask: 0xffff)                        */
/* ========================================================  PD_ENS  ========================================================= */
#define SYSCFG_PD_ENS_PD_ENS_Pos          (0UL)                     /*!< PD_ENS (Bit 0)                                        */
#define SYSCFG_PD_ENS_PD_ENS_Msk          (0xfffUL)                 /*!< PD_ENS (Bitfield-Mask: 0xfff)                         */
/* =====================================================  COMP_ANA2ENR  ====================================================== */
#define SYSCFG_COMP_ANA2ENR_PA0_ENA2_Pos  (0UL)                     /*!< PA0_ENA2 (Bit 0)                                      */
#define SYSCFG_COMP_ANA2ENR_PA0_ENA2_Msk  (0x1UL)                   /*!< PA0_ENA2 (Bitfield-Mask: 0x01)                        */
#define SYSCFG_COMP_ANA2ENR_PA1_ENA2_Pos  (1UL)                     /*!< PA1_ENA2 (Bit 1)                                      */
#define SYSCFG_COMP_ANA2ENR_PA1_ENA2_Msk  (0x2UL)                   /*!< PA1_ENA2 (Bitfield-Mask: 0x01)                        */
#define SYSCFG_COMP_ANA2ENR_PA2_ENA2_Pos  (2UL)                     /*!< PA2_ENA2 (Bit 2)                                      */
#define SYSCFG_COMP_ANA2ENR_PA2_ENA2_Msk  (0x4UL)                   /*!< PA2_ENA2 (Bitfield-Mask: 0x01)                        */
#define SYSCFG_COMP_ANA2ENR_PA3_ENA2_Pos  (3UL)                     /*!< PA3_ENA2 (Bit 3)                                      */
#define SYSCFG_COMP_ANA2ENR_PA3_ENA2_Msk  (0x8UL)                   /*!< PA3_ENA2 (Bitfield-Mask: 0x01)                        */
#define SYSCFG_COMP_ANA2ENR_PA4_ENA2_Pos  (4UL)                     /*!< PA4_ENA2 (Bit 4)                                      */
#define SYSCFG_COMP_ANA2ENR_PA4_ENA2_Msk  (0x10UL)                  /*!< PA4_ENA2 (Bitfield-Mask: 0x01)                        */
#define SYSCFG_COMP_ANA2ENR_PA5_ENA2_Pos  (5UL)                     /*!< PA5_ENA2 (Bit 5)                                      */
#define SYSCFG_COMP_ANA2ENR_PA5_ENA2_Msk  (0x20UL)                  /*!< PA5_ENA2 (Bitfield-Mask: 0x01)                        */
#define SYSCFG_COMP_ANA2ENR_PA7_ENA2_Pos  (7UL)                     /*!< PA7_ENA2 (Bit 7)                                      */
#define SYSCFG_COMP_ANA2ENR_PA7_ENA2_Msk  (0x80UL)                  /*!< PA7_ENA2 (Bitfield-Mask: 0x01)                        */
#define SYSCFG_COMP_ANA2ENR_PB1_ENA2_Pos  (17UL)                    /*!< PB1_ENA2 (Bit 17)                                     */
#define SYSCFG_COMP_ANA2ENR_PB1_ENA2_Msk  (0x20000UL)               /*!< PB1_ENA2 (Bitfield-Mask: 0x01)                        */


/* =========================================================================================================================== */
/* ================                                           TIM1                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  CR1  ========================================================== */
#define TIM1_CR1_CEN_Pos                  (0UL)                     /*!< CEN (Bit 0)                                           */
#define TIM1_CR1_CEN_Msk                  (0x1UL)                   /*!< CEN (Bitfield-Mask: 0x01)                             */
#define TIM1_CR1_UDIS_Pos                 (1UL)                     /*!< UDIS (Bit 1)                                          */
#define TIM1_CR1_UDIS_Msk                 (0x2UL)                   /*!< UDIS (Bitfield-Mask: 0x01)                            */
#define TIM1_CR1_URS_Pos                  (2UL)                     /*!< URS (Bit 2)                                           */
#define TIM1_CR1_URS_Msk                  (0x4UL)                   /*!< URS (Bitfield-Mask: 0x01)                             */
#define TIM1_CR1_OPM_Pos                  (3UL)                     /*!< OPM (Bit 3)                                           */
#define TIM1_CR1_OPM_Msk                  (0x8UL)                   /*!< OPM (Bitfield-Mask: 0x01)                             */
#define TIM1_CR1_DIR_Pos                  (4UL)                     /*!< DIR (Bit 4)                                           */
#define TIM1_CR1_DIR_Msk                  (0x10UL)                  /*!< DIR (Bitfield-Mask: 0x01)                             */
#define TIM1_CR1_CMS_Pos                  (5UL)                     /*!< CMS (Bit 5)                                           */
#define TIM1_CR1_CMS_Msk                  (0x60UL)                  /*!< CMS (Bitfield-Mask: 0x03)                             */
#define TIM1_CR1_ARPE_Pos                 (7UL)                     /*!< ARPE (Bit 7)                                          */
#define TIM1_CR1_ARPE_Msk                 (0x80UL)                  /*!< ARPE (Bitfield-Mask: 0x01)                            */
#define TIM1_CR1_CKD_Pos                  (8UL)                     /*!< CKD (Bit 8)                                           */
#define TIM1_CR1_CKD_Msk                  (0x300UL)                 /*!< CKD (Bitfield-Mask: 0x03)                             */
/* ==========================================================  CR2  ========================================================== */
#define TIM1_CR2_CCPC_Pos                 (0UL)                     /*!< CCPC (Bit 0)                                          */
#define TIM1_CR2_CCPC_Msk                 (0x1UL)                   /*!< CCPC (Bitfield-Mask: 0x01)                            */
#define TIM1_CR2_CCUS_Pos                 (2UL)                     /*!< CCUS (Bit 2)                                          */
#define TIM1_CR2_CCUS_Msk                 (0x4UL)                   /*!< CCUS (Bitfield-Mask: 0x01)                            */
#define TIM1_CR2_CCDS_Pos                 (3UL)                     /*!< CCDS (Bit 3)                                          */
#define TIM1_CR2_CCDS_Msk                 (0x8UL)                   /*!< CCDS (Bitfield-Mask: 0x01)                            */
#define TIM1_CR2_MMS_L_Pos                (4UL)                     /*!< MMS_L (Bit 4)                                         */
#define TIM1_CR2_MMS_L_Msk                (0x70UL)                  /*!< MMS_L (Bitfield-Mask: 0x07)                           */
#define TIM1_CR2_TI1S_Pos                 (7UL)                     /*!< TI1S (Bit 7)                                          */
#define TIM1_CR2_TI1S_Msk                 (0x80UL)                  /*!< TI1S (Bitfield-Mask: 0x01)                            */
#define TIM1_CR2_OIS1_Pos                 (8UL)                     /*!< OIS1 (Bit 8)                                          */
#define TIM1_CR2_OIS1_Msk                 (0x100UL)                 /*!< OIS1 (Bitfield-Mask: 0x01)                            */
#define TIM1_CR2_OIS1N_Pos                (9UL)                     /*!< OIS1N (Bit 9)                                         */
#define TIM1_CR2_OIS1N_Msk                (0x200UL)                 /*!< OIS1N (Bitfield-Mask: 0x01)                           */
#define TIM1_CR2_OIS2_Pos                 (10UL)                    /*!< OIS2 (Bit 10)                                         */
#define TIM1_CR2_OIS2_Msk                 (0x400UL)                 /*!< OIS2 (Bitfield-Mask: 0x01)                            */
#define TIM1_CR2_OIS2N_Pos                (11UL)                    /*!< OIS2N (Bit 11)                                        */
#define TIM1_CR2_OIS2N_Msk                (0x800UL)                 /*!< OIS2N (Bitfield-Mask: 0x01)                           */
#define TIM1_CR2_OIS3_Pos                 (12UL)                    /*!< OIS3 (Bit 12)                                         */
#define TIM1_CR2_OIS3_Msk                 (0x1000UL)                /*!< OIS3 (Bitfield-Mask: 0x01)                            */
#define TIM1_CR2_OIS3N_Pos                (13UL)                    /*!< OIS3N (Bit 13)                                        */
#define TIM1_CR2_OIS3N_Msk                (0x2000UL)                /*!< OIS3N (Bitfield-Mask: 0x01)                           */
#define TIM1_CR2_OIS4_Pos                 (14UL)                    /*!< OIS4 (Bit 14)                                         */
#define TIM1_CR2_OIS4_Msk                 (0x4000UL)                /*!< OIS4 (Bitfield-Mask: 0x01)                            */
#define TIM1_CR2_MMS_H_Pos                (25UL)                    /*!< MMS_H (Bit 25)                                        */
#define TIM1_CR2_MMS_H_Msk                (0x2000000UL)             /*!< MMS_H (Bitfield-Mask: 0x01)                           */
/* =========================================================  SMCR  ========================================================== */
#define TIM1_SMCR_SMS_L_Pos               (0UL)                     /*!< SMS_L (Bit 0)                                         */
#define TIM1_SMCR_SMS_L_Msk               (0x7UL)                   /*!< SMS_L (Bitfield-Mask: 0x07)                           */
#define TIM1_SMCR_OCCS_Pos                (3UL)                     /*!< OCCS (Bit 3)                                          */
#define TIM1_SMCR_OCCS_Msk                (0x8UL)                   /*!< OCCS (Bitfield-Mask: 0x01)                            */
#define TIM1_SMCR_TS_L_Pos                (4UL)                     /*!< TS_L (Bit 4)                                          */
#define TIM1_SMCR_TS_L_Msk                (0x70UL)                  /*!< TS_L (Bitfield-Mask: 0x07)                            */
#define TIM1_SMCR_MSM_Pos                 (7UL)                     /*!< MSM (Bit 7)                                           */
#define TIM1_SMCR_MSM_Msk                 (0x80UL)                  /*!< MSM (Bitfield-Mask: 0x01)                             */
#define TIM1_SMCR_ETF_Pos                 (8UL)                     /*!< ETF (Bit 8)                                           */
#define TIM1_SMCR_ETF_Msk                 (0xf00UL)                 /*!< ETF (Bitfield-Mask: 0x0f)                             */
#define TIM1_SMCR_ETPS_Pos                (12UL)                    /*!< ETPS (Bit 12)                                         */
#define TIM1_SMCR_ETPS_Msk                (0x3000UL)                /*!< ETPS (Bitfield-Mask: 0x03)                            */
#define TIM1_SMCR_ECE_Pos                 (14UL)                    /*!< ECE (Bit 14)                                          */
#define TIM1_SMCR_ECE_Msk                 (0x4000UL)                /*!< ECE (Bitfield-Mask: 0x01)                             */
#define TIM1_SMCR_ETP_Pos                 (15UL)                    /*!< ETP (Bit 15)                                          */
#define TIM1_SMCR_ETP_Msk                 (0x8000UL)                /*!< ETP (Bitfield-Mask: 0x01)                             */
#define TIM1_SMCR_SMS_H_Pos               (16UL)                    /*!< SMS_H (Bit 16)                                        */
#define TIM1_SMCR_SMS_H_Msk               (0x10000UL)               /*!< SMS_H (Bitfield-Mask: 0x01)                           */
#define TIM1_SMCR_TS_H_Pos                (20UL)                    /*!< TS_H (Bit 20)                                         */
#define TIM1_SMCR_TS_H_Msk                (0x300000UL)              /*!< TS_H (Bitfield-Mask: 0x03)                            */
/* =========================================================  DIER  ========================================================== */
#define TIM1_DIER_UIE_Pos                 (0UL)                     /*!< UIE (Bit 0)                                           */
#define TIM1_DIER_UIE_Msk                 (0x1UL)                   /*!< UIE (Bitfield-Mask: 0x01)                             */
#define TIM1_DIER_CC1IE_Pos               (1UL)                     /*!< CC1IE (Bit 1)                                         */
#define TIM1_DIER_CC1IE_Msk               (0x2UL)                   /*!< CC1IE (Bitfield-Mask: 0x01)                           */
#define TIM1_DIER_CC2IE_Pos               (2UL)                     /*!< CC2IE (Bit 2)                                         */
#define TIM1_DIER_CC2IE_Msk               (0x4UL)                   /*!< CC2IE (Bitfield-Mask: 0x01)                           */
#define TIM1_DIER_CC3IE_Pos               (3UL)                     /*!< CC3IE (Bit 3)                                         */
#define TIM1_DIER_CC3IE_Msk               (0x8UL)                   /*!< CC3IE (Bitfield-Mask: 0x01)                           */
#define TIM1_DIER_CC4IE_Pos               (4UL)                     /*!< CC4IE (Bit 4)                                         */
#define TIM1_DIER_CC4IE_Msk               (0x10UL)                  /*!< CC4IE (Bitfield-Mask: 0x01)                           */
#define TIM1_DIER_COMIE_Pos               (5UL)                     /*!< COMIE (Bit 5)                                         */
#define TIM1_DIER_COMIE_Msk               (0x20UL)                  /*!< COMIE (Bitfield-Mask: 0x01)                           */
#define TIM1_DIER_TIE_Pos                 (6UL)                     /*!< TIE (Bit 6)                                           */
#define TIM1_DIER_TIE_Msk                 (0x40UL)                  /*!< TIE (Bitfield-Mask: 0x01)                             */
#define TIM1_DIER_BIE_Pos                 (7UL)                     /*!< BIE (Bit 7)                                           */
#define TIM1_DIER_BIE_Msk                 (0x80UL)                  /*!< BIE (Bitfield-Mask: 0x01)                             */
#define TIM1_DIER_UDE_Pos                 (8UL)                     /*!< UDE (Bit 8)                                           */
#define TIM1_DIER_UDE_Msk                 (0x100UL)                 /*!< UDE (Bitfield-Mask: 0x01)                             */
#define TIM1_DIER_CC1DE_Pos               (9UL)                     /*!< CC1DE (Bit 9)                                         */
#define TIM1_DIER_CC1DE_Msk               (0x200UL)                 /*!< CC1DE (Bitfield-Mask: 0x01)                           */
#define TIM1_DIER_CC2DE_Pos               (10UL)                    /*!< CC2DE (Bit 10)                                        */
#define TIM1_DIER_CC2DE_Msk               (0x400UL)                 /*!< CC2DE (Bitfield-Mask: 0x01)                           */
#define TIM1_DIER_CC3DE_Pos               (11UL)                    /*!< CC3DE (Bit 11)                                        */
#define TIM1_DIER_CC3DE_Msk               (0x800UL)                 /*!< CC3DE (Bitfield-Mask: 0x01)                           */
#define TIM1_DIER_CC4DE_Pos               (12UL)                    /*!< CC4DE (Bit 12)                                        */
#define TIM1_DIER_CC4DE_Msk               (0x1000UL)                /*!< CC4DE (Bitfield-Mask: 0x01)                           */
#define TIM1_DIER_COMDE_Pos               (13UL)                    /*!< COMDE (Bit 13)                                        */
#define TIM1_DIER_COMDE_Msk               (0x2000UL)                /*!< COMDE (Bitfield-Mask: 0x01)                           */
#define TIM1_DIER_TDE_Pos                 (14UL)                    /*!< TDE (Bit 14)                                          */
#define TIM1_DIER_TDE_Msk                 (0x4000UL)                /*!< TDE (Bitfield-Mask: 0x01)                             */
/* ==========================================================  SR  =========================================================== */
#define TIM1_SR_UIF_Pos                   (0UL)                     /*!< UIF (Bit 0)                                           */
#define TIM1_SR_UIF_Msk                   (0x1UL)                   /*!< UIF (Bitfield-Mask: 0x01)                             */
#define TIM1_SR_CC1IF_Pos                 (1UL)                     /*!< CC1IF (Bit 1)                                         */
#define TIM1_SR_CC1IF_Msk                 (0x2UL)                   /*!< CC1IF (Bitfield-Mask: 0x01)                           */
#define TIM1_SR_CC2IF_Pos                 (2UL)                     /*!< CC2IF (Bit 2)                                         */
#define TIM1_SR_CC2IF_Msk                 (0x4UL)                   /*!< CC2IF (Bitfield-Mask: 0x01)                           */
#define TIM1_SR_CC3IF_Pos                 (3UL)                     /*!< CC3IF (Bit 3)                                         */
#define TIM1_SR_CC3IF_Msk                 (0x8UL)                   /*!< CC3IF (Bitfield-Mask: 0x01)                           */
#define TIM1_SR_CC4IF_Pos                 (4UL)                     /*!< CC4IF (Bit 4)                                         */
#define TIM1_SR_CC4IF_Msk                 (0x10UL)                  /*!< CC4IF (Bitfield-Mask: 0x01)                           */
#define TIM1_SR_COMIF_Pos                 (5UL)                     /*!< COMIF (Bit 5)                                         */
#define TIM1_SR_COMIF_Msk                 (0x20UL)                  /*!< COMIF (Bitfield-Mask: 0x01)                           */
#define TIM1_SR_TIF_Pos                   (6UL)                     /*!< TIF (Bit 6)                                           */
#define TIM1_SR_TIF_Msk                   (0x40UL)                  /*!< TIF (Bitfield-Mask: 0x01)                             */
#define TIM1_SR_BIF_Pos                   (7UL)                     /*!< BIF (Bit 7)                                           */
#define TIM1_SR_BIF_Msk                   (0x80UL)                  /*!< BIF (Bitfield-Mask: 0x01)                             */
#define TIM1_SR_B2IF_Pos                  (8UL)                     /*!< B2IF (Bit 8)                                          */
#define TIM1_SR_B2IF_Msk                  (0x100UL)                 /*!< B2IF (Bitfield-Mask: 0x01)                            */
#define TIM1_SR_CC1OF_Pos                 (9UL)                     /*!< CC1OF (Bit 9)                                         */
#define TIM1_SR_CC1OF_Msk                 (0x200UL)                 /*!< CC1OF (Bitfield-Mask: 0x01)                           */
#define TIM1_SR_CC2OF_Pos                 (10UL)                    /*!< CC2OF (Bit 10)                                        */
#define TIM1_SR_CC2OF_Msk                 (0x400UL)                 /*!< CC2OF (Bitfield-Mask: 0x01)                           */
#define TIM1_SR_CC3OF_Pos                 (11UL)                    /*!< CC3OF (Bit 11)                                        */
#define TIM1_SR_CC3OF_Msk                 (0x800UL)                 /*!< CC3OF (Bitfield-Mask: 0x01)                           */
#define TIM1_SR_CC4OF_Pos                 (12UL)                    /*!< CC4OF (Bit 12)                                        */
#define TIM1_SR_CC4OF_Msk                 (0x1000UL)                /*!< CC4OF (Bitfield-Mask: 0x01)                           */
#define TIM1_SR_SBIF_Pos                  (13UL)                    /*!< SBIF (Bit 13)                                         */
#define TIM1_SR_SBIF_Msk                  (0x2000UL)                /*!< SBIF (Bitfield-Mask: 0x01)                            */
#define TIM1_SR_IC1IR_Pos                 (18UL)                    /*!< IC1IR (Bit 18)                                        */
#define TIM1_SR_IC1IR_Msk                 (0x40000UL)               /*!< IC1IR (Bitfield-Mask: 0x01)                           */
#define TIM1_SR_IC2IR_Pos                 (19UL)                    /*!< IC2IR (Bit 19)                                        */
#define TIM1_SR_IC2IR_Msk                 (0x80000UL)               /*!< IC2IR (Bitfield-Mask: 0x01)                           */
#define TIM1_SR_IC3IR_Pos                 (24UL)                    /*!< IC3IR (Bit 24)                                        */
#define TIM1_SR_IC3IR_Msk                 (0x1000000UL)             /*!< IC3IR (Bitfield-Mask: 0x01)                           */
#define TIM1_SR_IC4IR_Pos                 (25UL)                    /*!< IC4IR (Bit 25)                                        */
#define TIM1_SR_IC4IR_Msk                 (0x2000000UL)             /*!< IC4IR (Bitfield-Mask: 0x01)                           */
#define TIM1_SR_IC1IF_Pos                 (26UL)                    /*!< IC1IF (Bit 26)                                        */
#define TIM1_SR_IC1IF_Msk                 (0x4000000UL)             /*!< IC1IF (Bitfield-Mask: 0x01)                           */
#define TIM1_SR_IC2IF_Pos                 (27UL)                    /*!< IC2IF (Bit 27)                                        */
#define TIM1_SR_IC2IF_Msk                 (0x8000000UL)             /*!< IC2IF (Bitfield-Mask: 0x01)                           */
#define TIM1_SR_IC3IF_Pos                 (28UL)                    /*!< IC3IF (Bit 28)                                        */
#define TIM1_SR_IC3IF_Msk                 (0x10000000UL)            /*!< IC3IF (Bitfield-Mask: 0x01)                           */
#define TIM1_SR_IC4IF_Pos                 (29UL)                    /*!< IC4IF (Bit 29)                                        */
#define TIM1_SR_IC4IF_Msk                 (0x20000000UL)            /*!< IC4IF (Bitfield-Mask: 0x01)                           */
/* ==========================================================  EGR  ========================================================== */
#define TIM1_EGR_UG_Pos                   (0UL)                     /*!< UG (Bit 0)                                            */
#define TIM1_EGR_UG_Msk                   (0x1UL)                   /*!< UG (Bitfield-Mask: 0x01)                              */
#define TIM1_EGR_CC1G_Pos                 (1UL)                     /*!< CC1G (Bit 1)                                          */
#define TIM1_EGR_CC1G_Msk                 (0x2UL)                   /*!< CC1G (Bitfield-Mask: 0x01)                            */
#define TIM1_EGR_CC2G_Pos                 (2UL)                     /*!< CC2G (Bit 2)                                          */
#define TIM1_EGR_CC2G_Msk                 (0x4UL)                   /*!< CC2G (Bitfield-Mask: 0x01)                            */
#define TIM1_EGR_CC3G_Pos                 (3UL)                     /*!< CC3G (Bit 3)                                          */
#define TIM1_EGR_CC3G_Msk                 (0x8UL)                   /*!< CC3G (Bitfield-Mask: 0x01)                            */
#define TIM1_EGR_CC4G_Pos                 (4UL)                     /*!< CC4G (Bit 4)                                          */
#define TIM1_EGR_CC4G_Msk                 (0x10UL)                  /*!< CC4G (Bitfield-Mask: 0x01)                            */
#define TIM1_EGR_COMG_Pos                 (5UL)                     /*!< COMG (Bit 5)                                          */
#define TIM1_EGR_COMG_Msk                 (0x20UL)                  /*!< COMG (Bitfield-Mask: 0x01)                            */
#define TIM1_EGR_TG_Pos                   (6UL)                     /*!< TG (Bit 6)                                            */
#define TIM1_EGR_TG_Msk                   (0x40UL)                  /*!< TG (Bitfield-Mask: 0x01)                              */
#define TIM1_EGR_BG_Pos                   (7UL)                     /*!< BG (Bit 7)                                            */
#define TIM1_EGR_BG_Msk                   (0x80UL)                  /*!< BG (Bitfield-Mask: 0x01)                              */
/* =====================================================  CCMR1_OUTPUT  ====================================================== */
#define TIM1_CCMR1_OUTPUT_CC1S_Pos        (0UL)                     /*!< CC1S (Bit 0)                                          */
#define TIM1_CCMR1_OUTPUT_CC1S_Msk        (0x3UL)                   /*!< CC1S (Bitfield-Mask: 0x03)                            */
#define TIM1_CCMR1_OUTPUT_OC1FE_Pos       (2UL)                     /*!< OC1FE (Bit 2)                                         */
#define TIM1_CCMR1_OUTPUT_OC1FE_Msk       (0x4UL)                   /*!< OC1FE (Bitfield-Mask: 0x01)                           */
#define TIM1_CCMR1_OUTPUT_OC1PE_Pos       (3UL)                     /*!< OC1PE (Bit 3)                                         */
#define TIM1_CCMR1_OUTPUT_OC1PE_Msk       (0x8UL)                   /*!< OC1PE (Bitfield-Mask: 0x01)                           */
#define TIM1_CCMR1_OUTPUT_OC1M_L_Pos      (4UL)                     /*!< OC1M_L (Bit 4)                                        */
#define TIM1_CCMR1_OUTPUT_OC1M_L_Msk      (0x70UL)                  /*!< OC1M_L (Bitfield-Mask: 0x07)                          */
#define TIM1_CCMR1_OUTPUT_OC1CE_Pos       (7UL)                     /*!< OC1CE (Bit 7)                                         */
#define TIM1_CCMR1_OUTPUT_OC1CE_Msk       (0x80UL)                  /*!< OC1CE (Bitfield-Mask: 0x01)                           */
#define TIM1_CCMR1_OUTPUT_CC2S_Pos        (8UL)                     /*!< CC2S (Bit 8)                                          */
#define TIM1_CCMR1_OUTPUT_CC2S_Msk        (0x300UL)                 /*!< CC2S (Bitfield-Mask: 0x03)                            */
#define TIM1_CCMR1_OUTPUT_OC2FE_Pos       (10UL)                    /*!< OC2FE (Bit 10)                                        */
#define TIM1_CCMR1_OUTPUT_OC2FE_Msk       (0x400UL)                 /*!< OC2FE (Bitfield-Mask: 0x01)                           */
#define TIM1_CCMR1_OUTPUT_OC2PE_Pos       (11UL)                    /*!< OC2PE (Bit 11)                                        */
#define TIM1_CCMR1_OUTPUT_OC2PE_Msk       (0x800UL)                 /*!< OC2PE (Bitfield-Mask: 0x01)                           */
#define TIM1_CCMR1_OUTPUT_OC2M_L_Pos      (12UL)                    /*!< OC2M_L (Bit 12)                                       */
#define TIM1_CCMR1_OUTPUT_OC2M_L_Msk      (0x7000UL)                /*!< OC2M_L (Bitfield-Mask: 0x07)                          */
#define TIM1_CCMR1_OUTPUT_OC2CE_Pos       (15UL)                    /*!< OC2CE (Bit 15)                                        */
#define TIM1_CCMR1_OUTPUT_OC2CE_Msk       (0x8000UL)                /*!< OC2CE (Bitfield-Mask: 0x01)                           */
#define TIM1_CCMR1_OUTPUT_OC1M_H_Pos      (16UL)                    /*!< OC1M_H (Bit 16)                                       */
#define TIM1_CCMR1_OUTPUT_OC1M_H_Msk      (0x10000UL)               /*!< OC1M_H (Bitfield-Mask: 0x01)                          */
#define TIM1_CCMR1_OUTPUT_OC2M_H_Pos      (24UL)                    /*!< OC2M_H (Bit 24)                                       */
#define TIM1_CCMR1_OUTPUT_OC2M_H_Msk      (0x1000000UL)             /*!< OC2M_H (Bitfield-Mask: 0x01)                          */
/* ======================================================  CCMR1_INPUT  ====================================================== */
#define TIM1_CCMR1_INPUT_CC1S_Pos         (0UL)                     /*!< CC1S (Bit 0)                                          */
#define TIM1_CCMR1_INPUT_CC1S_Msk         (0x3UL)                   /*!< CC1S (Bitfield-Mask: 0x03)                            */
#define TIM1_CCMR1_INPUT_IC1PSC_Pos       (2UL)                     /*!< IC1PSC (Bit 2)                                        */
#define TIM1_CCMR1_INPUT_IC1PSC_Msk       (0xcUL)                   /*!< IC1PSC (Bitfield-Mask: 0x03)                          */
#define TIM1_CCMR1_INPUT_IC1F_Pos         (4UL)                     /*!< IC1F (Bit 4)                                          */
#define TIM1_CCMR1_INPUT_IC1F_Msk         (0xf0UL)                  /*!< IC1F (Bitfield-Mask: 0x0f)                            */
#define TIM1_CCMR1_INPUT_CC2S_Pos         (8UL)                     /*!< CC2S (Bit 8)                                          */
#define TIM1_CCMR1_INPUT_CC2S_Msk         (0x300UL)                 /*!< CC2S (Bitfield-Mask: 0x03)                            */
#define TIM1_CCMR1_INPUT_IC2PSC_Pos       (10UL)                    /*!< IC2PSC (Bit 10)                                       */
#define TIM1_CCMR1_INPUT_IC2PSC_Msk       (0xc00UL)                 /*!< IC2PSC (Bitfield-Mask: 0x03)                          */
#define TIM1_CCMR1_INPUT_IC2F_Pos         (12UL)                    /*!< IC2F (Bit 12)                                         */
#define TIM1_CCMR1_INPUT_IC2F_Msk         (0xf000UL)                /*!< IC2F (Bitfield-Mask: 0x0f)                            */
/* =====================================================  CCMR2_OUTPUT  ====================================================== */
#define TIM1_CCMR2_OUTPUT_CC3S_Pos        (0UL)                     /*!< CC3S (Bit 0)                                          */
#define TIM1_CCMR2_OUTPUT_CC3S_Msk        (0x3UL)                   /*!< CC3S (Bitfield-Mask: 0x03)                            */
#define TIM1_CCMR2_OUTPUT_OC3FE_Pos       (2UL)                     /*!< OC3FE (Bit 2)                                         */
#define TIM1_CCMR2_OUTPUT_OC3FE_Msk       (0x4UL)                   /*!< OC3FE (Bitfield-Mask: 0x01)                           */
#define TIM1_CCMR2_OUTPUT_OC3PE_Pos       (3UL)                     /*!< OC3PE (Bit 3)                                         */
#define TIM1_CCMR2_OUTPUT_OC3PE_Msk       (0x8UL)                   /*!< OC3PE (Bitfield-Mask: 0x01)                           */
#define TIM1_CCMR2_OUTPUT_OC3M_L_Pos      (4UL)                     /*!< OC3M_L (Bit 4)                                        */
#define TIM1_CCMR2_OUTPUT_OC3M_L_Msk      (0x70UL)                  /*!< OC3M_L (Bitfield-Mask: 0x07)                          */
#define TIM1_CCMR2_OUTPUT_OC3CE_Pos       (7UL)                     /*!< OC3CE (Bit 7)                                         */
#define TIM1_CCMR2_OUTPUT_OC3CE_Msk       (0x80UL)                  /*!< OC3CE (Bitfield-Mask: 0x01)                           */
#define TIM1_CCMR2_OUTPUT_CC4S_Pos        (8UL)                     /*!< CC4S (Bit 8)                                          */
#define TIM1_CCMR2_OUTPUT_CC4S_Msk        (0x300UL)                 /*!< CC4S (Bitfield-Mask: 0x03)                            */
#define TIM1_CCMR2_OUTPUT_OC4FE_Pos       (10UL)                    /*!< OC4FE (Bit 10)                                        */
#define TIM1_CCMR2_OUTPUT_OC4FE_Msk       (0x400UL)                 /*!< OC4FE (Bitfield-Mask: 0x01)                           */
#define TIM1_CCMR2_OUTPUT_OC4PE_Pos       (11UL)                    /*!< OC4PE (Bit 11)                                        */
#define TIM1_CCMR2_OUTPUT_OC4PE_Msk       (0x800UL)                 /*!< OC4PE (Bitfield-Mask: 0x01)                           */
#define TIM1_CCMR2_OUTPUT_OC4M_L_Pos      (12UL)                    /*!< OC4M_L (Bit 12)                                       */
#define TIM1_CCMR2_OUTPUT_OC4M_L_Msk      (0x7000UL)                /*!< OC4M_L (Bitfield-Mask: 0x07)                          */
#define TIM1_CCMR2_OUTPUT_OC4CE_Pos       (15UL)                    /*!< OC4CE (Bit 15)                                        */
#define TIM1_CCMR2_OUTPUT_OC4CE_Msk       (0x8000UL)                /*!< OC4CE (Bitfield-Mask: 0x01)                           */
#define TIM1_CCMR2_OUTPUT_OC3M_H_Pos      (16UL)                    /*!< OC3M_H (Bit 16)                                       */
#define TIM1_CCMR2_OUTPUT_OC3M_H_Msk      (0x10000UL)               /*!< OC3M_H (Bitfield-Mask: 0x01)                          */
#define TIM1_CCMR2_OUTPUT_OC4M_H_Pos      (24UL)                    /*!< OC4M_H (Bit 24)                                       */
#define TIM1_CCMR2_OUTPUT_OC4M_H_Msk      (0x1000000UL)             /*!< OC4M_H (Bitfield-Mask: 0x01)                          */
/* ======================================================  CCMR2_INPUT  ====================================================== */
#define TIM1_CCMR2_INPUT_CC3S_Pos         (0UL)                     /*!< CC3S (Bit 0)                                          */
#define TIM1_CCMR2_INPUT_CC3S_Msk         (0x3UL)                   /*!< CC3S (Bitfield-Mask: 0x03)                            */
#define TIM1_CCMR2_INPUT_IC3PSC_Pos       (2UL)                     /*!< IC3PSC (Bit 2)                                        */
#define TIM1_CCMR2_INPUT_IC3PSC_Msk       (0xcUL)                   /*!< IC3PSC (Bitfield-Mask: 0x03)                          */
#define TIM1_CCMR2_INPUT_IC3F_Pos         (4UL)                     /*!< IC3F (Bit 4)                                          */
#define TIM1_CCMR2_INPUT_IC3F_Msk         (0xf0UL)                  /*!< IC3F (Bitfield-Mask: 0x0f)                            */
#define TIM1_CCMR2_INPUT_CC4S_Pos         (8UL)                     /*!< CC4S (Bit 8)                                          */
#define TIM1_CCMR2_INPUT_CC4S_Msk         (0x300UL)                 /*!< CC4S (Bitfield-Mask: 0x03)                            */
#define TIM1_CCMR2_INPUT_IC4PSC_Pos       (10UL)                    /*!< IC4PSC (Bit 10)                                       */
#define TIM1_CCMR2_INPUT_IC4PSC_Msk       (0xc00UL)                 /*!< IC4PSC (Bitfield-Mask: 0x03)                          */
#define TIM1_CCMR2_INPUT_IC4F_Pos         (12UL)                    /*!< IC4F (Bit 12)                                         */
#define TIM1_CCMR2_INPUT_IC4F_Msk         (0xf000UL)                /*!< IC4F (Bitfield-Mask: 0x0f)                            */
/* =========================================================  CCER  ========================================================== */
#define TIM1_CCER_CC1E_Pos                (0UL)                     /*!< CC1E (Bit 0)                                          */
#define TIM1_CCER_CC1E_Msk                (0x1UL)                   /*!< CC1E (Bitfield-Mask: 0x01)                            */
#define TIM1_CCER_CC1P_Pos                (1UL)                     /*!< CC1P (Bit 1)                                          */
#define TIM1_CCER_CC1P_Msk                (0x2UL)                   /*!< CC1P (Bitfield-Mask: 0x01)                            */
#define TIM1_CCER_CC1NE_Pos               (2UL)                     /*!< CC1NE (Bit 2)                                         */
#define TIM1_CCER_CC1NE_Msk               (0x4UL)                   /*!< CC1NE (Bitfield-Mask: 0x01)                           */
#define TIM1_CCER_CC1NP_Pos               (3UL)                     /*!< CC1NP (Bit 3)                                         */
#define TIM1_CCER_CC1NP_Msk               (0x8UL)                   /*!< CC1NP (Bitfield-Mask: 0x01)                           */
#define TIM1_CCER_CC2E_Pos                (4UL)                     /*!< CC2E (Bit 4)                                          */
#define TIM1_CCER_CC2E_Msk                (0x10UL)                  /*!< CC2E (Bitfield-Mask: 0x01)                            */
#define TIM1_CCER_CC2P_Pos                (5UL)                     /*!< CC2P (Bit 5)                                          */
#define TIM1_CCER_CC2P_Msk                (0x20UL)                  /*!< CC2P (Bitfield-Mask: 0x01)                            */
#define TIM1_CCER_CC2NE_Pos               (6UL)                     /*!< CC2NE (Bit 6)                                         */
#define TIM1_CCER_CC2NE_Msk               (0x40UL)                  /*!< CC2NE (Bitfield-Mask: 0x01)                           */
#define TIM1_CCER_CC2NP_Pos               (7UL)                     /*!< CC2NP (Bit 7)                                         */
#define TIM1_CCER_CC2NP_Msk               (0x80UL)                  /*!< CC2NP (Bitfield-Mask: 0x01)                           */
#define TIM1_CCER_CC3E_Pos                (8UL)                     /*!< CC3E (Bit 8)                                          */
#define TIM1_CCER_CC3E_Msk                (0x100UL)                 /*!< CC3E (Bitfield-Mask: 0x01)                            */
#define TIM1_CCER_CC3P_Pos                (9UL)                     /*!< CC3P (Bit 9)                                          */
#define TIM1_CCER_CC3P_Msk                (0x200UL)                 /*!< CC3P (Bitfield-Mask: 0x01)                            */
#define TIM1_CCER_CC3NE_Pos               (10UL)                    /*!< CC3NE (Bit 10)                                        */
#define TIM1_CCER_CC3NE_Msk               (0x400UL)                 /*!< CC3NE (Bitfield-Mask: 0x01)                           */
#define TIM1_CCER_CC3NP_Pos               (11UL)                    /*!< CC3NP (Bit 11)                                        */
#define TIM1_CCER_CC3NP_Msk               (0x800UL)                 /*!< CC3NP (Bitfield-Mask: 0x01)                           */
#define TIM1_CCER_CC4E_Pos                (12UL)                    /*!< CC4E (Bit 12)                                         */
#define TIM1_CCER_CC4E_Msk                (0x1000UL)                /*!< CC4E (Bitfield-Mask: 0x01)                            */
#define TIM1_CCER_CC4P_Pos                (13UL)                    /*!< CC4P (Bit 13)                                         */
#define TIM1_CCER_CC4P_Msk                (0x2000UL)                /*!< CC4P (Bitfield-Mask: 0x01)                            */
/* ==========================================================  CNT  ========================================================== */
#define TIM1_CNT_CNT_Pos                  (0UL)                     /*!< CNT (Bit 0)                                           */
#define TIM1_CNT_CNT_Msk                  (0xffffUL)                /*!< CNT (Bitfield-Mask: 0xffff)                           */
/* ==========================================================  PSC  ========================================================== */
#define TIM1_PSC_PSC_Pos                  (0UL)                     /*!< PSC (Bit 0)                                           */
#define TIM1_PSC_PSC_Msk                  (0xffffUL)                /*!< PSC (Bitfield-Mask: 0xffff)                           */
/* ==========================================================  ARR  ========================================================== */
#define TIM1_ARR_ARR_Pos                  (0UL)                     /*!< ARR (Bit 0)                                           */
#define TIM1_ARR_ARR_Msk                  (0xffffUL)                /*!< ARR (Bitfield-Mask: 0xffff)                           */
/* ==========================================================  RCR  ========================================================== */
#define TIM1_RCR_REP_Pos                  (0UL)                     /*!< REP (Bit 0)                                           */
#define TIM1_RCR_REP_Msk                  (0xffUL)                  /*!< REP (Bitfield-Mask: 0xff)                             */
/* =========================================================  CCR1  ========================================================== */
#define TIM1_CCR1_CCR1_Pos                (0UL)                     /*!< CCR1 (Bit 0)                                          */
#define TIM1_CCR1_CCR1_Msk                (0xffffUL)                /*!< CCR1 (Bitfield-Mask: 0xffff)                          */
#define TIM1_CCR1_CCR1_H_Pos              (16UL)                    /*!< CCR1_H (Bit 16)                                       */
#define TIM1_CCR1_CCR1_H_Msk              (0xffff0000UL)            /*!< CCR1_H (Bitfield-Mask: 0xffff)                        */
/* =========================================================  CCR2  ========================================================== */
#define TIM1_CCR2_CCR2_Pos                (0UL)                     /*!< CCR2 (Bit 0)                                          */
#define TIM1_CCR2_CCR2_Msk                (0xffffUL)                /*!< CCR2 (Bitfield-Mask: 0xffff)                          */
/* =========================================================  CCR3  ========================================================== */
#define TIM1_CCR3_CCR3_Pos                (0UL)                     /*!< CCR3 (Bit 0)                                          */
#define TIM1_CCR3_CCR3_Msk                (0xffffUL)                /*!< CCR3 (Bitfield-Mask: 0xffff)                          */
/* =========================================================  CCR4  ========================================================== */
#define TIM1_CCR4_CCR4_Pos                (0UL)                     /*!< CCR4 (Bit 0)                                          */
#define TIM1_CCR4_CCR4_Msk                (0xffffUL)                /*!< CCR4 (Bitfield-Mask: 0xffff)                          */
/* =========================================================  BDTR  ========================================================== */
#define TIM1_BDTR_DTG_Pos                 (0UL)                     /*!< DTG (Bit 0)                                           */
#define TIM1_BDTR_DTG_Msk                 (0xffUL)                  /*!< DTG (Bitfield-Mask: 0xff)                             */
#define TIM1_BDTR_LOCK_Pos                (8UL)                     /*!< LOCK (Bit 8)                                          */
#define TIM1_BDTR_LOCK_Msk                (0x300UL)                 /*!< LOCK (Bitfield-Mask: 0x03)                            */
#define TIM1_BDTR_OSSI_Pos                (10UL)                    /*!< OSSI (Bit 10)                                         */
#define TIM1_BDTR_OSSI_Msk                (0x400UL)                 /*!< OSSI (Bitfield-Mask: 0x01)                            */
#define TIM1_BDTR_OSSR_Pos                (11UL)                    /*!< OSSR (Bit 11)                                         */
#define TIM1_BDTR_OSSR_Msk                (0x800UL)                 /*!< OSSR (Bitfield-Mask: 0x01)                            */
#define TIM1_BDTR_BKE_Pos                 (12UL)                    /*!< BKE (Bit 12)                                          */
#define TIM1_BDTR_BKE_Msk                 (0x1000UL)                /*!< BKE (Bitfield-Mask: 0x01)                             */
#define TIM1_BDTR_BKP_Pos                 (13UL)                    /*!< BKP (Bit 13)                                          */
#define TIM1_BDTR_BKP_Msk                 (0x2000UL)                /*!< BKP (Bitfield-Mask: 0x01)                             */
#define TIM1_BDTR_AOE_Pos                 (14UL)                    /*!< AOE (Bit 14)                                          */
#define TIM1_BDTR_AOE_Msk                 (0x4000UL)                /*!< AOE (Bitfield-Mask: 0x01)                             */
#define TIM1_BDTR_MOE_Pos                 (15UL)                    /*!< MOE (Bit 15)                                          */
#define TIM1_BDTR_MOE_Msk                 (0x8000UL)                /*!< MOE (Bitfield-Mask: 0x01)                             */
/* =========================================================  CCR5  ========================================================== */
#define TIM1_CCR5_CCR5_Pos                (0UL)                     /*!< CCR5 (Bit 0)                                          */
#define TIM1_CCR5_CCR5_Msk                (0xffffUL)                /*!< CCR5 (Bitfield-Mask: 0xffff)                          */
/* =========================================================  CCR6  ========================================================== */
#define TIM1_CCR6_CCR6_Pos                (0UL)                     /*!< CCR6 (Bit 0)                                          */
#define TIM1_CCR6_CCR6_Msk                (0xffffUL)                /*!< CCR6 (Bitfield-Mask: 0xffff)                          */
/* =====================================================  CCMR3_OUTPUT  ====================================================== */
#define TIM1_CCMR3_OUTPUT_OC5FE_Pos       (2UL)                     /*!< OC5FE (Bit 2)                                         */
#define TIM1_CCMR3_OUTPUT_OC5FE_Msk       (0x4UL)                   /*!< OC5FE (Bitfield-Mask: 0x01)                           */
#define TIM1_CCMR3_OUTPUT_OC5PE_Pos       (3UL)                     /*!< OC5PE (Bit 3)                                         */
#define TIM1_CCMR3_OUTPUT_OC5PE_Msk       (0x8UL)                   /*!< OC5PE (Bitfield-Mask: 0x01)                           */
#define TIM1_CCMR3_OUTPUT_OC5M_L_Pos      (4UL)                     /*!< OC5M_L (Bit 4)                                        */
#define TIM1_CCMR3_OUTPUT_OC5M_L_Msk      (0x70UL)                  /*!< OC5M_L (Bitfield-Mask: 0x07)                          */
#define TIM1_CCMR3_OUTPUT_OC5CE_Pos       (7UL)                     /*!< OC5CE (Bit 7)                                         */
#define TIM1_CCMR3_OUTPUT_OC5CE_Msk       (0x80UL)                  /*!< OC5CE (Bitfield-Mask: 0x01)                           */
#define TIM1_CCMR3_OUTPUT_OC6FE_Pos       (10UL)                    /*!< OC6FE (Bit 10)                                        */
#define TIM1_CCMR3_OUTPUT_OC6FE_Msk       (0x400UL)                 /*!< OC6FE (Bitfield-Mask: 0x01)                           */
#define TIM1_CCMR3_OUTPUT_OC6PE_Pos       (11UL)                    /*!< OC6PE (Bit 11)                                        */
#define TIM1_CCMR3_OUTPUT_OC6PE_Msk       (0x800UL)                 /*!< OC6PE (Bitfield-Mask: 0x01)                           */
#define TIM1_CCMR3_OUTPUT_OC6M_L_Pos      (12UL)                    /*!< OC6M_L (Bit 12)                                       */
#define TIM1_CCMR3_OUTPUT_OC6M_L_Msk      (0x7000UL)                /*!< OC6M_L (Bitfield-Mask: 0x07)                          */
#define TIM1_CCMR3_OUTPUT_OC6CE_Pos       (15UL)                    /*!< OC6CE (Bit 15)                                        */
#define TIM1_CCMR3_OUTPUT_OC6CE_Msk       (0x8000UL)                /*!< OC6CE (Bitfield-Mask: 0x01)                           */
#define TIM1_CCMR3_OUTPUT_OC5M_H_Pos      (16UL)                    /*!< OC5M_H (Bit 16)                                       */
#define TIM1_CCMR3_OUTPUT_OC5M_H_Msk      (0x10000UL)               /*!< OC5M_H (Bitfield-Mask: 0x01)                          */
#define TIM1_CCMR3_OUTPUT_OC6M_H_Pos      (24UL)                    /*!< OC6M_H (Bit 24)                                       */
#define TIM1_CCMR3_OUTPUT_OC6M_H_Msk      (0x1000000UL)             /*!< OC6M_H (Bitfield-Mask: 0x01)                          */
/* =========================================================  TISEL  ========================================================= */
#define TIM1_TISEL_TI1SEL_Pos             (0UL)                     /*!< TI1SEL (Bit 0)                                        */
#define TIM1_TISEL_TI1SEL_Msk             (0xfUL)                   /*!< TI1SEL (Bitfield-Mask: 0x0f)                          */
#define TIM1_TISEL_TI2SEL_Pos             (8UL)                     /*!< TI2SEL (Bit 8)                                        */
#define TIM1_TISEL_TI2SEL_Msk             (0xf00UL)                 /*!< TI2SEL (Bitfield-Mask: 0x0f)                          */
#define TIM1_TISEL_TI3SEL_Pos             (16UL)                    /*!< TI3SEL (Bit 16)                                       */
#define TIM1_TISEL_TI3SEL_Msk             (0xf0000UL)               /*!< TI3SEL (Bitfield-Mask: 0x0f)                          */
#define TIM1_TISEL_TI4SEL_Pos             (24UL)                    /*!< TI4SEL (Bit 24)                                       */
#define TIM1_TISEL_TI4SEL_Msk             (0xf000000UL)             /*!< TI4SEL (Bitfield-Mask: 0x0f)                          */
/* ==========================================================  AF1  ========================================================== */
#define TIM1_AF1_BKINE_Pos                (0UL)                     /*!< BKINE (Bit 0)                                         */
#define TIM1_AF1_BKINE_Msk                (0x1UL)                   /*!< BKINE (Bitfield-Mask: 0x01)                           */
#define TIM1_AF1_BKCMP1E_Pos              (1UL)                     /*!< BKCMP1E (Bit 1)                                       */
#define TIM1_AF1_BKCMP1E_Msk              (0x2UL)                   /*!< BKCMP1E (Bitfield-Mask: 0x01)                         */
#define TIM1_AF1_BKCMP2E_Pos              (2UL)                     /*!< BKCMP2E (Bit 2)                                       */
#define TIM1_AF1_BKCMP2E_Msk              (0x4UL)                   /*!< BKCMP2E (Bitfield-Mask: 0x01)                         */
#define TIM1_AF1_BKINP_Pos                (9UL)                     /*!< BKINP (Bit 9)                                         */
#define TIM1_AF1_BKINP_Msk                (0x200UL)                 /*!< BKINP (Bitfield-Mask: 0x01)                           */
#define TIM1_AF1_BKCMP1P_Pos              (10UL)                    /*!< BKCMP1P (Bit 10)                                      */
#define TIM1_AF1_BKCMP1P_Msk              (0x400UL)                 /*!< BKCMP1P (Bitfield-Mask: 0x01)                         */
#define TIM1_AF1_BKCMP2P_Pos              (11UL)                    /*!< BKCMP2P (Bit 11)                                      */
#define TIM1_AF1_BKCMP2P_Msk              (0x800UL)                 /*!< BKCMP2P (Bitfield-Mask: 0x01)                         */
#define TIM1_AF1_ETRSEL_Pos               (14UL)                    /*!< ETRSEL (Bit 14)                                       */
#define TIM1_AF1_ETRSEL_Msk               (0x3c000UL)               /*!< ETRSEL (Bitfield-Mask: 0x0f)                          */
#define TIM1_AF1_INTR_SEL_Pos             (18UL)                    /*!< INTR_SEL (Bit 18)                                     */
#define TIM1_AF1_INTR_SEL_Msk             (0xc0000UL)               /*!< INTR_SEL (Bitfield-Mask: 0x03)                        */
#define TIM1_AF1_PWM_PHS_EN_Pos           (20UL)                    /*!< PWM_PHS_EN (Bit 20)                                   */
#define TIM1_AF1_PWM_PHS_EN_Msk           (0x100000UL)              /*!< PWM_PHS_EN (Bitfield-Mask: 0x01)                      */
/* ==========================================================  AF2  ========================================================== */
#define TIM1_AF2_OCRSEL_Pos               (16UL)                    /*!< OCRSEL (Bit 16)                                       */
#define TIM1_AF2_OCRSEL_Msk               (0x70000UL)               /*!< OCRSEL (Bitfield-Mask: 0x07)                          */
/* ==========================================================  DCR  ========================================================== */
#define TIM1_DCR_DBA_Pos                  (0UL)                     /*!< DBA (Bit 0)                                           */
#define TIM1_DCR_DBA_Msk                  (0x1fUL)                  /*!< DBA (Bitfield-Mask: 0x1f)                             */
#define TIM1_DCR_DBL_Pos                  (8UL)                     /*!< DBL (Bit 8)                                           */
#define TIM1_DCR_DBL_Msk                  (0x1f00UL)                /*!< DBL (Bitfield-Mask: 0x1f)                             */
/* =========================================================  DMAR  ========================================================== */
#define TIM1_DMAR_DMAB_Pos                (0UL)                     /*!< DMAB (Bit 0)                                          */
#define TIM1_DMAR_DMAB_Msk                (0xffffffffUL)            /*!< DMAB (Bitfield-Mask: 0xffffffff)                      */


/* =========================================================================================================================== */
/* ================                                           TIM2                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  CR1  ========================================================== */
#define TIM2_CR1_CEN_Pos                  (0UL)                     /*!< CEN (Bit 0)                                           */
#define TIM2_CR1_CEN_Msk                  (0x1UL)                   /*!< CEN (Bitfield-Mask: 0x01)                             */
#define TIM2_CR1_UDIS_Pos                 (1UL)                     /*!< UDIS (Bit 1)                                          */
#define TIM2_CR1_UDIS_Msk                 (0x2UL)                   /*!< UDIS (Bitfield-Mask: 0x01)                            */
#define TIM2_CR1_URS_Pos                  (2UL)                     /*!< URS (Bit 2)                                           */
#define TIM2_CR1_URS_Msk                  (0x4UL)                   /*!< URS (Bitfield-Mask: 0x01)                             */
#define TIM2_CR1_OPM_Pos                  (3UL)                     /*!< OPM (Bit 3)                                           */
#define TIM2_CR1_OPM_Msk                  (0x8UL)                   /*!< OPM (Bitfield-Mask: 0x01)                             */
#define TIM2_CR1_DIR_Pos                  (4UL)                     /*!< DIR (Bit 4)                                           */
#define TIM2_CR1_DIR_Msk                  (0x10UL)                  /*!< DIR (Bitfield-Mask: 0x01)                             */
#define TIM2_CR1_CMS_Pos                  (5UL)                     /*!< CMS (Bit 5)                                           */
#define TIM2_CR1_CMS_Msk                  (0x60UL)                  /*!< CMS (Bitfield-Mask: 0x03)                             */
#define TIM2_CR1_ARPE_Pos                 (7UL)                     /*!< ARPE (Bit 7)                                          */
#define TIM2_CR1_ARPE_Msk                 (0x80UL)                  /*!< ARPE (Bitfield-Mask: 0x01)                            */
#define TIM2_CR1_CKD_Pos                  (8UL)                     /*!< CKD (Bit 8)                                           */
#define TIM2_CR1_CKD_Msk                  (0x300UL)                 /*!< CKD (Bitfield-Mask: 0x03)                             */
/* ==========================================================  CR2  ========================================================== */
#define TIM2_CR2_CCDS_Pos                 (3UL)                     /*!< CCDS (Bit 3)                                          */
#define TIM2_CR2_CCDS_Msk                 (0x8UL)                   /*!< CCDS (Bitfield-Mask: 0x01)                            */
#define TIM2_CR2_MMS_L_Pos                (4UL)                     /*!< MMS_L (Bit 4)                                         */
#define TIM2_CR2_MMS_L_Msk                (0x70UL)                  /*!< MMS_L (Bitfield-Mask: 0x07)                           */
#define TIM2_CR2_TI1S_Pos                 (7UL)                     /*!< TI1S (Bit 7)                                          */
#define TIM2_CR2_TI1S_Msk                 (0x80UL)                  /*!< TI1S (Bitfield-Mask: 0x01)                            */
#define TIM2_CR2_MMS_H_Pos                (25UL)                    /*!< MMS_H (Bit 25)                                        */
#define TIM2_CR2_MMS_H_Msk                (0x2000000UL)             /*!< MMS_H (Bitfield-Mask: 0x01)                           */
/* =========================================================  SMCR  ========================================================== */
#define TIM2_SMCR_SMS_Pos                 (0UL)                     /*!< SMS (Bit 0)                                           */
#define TIM2_SMCR_SMS_Msk                 (0x7UL)                   /*!< SMS (Bitfield-Mask: 0x07)                             */
#define TIM2_SMCR_OCCS_Pos                (3UL)                     /*!< OCCS (Bit 3)                                          */
#define TIM2_SMCR_OCCS_Msk                (0x8UL)                   /*!< OCCS (Bitfield-Mask: 0x01)                            */
#define TIM2_SMCR_TS_L_Pos                (4UL)                     /*!< TS_L (Bit 4)                                          */
#define TIM2_SMCR_TS_L_Msk                (0x70UL)                  /*!< TS_L (Bitfield-Mask: 0x07)                            */
#define TIM2_SMCR_MSM_Pos                 (7UL)                     /*!< MSM (Bit 7)                                           */
#define TIM2_SMCR_MSM_Msk                 (0x80UL)                  /*!< MSM (Bitfield-Mask: 0x01)                             */
#define TIM2_SMCR_ETF_Pos                 (8UL)                     /*!< ETF (Bit 8)                                           */
#define TIM2_SMCR_ETF_Msk                 (0xf00UL)                 /*!< ETF (Bitfield-Mask: 0x0f)                             */
#define TIM2_SMCR_ETPS_Pos                (12UL)                    /*!< ETPS (Bit 12)                                         */
#define TIM2_SMCR_ETPS_Msk                (0x3000UL)                /*!< ETPS (Bitfield-Mask: 0x03)                            */
#define TIM2_SMCR_ECE_Pos                 (14UL)                    /*!< ECE (Bit 14)                                          */
#define TIM2_SMCR_ECE_Msk                 (0x4000UL)                /*!< ECE (Bitfield-Mask: 0x01)                             */
#define TIM2_SMCR_ETP_Pos                 (15UL)                    /*!< ETP (Bit 15)                                          */
#define TIM2_SMCR_ETP_Msk                 (0x8000UL)                /*!< ETP (Bitfield-Mask: 0x01)                             */
#define TIM2_SMCR_TS_H_Pos                (20UL)                    /*!< TS_H (Bit 20)                                         */
#define TIM2_SMCR_TS_H_Msk                (0x300000UL)              /*!< TS_H (Bitfield-Mask: 0x03)                            */
/* =========================================================  DIER  ========================================================== */
#define TIM2_DIER_UIE_Pos                 (0UL)                     /*!< UIE (Bit 0)                                           */
#define TIM2_DIER_UIE_Msk                 (0x1UL)                   /*!< UIE (Bitfield-Mask: 0x01)                             */
#define TIM2_DIER_CC1IE_Pos               (1UL)                     /*!< CC1IE (Bit 1)                                         */
#define TIM2_DIER_CC1IE_Msk               (0x2UL)                   /*!< CC1IE (Bitfield-Mask: 0x01)                           */
#define TIM2_DIER_CC2IE_Pos               (2UL)                     /*!< CC2IE (Bit 2)                                         */
#define TIM2_DIER_CC2IE_Msk               (0x4UL)                   /*!< CC2IE (Bitfield-Mask: 0x01)                           */
#define TIM2_DIER_CC3IE_Pos               (3UL)                     /*!< CC3IE (Bit 3)                                         */
#define TIM2_DIER_CC3IE_Msk               (0x8UL)                   /*!< CC3IE (Bitfield-Mask: 0x01)                           */
#define TIM2_DIER_CC4IE_Pos               (4UL)                     /*!< CC4IE (Bit 4)                                         */
#define TIM2_DIER_CC4IE_Msk               (0x10UL)                  /*!< CC4IE (Bitfield-Mask: 0x01)                           */
#define TIM2_DIER_TIE_Pos                 (6UL)                     /*!< TIE (Bit 6)                                           */
#define TIM2_DIER_TIE_Msk                 (0x40UL)                  /*!< TIE (Bitfield-Mask: 0x01)                             */
#define TIM2_DIER_UDE_Pos                 (8UL)                     /*!< UDE (Bit 8)                                           */
#define TIM2_DIER_UDE_Msk                 (0x100UL)                 /*!< UDE (Bitfield-Mask: 0x01)                             */
#define TIM2_DIER_CC1DE_Pos               (9UL)                     /*!< CC1DE (Bit 9)                                         */
#define TIM2_DIER_CC1DE_Msk               (0x200UL)                 /*!< CC1DE (Bitfield-Mask: 0x01)                           */
#define TIM2_DIER_CC2DE_Pos               (10UL)                    /*!< CC2DE (Bit 10)                                        */
#define TIM2_DIER_CC2DE_Msk               (0x400UL)                 /*!< CC2DE (Bitfield-Mask: 0x01)                           */
#define TIM2_DIER_CC3DE_Pos               (11UL)                    /*!< CC3DE (Bit 11)                                        */
#define TIM2_DIER_CC3DE_Msk               (0x800UL)                 /*!< CC3DE (Bitfield-Mask: 0x01)                           */
#define TIM2_DIER_CC4DE_Pos               (12UL)                    /*!< CC4DE (Bit 12)                                        */
#define TIM2_DIER_CC4DE_Msk               (0x1000UL)                /*!< CC4DE (Bitfield-Mask: 0x01)                           */
#define TIM2_DIER_TDE_Pos                 (14UL)                    /*!< TDE (Bit 14)                                          */
#define TIM2_DIER_TDE_Msk                 (0x4000UL)                /*!< TDE (Bitfield-Mask: 0x01)                             */
/* ==========================================================  SR  =========================================================== */
#define TIM2_SR_UIF_Pos                   (0UL)                     /*!< UIF (Bit 0)                                           */
#define TIM2_SR_UIF_Msk                   (0x1UL)                   /*!< UIF (Bitfield-Mask: 0x01)                             */
#define TIM2_SR_CC1IF_Pos                 (1UL)                     /*!< CC1IF (Bit 1)                                         */
#define TIM2_SR_CC1IF_Msk                 (0x2UL)                   /*!< CC1IF (Bitfield-Mask: 0x01)                           */
#define TIM2_SR_CC2IF_Pos                 (2UL)                     /*!< CC2IF (Bit 2)                                         */
#define TIM2_SR_CC2IF_Msk                 (0x4UL)                   /*!< CC2IF (Bitfield-Mask: 0x01)                           */
#define TIM2_SR_CC3IF_Pos                 (3UL)                     /*!< CC3IF (Bit 3)                                         */
#define TIM2_SR_CC3IF_Msk                 (0x8UL)                   /*!< CC3IF (Bitfield-Mask: 0x01)                           */
#define TIM2_SR_CC4IF_Pos                 (4UL)                     /*!< CC4IF (Bit 4)                                         */
#define TIM2_SR_CC4IF_Msk                 (0x10UL)                  /*!< CC4IF (Bitfield-Mask: 0x01)                           */
#define TIM2_SR_TIF_Pos                   (6UL)                     /*!< TIF (Bit 6)                                           */
#define TIM2_SR_TIF_Msk                   (0x40UL)                  /*!< TIF (Bitfield-Mask: 0x01)                             */
#define TIM2_SR_CC1OF_Pos                 (9UL)                     /*!< CC1OF (Bit 9)                                         */
#define TIM2_SR_CC1OF_Msk                 (0x200UL)                 /*!< CC1OF (Bitfield-Mask: 0x01)                           */
#define TIM2_SR_CC2OF_Pos                 (10UL)                    /*!< CC2OF (Bit 10)                                        */
#define TIM2_SR_CC2OF_Msk                 (0x400UL)                 /*!< CC2OF (Bitfield-Mask: 0x01)                           */
#define TIM2_SR_CC3OF_Pos                 (11UL)                    /*!< CC3OF (Bit 11)                                        */
#define TIM2_SR_CC3OF_Msk                 (0x800UL)                 /*!< CC3OF (Bitfield-Mask: 0x01)                           */
#define TIM2_SR_CC4OF_Pos                 (12UL)                    /*!< CC4OF (Bit 12)                                        */
#define TIM2_SR_CC4OF_Msk                 (0x1000UL)                /*!< CC4OF (Bitfield-Mask: 0x01)                           */
#define TIM2_SR_IC1IR_Pos                 (18UL)                    /*!< IC1IR (Bit 18)                                        */
#define TIM2_SR_IC1IR_Msk                 (0x40000UL)               /*!< IC1IR (Bitfield-Mask: 0x01)                           */
#define TIM2_SR_IC2IR_Pos                 (19UL)                    /*!< IC2IR (Bit 19)                                        */
#define TIM2_SR_IC2IR_Msk                 (0x80000UL)               /*!< IC2IR (Bitfield-Mask: 0x01)                           */
#define TIM2_SR_IC3IR_Pos                 (24UL)                    /*!< IC3IR (Bit 24)                                        */
#define TIM2_SR_IC3IR_Msk                 (0x1000000UL)             /*!< IC3IR (Bitfield-Mask: 0x01)                           */
#define TIM2_SR_IC4IR_Pos                 (25UL)                    /*!< IC4IR (Bit 25)                                        */
#define TIM2_SR_IC4IR_Msk                 (0x2000000UL)             /*!< IC4IR (Bitfield-Mask: 0x01)                           */
#define TIM2_SR_IC1IF_Pos                 (26UL)                    /*!< IC1IF (Bit 26)                                        */
#define TIM2_SR_IC1IF_Msk                 (0x4000000UL)             /*!< IC1IF (Bitfield-Mask: 0x01)                           */
#define TIM2_SR_IC2IF_Pos                 (27UL)                    /*!< IC2IF (Bit 27)                                        */
#define TIM2_SR_IC2IF_Msk                 (0x8000000UL)             /*!< IC2IF (Bitfield-Mask: 0x01)                           */
#define TIM2_SR_IC3IF_Pos                 (28UL)                    /*!< IC3IF (Bit 28)                                        */
#define TIM2_SR_IC3IF_Msk                 (0x10000000UL)            /*!< IC3IF (Bitfield-Mask: 0x01)                           */
#define TIM2_SR_IC4IF_Pos                 (29UL)                    /*!< IC4IF (Bit 29)                                        */
#define TIM2_SR_IC4IF_Msk                 (0x20000000UL)            /*!< IC4IF (Bitfield-Mask: 0x01)                           */
/* ==========================================================  EGR  ========================================================== */
#define TIM2_EGR_UG_Pos                   (0UL)                     /*!< UG (Bit 0)                                            */
#define TIM2_EGR_UG_Msk                   (0x1UL)                   /*!< UG (Bitfield-Mask: 0x01)                              */
#define TIM2_EGR_CC1G_Pos                 (1UL)                     /*!< CC1G (Bit 1)                                          */
#define TIM2_EGR_CC1G_Msk                 (0x2UL)                   /*!< CC1G (Bitfield-Mask: 0x01)                            */
#define TIM2_EGR_CC2G_Pos                 (2UL)                     /*!< CC2G (Bit 2)                                          */
#define TIM2_EGR_CC2G_Msk                 (0x4UL)                   /*!< CC2G (Bitfield-Mask: 0x01)                            */
#define TIM2_EGR_CC3G_Pos                 (3UL)                     /*!< CC3G (Bit 3)                                          */
#define TIM2_EGR_CC3G_Msk                 (0x8UL)                   /*!< CC3G (Bitfield-Mask: 0x01)                            */
#define TIM2_EGR_CC4G_Pos                 (4UL)                     /*!< CC4G (Bit 4)                                          */
#define TIM2_EGR_CC4G_Msk                 (0x10UL)                  /*!< CC4G (Bitfield-Mask: 0x01)                            */
#define TIM2_EGR_TG_Pos                   (6UL)                     /*!< TG (Bit 6)                                            */
#define TIM2_EGR_TG_Msk                   (0x40UL)                  /*!< TG (Bitfield-Mask: 0x01)                              */
/* =====================================================  CCMR1_OUTPUT  ====================================================== */
#define TIM2_CCMR1_OUTPUT_CC1S_Pos        (0UL)                     /*!< CC1S (Bit 0)                                          */
#define TIM2_CCMR1_OUTPUT_CC1S_Msk        (0x3UL)                   /*!< CC1S (Bitfield-Mask: 0x03)                            */
#define TIM2_CCMR1_OUTPUT_OC1FE_Pos       (2UL)                     /*!< OC1FE (Bit 2)                                         */
#define TIM2_CCMR1_OUTPUT_OC1FE_Msk       (0x4UL)                   /*!< OC1FE (Bitfield-Mask: 0x01)                           */
#define TIM2_CCMR1_OUTPUT_OC1PE_Pos       (3UL)                     /*!< OC1PE (Bit 3)                                         */
#define TIM2_CCMR1_OUTPUT_OC1PE_Msk       (0x8UL)                   /*!< OC1PE (Bitfield-Mask: 0x01)                           */
#define TIM2_CCMR1_OUTPUT_OC1M_Pos        (4UL)                     /*!< OC1M (Bit 4)                                          */
#define TIM2_CCMR1_OUTPUT_OC1M_Msk        (0x70UL)                  /*!< OC1M (Bitfield-Mask: 0x07)                            */
#define TIM2_CCMR1_OUTPUT_OC1CE_Pos       (7UL)                     /*!< OC1CE (Bit 7)                                         */
#define TIM2_CCMR1_OUTPUT_OC1CE_Msk       (0x80UL)                  /*!< OC1CE (Bitfield-Mask: 0x01)                           */
#define TIM2_CCMR1_OUTPUT_CC2S_Pos        (8UL)                     /*!< CC2S (Bit 8)                                          */
#define TIM2_CCMR1_OUTPUT_CC2S_Msk        (0x300UL)                 /*!< CC2S (Bitfield-Mask: 0x03)                            */
#define TIM2_CCMR1_OUTPUT_OC2FE_Pos       (10UL)                    /*!< OC2FE (Bit 10)                                        */
#define TIM2_CCMR1_OUTPUT_OC2FE_Msk       (0x400UL)                 /*!< OC2FE (Bitfield-Mask: 0x01)                           */
#define TIM2_CCMR1_OUTPUT_OC2PE_Pos       (11UL)                    /*!< OC2PE (Bit 11)                                        */
#define TIM2_CCMR1_OUTPUT_OC2PE_Msk       (0x800UL)                 /*!< OC2PE (Bitfield-Mask: 0x01)                           */
#define TIM2_CCMR1_OUTPUT_OC2M_Pos        (12UL)                    /*!< OC2M (Bit 12)                                         */
#define TIM2_CCMR1_OUTPUT_OC2M_Msk        (0x7000UL)                /*!< OC2M (Bitfield-Mask: 0x07)                            */
#define TIM2_CCMR1_OUTPUT_OC2CE_Pos       (15UL)                    /*!< OC2CE (Bit 15)                                        */
#define TIM2_CCMR1_OUTPUT_OC2CE_Msk       (0x8000UL)                /*!< OC2CE (Bitfield-Mask: 0x01)                           */
/* ======================================================  CCMR1_INPUT  ====================================================== */
#define TIM2_CCMR1_INPUT_CC1S_Pos         (0UL)                     /*!< CC1S (Bit 0)                                          */
#define TIM2_CCMR1_INPUT_CC1S_Msk         (0x3UL)                   /*!< CC1S (Bitfield-Mask: 0x03)                            */
#define TIM2_CCMR1_INPUT_IC1PSC_Pos       (2UL)                     /*!< IC1PSC (Bit 2)                                        */
#define TIM2_CCMR1_INPUT_IC1PSC_Msk       (0xcUL)                   /*!< IC1PSC (Bitfield-Mask: 0x03)                          */
#define TIM2_CCMR1_INPUT_IC1F_Pos         (4UL)                     /*!< IC1F (Bit 4)                                          */
#define TIM2_CCMR1_INPUT_IC1F_Msk         (0xf0UL)                  /*!< IC1F (Bitfield-Mask: 0x0f)                            */
#define TIM2_CCMR1_INPUT_CC2S_Pos         (8UL)                     /*!< CC2S (Bit 8)                                          */
#define TIM2_CCMR1_INPUT_CC2S_Msk         (0x300UL)                 /*!< CC2S (Bitfield-Mask: 0x03)                            */
#define TIM2_CCMR1_INPUT_IC2PSC_Pos       (10UL)                    /*!< IC2PSC (Bit 10)                                       */
#define TIM2_CCMR1_INPUT_IC2PSC_Msk       (0xc00UL)                 /*!< IC2PSC (Bitfield-Mask: 0x03)                          */
#define TIM2_CCMR1_INPUT_IC2F_Pos         (12UL)                    /*!< IC2F (Bit 12)                                         */
#define TIM2_CCMR1_INPUT_IC2F_Msk         (0xf000UL)                /*!< IC2F (Bitfield-Mask: 0x0f)                            */
/* =====================================================  CCMR2_OUTPUT  ====================================================== */
#define TIM2_CCMR2_OUTPUT_CC3S_Pos        (0UL)                     /*!< CC3S (Bit 0)                                          */
#define TIM2_CCMR2_OUTPUT_CC3S_Msk        (0x3UL)                   /*!< CC3S (Bitfield-Mask: 0x03)                            */
#define TIM2_CCMR2_OUTPUT_OC3FE_Pos       (2UL)                     /*!< OC3FE (Bit 2)                                         */
#define TIM2_CCMR2_OUTPUT_OC3FE_Msk       (0x4UL)                   /*!< OC3FE (Bitfield-Mask: 0x01)                           */
#define TIM2_CCMR2_OUTPUT_OC3PE_Pos       (3UL)                     /*!< OC3PE (Bit 3)                                         */
#define TIM2_CCMR2_OUTPUT_OC3PE_Msk       (0x8UL)                   /*!< OC3PE (Bitfield-Mask: 0x01)                           */
#define TIM2_CCMR2_OUTPUT_OC3M_Pos        (4UL)                     /*!< OC3M (Bit 4)                                          */
#define TIM2_CCMR2_OUTPUT_OC3M_Msk        (0x70UL)                  /*!< OC3M (Bitfield-Mask: 0x07)                            */
#define TIM2_CCMR2_OUTPUT_OC3CE_Pos       (7UL)                     /*!< OC3CE (Bit 7)                                         */
#define TIM2_CCMR2_OUTPUT_OC3CE_Msk       (0x80UL)                  /*!< OC3CE (Bitfield-Mask: 0x01)                           */
#define TIM2_CCMR2_OUTPUT_CC4S_Pos        (8UL)                     /*!< CC4S (Bit 8)                                          */
#define TIM2_CCMR2_OUTPUT_CC4S_Msk        (0x300UL)                 /*!< CC4S (Bitfield-Mask: 0x03)                            */
#define TIM2_CCMR2_OUTPUT_OC4FE_Pos       (10UL)                    /*!< OC4FE (Bit 10)                                        */
#define TIM2_CCMR2_OUTPUT_OC4FE_Msk       (0x400UL)                 /*!< OC4FE (Bitfield-Mask: 0x01)                           */
#define TIM2_CCMR2_OUTPUT_OC4PE_Pos       (11UL)                    /*!< OC4PE (Bit 11)                                        */
#define TIM2_CCMR2_OUTPUT_OC4PE_Msk       (0x800UL)                 /*!< OC4PE (Bitfield-Mask: 0x01)                           */
#define TIM2_CCMR2_OUTPUT_OC4M_Pos        (12UL)                    /*!< OC4M (Bit 12)                                         */
#define TIM2_CCMR2_OUTPUT_OC4M_Msk        (0x7000UL)                /*!< OC4M (Bitfield-Mask: 0x07)                            */
#define TIM2_CCMR2_OUTPUT_OC4CE_Pos       (15UL)                    /*!< OC4CE (Bit 15)                                        */
#define TIM2_CCMR2_OUTPUT_OC4CE_Msk       (0x8000UL)                /*!< OC4CE (Bitfield-Mask: 0x01)                           */
/* ======================================================  CCMR2_INPUT  ====================================================== */
#define TIM2_CCMR2_INPUT_CC3S_Pos         (0UL)                     /*!< CC3S (Bit 0)                                          */
#define TIM2_CCMR2_INPUT_CC3S_Msk         (0x3UL)                   /*!< CC3S (Bitfield-Mask: 0x03)                            */
#define TIM2_CCMR2_INPUT_IC3PSC_Pos       (2UL)                     /*!< IC3PSC (Bit 2)                                        */
#define TIM2_CCMR2_INPUT_IC3PSC_Msk       (0xcUL)                   /*!< IC3PSC (Bitfield-Mask: 0x03)                          */
#define TIM2_CCMR2_INPUT_IC3F_Pos         (4UL)                     /*!< IC3F (Bit 4)                                          */
#define TIM2_CCMR2_INPUT_IC3F_Msk         (0xf0UL)                  /*!< IC3F (Bitfield-Mask: 0x0f)                            */
#define TIM2_CCMR2_INPUT_CC4S_Pos         (8UL)                     /*!< CC4S (Bit 8)                                          */
#define TIM2_CCMR2_INPUT_CC4S_Msk         (0x300UL)                 /*!< CC4S (Bitfield-Mask: 0x03)                            */
#define TIM2_CCMR2_INPUT_IC4PSC_Pos       (10UL)                    /*!< IC4PSC (Bit 10)                                       */
#define TIM2_CCMR2_INPUT_IC4PSC_Msk       (0xc00UL)                 /*!< IC4PSC (Bitfield-Mask: 0x03)                          */
#define TIM2_CCMR2_INPUT_IC4F_Pos         (12UL)                    /*!< IC4F (Bit 12)                                         */
#define TIM2_CCMR2_INPUT_IC4F_Msk         (0xf000UL)                /*!< IC4F (Bitfield-Mask: 0x0f)                            */
/* =========================================================  CCER  ========================================================== */
#define TIM2_CCER_CC1E_Pos                (0UL)                     /*!< CC1E (Bit 0)                                          */
#define TIM2_CCER_CC1E_Msk                (0x1UL)                   /*!< CC1E (Bitfield-Mask: 0x01)                            */
#define TIM2_CCER_CC1P_Pos                (1UL)                     /*!< CC1P (Bit 1)                                          */
#define TIM2_CCER_CC1P_Msk                (0x2UL)                   /*!< CC1P (Bitfield-Mask: 0x01)                            */
#define TIM2_CCER_CC1NP_Pos               (3UL)                     /*!< CC1NP (Bit 3)                                         */
#define TIM2_CCER_CC1NP_Msk               (0x8UL)                   /*!< CC1NP (Bitfield-Mask: 0x01)                           */
#define TIM2_CCER_CC2E_Pos                (4UL)                     /*!< CC2E (Bit 4)                                          */
#define TIM2_CCER_CC2E_Msk                (0x10UL)                  /*!< CC2E (Bitfield-Mask: 0x01)                            */
#define TIM2_CCER_CC2P_Pos                (5UL)                     /*!< CC2P (Bit 5)                                          */
#define TIM2_CCER_CC2P_Msk                (0x20UL)                  /*!< CC2P (Bitfield-Mask: 0x01)                            */
#define TIM2_CCER_CC2NP_Pos               (7UL)                     /*!< CC2NP (Bit 7)                                         */
#define TIM2_CCER_CC2NP_Msk               (0x80UL)                  /*!< CC2NP (Bitfield-Mask: 0x01)                           */
#define TIM2_CCER_CC3E_Pos                (8UL)                     /*!< CC3E (Bit 8)                                          */
#define TIM2_CCER_CC3E_Msk                (0x100UL)                 /*!< CC3E (Bitfield-Mask: 0x01)                            */
#define TIM2_CCER_CC3P_Pos                (9UL)                     /*!< CC3P (Bit 9)                                          */
#define TIM2_CCER_CC3P_Msk                (0x200UL)                 /*!< CC3P (Bitfield-Mask: 0x01)                            */
#define TIM2_CCER_CC3NP_Pos               (11UL)                    /*!< CC3NP (Bit 11)                                        */
#define TIM2_CCER_CC3NP_Msk               (0x800UL)                 /*!< CC3NP (Bitfield-Mask: 0x01)                           */
#define TIM2_CCER_CC4E_Pos                (12UL)                    /*!< CC4E (Bit 12)                                         */
#define TIM2_CCER_CC4E_Msk                (0x1000UL)                /*!< CC4E (Bitfield-Mask: 0x01)                            */
#define TIM2_CCER_CC4P_Pos                (13UL)                    /*!< CC4P (Bit 13)                                         */
#define TIM2_CCER_CC4P_Msk                (0x2000UL)                /*!< CC4P (Bitfield-Mask: 0x01)                            */
#define TIM2_CCER_CC4NP_Pos               (15UL)                    /*!< CC4NP (Bit 15)                                        */
#define TIM2_CCER_CC4NP_Msk               (0x8000UL)                /*!< CC4NP (Bitfield-Mask: 0x01)                           */
/* ==========================================================  CNT  ========================================================== */
#define TIM2_CNT_CNT_Pos                  (0UL)                     /*!< CNT (Bit 0)                                           */
#define TIM2_CNT_CNT_Msk                  (0xffffffffUL)            /*!< CNT (Bitfield-Mask: 0xffffffff)                       */
/* ==========================================================  PSC  ========================================================== */
#define TIM2_PSC_PSC_Pos                  (0UL)                     /*!< PSC (Bit 0)                                           */
#define TIM2_PSC_PSC_Msk                  (0xffffUL)                /*!< PSC (Bitfield-Mask: 0xffff)                           */
/* ==========================================================  ARR  ========================================================== */
#define TIM2_ARR_ARR_Pos                  (0UL)                     /*!< ARR (Bit 0)                                           */
#define TIM2_ARR_ARR_Msk                  (0xffffffffUL)            /*!< ARR (Bitfield-Mask: 0xffffffff)                       */
/* =========================================================  CCR1  ========================================================== */
#define TIM2_CCR1_CCR1_Pos                (0UL)                     /*!< CCR1 (Bit 0)                                          */
#define TIM2_CCR1_CCR1_Msk                (0xffffffffUL)            /*!< CCR1 (Bitfield-Mask: 0xffffffff)                      */
/* =========================================================  CCR2  ========================================================== */
#define TIM2_CCR2_CCR2_Pos                (0UL)                     /*!< CCR2 (Bit 0)                                          */
#define TIM2_CCR2_CCR2_Msk                (0xffffffffUL)            /*!< CCR2 (Bitfield-Mask: 0xffffffff)                      */
/* =========================================================  CCR3  ========================================================== */
#define TIM2_CCR3_CCR3_Pos                (0UL)                     /*!< CCR3 (Bit 0)                                          */
#define TIM2_CCR3_CCR3_Msk                (0xffffffffUL)            /*!< CCR3 (Bitfield-Mask: 0xffffffff)                      */
/* =========================================================  CCR4  ========================================================== */
#define TIM2_CCR4_CCR4_Pos                (0UL)                     /*!< CCR4 (Bit 0)                                          */
#define TIM2_CCR4_CCR4_Msk                (0xffffffffUL)            /*!< CCR4 (Bitfield-Mask: 0xffffffff)                      */
/* =========================================================  TISEL  ========================================================= */
#define TIM2_TISEL_TI1SEL_Pos             (0UL)                     /*!< TI1SEL (Bit 0)                                        */
#define TIM2_TISEL_TI1SEL_Msk             (0xfUL)                   /*!< TI1SEL (Bitfield-Mask: 0x0f)                          */
#define TIM2_TISEL_TI2SEL_Pos             (8UL)                     /*!< TI2SEL (Bit 8)                                        */
#define TIM2_TISEL_TI2SEL_Msk             (0xf00UL)                 /*!< TI2SEL (Bitfield-Mask: 0x0f)                          */
#define TIM2_TISEL_TI3SEL_Pos             (16UL)                    /*!< TI3SEL (Bit 16)                                       */
#define TIM2_TISEL_TI3SEL_Msk             (0xf0000UL)               /*!< TI3SEL (Bitfield-Mask: 0x0f)                          */
#define TIM2_TISEL_TI4SEL_Pos             (24UL)                    /*!< TI4SEL (Bit 24)                                       */
#define TIM2_TISEL_TI4SEL_Msk             (0xf000000UL)             /*!< TI4SEL (Bitfield-Mask: 0x0f)                          */
/* ==========================================================  AF1  ========================================================== */
#define TIM2_AF1_ETRSEL_Pos               (14UL)                    /*!< ETRSEL (Bit 14)                                       */
#define TIM2_AF1_ETRSEL_Msk               (0x3c000UL)               /*!< ETRSEL (Bitfield-Mask: 0x0f)                          */
/* ==========================================================  AF2  ========================================================== */
#define TIM2_AF2_OCRSEL_Pos               (16UL)                    /*!< OCRSEL (Bit 16)                                       */
#define TIM2_AF2_OCRSEL_Msk               (0x70000UL)               /*!< OCRSEL (Bitfield-Mask: 0x07)                          */
/* ==========================================================  DCR  ========================================================== */
#define TIM2_DCR_DBA_Pos                  (0UL)                     /*!< DBA (Bit 0)                                           */
#define TIM2_DCR_DBA_Msk                  (0x1fUL)                  /*!< DBA (Bitfield-Mask: 0x1f)                             */
#define TIM2_DCR_DBL_Pos                  (8UL)                     /*!< DBL (Bit 8)                                           */
#define TIM2_DCR_DBL_Msk                  (0x1f00UL)                /*!< DBL (Bitfield-Mask: 0x1f)                             */
/* =========================================================  DMAR  ========================================================== */
#define TIM2_DMAR_DMAB_Pos                (0UL)                     /*!< DMAB (Bit 0)                                          */
#define TIM2_DMAR_DMAB_Msk                (0xffffffffUL)            /*!< DMAB (Bitfield-Mask: 0xffffffff)                      */


/* =========================================================================================================================== */
/* ================                                           TIM3                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  CR1  ========================================================== */
#define TIM3_CR1_CEN_Pos                  (0UL)                     /*!< CEN (Bit 0)                                           */
#define TIM3_CR1_CEN_Msk                  (0x1UL)                   /*!< CEN (Bitfield-Mask: 0x01)                             */
#define TIM3_CR1_UDIS_Pos                 (1UL)                     /*!< UDIS (Bit 1)                                          */
#define TIM3_CR1_UDIS_Msk                 (0x2UL)                   /*!< UDIS (Bitfield-Mask: 0x01)                            */
#define TIM3_CR1_URS_Pos                  (2UL)                     /*!< URS (Bit 2)                                           */
#define TIM3_CR1_URS_Msk                  (0x4UL)                   /*!< URS (Bitfield-Mask: 0x01)                             */
#define TIM3_CR1_OPM_Pos                  (3UL)                     /*!< OPM (Bit 3)                                           */
#define TIM3_CR1_OPM_Msk                  (0x8UL)                   /*!< OPM (Bitfield-Mask: 0x01)                             */
#define TIM3_CR1_DIR_Pos                  (4UL)                     /*!< DIR (Bit 4)                                           */
#define TIM3_CR1_DIR_Msk                  (0x10UL)                  /*!< DIR (Bitfield-Mask: 0x01)                             */
#define TIM3_CR1_CMS_Pos                  (5UL)                     /*!< CMS (Bit 5)                                           */
#define TIM3_CR1_CMS_Msk                  (0x60UL)                  /*!< CMS (Bitfield-Mask: 0x03)                             */
#define TIM3_CR1_ARPE_Pos                 (7UL)                     /*!< ARPE (Bit 7)                                          */
#define TIM3_CR1_ARPE_Msk                 (0x80UL)                  /*!< ARPE (Bitfield-Mask: 0x01)                            */
#define TIM3_CR1_CKD_Pos                  (8UL)                     /*!< CKD (Bit 8)                                           */
#define TIM3_CR1_CKD_Msk                  (0x300UL)                 /*!< CKD (Bitfield-Mask: 0x03)                             */
/* ==========================================================  CR2  ========================================================== */
#define TIM3_CR2_CCDS_Pos                 (3UL)                     /*!< CCDS (Bit 3)                                          */
#define TIM3_CR2_CCDS_Msk                 (0x8UL)                   /*!< CCDS (Bitfield-Mask: 0x01)                            */
#define TIM3_CR2_MMS_L_Pos                (4UL)                     /*!< MMS_L (Bit 4)                                         */
#define TIM3_CR2_MMS_L_Msk                (0x70UL)                  /*!< MMS_L (Bitfield-Mask: 0x07)                           */
#define TIM3_CR2_TI1S_Pos                 (7UL)                     /*!< TI1S (Bit 7)                                          */
#define TIM3_CR2_TI1S_Msk                 (0x80UL)                  /*!< TI1S (Bitfield-Mask: 0x01)                            */
#define TIM3_CR2_MMS_H_Pos                (25UL)                    /*!< MMS_H (Bit 25)                                        */
#define TIM3_CR2_MMS_H_Msk                (0x2000000UL)             /*!< MMS_H (Bitfield-Mask: 0x01)                           */
/* =========================================================  SMCR  ========================================================== */
#define TIM3_SMCR_SMS_Pos                 (0UL)                     /*!< SMS (Bit 0)                                           */
#define TIM3_SMCR_SMS_Msk                 (0x7UL)                   /*!< SMS (Bitfield-Mask: 0x07)                             */
#define TIM3_SMCR_OCCS_Pos                (3UL)                     /*!< OCCS (Bit 3)                                          */
#define TIM3_SMCR_OCCS_Msk                (0x8UL)                   /*!< OCCS (Bitfield-Mask: 0x01)                            */
#define TIM3_SMCR_TS_L_Pos                (4UL)                     /*!< TS_L (Bit 4)                                          */
#define TIM3_SMCR_TS_L_Msk                (0x70UL)                  /*!< TS_L (Bitfield-Mask: 0x07)                            */
#define TIM3_SMCR_MSM_Pos                 (7UL)                     /*!< MSM (Bit 7)                                           */
#define TIM3_SMCR_MSM_Msk                 (0x80UL)                  /*!< MSM (Bitfield-Mask: 0x01)                             */
#define TIM3_SMCR_ETF_Pos                 (8UL)                     /*!< ETF (Bit 8)                                           */
#define TIM3_SMCR_ETF_Msk                 (0xf00UL)                 /*!< ETF (Bitfield-Mask: 0x0f)                             */
#define TIM3_SMCR_ETPS_Pos                (12UL)                    /*!< ETPS (Bit 12)                                         */
#define TIM3_SMCR_ETPS_Msk                (0x3000UL)                /*!< ETPS (Bitfield-Mask: 0x03)                            */
#define TIM3_SMCR_ECE_Pos                 (14UL)                    /*!< ECE (Bit 14)                                          */
#define TIM3_SMCR_ECE_Msk                 (0x4000UL)                /*!< ECE (Bitfield-Mask: 0x01)                             */
#define TIM3_SMCR_ETP_Pos                 (15UL)                    /*!< ETP (Bit 15)                                          */
#define TIM3_SMCR_ETP_Msk                 (0x8000UL)                /*!< ETP (Bitfield-Mask: 0x01)                             */
#define TIM3_SMCR_TS_H_Pos                (20UL)                    /*!< TS_H (Bit 20)                                         */
#define TIM3_SMCR_TS_H_Msk                (0x300000UL)              /*!< TS_H (Bitfield-Mask: 0x03)                            */
/* =========================================================  DIER  ========================================================== */
#define TIM3_DIER_UIE_Pos                 (0UL)                     /*!< UIE (Bit 0)                                           */
#define TIM3_DIER_UIE_Msk                 (0x1UL)                   /*!< UIE (Bitfield-Mask: 0x01)                             */
#define TIM3_DIER_CC1IE_Pos               (1UL)                     /*!< CC1IE (Bit 1)                                         */
#define TIM3_DIER_CC1IE_Msk               (0x2UL)                   /*!< CC1IE (Bitfield-Mask: 0x01)                           */
#define TIM3_DIER_CC2IE_Pos               (2UL)                     /*!< CC2IE (Bit 2)                                         */
#define TIM3_DIER_CC2IE_Msk               (0x4UL)                   /*!< CC2IE (Bitfield-Mask: 0x01)                           */
#define TIM3_DIER_CC3IE_Pos               (3UL)                     /*!< CC3IE (Bit 3)                                         */
#define TIM3_DIER_CC3IE_Msk               (0x8UL)                   /*!< CC3IE (Bitfield-Mask: 0x01)                           */
#define TIM3_DIER_CC4IE_Pos               (4UL)                     /*!< CC4IE (Bit 4)                                         */
#define TIM3_DIER_CC4IE_Msk               (0x10UL)                  /*!< CC4IE (Bitfield-Mask: 0x01)                           */
#define TIM3_DIER_TIE_Pos                 (6UL)                     /*!< TIE (Bit 6)                                           */
#define TIM3_DIER_TIE_Msk                 (0x40UL)                  /*!< TIE (Bitfield-Mask: 0x01)                             */
#define TIM3_DIER_UDE_Pos                 (8UL)                     /*!< UDE (Bit 8)                                           */
#define TIM3_DIER_UDE_Msk                 (0x100UL)                 /*!< UDE (Bitfield-Mask: 0x01)                             */
#define TIM3_DIER_CC1DE_Pos               (9UL)                     /*!< CC1DE (Bit 9)                                         */
#define TIM3_DIER_CC1DE_Msk               (0x200UL)                 /*!< CC1DE (Bitfield-Mask: 0x01)                           */
#define TIM3_DIER_CC2DE_Pos               (10UL)                    /*!< CC2DE (Bit 10)                                        */
#define TIM3_DIER_CC2DE_Msk               (0x400UL)                 /*!< CC2DE (Bitfield-Mask: 0x01)                           */
#define TIM3_DIER_CC3DE_Pos               (11UL)                    /*!< CC3DE (Bit 11)                                        */
#define TIM3_DIER_CC3DE_Msk               (0x800UL)                 /*!< CC3DE (Bitfield-Mask: 0x01)                           */
#define TIM3_DIER_CC4DE_Pos               (12UL)                    /*!< CC4DE (Bit 12)                                        */
#define TIM3_DIER_CC4DE_Msk               (0x1000UL)                /*!< CC4DE (Bitfield-Mask: 0x01)                           */
#define TIM3_DIER_TDE_Pos                 (14UL)                    /*!< TDE (Bit 14)                                          */
#define TIM3_DIER_TDE_Msk                 (0x4000UL)                /*!< TDE (Bitfield-Mask: 0x01)                             */
/* ==========================================================  SR  =========================================================== */
#define TIM3_SR_UIF_Pos                   (0UL)                     /*!< UIF (Bit 0)                                           */
#define TIM3_SR_UIF_Msk                   (0x1UL)                   /*!< UIF (Bitfield-Mask: 0x01)                             */
#define TIM3_SR_CC1IF_Pos                 (1UL)                     /*!< CC1IF (Bit 1)                                         */
#define TIM3_SR_CC1IF_Msk                 (0x2UL)                   /*!< CC1IF (Bitfield-Mask: 0x01)                           */
#define TIM3_SR_CC2IF_Pos                 (2UL)                     /*!< CC2IF (Bit 2)                                         */
#define TIM3_SR_CC2IF_Msk                 (0x4UL)                   /*!< CC2IF (Bitfield-Mask: 0x01)                           */
#define TIM3_SR_CC3IF_Pos                 (3UL)                     /*!< CC3IF (Bit 3)                                         */
#define TIM3_SR_CC3IF_Msk                 (0x8UL)                   /*!< CC3IF (Bitfield-Mask: 0x01)                           */
#define TIM3_SR_CC4IF_Pos                 (4UL)                     /*!< CC4IF (Bit 4)                                         */
#define TIM3_SR_CC4IF_Msk                 (0x10UL)                  /*!< CC4IF (Bitfield-Mask: 0x01)                           */
#define TIM3_SR_TIF_Pos                   (6UL)                     /*!< TIF (Bit 6)                                           */
#define TIM3_SR_TIF_Msk                   (0x40UL)                  /*!< TIF (Bitfield-Mask: 0x01)                             */
#define TIM3_SR_CC1OF_Pos                 (9UL)                     /*!< CC1OF (Bit 9)                                         */
#define TIM3_SR_CC1OF_Msk                 (0x200UL)                 /*!< CC1OF (Bitfield-Mask: 0x01)                           */
#define TIM3_SR_CC2OF_Pos                 (10UL)                    /*!< CC2OF (Bit 10)                                        */
#define TIM3_SR_CC2OF_Msk                 (0x400UL)                 /*!< CC2OF (Bitfield-Mask: 0x01)                           */
#define TIM3_SR_CC3OF_Pos                 (11UL)                    /*!< CC3OF (Bit 11)                                        */
#define TIM3_SR_CC3OF_Msk                 (0x800UL)                 /*!< CC3OF (Bitfield-Mask: 0x01)                           */
#define TIM3_SR_CC4OF_Pos                 (12UL)                    /*!< CC4OF (Bit 12)                                        */
#define TIM3_SR_CC4OF_Msk                 (0x1000UL)                /*!< CC4OF (Bitfield-Mask: 0x01)                           */
#define TIM3_SR_IC1IR_Pos                 (18UL)                    /*!< IC1IR (Bit 18)                                        */
#define TIM3_SR_IC1IR_Msk                 (0x40000UL)               /*!< IC1IR (Bitfield-Mask: 0x01)                           */
#define TIM3_SR_IC2IR_Pos                 (19UL)                    /*!< IC2IR (Bit 19)                                        */
#define TIM3_SR_IC2IR_Msk                 (0x80000UL)               /*!< IC2IR (Bitfield-Mask: 0x01)                           */
#define TIM3_SR_IC3IR_Pos                 (24UL)                    /*!< IC3IR (Bit 24)                                        */
#define TIM3_SR_IC3IR_Msk                 (0x1000000UL)             /*!< IC3IR (Bitfield-Mask: 0x01)                           */
#define TIM3_SR_IC4IR_Pos                 (25UL)                    /*!< IC4IR (Bit 25)                                        */
#define TIM3_SR_IC4IR_Msk                 (0x2000000UL)             /*!< IC4IR (Bitfield-Mask: 0x01)                           */
#define TIM3_SR_IC1IF_Pos                 (26UL)                    /*!< IC1IF (Bit 26)                                        */
#define TIM3_SR_IC1IF_Msk                 (0x4000000UL)             /*!< IC1IF (Bitfield-Mask: 0x01)                           */
#define TIM3_SR_IC2IF_Pos                 (27UL)                    /*!< IC2IF (Bit 27)                                        */
#define TIM3_SR_IC2IF_Msk                 (0x8000000UL)             /*!< IC2IF (Bitfield-Mask: 0x01)                           */
#define TIM3_SR_IC3IF_Pos                 (28UL)                    /*!< IC3IF (Bit 28)                                        */
#define TIM3_SR_IC3IF_Msk                 (0x10000000UL)            /*!< IC3IF (Bitfield-Mask: 0x01)                           */
#define TIM3_SR_IC4IF_Pos                 (29UL)                    /*!< IC4IF (Bit 29)                                        */
#define TIM3_SR_IC4IF_Msk                 (0x20000000UL)            /*!< IC4IF (Bitfield-Mask: 0x01)                           */
/* ==========================================================  EGR  ========================================================== */
#define TIM3_EGR_UG_Pos                   (0UL)                     /*!< UG (Bit 0)                                            */
#define TIM3_EGR_UG_Msk                   (0x1UL)                   /*!< UG (Bitfield-Mask: 0x01)                              */
#define TIM3_EGR_CC1G_Pos                 (1UL)                     /*!< CC1G (Bit 1)                                          */
#define TIM3_EGR_CC1G_Msk                 (0x2UL)                   /*!< CC1G (Bitfield-Mask: 0x01)                            */
#define TIM3_EGR_CC2G_Pos                 (2UL)                     /*!< CC2G (Bit 2)                                          */
#define TIM3_EGR_CC2G_Msk                 (0x4UL)                   /*!< CC2G (Bitfield-Mask: 0x01)                            */
#define TIM3_EGR_CC3G_Pos                 (3UL)                     /*!< CC3G (Bit 3)                                          */
#define TIM3_EGR_CC3G_Msk                 (0x8UL)                   /*!< CC3G (Bitfield-Mask: 0x01)                            */
#define TIM3_EGR_CC4G_Pos                 (4UL)                     /*!< CC4G (Bit 4)                                          */
#define TIM3_EGR_CC4G_Msk                 (0x10UL)                  /*!< CC4G (Bitfield-Mask: 0x01)                            */
#define TIM3_EGR_TG_Pos                   (6UL)                     /*!< TG (Bit 6)                                            */
#define TIM3_EGR_TG_Msk                   (0x40UL)                  /*!< TG (Bitfield-Mask: 0x01)                              */
/* =====================================================  CCMR1_OUTPUT  ====================================================== */
#define TIM3_CCMR1_OUTPUT_CC1S_Pos        (0UL)                     /*!< CC1S (Bit 0)                                          */
#define TIM3_CCMR1_OUTPUT_CC1S_Msk        (0x3UL)                   /*!< CC1S (Bitfield-Mask: 0x03)                            */
#define TIM3_CCMR1_OUTPUT_OC1FE_Pos       (2UL)                     /*!< OC1FE (Bit 2)                                         */
#define TIM3_CCMR1_OUTPUT_OC1FE_Msk       (0x4UL)                   /*!< OC1FE (Bitfield-Mask: 0x01)                           */
#define TIM3_CCMR1_OUTPUT_OC1PE_Pos       (3UL)                     /*!< OC1PE (Bit 3)                                         */
#define TIM3_CCMR1_OUTPUT_OC1PE_Msk       (0x8UL)                   /*!< OC1PE (Bitfield-Mask: 0x01)                           */
#define TIM3_CCMR1_OUTPUT_OC1M_Pos        (4UL)                     /*!< OC1M (Bit 4)                                          */
#define TIM3_CCMR1_OUTPUT_OC1M_Msk        (0x70UL)                  /*!< OC1M (Bitfield-Mask: 0x07)                            */
#define TIM3_CCMR1_OUTPUT_OC1CE_Pos       (7UL)                     /*!< OC1CE (Bit 7)                                         */
#define TIM3_CCMR1_OUTPUT_OC1CE_Msk       (0x80UL)                  /*!< OC1CE (Bitfield-Mask: 0x01)                           */
#define TIM3_CCMR1_OUTPUT_CC2S_Pos        (8UL)                     /*!< CC2S (Bit 8)                                          */
#define TIM3_CCMR1_OUTPUT_CC2S_Msk        (0x300UL)                 /*!< CC2S (Bitfield-Mask: 0x03)                            */
#define TIM3_CCMR1_OUTPUT_OC2FE_Pos       (10UL)                    /*!< OC2FE (Bit 10)                                        */
#define TIM3_CCMR1_OUTPUT_OC2FE_Msk       (0x400UL)                 /*!< OC2FE (Bitfield-Mask: 0x01)                           */
#define TIM3_CCMR1_OUTPUT_OC2PE_Pos       (11UL)                    /*!< OC2PE (Bit 11)                                        */
#define TIM3_CCMR1_OUTPUT_OC2PE_Msk       (0x800UL)                 /*!< OC2PE (Bitfield-Mask: 0x01)                           */
#define TIM3_CCMR1_OUTPUT_OC2M_Pos        (12UL)                    /*!< OC2M (Bit 12)                                         */
#define TIM3_CCMR1_OUTPUT_OC2M_Msk        (0x7000UL)                /*!< OC2M (Bitfield-Mask: 0x07)                            */
#define TIM3_CCMR1_OUTPUT_OC2CE_Pos       (15UL)                    /*!< OC2CE (Bit 15)                                        */
#define TIM3_CCMR1_OUTPUT_OC2CE_Msk       (0x8000UL)                /*!< OC2CE (Bitfield-Mask: 0x01)                           */
/* ======================================================  CCMR1_INPUT  ====================================================== */
#define TIM3_CCMR1_INPUT_CC1S_Pos         (0UL)                     /*!< CC1S (Bit 0)                                          */
#define TIM3_CCMR1_INPUT_CC1S_Msk         (0x3UL)                   /*!< CC1S (Bitfield-Mask: 0x03)                            */
#define TIM3_CCMR1_INPUT_IC1PSC_Pos       (2UL)                     /*!< IC1PSC (Bit 2)                                        */
#define TIM3_CCMR1_INPUT_IC1PSC_Msk       (0xcUL)                   /*!< IC1PSC (Bitfield-Mask: 0x03)                          */
#define TIM3_CCMR1_INPUT_IC1F_Pos         (4UL)                     /*!< IC1F (Bit 4)                                          */
#define TIM3_CCMR1_INPUT_IC1F_Msk         (0xf0UL)                  /*!< IC1F (Bitfield-Mask: 0x0f)                            */
#define TIM3_CCMR1_INPUT_CC2S_Pos         (8UL)                     /*!< CC2S (Bit 8)                                          */
#define TIM3_CCMR1_INPUT_CC2S_Msk         (0x300UL)                 /*!< CC2S (Bitfield-Mask: 0x03)                            */
#define TIM3_CCMR1_INPUT_IC2PSC_Pos       (10UL)                    /*!< IC2PSC (Bit 10)                                       */
#define TIM3_CCMR1_INPUT_IC2PSC_Msk       (0xc00UL)                 /*!< IC2PSC (Bitfield-Mask: 0x03)                          */
#define TIM3_CCMR1_INPUT_IC2F_Pos         (12UL)                    /*!< IC2F (Bit 12)                                         */
#define TIM3_CCMR1_INPUT_IC2F_Msk         (0xf000UL)                /*!< IC2F (Bitfield-Mask: 0x0f)                            */
/* =====================================================  CCMR2_OUTPUT  ====================================================== */
#define TIM3_CCMR2_OUTPUT_CC3S_Pos        (0UL)                     /*!< CC3S (Bit 0)                                          */
#define TIM3_CCMR2_OUTPUT_CC3S_Msk        (0x3UL)                   /*!< CC3S (Bitfield-Mask: 0x03)                            */
#define TIM3_CCMR2_OUTPUT_OC3FE_Pos       (2UL)                     /*!< OC3FE (Bit 2)                                         */
#define TIM3_CCMR2_OUTPUT_OC3FE_Msk       (0x4UL)                   /*!< OC3FE (Bitfield-Mask: 0x01)                           */
#define TIM3_CCMR2_OUTPUT_OC3PE_Pos       (3UL)                     /*!< OC3PE (Bit 3)                                         */
#define TIM3_CCMR2_OUTPUT_OC3PE_Msk       (0x8UL)                   /*!< OC3PE (Bitfield-Mask: 0x01)                           */
#define TIM3_CCMR2_OUTPUT_OC3M_Pos        (4UL)                     /*!< OC3M (Bit 4)                                          */
#define TIM3_CCMR2_OUTPUT_OC3M_Msk        (0x70UL)                  /*!< OC3M (Bitfield-Mask: 0x07)                            */
#define TIM3_CCMR2_OUTPUT_OC3CE_Pos       (7UL)                     /*!< OC3CE (Bit 7)                                         */
#define TIM3_CCMR2_OUTPUT_OC3CE_Msk       (0x80UL)                  /*!< OC3CE (Bitfield-Mask: 0x01)                           */
#define TIM3_CCMR2_OUTPUT_CC4S_Pos        (8UL)                     /*!< CC4S (Bit 8)                                          */
#define TIM3_CCMR2_OUTPUT_CC4S_Msk        (0x300UL)                 /*!< CC4S (Bitfield-Mask: 0x03)                            */
#define TIM3_CCMR2_OUTPUT_OC4FE_Pos       (10UL)                    /*!< OC4FE (Bit 10)                                        */
#define TIM3_CCMR2_OUTPUT_OC4FE_Msk       (0x400UL)                 /*!< OC4FE (Bitfield-Mask: 0x01)                           */
#define TIM3_CCMR2_OUTPUT_OC4PE_Pos       (11UL)                    /*!< OC4PE (Bit 11)                                        */
#define TIM3_CCMR2_OUTPUT_OC4PE_Msk       (0x800UL)                 /*!< OC4PE (Bitfield-Mask: 0x01)                           */
#define TIM3_CCMR2_OUTPUT_OC4M_Pos        (12UL)                    /*!< OC4M (Bit 12)                                         */
#define TIM3_CCMR2_OUTPUT_OC4M_Msk        (0x7000UL)                /*!< OC4M (Bitfield-Mask: 0x07)                            */
#define TIM3_CCMR2_OUTPUT_OC4CE_Pos       (15UL)                    /*!< OC4CE (Bit 15)                                        */
#define TIM3_CCMR2_OUTPUT_OC4CE_Msk       (0x8000UL)                /*!< OC4CE (Bitfield-Mask: 0x01)                           */
/* ======================================================  CCMR2_INPUT  ====================================================== */
#define TIM3_CCMR2_INPUT_CC3S_Pos         (0UL)                     /*!< CC3S (Bit 0)                                          */
#define TIM3_CCMR2_INPUT_CC3S_Msk         (0x3UL)                   /*!< CC3S (Bitfield-Mask: 0x03)                            */
#define TIM3_CCMR2_INPUT_IC3PSC_Pos       (2UL)                     /*!< IC3PSC (Bit 2)                                        */
#define TIM3_CCMR2_INPUT_IC3PSC_Msk       (0xcUL)                   /*!< IC3PSC (Bitfield-Mask: 0x03)                          */
#define TIM3_CCMR2_INPUT_IC3F_Pos         (4UL)                     /*!< IC3F (Bit 4)                                          */
#define TIM3_CCMR2_INPUT_IC3F_Msk         (0xf0UL)                  /*!< IC3F (Bitfield-Mask: 0x0f)                            */
#define TIM3_CCMR2_INPUT_CC4S_Pos         (8UL)                     /*!< CC4S (Bit 8)                                          */
#define TIM3_CCMR2_INPUT_CC4S_Msk         (0x300UL)                 /*!< CC4S (Bitfield-Mask: 0x03)                            */
#define TIM3_CCMR2_INPUT_IC4PSC_Pos       (10UL)                    /*!< IC4PSC (Bit 10)                                       */
#define TIM3_CCMR2_INPUT_IC4PSC_Msk       (0xc00UL)                 /*!< IC4PSC (Bitfield-Mask: 0x03)                          */
#define TIM3_CCMR2_INPUT_IC4F_Pos         (12UL)                    /*!< IC4F (Bit 12)                                         */
#define TIM3_CCMR2_INPUT_IC4F_Msk         (0xf000UL)                /*!< IC4F (Bitfield-Mask: 0x0f)                            */
/* =========================================================  CCER  ========================================================== */
#define TIM3_CCER_CC1E_Pos                (0UL)                     /*!< CC1E (Bit 0)                                          */
#define TIM3_CCER_CC1E_Msk                (0x1UL)                   /*!< CC1E (Bitfield-Mask: 0x01)                            */
#define TIM3_CCER_CC1P_Pos                (1UL)                     /*!< CC1P (Bit 1)                                          */
#define TIM3_CCER_CC1P_Msk                (0x2UL)                   /*!< CC1P (Bitfield-Mask: 0x01)                            */
#define TIM3_CCER_CC1NP_Pos               (3UL)                     /*!< CC1NP (Bit 3)                                         */
#define TIM3_CCER_CC1NP_Msk               (0x8UL)                   /*!< CC1NP (Bitfield-Mask: 0x01)                           */
#define TIM3_CCER_CC2E_Pos                (4UL)                     /*!< CC2E (Bit 4)                                          */
#define TIM3_CCER_CC2E_Msk                (0x10UL)                  /*!< CC2E (Bitfield-Mask: 0x01)                            */
#define TIM3_CCER_CC2P_Pos                (5UL)                     /*!< CC2P (Bit 5)                                          */
#define TIM3_CCER_CC2P_Msk                (0x20UL)                  /*!< CC2P (Bitfield-Mask: 0x01)                            */
#define TIM3_CCER_CC2NP_Pos               (7UL)                     /*!< CC2NP (Bit 7)                                         */
#define TIM3_CCER_CC2NP_Msk               (0x80UL)                  /*!< CC2NP (Bitfield-Mask: 0x01)                           */
#define TIM3_CCER_CC3E_Pos                (8UL)                     /*!< CC3E (Bit 8)                                          */
#define TIM3_CCER_CC3E_Msk                (0x100UL)                 /*!< CC3E (Bitfield-Mask: 0x01)                            */
#define TIM3_CCER_CC3P_Pos                (9UL)                     /*!< CC3P (Bit 9)                                          */
#define TIM3_CCER_CC3P_Msk                (0x200UL)                 /*!< CC3P (Bitfield-Mask: 0x01)                            */
#define TIM3_CCER_CC3NP_Pos               (11UL)                    /*!< CC3NP (Bit 11)                                        */
#define TIM3_CCER_CC3NP_Msk               (0x800UL)                 /*!< CC3NP (Bitfield-Mask: 0x01)                           */
#define TIM3_CCER_CC4E_Pos                (12UL)                    /*!< CC4E (Bit 12)                                         */
#define TIM3_CCER_CC4E_Msk                (0x1000UL)                /*!< CC4E (Bitfield-Mask: 0x01)                            */
#define TIM3_CCER_CC4P_Pos                (13UL)                    /*!< CC4P (Bit 13)                                         */
#define TIM3_CCER_CC4P_Msk                (0x2000UL)                /*!< CC4P (Bitfield-Mask: 0x01)                            */
#define TIM3_CCER_CC4NP_Pos               (15UL)                    /*!< CC4NP (Bit 15)                                        */
#define TIM3_CCER_CC4NP_Msk               (0x8000UL)                /*!< CC4NP (Bitfield-Mask: 0x01)                           */
/* ==========================================================  CNT  ========================================================== */
#define TIM3_CNT_CNT_Pos                  (0UL)                     /*!< CNT (Bit 0)                                           */
#define TIM3_CNT_CNT_Msk                  (0xffffUL)                /*!< CNT (Bitfield-Mask: 0xffff)                           */
/* ==========================================================  PSC  ========================================================== */
#define TIM3_PSC_PSC_Pos                  (0UL)                     /*!< PSC (Bit 0)                                           */
#define TIM3_PSC_PSC_Msk                  (0xffffUL)                /*!< PSC (Bitfield-Mask: 0xffff)                           */
/* ==========================================================  ARR  ========================================================== */
#define TIM3_ARR_ARR_Pos                  (0UL)                     /*!< ARR (Bit 0)                                           */
#define TIM3_ARR_ARR_Msk                  (0xffffUL)                /*!< ARR (Bitfield-Mask: 0xffff)                           */
/* =========================================================  CCR1  ========================================================== */
#define TIM3_CCR1_CCR1_Pos                (0UL)                     /*!< CCR1 (Bit 0)                                          */
#define TIM3_CCR1_CCR1_Msk                (0xffffUL)                /*!< CCR1 (Bitfield-Mask: 0xffff)                          */
/* =========================================================  CCR2  ========================================================== */
#define TIM3_CCR2_CCR2_Pos                (0UL)                     /*!< CCR2 (Bit 0)                                          */
#define TIM3_CCR2_CCR2_Msk                (0xffffUL)                /*!< CCR2 (Bitfield-Mask: 0xffff)                          */
/* =========================================================  CCR3  ========================================================== */
#define TIM3_CCR3_CCR3_Pos                (0UL)                     /*!< CCR3 (Bit 0)                                          */
#define TIM3_CCR3_CCR3_Msk                (0xffffUL)                /*!< CCR3 (Bitfield-Mask: 0xffff)                          */
/* =========================================================  CCR4  ========================================================== */
#define TIM3_CCR4_CCR4_Pos                (0UL)                     /*!< CCR4 (Bit 0)                                          */
#define TIM3_CCR4_CCR4_Msk                (0xffffUL)                /*!< CCR4 (Bitfield-Mask: 0xffff)                          */
/* =========================================================  TISEL  ========================================================= */
#define TIM3_TISEL_TI1SEL_Pos             (0UL)                     /*!< TI1SEL (Bit 0)                                        */
#define TIM3_TISEL_TI1SEL_Msk             (0xfUL)                   /*!< TI1SEL (Bitfield-Mask: 0x0f)                          */
#define TIM3_TISEL_TI2SEL_Pos             (8UL)                     /*!< TI2SEL (Bit 8)                                        */
#define TIM3_TISEL_TI2SEL_Msk             (0xf00UL)                 /*!< TI2SEL (Bitfield-Mask: 0x0f)                          */
#define TIM3_TISEL_TI3SEL_Pos             (16UL)                    /*!< TI3SEL (Bit 16)                                       */
#define TIM3_TISEL_TI3SEL_Msk             (0xf0000UL)               /*!< TI3SEL (Bitfield-Mask: 0x0f)                          */
#define TIM3_TISEL_TI4SEL_Pos             (24UL)                    /*!< TI4SEL (Bit 24)                                       */
#define TIM3_TISEL_TI4SEL_Msk             (0xf000000UL)             /*!< TI4SEL (Bitfield-Mask: 0x0f)                          */
/* ==========================================================  AF1  ========================================================== */
#define TIM3_AF1_ETRSEL_Pos               (14UL)                    /*!< ETRSEL (Bit 14)                                       */
#define TIM3_AF1_ETRSEL_Msk               (0x3c000UL)               /*!< ETRSEL (Bitfield-Mask: 0x0f)                          */
/* ==========================================================  AF2  ========================================================== */
#define TIM3_AF2_OCRSEL_Pos               (16UL)                    /*!< OCRSEL (Bit 16)                                       */
#define TIM3_AF2_OCRSEL_Msk               (0x70000UL)               /*!< OCRSEL (Bitfield-Mask: 0x07)                          */
/* ========================================================  TIMXDCR  ======================================================== */
#define TIM3_TIMXDCR_DBA_Pos              (0UL)                     /*!< DBA (Bit 0)                                           */
#define TIM3_TIMXDCR_DBA_Msk              (0x1fUL)                  /*!< DBA (Bitfield-Mask: 0x1f)                             */
#define TIM3_TIMXDCR_DBL_Pos              (8UL)                     /*!< DBL (Bit 8)                                           */
#define TIM3_TIMXDCR_DBL_Msk              (0x1f00UL)                /*!< DBL (Bitfield-Mask: 0x1f)                             */
/* =========================================================  DMAR  ========================================================== */
#define TIM3_DMAR_DMAB_Pos                (0UL)                     /*!< DMAB (Bit 0)                                          */
#define TIM3_DMAR_DMAB_Msk                (0xffffffffUL)            /*!< DMAB (Bitfield-Mask: 0xffffffff)                      */


/* =========================================================================================================================== */
/* ================                                           TIM6                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  CR1  ========================================================== */
#define TIM6_CR1_CEN_Pos                  (0UL)                     /*!< CEN (Bit 0)                                           */
#define TIM6_CR1_CEN_Msk                  (0x1UL)                   /*!< CEN (Bitfield-Mask: 0x01)                             */
#define TIM6_CR1_UDIS_Pos                 (1UL)                     /*!< UDIS (Bit 1)                                          */
#define TIM6_CR1_UDIS_Msk                 (0x2UL)                   /*!< UDIS (Bitfield-Mask: 0x01)                            */
#define TIM6_CR1_URS_Pos                  (2UL)                     /*!< URS (Bit 2)                                           */
#define TIM6_CR1_URS_Msk                  (0x4UL)                   /*!< URS (Bitfield-Mask: 0x01)                             */
#define TIM6_CR1_OPM_Pos                  (3UL)                     /*!< OPM (Bit 3)                                           */
#define TIM6_CR1_OPM_Msk                  (0x8UL)                   /*!< OPM (Bitfield-Mask: 0x01)                             */
#define TIM6_CR1_ARPE_Pos                 (7UL)                     /*!< ARPE (Bit 7)                                          */
#define TIM6_CR1_ARPE_Msk                 (0x80UL)                  /*!< ARPE (Bitfield-Mask: 0x01)                            */
/* =========================================================  DIER  ========================================================== */
#define TIM6_DIER_UIE_Pos                 (0UL)                     /*!< UIE (Bit 0)                                           */
#define TIM6_DIER_UIE_Msk                 (0x1UL)                   /*!< UIE (Bitfield-Mask: 0x01)                             */
#define TIM6_DIER_UDE_Pos                 (8UL)                     /*!< UDE (Bit 8)                                           */
#define TIM6_DIER_UDE_Msk                 (0x100UL)                 /*!< UDE (Bitfield-Mask: 0x01)                             */
/* ==========================================================  SR  =========================================================== */
#define TIM6_SR_UIF_Pos                   (0UL)                     /*!< UIF (Bit 0)                                           */
#define TIM6_SR_UIF_Msk                   (0x1UL)                   /*!< UIF (Bitfield-Mask: 0x01)                             */
/* ==========================================================  EGR  ========================================================== */
#define TIM6_EGR_UG_Pos                   (0UL)                     /*!< UG (Bit 0)                                            */
#define TIM6_EGR_UG_Msk                   (0x1UL)                   /*!< UG (Bitfield-Mask: 0x01)                              */
/* ==========================================================  CNT  ========================================================== */
#define TIM6_CNT_CNT_Pos                  (0UL)                     /*!< CNT (Bit 0)                                           */
#define TIM6_CNT_CNT_Msk                  (0xffffUL)                /*!< CNT (Bitfield-Mask: 0xffff)                           */
/* ==========================================================  PSC  ========================================================== */
#define TIM6_PSC_PSC_Pos                  (0UL)                     /*!< PSC (Bit 0)                                           */
#define TIM6_PSC_PSC_Msk                  (0xffffUL)                /*!< PSC (Bitfield-Mask: 0xffff)                           */
/* ==========================================================  ARR  ========================================================== */
#define TIM6_ARR_ARR_Pos                  (0UL)                     /*!< ARR (Bit 0)                                           */
#define TIM6_ARR_ARR_Msk                  (0xffffUL)                /*!< ARR (Bitfield-Mask: 0xffff)                           */


/* =========================================================================================================================== */
/* ================                                           TIM15                                           ================ */
/* =========================================================================================================================== */

/* ==========================================================  CR1  ========================================================== */
#define TIM15_CR1_CEN_Pos                 (0UL)                     /*!< CEN (Bit 0)                                           */
#define TIM15_CR1_CEN_Msk                 (0x1UL)                   /*!< CEN (Bitfield-Mask: 0x01)                             */
#define TIM15_CR1_UDIS_Pos                (1UL)                     /*!< UDIS (Bit 1)                                          */
#define TIM15_CR1_UDIS_Msk                (0x2UL)                   /*!< UDIS (Bitfield-Mask: 0x01)                            */
#define TIM15_CR1_URS_Pos                 (2UL)                     /*!< URS (Bit 2)                                           */
#define TIM15_CR1_URS_Msk                 (0x4UL)                   /*!< URS (Bitfield-Mask: 0x01)                             */
#define TIM15_CR1_OPM_Pos                 (3UL)                     /*!< OPM (Bit 3)                                           */
#define TIM15_CR1_OPM_Msk                 (0x8UL)                   /*!< OPM (Bitfield-Mask: 0x01)                             */
#define TIM15_CR1_ARPE_Pos                (7UL)                     /*!< ARPE (Bit 7)                                          */
#define TIM15_CR1_ARPE_Msk                (0x80UL)                  /*!< ARPE (Bitfield-Mask: 0x01)                            */
#define TIM15_CR1_CKD_Pos                 (8UL)                     /*!< CKD (Bit 8)                                           */
#define TIM15_CR1_CKD_Msk                 (0x300UL)                 /*!< CKD (Bitfield-Mask: 0x03)                             */
/* ==========================================================  CR2  ========================================================== */
#define TIM15_CR2_CCPC_Pos                (0UL)                     /*!< CCPC (Bit 0)                                          */
#define TIM15_CR2_CCPC_Msk                (0x1UL)                   /*!< CCPC (Bitfield-Mask: 0x01)                            */
#define TIM15_CR2_CCUS_Pos                (2UL)                     /*!< CCUS (Bit 2)                                          */
#define TIM15_CR2_CCUS_Msk                (0x4UL)                   /*!< CCUS (Bitfield-Mask: 0x01)                            */
#define TIM15_CR2_CCDS_Pos                (3UL)                     /*!< CCDS (Bit 3)                                          */
#define TIM15_CR2_CCDS_Msk                (0x8UL)                   /*!< CCDS (Bitfield-Mask: 0x01)                            */
#define TIM15_CR2_MMS_Pos                 (4UL)                     /*!< MMS (Bit 4)                                           */
#define TIM15_CR2_MMS_Msk                 (0x70UL)                  /*!< MMS (Bitfield-Mask: 0x07)                             */
#define TIM15_CR2_OIS1_Pos                (8UL)                     /*!< OIS1 (Bit 8)                                          */
#define TIM15_CR2_OIS1_Msk                (0x100UL)                 /*!< OIS1 (Bitfield-Mask: 0x01)                            */
#define TIM15_CR2_OIS1N_Pos               (9UL)                     /*!< OIS1N (Bit 9)                                         */
#define TIM15_CR2_OIS1N_Msk               (0x200UL)                 /*!< OIS1N (Bitfield-Mask: 0x01)                           */
#define TIM15_CR2_OIS2_Pos                (10UL)                    /*!< OIS2 (Bit 10)                                         */
#define TIM15_CR2_OIS2_Msk                (0x400UL)                 /*!< OIS2 (Bitfield-Mask: 0x01)                            */
/* =========================================================  SMCR  ========================================================== */
#define TIM15_SMCR_SMS_Pos                (0UL)                     /*!< SMS (Bit 0)                                           */
#define TIM15_SMCR_SMS_Msk                (0x7UL)                   /*!< SMS (Bitfield-Mask: 0x07)                             */
#define TIM15_SMCR_TS_L_Pos               (5UL)                     /*!< TS_L (Bit 5)                                          */
#define TIM15_SMCR_TS_L_Msk               (0x60UL)                  /*!< TS_L (Bitfield-Mask: 0x03)                            */
#define TIM15_SMCR_MSM_Pos                (7UL)                     /*!< MSM (Bit 7)                                           */
#define TIM15_SMCR_MSM_Msk                (0x80UL)                  /*!< MSM (Bitfield-Mask: 0x01)                             */
#define TIM15_SMCR_ETF_Pos                (8UL)                     /*!< ETF (Bit 8)                                           */
#define TIM15_SMCR_ETF_Msk                (0xf00UL)                 /*!< ETF (Bitfield-Mask: 0x0f)                             */
#define TIM15_SMCR_ETPS_Pos               (12UL)                    /*!< ETPS (Bit 12)                                         */
#define TIM15_SMCR_ETPS_Msk               (0x3000UL)                /*!< ETPS (Bitfield-Mask: 0x03)                            */
#define TIM15_SMCR_ECE_Pos                (14UL)                    /*!< ECE (Bit 14)                                          */
#define TIM15_SMCR_ECE_Msk                (0x4000UL)                /*!< ECE (Bitfield-Mask: 0x01)                             */
#define TIM15_SMCR_ETP_Pos                (15UL)                    /*!< ETP (Bit 15)                                          */
#define TIM15_SMCR_ETP_Msk                (0x8000UL)                /*!< ETP (Bitfield-Mask: 0x01)                             */
#define TIM15_SMCR_TS_H_Pos               (20UL)                    /*!< TS_H (Bit 20)                                         */
#define TIM15_SMCR_TS_H_Msk               (0x300000UL)              /*!< TS_H (Bitfield-Mask: 0x03)                            */
/* =========================================================  DIER  ========================================================== */
#define TIM15_DIER_UIE_Pos                (0UL)                     /*!< UIE (Bit 0)                                           */
#define TIM15_DIER_UIE_Msk                (0x1UL)                   /*!< UIE (Bitfield-Mask: 0x01)                             */
#define TIM15_DIER_CC1IE_Pos              (1UL)                     /*!< CC1IE (Bit 1)                                         */
#define TIM15_DIER_CC1IE_Msk              (0x2UL)                   /*!< CC1IE (Bitfield-Mask: 0x01)                           */
#define TIM15_DIER_CC2IE_Pos              (2UL)                     /*!< CC2IE (Bit 2)                                         */
#define TIM15_DIER_CC2IE_Msk              (0x4UL)                   /*!< CC2IE (Bitfield-Mask: 0x01)                           */
#define TIM15_DIER_COMIE_Pos              (5UL)                     /*!< COMIE (Bit 5)                                         */
#define TIM15_DIER_COMIE_Msk              (0x20UL)                  /*!< COMIE (Bitfield-Mask: 0x01)                           */
#define TIM15_DIER_TIE_Pos                (6UL)                     /*!< TIE (Bit 6)                                           */
#define TIM15_DIER_TIE_Msk                (0x40UL)                  /*!< TIE (Bitfield-Mask: 0x01)                             */
#define TIM15_DIER_BIE_Pos                (7UL)                     /*!< BIE (Bit 7)                                           */
#define TIM15_DIER_BIE_Msk                (0x80UL)                  /*!< BIE (Bitfield-Mask: 0x01)                             */
#define TIM15_DIER_UDE_Pos                (8UL)                     /*!< UDE (Bit 8)                                           */
#define TIM15_DIER_UDE_Msk                (0x100UL)                 /*!< UDE (Bitfield-Mask: 0x01)                             */
#define TIM15_DIER_CC1DE_Pos              (9UL)                     /*!< CC1DE (Bit 9)                                         */
#define TIM15_DIER_CC1DE_Msk              (0x200UL)                 /*!< CC1DE (Bitfield-Mask: 0x01)                           */
#define TIM15_DIER_COMDE_Pos              (13UL)                    /*!< COMDE (Bit 13)                                        */
#define TIM15_DIER_COMDE_Msk              (0x2000UL)                /*!< COMDE (Bitfield-Mask: 0x01)                           */
#define TIM15_DIER_TDE_Pos                (14UL)                    /*!< TDE (Bit 14)                                          */
#define TIM15_DIER_TDE_Msk                (0x4000UL)                /*!< TDE (Bitfield-Mask: 0x01)                             */
/* ==========================================================  SR  =========================================================== */
#define TIM15_SR_UIF_Pos                  (0UL)                     /*!< UIF (Bit 0)                                           */
#define TIM15_SR_UIF_Msk                  (0x1UL)                   /*!< UIF (Bitfield-Mask: 0x01)                             */
#define TIM15_SR_CC1IF_Pos                (1UL)                     /*!< CC1IF (Bit 1)                                         */
#define TIM15_SR_CC1IF_Msk                (0x2UL)                   /*!< CC1IF (Bitfield-Mask: 0x01)                           */
#define TIM15_SR_CC2IF_Pos                (2UL)                     /*!< CC2IF (Bit 2)                                         */
#define TIM15_SR_CC2IF_Msk                (0x4UL)                   /*!< CC2IF (Bitfield-Mask: 0x01)                           */
#define TIM15_SR_COMIF_Pos                (5UL)                     /*!< COMIF (Bit 5)                                         */
#define TIM15_SR_COMIF_Msk                (0x20UL)                  /*!< COMIF (Bitfield-Mask: 0x01)                           */
#define TIM15_SR_TIF_Pos                  (6UL)                     /*!< TIF (Bit 6)                                           */
#define TIM15_SR_TIF_Msk                  (0x40UL)                  /*!< TIF (Bitfield-Mask: 0x01)                             */
#define TIM15_SR_BIF_Pos                  (7UL)                     /*!< BIF (Bit 7)                                           */
#define TIM15_SR_BIF_Msk                  (0x80UL)                  /*!< BIF (Bitfield-Mask: 0x01)                             */
#define TIM15_SR_CC1OF_Pos                (9UL)                     /*!< CC1OF (Bit 9)                                         */
#define TIM15_SR_CC1OF_Msk                (0x200UL)                 /*!< CC1OF (Bitfield-Mask: 0x01)                           */
#define TIM15_SR_CC2OF_Pos                (10UL)                    /*!< CC2OF (Bit 10)                                        */
#define TIM15_SR_CC2OF_Msk                (0x400UL)                 /*!< CC2OF (Bitfield-Mask: 0x01)                           */
#define TIM15_SR_IC1IR_Pos                (16UL)                    /*!< IC1IR (Bit 16)                                        */
#define TIM15_SR_IC1IR_Msk                (0x10000UL)               /*!< IC1IR (Bitfield-Mask: 0x01)                           */
#define TIM15_SR_IC2IR_Pos                (17UL)                    /*!< IC2IR (Bit 17)                                        */
#define TIM15_SR_IC2IR_Msk                (0x20000UL)               /*!< IC2IR (Bitfield-Mask: 0x01)                           */
#define TIM15_SR_IC1IF_Pos                (20UL)                    /*!< IC1IF (Bit 20)                                        */
#define TIM15_SR_IC1IF_Msk                (0x100000UL)              /*!< IC1IF (Bitfield-Mask: 0x01)                           */
#define TIM15_SR_IC2IF_Pos                (21UL)                    /*!< IC2IF (Bit 21)                                        */
#define TIM15_SR_IC2IF_Msk                (0x200000UL)              /*!< IC2IF (Bitfield-Mask: 0x01)                           */
/* ==========================================================  EGR  ========================================================== */
#define TIM15_EGR_UG_Pos                  (0UL)                     /*!< UG (Bit 0)                                            */
#define TIM15_EGR_UG_Msk                  (0x1UL)                   /*!< UG (Bitfield-Mask: 0x01)                              */
#define TIM15_EGR_CC1G_Pos                (1UL)                     /*!< CC1G (Bit 1)                                          */
#define TIM15_EGR_CC1G_Msk                (0x2UL)                   /*!< CC1G (Bitfield-Mask: 0x01)                            */
#define TIM15_EGR_CC2G_Pos                (2UL)                     /*!< CC2G (Bit 2)                                          */
#define TIM15_EGR_CC2G_Msk                (0x4UL)                   /*!< CC2G (Bitfield-Mask: 0x01)                            */
#define TIM15_EGR_COMG_Pos                (5UL)                     /*!< COMG (Bit 5)                                          */
#define TIM15_EGR_COMG_Msk                (0x20UL)                  /*!< COMG (Bitfield-Mask: 0x01)                            */
#define TIM15_EGR_TG_Pos                  (6UL)                     /*!< TG (Bit 6)                                            */
#define TIM15_EGR_TG_Msk                  (0x40UL)                  /*!< TG (Bitfield-Mask: 0x01)                              */
#define TIM15_EGR_BG_Pos                  (7UL)                     /*!< BG (Bit 7)                                            */
#define TIM15_EGR_BG_Msk                  (0x80UL)                  /*!< BG (Bitfield-Mask: 0x01)                              */
/* =====================================================  CCMR1_OUTPUT  ====================================================== */
#define TIM15_CCMR1_OUTPUT_OC1PE_Pos      (3UL)                     /*!< OC1PE (Bit 3)                                         */
#define TIM15_CCMR1_OUTPUT_OC1PE_Msk      (0x8UL)                   /*!< OC1PE (Bitfield-Mask: 0x01)                           */
#define TIM15_CCMR1_OUTPUT_OC1M_Pos       (4UL)                     /*!< OC1M (Bit 4)                                          */
#define TIM15_CCMR1_OUTPUT_OC1M_Msk       (0x70UL)                  /*!< OC1M (Bitfield-Mask: 0x07)                            */
#define TIM15_CCMR1_OUTPUT_CC2S_Pos       (8UL)                     /*!< CC2S (Bit 8)                                          */
#define TIM15_CCMR1_OUTPUT_CC2S_Msk       (0x300UL)                 /*!< CC2S (Bitfield-Mask: 0x03)                            */
#define TIM15_CCMR1_OUTPUT_OC2FE_Pos      (10UL)                    /*!< OC2FE (Bit 10)                                        */
#define TIM15_CCMR1_OUTPUT_OC2FE_Msk      (0x400UL)                 /*!< OC2FE (Bitfield-Mask: 0x01)                           */
#define TIM15_CCMR1_OUTPUT_OC2PE_Pos      (11UL)                    /*!< OC2PE (Bit 11)                                        */
#define TIM15_CCMR1_OUTPUT_OC2PE_Msk      (0x800UL)                 /*!< OC2PE (Bitfield-Mask: 0x01)                           */
#define TIM15_CCMR1_OUTPUT_OC2M_Pos       (12UL)                    /*!< OC2M (Bit 12)                                         */
#define TIM15_CCMR1_OUTPUT_OC2M_Msk       (0x7000UL)                /*!< OC2M (Bitfield-Mask: 0x07)                            */
/* ======================================================  CCMR1_INPUT  ====================================================== */
#define TIM15_CCMR1_INPUT_CC1S_Pos        (0UL)                     /*!< CC1S (Bit 0)                                          */
#define TIM15_CCMR1_INPUT_CC1S_Msk        (0x3UL)                   /*!< CC1S (Bitfield-Mask: 0x03)                            */
#define TIM15_CCMR1_INPUT_OC1FE_Pos       (2UL)                     /*!< OC1FE (Bit 2)                                         */
#define TIM15_CCMR1_INPUT_OC1FE_Msk       (0x4UL)                   /*!< OC1FE (Bitfield-Mask: 0x01)                           */
#define TIM15_CCMR1_INPUT_IC1F_Pos        (4UL)                     /*!< IC1F (Bit 4)                                          */
#define TIM15_CCMR1_INPUT_IC1F_Msk        (0xf0UL)                  /*!< IC1F (Bitfield-Mask: 0x0f)                            */
#define TIM15_CCMR1_INPUT_CC2S_Pos        (8UL)                     /*!< CC2S (Bit 8)                                          */
#define TIM15_CCMR1_INPUT_CC2S_Msk        (0x300UL)                 /*!< CC2S (Bitfield-Mask: 0x03)                            */
#define TIM15_CCMR1_INPUT_IC2PSC_Pos      (10UL)                    /*!< IC2PSC (Bit 10)                                       */
#define TIM15_CCMR1_INPUT_IC2PSC_Msk      (0xc00UL)                 /*!< IC2PSC (Bitfield-Mask: 0x03)                          */
#define TIM15_CCMR1_INPUT_IC2F_Pos        (12UL)                    /*!< IC2F (Bit 12)                                         */
#define TIM15_CCMR1_INPUT_IC2F_Msk        (0xf000UL)                /*!< IC2F (Bitfield-Mask: 0x0f)                            */
/* =========================================================  CCER  ========================================================== */
#define TIM15_CCER_CC1E_Pos               (0UL)                     /*!< CC1E (Bit 0)                                          */
#define TIM15_CCER_CC1E_Msk               (0x1UL)                   /*!< CC1E (Bitfield-Mask: 0x01)                            */
#define TIM15_CCER_CC1P_Pos               (1UL)                     /*!< CC1P (Bit 1)                                          */
#define TIM15_CCER_CC1P_Msk               (0x2UL)                   /*!< CC1P (Bitfield-Mask: 0x01)                            */
#define TIM15_CCER_CC1NE_Pos              (2UL)                     /*!< CC1NE (Bit 2)                                         */
#define TIM15_CCER_CC1NE_Msk              (0x4UL)                   /*!< CC1NE (Bitfield-Mask: 0x01)                           */
#define TIM15_CCER_CC1NP_Pos              (3UL)                     /*!< CC1NP (Bit 3)                                         */
#define TIM15_CCER_CC1NP_Msk              (0x8UL)                   /*!< CC1NP (Bitfield-Mask: 0x01)                           */
#define TIM15_CCER_CC2E_Pos               (4UL)                     /*!< CC2E (Bit 4)                                          */
#define TIM15_CCER_CC2E_Msk               (0x10UL)                  /*!< CC2E (Bitfield-Mask: 0x01)                            */
#define TIM15_CCER_CC2P_Pos               (5UL)                     /*!< CC2P (Bit 5)                                          */
#define TIM15_CCER_CC2P_Msk               (0x20UL)                  /*!< CC2P (Bitfield-Mask: 0x01)                            */
#define TIM15_CCER_CC2NP_Pos              (7UL)                     /*!< CC2NP (Bit 7)                                         */
#define TIM15_CCER_CC2NP_Msk              (0x80UL)                  /*!< CC2NP (Bitfield-Mask: 0x01)                           */
/* ==========================================================  CNT  ========================================================== */
#define TIM15_CNT_CNT_Pos                 (0UL)                     /*!< CNT (Bit 0)                                           */
#define TIM15_CNT_CNT_Msk                 (0xffffUL)                /*!< CNT (Bitfield-Mask: 0xffff)                           */
/* ==========================================================  PSC  ========================================================== */
#define TIM15_PSC_PSC_Pos                 (0UL)                     /*!< PSC (Bit 0)                                           */
#define TIM15_PSC_PSC_Msk                 (0xffffUL)                /*!< PSC (Bitfield-Mask: 0xffff)                           */
/* ==========================================================  ARR  ========================================================== */
#define TIM15_ARR_ARR_Pos                 (0UL)                     /*!< ARR (Bit 0)                                           */
#define TIM15_ARR_ARR_Msk                 (0xffffUL)                /*!< ARR (Bitfield-Mask: 0xffff)                           */
/* ==========================================================  RCR  ========================================================== */
#define TIM15_RCR_REP_Pos                 (0UL)                     /*!< REP (Bit 0)                                           */
#define TIM15_RCR_REP_Msk                 (0xffUL)                  /*!< REP (Bitfield-Mask: 0xff)                             */
/* =========================================================  CCR1  ========================================================== */
#define TIM15_CCR1_CCR1_Pos               (0UL)                     /*!< CCR1 (Bit 0)                                          */
#define TIM15_CCR1_CCR1_Msk               (0xffffUL)                /*!< CCR1 (Bitfield-Mask: 0xffff)                          */
/* =========================================================  CCR2  ========================================================== */
#define TIM15_CCR2_CCR2_Pos               (0UL)                     /*!< CCR2 (Bit 0)                                          */
#define TIM15_CCR2_CCR2_Msk               (0xffffUL)                /*!< CCR2 (Bitfield-Mask: 0xffff)                          */
/* =========================================================  BDTR  ========================================================== */
#define TIM15_BDTR_DTG_Pos                (0UL)                     /*!< DTG (Bit 0)                                           */
#define TIM15_BDTR_DTG_Msk                (0xffUL)                  /*!< DTG (Bitfield-Mask: 0xff)                             */
#define TIM15_BDTR_LOCK_Pos               (8UL)                     /*!< LOCK (Bit 8)                                          */
#define TIM15_BDTR_LOCK_Msk               (0x300UL)                 /*!< LOCK (Bitfield-Mask: 0x03)                            */
#define TIM15_BDTR_OSSI_Pos               (10UL)                    /*!< OSSI (Bit 10)                                         */
#define TIM15_BDTR_OSSI_Msk               (0x400UL)                 /*!< OSSI (Bitfield-Mask: 0x01)                            */
#define TIM15_BDTR_OSSR_Pos               (11UL)                    /*!< OSSR (Bit 11)                                         */
#define TIM15_BDTR_OSSR_Msk               (0x800UL)                 /*!< OSSR (Bitfield-Mask: 0x01)                            */
#define TIM15_BDTR_BKE_Pos                (12UL)                    /*!< BKE (Bit 12)                                          */
#define TIM15_BDTR_BKE_Msk                (0x1000UL)                /*!< BKE (Bitfield-Mask: 0x01)                             */
#define TIM15_BDTR_BKP_Pos                (13UL)                    /*!< BKP (Bit 13)                                          */
#define TIM15_BDTR_BKP_Msk                (0x2000UL)                /*!< BKP (Bitfield-Mask: 0x01)                             */
#define TIM15_BDTR_AOE_Pos                (14UL)                    /*!< AOE (Bit 14)                                          */
#define TIM15_BDTR_AOE_Msk                (0x4000UL)                /*!< AOE (Bitfield-Mask: 0x01)                             */
#define TIM15_BDTR_MOE_Pos                (15UL)                    /*!< MOE (Bit 15)                                          */
#define TIM15_BDTR_MOE_Msk                (0x8000UL)                /*!< MOE (Bitfield-Mask: 0x01)                             */
/* =========================================================  TISEL  ========================================================= */
#define TIM15_TISEL_TI1SEL_Pos            (0UL)                     /*!< TI1SEL (Bit 0)                                        */
#define TIM15_TISEL_TI1SEL_Msk            (0xfUL)                   /*!< TI1SEL (Bitfield-Mask: 0x0f)                          */
#define TIM15_TISEL_TI2SEL_Pos            (8UL)                     /*!< TI2SEL (Bit 8)                                        */
#define TIM15_TISEL_TI2SEL_Msk            (0xf00UL)                 /*!< TI2SEL (Bitfield-Mask: 0x0f)                          */
/* ==========================================================  AF1  ========================================================== */
#define TIM15_AF1_BKINE_Pos               (0UL)                     /*!< BKINE (Bit 0)                                         */
#define TIM15_AF1_BKINE_Msk               (0x1UL)                   /*!< BKINE (Bitfield-Mask: 0x01)                           */
#define TIM15_AF1_BKCMP1E_Pos             (1UL)                     /*!< BKCMP1E (Bit 1)                                       */
#define TIM15_AF1_BKCMP1E_Msk             (0x2UL)                   /*!< BKCMP1E (Bitfield-Mask: 0x01)                         */
#define TIM15_AF1_BKCMP2E_Pos             (2UL)                     /*!< BKCMP2E (Bit 2)                                       */
#define TIM15_AF1_BKCMP2E_Msk             (0x4UL)                   /*!< BKCMP2E (Bitfield-Mask: 0x01)                         */
#define TIM15_AF1_BKINP_Pos               (9UL)                     /*!< BKINP (Bit 9)                                         */
#define TIM15_AF1_BKINP_Msk               (0x200UL)                 /*!< BKINP (Bitfield-Mask: 0x01)                           */
#define TIM15_AF1_BKCMP1P_Pos             (10UL)                    /*!< BKCMP1P (Bit 10)                                      */
#define TIM15_AF1_BKCMP1P_Msk             (0x400UL)                 /*!< BKCMP1P (Bitfield-Mask: 0x01)                         */
#define TIM15_AF1_BKCMP2P_Pos             (11UL)                    /*!< BKCMP2P (Bit 11)                                      */
#define TIM15_AF1_BKCMP2P_Msk             (0x800UL)                 /*!< BKCMP2P (Bitfield-Mask: 0x01)                         */
#define TIM15_AF1_ETRSEL_Pos              (14UL)                    /*!< ETRSEL (Bit 14)                                       */
#define TIM15_AF1_ETRSEL_Msk              (0x3c000UL)               /*!< ETRSEL (Bitfield-Mask: 0x0f)                          */
/* ========================================================  TIMXDCR  ======================================================== */
#define TIM15_TIMXDCR_DBA_Pos             (0UL)                     /*!< DBA (Bit 0)                                           */
#define TIM15_TIMXDCR_DBA_Msk             (0x1fUL)                  /*!< DBA (Bitfield-Mask: 0x1f)                             */
#define TIM15_TIMXDCR_DBL_Pos             (8UL)                     /*!< DBL (Bit 8)                                           */
#define TIM15_TIMXDCR_DBL_Msk             (0x1f00UL)                /*!< DBL (Bitfield-Mask: 0x1f)                             */
/* =========================================================  DMAR  ========================================================== */
#define TIM15_DMAR_DMAB_Pos               (0UL)                     /*!< DMAB (Bit 0)                                          */
#define TIM15_DMAR_DMAB_Msk               (0xffffffffUL)            /*!< DMAB (Bitfield-Mask: 0xffffffff)                      */


/* =========================================================================================================================== */
/* ================                                           TIM16                                           ================ */
/* =========================================================================================================================== */

/* ==========================================================  CR1  ========================================================== */
#define TIM16_CR1_CEN_Pos                 (0UL)                     /*!< CEN (Bit 0)                                           */
#define TIM16_CR1_CEN_Msk                 (0x1UL)                   /*!< CEN (Bitfield-Mask: 0x01)                             */
#define TIM16_CR1_UDIS_Pos                (1UL)                     /*!< UDIS (Bit 1)                                          */
#define TIM16_CR1_UDIS_Msk                (0x2UL)                   /*!< UDIS (Bitfield-Mask: 0x01)                            */
#define TIM16_CR1_URS_Pos                 (2UL)                     /*!< URS (Bit 2)                                           */
#define TIM16_CR1_URS_Msk                 (0x4UL)                   /*!< URS (Bitfield-Mask: 0x01)                             */
#define TIM16_CR1_OPM_Pos                 (3UL)                     /*!< OPM (Bit 3)                                           */
#define TIM16_CR1_OPM_Msk                 (0x8UL)                   /*!< OPM (Bitfield-Mask: 0x01)                             */
#define TIM16_CR1_ARPE_Pos                (7UL)                     /*!< ARPE (Bit 7)                                          */
#define TIM16_CR1_ARPE_Msk                (0x80UL)                  /*!< ARPE (Bitfield-Mask: 0x01)                            */
#define TIM16_CR1_CKD_Pos                 (8UL)                     /*!< CKD (Bit 8)                                           */
#define TIM16_CR1_CKD_Msk                 (0x300UL)                 /*!< CKD (Bitfield-Mask: 0x03)                             */
/* ==========================================================  CR2  ========================================================== */
#define TIM16_CR2_CCPC_Pos                (0UL)                     /*!< CCPC (Bit 0)                                          */
#define TIM16_CR2_CCPC_Msk                (0x1UL)                   /*!< CCPC (Bitfield-Mask: 0x01)                            */
#define TIM16_CR2_CCDS_Pos                (3UL)                     /*!< CCDS (Bit 3)                                          */
#define TIM16_CR2_CCDS_Msk                (0x8UL)                   /*!< CCDS (Bitfield-Mask: 0x01)                            */
#define TIM16_CR2_MMS_Pos                 (4UL)                     /*!< MMS (Bit 4)                                           */
#define TIM16_CR2_MMS_Msk                 (0x70UL)                  /*!< MMS (Bitfield-Mask: 0x07)                             */
#define TIM16_CR2_OIS1_Pos                (8UL)                     /*!< OIS1 (Bit 8)                                          */
#define TIM16_CR2_OIS1_Msk                (0x100UL)                 /*!< OIS1 (Bitfield-Mask: 0x01)                            */
#define TIM16_CR2_OIS1N_Pos               (9UL)                     /*!< OIS1N (Bit 9)                                         */
#define TIM16_CR2_OIS1N_Msk               (0x200UL)                 /*!< OIS1N (Bitfield-Mask: 0x01)                           */
#define TIM16_CR2_OIS2_Pos                (10UL)                    /*!< OIS2 (Bit 10)                                         */
#define TIM16_CR2_OIS2_Msk                (0x400UL)                 /*!< OIS2 (Bitfield-Mask: 0x01)                            */
/* =========================================================  DIER  ========================================================== */
#define TIM16_DIER_UIE_Pos                (0UL)                     /*!< UIE (Bit 0)                                           */
#define TIM16_DIER_UIE_Msk                (0x1UL)                   /*!< UIE (Bitfield-Mask: 0x01)                             */
#define TIM16_DIER_CC1IE_Pos              (1UL)                     /*!< CC1IE (Bit 1)                                         */
#define TIM16_DIER_CC1IE_Msk              (0x2UL)                   /*!< CC1IE (Bitfield-Mask: 0x01)                           */
#define TIM16_DIER_COMIE_Pos              (5UL)                     /*!< COMIE (Bit 5)                                         */
#define TIM16_DIER_COMIE_Msk              (0x20UL)                  /*!< COMIE (Bitfield-Mask: 0x01)                           */
#define TIM16_DIER_BIE_Pos                (7UL)                     /*!< BIE (Bit 7)                                           */
#define TIM16_DIER_BIE_Msk                (0x80UL)                  /*!< BIE (Bitfield-Mask: 0x01)                             */
#define TIM16_DIER_UDE_Pos                (8UL)                     /*!< UDE (Bit 8)                                           */
#define TIM16_DIER_UDE_Msk                (0x100UL)                 /*!< UDE (Bitfield-Mask: 0x01)                             */
#define TIM16_DIER_CC1DE_Pos              (9UL)                     /*!< CC1DE (Bit 9)                                         */
#define TIM16_DIER_CC1DE_Msk              (0x200UL)                 /*!< CC1DE (Bitfield-Mask: 0x01)                           */
/* ==========================================================  SR  =========================================================== */
#define TIM16_SR_UIF_Pos                  (0UL)                     /*!< UIF (Bit 0)                                           */
#define TIM16_SR_UIF_Msk                  (0x1UL)                   /*!< UIF (Bitfield-Mask: 0x01)                             */
#define TIM16_SR_CC1IF_Pos                (1UL)                     /*!< CC1IF (Bit 1)                                         */
#define TIM16_SR_CC1IF_Msk                (0x2UL)                   /*!< CC1IF (Bitfield-Mask: 0x01)                           */
#define TIM16_SR_COMIF_Pos                (5UL)                     /*!< COMIF (Bit 5)                                         */
#define TIM16_SR_COMIF_Msk                (0x20UL)                  /*!< COMIF (Bitfield-Mask: 0x01)                           */
#define TIM16_SR_BIF_Pos                  (7UL)                     /*!< BIF (Bit 7)                                           */
#define TIM16_SR_BIF_Msk                  (0x80UL)                  /*!< BIF (Bitfield-Mask: 0x01)                             */
#define TIM16_SR_CC1OF_Pos                (9UL)                     /*!< CC1OF (Bit 9)                                         */
#define TIM16_SR_CC1OF_Msk                (0x200UL)                 /*!< CC1OF (Bitfield-Mask: 0x01)                           */
#define TIM16_SR_IC1IR_Pos                (16UL)                    /*!< IC1IR (Bit 16)                                        */
#define TIM16_SR_IC1IR_Msk                (0x10000UL)               /*!< IC1IR (Bitfield-Mask: 0x01)                           */
#define TIM16_SR_IC1IF_Pos                (20UL)                    /*!< IC1IF (Bit 20)                                        */
#define TIM16_SR_IC1IF_Msk                (0x100000UL)              /*!< IC1IF (Bitfield-Mask: 0x01)                           */
/* ==========================================================  EGR  ========================================================== */
#define TIM16_EGR_UG_Pos                  (0UL)                     /*!< UG (Bit 0)                                            */
#define TIM16_EGR_UG_Msk                  (0x1UL)                   /*!< UG (Bitfield-Mask: 0x01)                              */
#define TIM16_EGR_CC1G_Pos                (1UL)                     /*!< CC1G (Bit 1)                                          */
#define TIM16_EGR_CC1G_Msk                (0x2UL)                   /*!< CC1G (Bitfield-Mask: 0x01)                            */
#define TIM16_EGR_COMG_Pos                (5UL)                     /*!< COMG (Bit 5)                                          */
#define TIM16_EGR_COMG_Msk                (0x20UL)                  /*!< COMG (Bitfield-Mask: 0x01)                            */
#define TIM16_EGR_BG_Pos                  (7UL)                     /*!< BG (Bit 7)                                            */
#define TIM16_EGR_BG_Msk                  (0x80UL)                  /*!< BG (Bitfield-Mask: 0x01)                              */
/* =====================================================  CCMR1_OUTPUT  ====================================================== */
#define TIM16_CCMR1_OUTPUT_CC1S_Pos       (0UL)                     /*!< CC1S (Bit 0)                                          */
#define TIM16_CCMR1_OUTPUT_CC1S_Msk       (0x3UL)                   /*!< CC1S (Bitfield-Mask: 0x03)                            */
#define TIM16_CCMR1_OUTPUT_OC1FE_Pos      (2UL)                     /*!< OC1FE (Bit 2)                                         */
#define TIM16_CCMR1_OUTPUT_OC1FE_Msk      (0x4UL)                   /*!< OC1FE (Bitfield-Mask: 0x01)                           */
#define TIM16_CCMR1_OUTPUT_OC1PE_Pos      (3UL)                     /*!< OC1PE (Bit 3)                                         */
#define TIM16_CCMR1_OUTPUT_OC1PE_Msk      (0x8UL)                   /*!< OC1PE (Bitfield-Mask: 0x01)                           */
#define TIM16_CCMR1_OUTPUT_OC1M_Pos       (4UL)                     /*!< OC1M (Bit 4)                                          */
#define TIM16_CCMR1_OUTPUT_OC1M_Msk       (0x70UL)                  /*!< OC1M (Bitfield-Mask: 0x07)                            */
#define TIM16_CCMR1_OUTPUT_OC1CE_Pos      (7UL)                     /*!< OC1CE (Bit 7)                                         */
#define TIM16_CCMR1_OUTPUT_OC1CE_Msk      (0x80UL)                  /*!< OC1CE (Bitfield-Mask: 0x01)                           */
/* ======================================================  CCMR1_INPUT  ====================================================== */
#define TIM16_CCMR1_INPUT_CC1S_Pos        (0UL)                     /*!< CC1S (Bit 0)                                          */
#define TIM16_CCMR1_INPUT_CC1S_Msk        (0x3UL)                   /*!< CC1S (Bitfield-Mask: 0x03)                            */
#define TIM16_CCMR1_INPUT_IC1PSC_Pos      (2UL)                     /*!< IC1PSC (Bit 2)                                        */
#define TIM16_CCMR1_INPUT_IC1PSC_Msk      (0xcUL)                   /*!< IC1PSC (Bitfield-Mask: 0x03)                          */
#define TIM16_CCMR1_INPUT_IC1F_Pos        (4UL)                     /*!< IC1F (Bit 4)                                          */
#define TIM16_CCMR1_INPUT_IC1F_Msk        (0xf0UL)                  /*!< IC1F (Bitfield-Mask: 0x0f)                            */
#define TIM16_CCMR1_INPUT_CC2S_Pos        (8UL)                     /*!< CC2S (Bit 8)                                          */
#define TIM16_CCMR1_INPUT_CC2S_Msk        (0x300UL)                 /*!< CC2S (Bitfield-Mask: 0x03)                            */
#define TIM16_CCMR1_INPUT_IC2PSC_Pos      (10UL)                    /*!< IC2PSC (Bit 10)                                       */
#define TIM16_CCMR1_INPUT_IC2PSC_Msk      (0xc00UL)                 /*!< IC2PSC (Bitfield-Mask: 0x03)                          */
#define TIM16_CCMR1_INPUT_IC2F_Pos        (12UL)                    /*!< IC2F (Bit 12)                                         */
#define TIM16_CCMR1_INPUT_IC2F_Msk        (0xf000UL)                /*!< IC2F (Bitfield-Mask: 0x0f)                            */
/* =========================================================  CCER  ========================================================== */
#define TIM16_CCER_CC1E_Pos               (0UL)                     /*!< CC1E (Bit 0)                                          */
#define TIM16_CCER_CC1E_Msk               (0x1UL)                   /*!< CC1E (Bitfield-Mask: 0x01)                            */
#define TIM16_CCER_CC1P_Pos               (1UL)                     /*!< CC1P (Bit 1)                                          */
#define TIM16_CCER_CC1P_Msk               (0x2UL)                   /*!< CC1P (Bitfield-Mask: 0x01)                            */
#define TIM16_CCER_CC1NE_Pos              (2UL)                     /*!< CC1NE (Bit 2)                                         */
#define TIM16_CCER_CC1NE_Msk              (0x4UL)                   /*!< CC1NE (Bitfield-Mask: 0x01)                           */
#define TIM16_CCER_CC1NP_Pos              (3UL)                     /*!< CC1NP (Bit 3)                                         */
#define TIM16_CCER_CC1NP_Msk              (0x8UL)                   /*!< CC1NP (Bitfield-Mask: 0x01)                           */
/* ==========================================================  CNT  ========================================================== */
#define TIM16_CNT_CNT_Pos                 (0UL)                     /*!< CNT (Bit 0)                                           */
#define TIM16_CNT_CNT_Msk                 (0xffffUL)                /*!< CNT (Bitfield-Mask: 0xffff)                           */
/* ==========================================================  PSC  ========================================================== */
#define TIM16_PSC_PSC_Pos                 (0UL)                     /*!< PSC (Bit 0)                                           */
#define TIM16_PSC_PSC_Msk                 (0xffffUL)                /*!< PSC (Bitfield-Mask: 0xffff)                           */
/* ==========================================================  ARR  ========================================================== */
#define TIM16_ARR_ARR_Pos                 (0UL)                     /*!< ARR (Bit 0)                                           */
#define TIM16_ARR_ARR_Msk                 (0xffffUL)                /*!< ARR (Bitfield-Mask: 0xffff)                           */
/* ==========================================================  RCR  ========================================================== */
#define TIM16_RCR_REP_Pos                 (0UL)                     /*!< REP (Bit 0)                                           */
#define TIM16_RCR_REP_Msk                 (0xffUL)                  /*!< REP (Bitfield-Mask: 0xff)                             */
/* =========================================================  CCR1  ========================================================== */
#define TIM16_CCR1_CCR1_Pos               (0UL)                     /*!< CCR1 (Bit 0)                                          */
#define TIM16_CCR1_CCR1_Msk               (0xffffUL)                /*!< CCR1 (Bitfield-Mask: 0xffff)                          */
/* =========================================================  BDTR  ========================================================== */
#define TIM16_BDTR_DTG_Pos                (0UL)                     /*!< DTG (Bit 0)                                           */
#define TIM16_BDTR_DTG_Msk                (0xffUL)                  /*!< DTG (Bitfield-Mask: 0xff)                             */
#define TIM16_BDTR_LOCK_Pos               (8UL)                     /*!< LOCK (Bit 8)                                          */
#define TIM16_BDTR_LOCK_Msk               (0x300UL)                 /*!< LOCK (Bitfield-Mask: 0x03)                            */
#define TIM16_BDTR_OSSI_Pos               (10UL)                    /*!< OSSI (Bit 10)                                         */
#define TIM16_BDTR_OSSI_Msk               (0x400UL)                 /*!< OSSI (Bitfield-Mask: 0x01)                            */
#define TIM16_BDTR_OSSR_Pos               (11UL)                    /*!< OSSR (Bit 11)                                         */
#define TIM16_BDTR_OSSR_Msk               (0x800UL)                 /*!< OSSR (Bitfield-Mask: 0x01)                            */
#define TIM16_BDTR_BKE_Pos                (12UL)                    /*!< BKE (Bit 12)                                          */
#define TIM16_BDTR_BKE_Msk                (0x1000UL)                /*!< BKE (Bitfield-Mask: 0x01)                             */
#define TIM16_BDTR_BKP_Pos                (13UL)                    /*!< BKP (Bit 13)                                          */
#define TIM16_BDTR_BKP_Msk                (0x2000UL)                /*!< BKP (Bitfield-Mask: 0x01)                             */
#define TIM16_BDTR_AOE_Pos                (14UL)                    /*!< AOE (Bit 14)                                          */
#define TIM16_BDTR_AOE_Msk                (0x4000UL)                /*!< AOE (Bitfield-Mask: 0x01)                             */
#define TIM16_BDTR_MOE_Pos                (15UL)                    /*!< MOE (Bit 15)                                          */
#define TIM16_BDTR_MOE_Msk                (0x8000UL)                /*!< MOE (Bitfield-Mask: 0x01)                             */
/* =========================================================  TISEL  ========================================================= */
#define TIM16_TISEL_TI1SEL_Pos            (0UL)                     /*!< TI1SEL (Bit 0)                                        */
#define TIM16_TISEL_TI1SEL_Msk            (0xfUL)                   /*!< TI1SEL (Bitfield-Mask: 0x0f)                          */
/* ==========================================================  AF1  ========================================================== */
#define TIM16_AF1_BKINE_Pos               (0UL)                     /*!< BKINE (Bit 0)                                         */
#define TIM16_AF1_BKINE_Msk               (0x1UL)                   /*!< BKINE (Bitfield-Mask: 0x01)                           */
#define TIM16_AF1_BKCMP1E_Pos             (1UL)                     /*!< BKCMP1E (Bit 1)                                       */
#define TIM16_AF1_BKCMP1E_Msk             (0x2UL)                   /*!< BKCMP1E (Bitfield-Mask: 0x01)                         */
#define TIM16_AF1_BKCMP2E_Pos             (2UL)                     /*!< BKCMP2E (Bit 2)                                       */
#define TIM16_AF1_BKCMP2E_Msk             (0x4UL)                   /*!< BKCMP2E (Bitfield-Mask: 0x01)                         */
#define TIM16_AF1_BKINP_Pos               (9UL)                     /*!< BKINP (Bit 9)                                         */
#define TIM16_AF1_BKINP_Msk               (0x200UL)                 /*!< BKINP (Bitfield-Mask: 0x01)                           */
#define TIM16_AF1_BKCMP1P_Pos             (10UL)                    /*!< BKCMP1P (Bit 10)                                      */
#define TIM16_AF1_BKCMP1P_Msk             (0x400UL)                 /*!< BKCMP1P (Bitfield-Mask: 0x01)                         */
#define TIM16_AF1_BKCMP2P_Pos             (11UL)                    /*!< BKCMP2P (Bit 11)                                      */
#define TIM16_AF1_BKCMP2P_Msk             (0x800UL)                 /*!< BKCMP2P (Bitfield-Mask: 0x01)                         */
/* ==========================================================  DCR  ========================================================== */
#define TIM16_DCR_DBA_Pos                 (0UL)                     /*!< DBA (Bit 0)                                           */
#define TIM16_DCR_DBA_Msk                 (0x1fUL)                  /*!< DBA (Bitfield-Mask: 0x1f)                             */
#define TIM16_DCR_DBL_Pos                 (8UL)                     /*!< DBL (Bit 8)                                           */
#define TIM16_DCR_DBL_Msk                 (0x1f00UL)                /*!< DBL (Bitfield-Mask: 0x1f)                             */
/* =========================================================  DMAR  ========================================================== */
#define TIM16_DMAR_DMAB_Pos               (0UL)                     /*!< DMAB (Bit 0)                                          */
#define TIM16_DMAR_DMAB_Msk               (0xffffffffUL)            /*!< DMAB (Bitfield-Mask: 0xffffffff)                      */


/* =========================================================================================================================== */
/* ================                                           UART1                                           ================ */
/* =========================================================================================================================== */

/* ==========================================================  DR  =========================================================== */
#define UART1_DR_DR_Pos                   (0UL)                     /*!< DR (Bit 0)                                            */
#define UART1_DR_DR_Msk                   (0x1ffUL)                 /*!< DR (Bitfield-Mask: 0x1ff)                             */
/* ==========================================================  BRR  ========================================================== */
#define UART1_BRR_BRR_Pos                 (0UL)                     /*!< BRR (Bit 0)                                           */
#define UART1_BRR_BRR_Msk                 (0xffffUL)                /*!< BRR (Bitfield-Mask: 0xffff)                           */
/* ==========================================================  SR  =========================================================== */
#define UART1_SR_RXNE_Pos                 (0UL)                     /*!< RXNE (Bit 0)                                          */
#define UART1_SR_RXNE_Msk                 (0x1UL)                   /*!< RXNE (Bitfield-Mask: 0x01)                            */
#define UART1_SR_ORE_Pos                  (1UL)                     /*!< ORE (Bit 1)                                           */
#define UART1_SR_ORE_Msk                  (0x2UL)                   /*!< ORE (Bitfield-Mask: 0x01)                             */
#define UART1_SR_PE_Pos                   (2UL)                     /*!< PE (Bit 2)                                            */
#define UART1_SR_PE_Msk                   (0x4UL)                   /*!< PE (Bitfield-Mask: 0x01)                              */
#define UART1_SR_FE_Pos                   (3UL)                     /*!< FE (Bit 3)                                            */
#define UART1_SR_FE_Msk                   (0x8UL)                   /*!< FE (Bitfield-Mask: 0x01)                              */
#define UART1_SR_BRI_Pos                  (4UL)                     /*!< BRI (Bit 4)                                           */
#define UART1_SR_BRI_Msk                  (0x10UL)                  /*!< BRI (Bitfield-Mask: 0x01)                             */
#define UART1_SR_TDRE_Pos                 (5UL)                     /*!< TDRE (Bit 5)                                          */
#define UART1_SR_TDRE_Msk                 (0x20UL)                  /*!< TDRE (Bitfield-Mask: 0x01)                            */
#define UART1_SR_TXE_Pos                  (6UL)                     /*!< TXE (Bit 6)                                           */
#define UART1_SR_TXE_Msk                  (0x40UL)                  /*!< TXE (Bitfield-Mask: 0x01)                             */
#define UART1_SR_ADDR_RCVD_Pos            (8UL)                     /*!< ADDR_RCVD (Bit 8)                                     */
#define UART1_SR_ADDR_RCVD_Msk            (0x100UL)                 /*!< ADDR_RCVD (Bitfield-Mask: 0x01)                       */
#define UART1_SR_BUSY_Pos                 (9UL)                     /*!< BUSY (Bit 9)                                          */
#define UART1_SR_BUSY_Msk                 (0x200UL)                 /*!< BUSY (Bitfield-Mask: 0x01)                            */
#define UART1_SR_BUSY_ERR_Pos             (10UL)                    /*!< BUSY_ERR (Bit 10)                                     */
#define UART1_SR_BUSY_ERR_Msk             (0x400UL)                 /*!< BUSY_ERR (Bitfield-Mask: 0x01)                        */
/* ==========================================================  CR1  ========================================================== */
#define UART1_CR1_M_Pos                   (0UL)                     /*!< M (Bit 0)                                             */
#define UART1_CR1_M_Msk                   (0x3UL)                   /*!< M (Bitfield-Mask: 0x03)                               */
#define UART1_CR1_STOP_Pos                (2UL)                     /*!< STOP (Bit 2)                                          */
#define UART1_CR1_STOP_Msk                (0x4UL)                   /*!< STOP (Bitfield-Mask: 0x01)                            */
#define UART1_CR1_PCE_Pos                 (3UL)                     /*!< PCE (Bit 3)                                           */
#define UART1_CR1_PCE_Msk                 (0x8UL)                   /*!< PCE (Bitfield-Mask: 0x01)                             */
#define UART1_CR1_PS_Pos                  (4UL)                     /*!< PS (Bit 4)                                            */
#define UART1_CR1_PS_Msk                  (0x10UL)                  /*!< PS (Bitfield-Mask: 0x01)                              */
#define UART1_CR1_SP_Pos                  (5UL)                     /*!< SP (Bit 5)                                            */
#define UART1_CR1_SP_Msk                  (0x20UL)                  /*!< SP (Bitfield-Mask: 0x01)                              */
#define UART1_CR1_SBK_Pos                 (6UL)                     /*!< SBK (Bit 6)                                           */
#define UART1_CR1_SBK_Msk                 (0x40UL)                  /*!< SBK (Bitfield-Mask: 0x01)                             */
#define UART1_CR1_SWAP_Pos                (8UL)                     /*!< SWAP (Bit 8)                                          */
#define UART1_CR1_SWAP_Msk                (0x100UL)                 /*!< SWAP (Bitfield-Mask: 0x01)                            */
#define UART1_CR1_MSBFIRST_Pos            (9UL)                     /*!< MSBFIRST (Bit 9)                                      */
#define UART1_CR1_MSBFIRST_Msk            (0x200UL)                 /*!< MSBFIRST (Bitfield-Mask: 0x01)                        */
/* ==========================================================  CR2  ========================================================== */
#define UART1_CR2_RXNEIE_Pos              (0UL)                     /*!< RXNEIE (Bit 0)                                        */
#define UART1_CR2_RXNEIE_Msk              (0x1UL)                   /*!< RXNEIE (Bitfield-Mask: 0x01)                          */
#define UART1_CR2_TDREIE_Pos              (1UL)                     /*!< TDREIE (Bit 1)                                        */
#define UART1_CR2_TDREIE_Msk              (0x2UL)                   /*!< TDREIE (Bitfield-Mask: 0x01)                          */
#define UART1_CR2_LSIE_Pos                (2UL)                     /*!< LSIE (Bit 2)                                          */
#define UART1_CR2_LSIE_Msk                (0x4UL)                   /*!< LSIE (Bitfield-Mask: 0x01)                            */
#define UART1_CR2_BUSYERRIE_Pos           (3UL)                     /*!< BUSYERRIE (Bit 3)                                     */
#define UART1_CR2_BUSYERRIE_Msk           (0x8UL)                   /*!< BUSYERRIE (Bitfield-Mask: 0x01)                       */
/* ==========================================================  CR3  ========================================================== */
#define UART1_CR3_M_E_Pos                 (0UL)                     /*!< M_E (Bit 0)                                           */
#define UART1_CR3_M_E_Msk                 (0x1UL)                   /*!< M_E (Bitfield-Mask: 0x01)                             */
#define UART1_CR3_ADDR_MATCH_Pos          (1UL)                     /*!< ADDR_MATCH (Bit 1)                                    */
#define UART1_CR3_ADDR_MATCH_Msk          (0x2UL)                   /*!< ADDR_MATCH (Bitfield-Mask: 0x01)                      */
#define UART1_CR3_SEND_ADDR_Pos           (2UL)                     /*!< SEND_ADDR (Bit 2)                                     */
#define UART1_CR3_SEND_ADDR_Msk           (0x4UL)                   /*!< SEND_ADDR (Bitfield-Mask: 0x01)                       */
#define UART1_CR3_TX_MODE_Pos             (3UL)                     /*!< TX_MODE (Bit 3)                                       */
#define UART1_CR3_TX_MODE_Msk             (0x8UL)                   /*!< TX_MODE (Bitfield-Mask: 0x01)                         */
#define UART1_CR3_DMAR_Pos                (4UL)                     /*!< DMAR (Bit 4)                                          */
#define UART1_CR3_DMAR_Msk                (0x10UL)                  /*!< DMAR (Bitfield-Mask: 0x01)                            */
#define UART1_CR3_DMAT_Pos                (5UL)                     /*!< DMAT (Bit 5)                                          */
#define UART1_CR3_DMAT_Msk                (0x20UL)                  /*!< DMAT (Bitfield-Mask: 0x01)                            */
#define UART1_CR3_DMA_SOFT_ACK_Pos        (6UL)                     /*!< DMA_SOFT_ACK (Bit 6)                                  */
#define UART1_CR3_DMA_SOFT_ACK_Msk        (0x40UL)                  /*!< DMA_SOFT_ACK (Bitfield-Mask: 0x01)                    */
/* ==========================================================  RAR  ========================================================== */
#define UART1_RAR_RAR_Pos                 (0UL)                     /*!< RAR (Bit 0)                                           */
#define UART1_RAR_RAR_Msk                 (0xffUL)                  /*!< RAR (Bitfield-Mask: 0xff)                             */
/* ==========================================================  TAR  ========================================================== */
#define UART1_TAR_TAR_Pos                 (0UL)                     /*!< TAR (Bit 0)                                           */
#define UART1_TAR_TAR_Msk                 (0xffUL)                  /*!< TAR (Bitfield-Mask: 0xff)                             */
/* =========================================================  BRRF  ========================================================== */
#define UART1_BRRF_BRRF_Pos               (0UL)                     /*!< BRRF (Bit 0)                                          */
#define UART1_BRRF_BRRF_Msk               (0xfUL)                   /*!< BRRF (Bitfield-Mask: 0x0f)                            */


/* =========================================================================================================================== */
/* ================                                           USART                                           ================ */
/* =========================================================================================================================== */

/* ==========================================================  SR  =========================================================== */
#define USART_SR_PE_Pos                   (0UL)                     /*!< PE (Bit 0)                                            */
#define USART_SR_PE_Msk                   (0x1UL)                   /*!< PE (Bitfield-Mask: 0x01)                              */
#define USART_SR_FE_Pos                   (1UL)                     /*!< FE (Bit 1)                                            */
#define USART_SR_FE_Msk                   (0x2UL)                   /*!< FE (Bitfield-Mask: 0x01)                              */
#define USART_SR_NE_Pos                   (2UL)                     /*!< NE (Bit 2)                                            */
#define USART_SR_NE_Msk                   (0x4UL)                   /*!< NE (Bitfield-Mask: 0x01)                              */
#define USART_SR_ORE_Pos                  (3UL)                     /*!< ORE (Bit 3)                                           */
#define USART_SR_ORE_Msk                  (0x8UL)                   /*!< ORE (Bitfield-Mask: 0x01)                             */
#define USART_SR_IDLE_Pos                 (4UL)                     /*!< IDLE (Bit 4)                                          */
#define USART_SR_IDLE_Msk                 (0x10UL)                  /*!< IDLE (Bitfield-Mask: 0x01)                            */
#define USART_SR_RXNE_RXFNF_Pos           (5UL)                     /*!< RXNE_RXFNF (Bit 5)                                    */
#define USART_SR_RXNE_RXFNF_Msk           (0x20UL)                  /*!< RXNE_RXFNF (Bitfield-Mask: 0x01)                      */
#define USART_SR_TC_Pos                   (6UL)                     /*!< TC (Bit 6)                                            */
#define USART_SR_TC_Msk                   (0x40UL)                  /*!< TC (Bitfield-Mask: 0x01)                              */
#define USART_SR_TXE_TXFNF_Pos            (7UL)                     /*!< TXE_TXFNF (Bit 7)                                     */
#define USART_SR_TXE_TXFNF_Msk            (0x80UL)                  /*!< TXE_TXFNF (Bitfield-Mask: 0x01)                       */
#define USART_SR_LBD_Pos                  (8UL)                     /*!< LBD (Bit 8)                                           */
#define USART_SR_LBD_Msk                  (0x100UL)                 /*!< LBD (Bitfield-Mask: 0x01)                             */
#define USART_SR_CTS_Pos                  (9UL)                     /*!< CTS (Bit 9)                                           */
#define USART_SR_CTS_Msk                  (0x200UL)                 /*!< CTS (Bitfield-Mask: 0x01)                             */
#define USART_SR_ABRF_Pos                 (10UL)                    /*!< ABRF (Bit 10)                                         */
#define USART_SR_ABRF_Msk                 (0x400UL)                 /*!< ABRF (Bitfield-Mask: 0x01)                            */
#define USART_SR_ABRE_Pos                 (11UL)                    /*!< ABRE (Bit 11)                                         */
#define USART_SR_ABRE_Msk                 (0x800UL)                 /*!< ABRE (Bitfield-Mask: 0x01)                            */
#define USART_SR_ABRQ_Pos                 (12UL)                    /*!< ABRQ (Bit 12)                                         */
#define USART_SR_ABRQ_Msk                 (0x1000UL)                /*!< ABRQ (Bitfield-Mask: 0x01)                            */
#define USART_SR_TXFT_Pos                 (13UL)                    /*!< TXFT (Bit 13)                                         */
#define USART_SR_TXFT_Msk                 (0x2000UL)                /*!< TXFT (Bitfield-Mask: 0x01)                            */
#define USART_SR_RXFT_Pos                 (14UL)                    /*!< RXFT (Bit 14)                                         */
#define USART_SR_RXFT_Msk                 (0x4000UL)                /*!< RXFT (Bitfield-Mask: 0x01)                            */
#define USART_SR_RXFF_Pos                 (15UL)                    /*!< RXFF (Bit 15)                                         */
#define USART_SR_RXFF_Msk                 (0x8000UL)                /*!< RXFF (Bitfield-Mask: 0x01)                            */
#define USART_SR_TXFE_Pos                 (16UL)                    /*!< TXFE (Bit 16)                                         */
#define USART_SR_TXFE_Msk                 (0x10000UL)               /*!< TXFE (Bitfield-Mask: 0x01)                            */
#define USART_SR_EOBF_Pos                 (18UL)                    /*!< EOBF (Bit 18)                                         */
#define USART_SR_EOBF_Msk                 (0x40000UL)               /*!< EOBF (Bitfield-Mask: 0x01)                            */
#define USART_SR_RTOF_Pos                 (19UL)                    /*!< RTOF (Bit 19)                                         */
#define USART_SR_RTOF_Msk                 (0x80000UL)               /*!< RTOF (Bitfield-Mask: 0x01)                            */
/* ==========================================================  DR  =========================================================== */
#define USART_DR_TDR_Pos                  (0UL)                     /*!< TDR (Bit 0)                                           */
#define USART_DR_TDR_Msk                  (0x1ffUL)                 /*!< TDR (Bitfield-Mask: 0x1ff)                            */
/* ==========================================================  BRR  ========================================================== */
#define USART_BRR_DIV_F_Pos               (0UL)                     /*!< DIV_F (Bit 0)                                         */
#define USART_BRR_DIV_F_Msk               (0xfUL)                   /*!< DIV_F (Bitfield-Mask: 0x0f)                           */
#define USART_BRR_DIV_M_Pos               (4UL)                     /*!< DIV_M (Bit 4)                                         */
#define USART_BRR_DIV_M_Msk               (0xfff0UL)                /*!< DIV_M (Bitfield-Mask: 0xfff)                          */
/* ==========================================================  CR1  ========================================================== */
#define USART_CR1_SBK_Pos                 (0UL)                     /*!< SBK (Bit 0)                                           */
#define USART_CR1_SBK_Msk                 (0x1UL)                   /*!< SBK (Bitfield-Mask: 0x01)                             */
#define USART_CR1_RWU_Pos                 (1UL)                     /*!< RWU (Bit 1)                                           */
#define USART_CR1_RWU_Msk                 (0x2UL)                   /*!< RWU (Bitfield-Mask: 0x01)                             */
#define USART_CR1_RE_Pos                  (2UL)                     /*!< RE (Bit 2)                                            */
#define USART_CR1_RE_Msk                  (0x4UL)                   /*!< RE (Bitfield-Mask: 0x01)                              */
#define USART_CR1_TE_Pos                  (3UL)                     /*!< TE (Bit 3)                                            */
#define USART_CR1_TE_Msk                  (0x8UL)                   /*!< TE (Bitfield-Mask: 0x01)                              */
#define USART_CR1_IDLEIE_Pos              (4UL)                     /*!< IDLEIE (Bit 4)                                        */
#define USART_CR1_IDLEIE_Msk              (0x10UL)                  /*!< IDLEIE (Bitfield-Mask: 0x01)                          */
#define USART_CR1_RXNEIE_Pos              (5UL)                     /*!< RXNEIE (Bit 5)                                        */
#define USART_CR1_RXNEIE_Msk              (0x20UL)                  /*!< RXNEIE (Bitfield-Mask: 0x01)                          */
#define USART_CR1_TCIE_Pos                (6UL)                     /*!< TCIE (Bit 6)                                          */
#define USART_CR1_TCIE_Msk                (0x40UL)                  /*!< TCIE (Bitfield-Mask: 0x01)                            */
#define USART_CR1_TXEIE_Pos               (7UL)                     /*!< TXEIE (Bit 7)                                         */
#define USART_CR1_TXEIE_Msk               (0x80UL)                  /*!< TXEIE (Bitfield-Mask: 0x01)                           */
#define USART_CR1_PEIE_Pos                (8UL)                     /*!< PEIE (Bit 8)                                          */
#define USART_CR1_PEIE_Msk                (0x100UL)                 /*!< PEIE (Bitfield-Mask: 0x01)                            */
#define USART_CR1_PS_Pos                  (9UL)                     /*!< PS (Bit 9)                                            */
#define USART_CR1_PS_Msk                  (0x200UL)                 /*!< PS (Bitfield-Mask: 0x01)                              */
#define USART_CR1_PCE_Pos                 (10UL)                    /*!< PCE (Bit 10)                                          */
#define USART_CR1_PCE_Msk                 (0x400UL)                 /*!< PCE (Bitfield-Mask: 0x01)                             */
#define USART_CR1_WAKE_Pos                (11UL)                    /*!< WAKE (Bit 11)                                         */
#define USART_CR1_WAKE_Msk                (0x800UL)                 /*!< WAKE (Bitfield-Mask: 0x01)                            */
#define USART_CR1_M0_Pos                  (12UL)                    /*!< M0 (Bit 12)                                           */
#define USART_CR1_M0_Msk                  (0x1000UL)                /*!< M0 (Bitfield-Mask: 0x01)                              */
#define USART_CR1_UE_Pos                  (13UL)                    /*!< UE (Bit 13)                                           */
#define USART_CR1_UE_Msk                  (0x2000UL)                /*!< UE (Bitfield-Mask: 0x01)                              */
#define USART_CR1_M1_Pos                  (14UL)                    /*!< M1 (Bit 14)                                           */
#define USART_CR1_M1_Msk                  (0x4000UL)                /*!< M1 (Bitfield-Mask: 0x01)                              */
#define USART_CR1_MSB_Pos                 (15UL)                    /*!< MSB (Bit 15)                                          */
#define USART_CR1_MSB_Msk                 (0x8000UL)                /*!< MSB (Bitfield-Mask: 0x01)                             */
#define USART_CR1_ADDM7_Pos               (17UL)                    /*!< ADDM7 (Bit 17)                                        */
#define USART_CR1_ADDM7_Msk               (0x20000UL)               /*!< ADDM7 (Bitfield-Mask: 0x01)                           */
#define USART_CR1_SWAP_Pos                (18UL)                    /*!< SWAP (Bit 18)                                         */
#define USART_CR1_SWAP_Msk                (0x40000UL)               /*!< SWAP (Bitfield-Mask: 0x01)                            */
#define USART_CR1_TXFTCFG_Pos             (19UL)                    /*!< TXFTCFG (Bit 19)                                      */
#define USART_CR1_TXFTCFG_Msk             (0x380000UL)              /*!< TXFTCFG (Bitfield-Mask: 0x07)                         */
#define USART_CR1_RXFTCFG_Pos             (22UL)                    /*!< RXFTCFG (Bit 22)                                      */
#define USART_CR1_RXFTCFG_Msk             (0x1c00000UL)             /*!< RXFTCFG (Bitfield-Mask: 0x07)                         */
#define USART_CR1_RX_INV_Pos              (25UL)                    /*!< RX_INV (Bit 25)                                       */
#define USART_CR1_RX_INV_Msk              (0x2000000UL)             /*!< RX_INV (Bitfield-Mask: 0x01)                          */
#define USART_CR1_TX_INV_Pos              (26UL)                    /*!< TX_INV (Bit 26)                                       */
#define USART_CR1_TX_INV_Msk              (0x4000000UL)             /*!< TX_INV (Bitfield-Mask: 0x01)                          */
#define USART_CR1_DATAINV_Pos             (27UL)                    /*!< DATAINV (Bit 27)                                      */
#define USART_CR1_DATAINV_Msk             (0x8000000UL)             /*!< DATAINV (Bitfield-Mask: 0x01)                         */
#define USART_CR1_RXFRQ_Pos               (29UL)                    /*!< RXFRQ (Bit 29)                                        */
#define USART_CR1_RXFRQ_Msk               (0x20000000UL)            /*!< RXFRQ (Bitfield-Mask: 0x01)                           */
#define USART_CR1_TXFRQ_Pos               (30UL)                    /*!< TXFRQ (Bit 30)                                        */
#define USART_CR1_TXFRQ_Msk               (0x40000000UL)            /*!< TXFRQ (Bitfield-Mask: 0x01)                           */
#define USART_CR1_FIFOEN_Pos              (31UL)                    /*!< FIFOEN (Bit 31)                                       */
#define USART_CR1_FIFOEN_Msk              (0x80000000UL)            /*!< FIFOEN (Bitfield-Mask: 0x01)                          */
/* ==========================================================  CR2  ========================================================== */
#define USART_CR2_LBDL_Pos                (5UL)                     /*!< LBDL (Bit 5)                                          */
#define USART_CR2_LBDL_Msk                (0x20UL)                  /*!< LBDL (Bitfield-Mask: 0x01)                            */
#define USART_CR2_LBDIE_Pos               (6UL)                     /*!< LBDIE (Bit 6)                                         */
#define USART_CR2_LBDIE_Msk               (0x40UL)                  /*!< LBDIE (Bitfield-Mask: 0x01)                           */
#define USART_CR2_LBCL_Pos                (8UL)                     /*!< LBCL (Bit 8)                                          */
#define USART_CR2_LBCL_Msk                (0x100UL)                 /*!< LBCL (Bitfield-Mask: 0x01)                            */
#define USART_CR2_CPHA_Pos                (9UL)                     /*!< CPHA (Bit 9)                                          */
#define USART_CR2_CPHA_Msk                (0x200UL)                 /*!< CPHA (Bitfield-Mask: 0x01)                            */
#define USART_CR2_CPOL_Pos                (10UL)                    /*!< CPOL (Bit 10)                                         */
#define USART_CR2_CPOL_Msk                (0x400UL)                 /*!< CPOL (Bitfield-Mask: 0x01)                            */
#define USART_CR2_CLKEN_Pos               (11UL)                    /*!< CLKEN (Bit 11)                                        */
#define USART_CR2_CLKEN_Msk               (0x800UL)                 /*!< CLKEN (Bitfield-Mask: 0x01)                           */
#define USART_CR2_STOP_Pos                (12UL)                    /*!< STOP (Bit 12)                                         */
#define USART_CR2_STOP_Msk                (0x3000UL)                /*!< STOP (Bitfield-Mask: 0x03)                            */
#define USART_CR2_LINEN_Pos               (14UL)                    /*!< LINEN (Bit 14)                                        */
#define USART_CR2_LINEN_Msk               (0x4000UL)                /*!< LINEN (Bitfield-Mask: 0x01)                           */
#define USART_CR2_ADD_Pos                 (15UL)                    /*!< ADD (Bit 15)                                          */
#define USART_CR2_ADD_Msk                 (0x7f8000UL)              /*!< ADD (Bitfield-Mask: 0xff)                             */
#define USART_CR2_DEM_Pos                 (23UL)                    /*!< DEM (Bit 23)                                          */
#define USART_CR2_DEM_Msk                 (0x800000UL)              /*!< DEM (Bitfield-Mask: 0x01)                             */
#define USART_CR2_DEP_Pos                 (24UL)                    /*!< DEP (Bit 24)                                          */
#define USART_CR2_DEP_Msk                 (0x1000000UL)             /*!< DEP (Bitfield-Mask: 0x01)                             */
#define USART_CR2_RTOEN_Pos               (25UL)                    /*!< RTOEN (Bit 25)                                        */
#define USART_CR2_RTOEN_Msk               (0x2000000UL)             /*!< RTOEN (Bitfield-Mask: 0x01)                           */
/* ==========================================================  CR3  ========================================================== */
#define USART_CR3_EIE_Pos                 (0UL)                     /*!< EIE (Bit 0)                                           */
#define USART_CR3_EIE_Msk                 (0x1UL)                   /*!< EIE (Bitfield-Mask: 0x01)                             */
#define USART_CR3_IREN_Pos                (1UL)                     /*!< IREN (Bit 1)                                          */
#define USART_CR3_IREN_Msk                (0x2UL)                   /*!< IREN (Bitfield-Mask: 0x01)                            */
#define USART_CR3_IRLP_Pos                (2UL)                     /*!< IRLP (Bit 2)                                          */
#define USART_CR3_IRLP_Msk                (0x4UL)                   /*!< IRLP (Bitfield-Mask: 0x01)                            */
#define USART_CR3_HDSEL_Pos               (3UL)                     /*!< HDSEL (Bit 3)                                         */
#define USART_CR3_HDSEL_Msk               (0x8UL)                   /*!< HDSEL (Bitfield-Mask: 0x01)                           */
#define USART_CR3_NACK_Pos                (4UL)                     /*!< NACK (Bit 4)                                          */
#define USART_CR3_NACK_Msk                (0x10UL)                  /*!< NACK (Bitfield-Mask: 0x01)                            */
#define USART_CR3_SCEN_Pos                (5UL)                     /*!< SCEN (Bit 5)                                          */
#define USART_CR3_SCEN_Msk                (0x20UL)                  /*!< SCEN (Bitfield-Mask: 0x01)                            */
#define USART_CR3_DMAR_Pos                (6UL)                     /*!< DMAR (Bit 6)                                          */
#define USART_CR3_DMAR_Msk                (0x40UL)                  /*!< DMAR (Bitfield-Mask: 0x01)                            */
#define USART_CR3_DMAT_Pos                (7UL)                     /*!< DMAT (Bit 7)                                          */
#define USART_CR3_DMAT_Msk                (0x80UL)                  /*!< DMAT (Bitfield-Mask: 0x01)                            */
#define USART_CR3_RTSE_Pos                (8UL)                     /*!< RTSE (Bit 8)                                          */
#define USART_CR3_RTSE_Msk                (0x100UL)                 /*!< RTSE (Bitfield-Mask: 0x01)                            */
#define USART_CR3_CTSE_Pos                (9UL)                     /*!< CTSE (Bit 9)                                          */
#define USART_CR3_CTSE_Msk                (0x200UL)                 /*!< CTSE (Bitfield-Mask: 0x01)                            */
#define USART_CR3_CTSIE_Pos               (10UL)                    /*!< CTSIE (Bit 10)                                        */
#define USART_CR3_CTSIE_Msk               (0x400UL)                 /*!< CTSIE (Bitfield-Mask: 0x01)                           */
#define USART_CR3_OVER8_Pos               (11UL)                    /*!< OVER8 (Bit 11)                                        */
#define USART_CR3_OVER8_Msk               (0x800UL)                 /*!< OVER8 (Bitfield-Mask: 0x01)                           */
#define USART_CR3_ABREN_Pos               (12UL)                    /*!< ABREN (Bit 12)                                        */
#define USART_CR3_ABREN_Msk               (0x1000UL)                /*!< ABREN (Bitfield-Mask: 0x01)                           */
#define USART_CR3_ABRMOD_Pos              (13UL)                    /*!< ABRMOD (Bit 13)                                       */
#define USART_CR3_ABRMOD_Msk              (0x6000UL)                /*!< ABRMOD (Bitfield-Mask: 0x03)                          */
#define USART_CR3_RXFFIE_Pos              (15UL)                    /*!< RXFFIE (Bit 15)                                       */
#define USART_CR3_RXFFIE_Msk              (0x8000UL)                /*!< RXFFIE (Bitfield-Mask: 0x01)                          */
#define USART_CR3_TXFEIE_Pos              (16UL)                    /*!< TXFEIE (Bit 16)                                       */
#define USART_CR3_TXFEIE_Msk              (0x10000UL)               /*!< TXFEIE (Bitfield-Mask: 0x01)                          */
#define USART_CR3_RXFTIE_Pos              (17UL)                    /*!< RXFTIE (Bit 17)                                       */
#define USART_CR3_RXFTIE_Msk              (0x20000UL)               /*!< RXFTIE (Bitfield-Mask: 0x01)                          */
#define USART_CR3_TXFTIE_Pos              (18UL)                    /*!< TXFTIE (Bit 18)                                       */
#define USART_CR3_TXFTIE_Msk              (0x40000UL)               /*!< TXFTIE (Bitfield-Mask: 0x01)                          */
#define USART_CR3_DEDT_Pos                (19UL)                    /*!< DEDT (Bit 19)                                         */
#define USART_CR3_DEDT_Msk                (0xf80000UL)              /*!< DEDT (Bitfield-Mask: 0x1f)                            */
#define USART_CR3_DEAT_Pos                (24UL)                    /*!< DEAT (Bit 24)                                         */
#define USART_CR3_DEAT_Msk                (0x1f000000UL)            /*!< DEAT (Bitfield-Mask: 0x1f)                            */
#define USART_CR3_RTOIE_Pos               (29UL)                    /*!< RTOIE (Bit 29)                                        */
#define USART_CR3_RTOIE_Msk               (0x20000000UL)            /*!< RTOIE (Bitfield-Mask: 0x01)                           */
#define USART_CR3_EOBIE_Pos               (30UL)                    /*!< EOBIE (Bit 30)                                        */
#define USART_CR3_EOBIE_Msk               (0x40000000UL)            /*!< EOBIE (Bitfield-Mask: 0x01)                           */
/* =========================================================  GTPR  ========================================================== */
#define USART_GTPR_PSC_Pos                (0UL)                     /*!< PSC (Bit 0)                                           */
#define USART_GTPR_PSC_Msk                (0xffUL)                  /*!< PSC (Bitfield-Mask: 0xff)                             */
#define USART_GTPR_GT_Pos                 (8UL)                     /*!< GT (Bit 8)                                            */
#define USART_GTPR_GT_Msk                 (0xff00UL)                /*!< GT (Bitfield-Mask: 0xff)                              */
/* =========================================================  RTOR  ========================================================== */
#define USART_RTOR_RTO_Pos                (0UL)                     /*!< RTO (Bit 0)                                           */
#define USART_RTOR_RTO_Msk                (0xffffffUL)              /*!< RTO (Bitfield-Mask: 0xffffff)                         */
#define USART_RTOR_BLEN_Pos               (24UL)                    /*!< BLEN (Bit 24)                                         */
#define USART_RTOR_BLEN_Msk               (0xff000000UL)            /*!< BLEN (Bitfield-Mask: 0xff)                            */


/* =========================================================================================================================== */
/* ================                                           WWDG                                            ================ */
/* =========================================================================================================================== */

/* ========================================================  WWDR_CR  ======================================================== */
#define WWDG_WWDR_CR_T_Pos                (0UL)                     /*!< T (Bit 0)                                             */
#define WWDG_WWDR_CR_T_Msk                (0x7fUL)                  /*!< T (Bitfield-Mask: 0x7f)                               */
#define WWDG_WWDR_CR_WDGA_Pos             (7UL)                     /*!< WDGA (Bit 7)                                          */
#define WWDG_WWDR_CR_WDGA_Msk             (0x80UL)                  /*!< WDGA (Bitfield-Mask: 0x01)                            */
/* ==========================================================  CFR  ========================================================== */
#define WWDG_CFR_W_Pos                    (0UL)                     /*!< W (Bit 0)                                             */
#define WWDG_CFR_W_Msk                    (0x7fUL)                  /*!< W (Bitfield-Mask: 0x7f)                               */
#define WWDG_CFR_WDGTB_Pos                (7UL)                     /*!< WDGTB (Bit 7)                                         */
#define WWDG_CFR_WDGTB_Msk                (0x180UL)                 /*!< WDGTB (Bitfield-Mask: 0x03)                           */
#define WWDG_CFR_EWI_Pos                  (9UL)                     /*!< EWI (Bit 9)                                           */
#define WWDG_CFR_EWI_Msk                  (0x200UL)                 /*!< EWI (Bitfield-Mask: 0x01)                             */
/* ==========================================================  SR  =========================================================== */
#define WWDG_SR_EWIF_Pos                  (0UL)                     /*!< EWIF (Bit 0)                                          */
#define WWDG_SR_EWIF_Msk                  (0x1UL)                   /*!< EWIF (Bitfield-Mask: 0x01)                            */

/** @} */ /* End of group PosMask_peripherals */


#ifdef __cplusplus
}
#endif

#endif /* PY32F410XX_H */


/** @} */ /* End of group PY32F410xx */

/** @} */ /* End of group PUYA Co.Ltd */
